# bpme audit details managed objects 

[component-header:bpme-audit-details-managed-objects]

A component for displaying `bpme-audit-details-managed-objects`.

```html preview
<bpme-audit-details-managed-objects id="audit-details-managed-comp"></bpme-audit-details-managed-objects>
<script>
    const tableData = [
    {
        "eventId": "13543",
        "messageCategory": "WorkItem",
        "messageId": "BRM_WORKITEM_OPENED",
        "message": "Opened Work Item.",
        "severity": "Audit",
        "creationTime": "2024-07-30T07:03:33.677Z",
        "managedObjectId": "602",
        "principalId": "tibco-admin",
        "principalName": "tibco-admin",
        "managedObjectVersion": "3",
        "managedObjectStatus": "OPENED",
        "parentObjectId": "p:0a20cn",
        "applicationName": "OrderBPMProjectProcess",
        "entities": "[{\"OrgEntGuid\":\"tibco-admin\",\"OrgEntVersion\":-1,\"OrgEntType\":7}]",
        "workItemPriority": 50,
        "resourceId": "tibco-admin",
        "resourceName": "tibco-admin",
        "applicationActivityName": "UserTask2",
        "applicationActivityInstanceId": "t:002gcn.2px",
        "caseReferences": [
            "27-com.example.orderbdsproject.MyAdditionalOrder-1-0",
            "26-com.example.orderbdsproject.MyOrder-1-0"
        ],
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "BRM"
            },
            {
                "name": "workTypeId",
                "value": "WT__75QAgEMwEe-VneMPo0lf5w"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.n2.brm.services.impl.WorkItemManagementServiceImpl"
            },
            {
                "name": "methodId",
                "value": "allocateAndOpenWorkItem"
            },
            {
                "name": "methodName",
                "value": "allocateAndOpenWorkItem"
            },
            {
                "name": "contextId",
                "value": "2337d039_cbb0_4a86_91b2_bf68e00f17f4"
            },
            {
                "name": "workModelId",
                "value": "543"
            },
            {
                "name": "simpleClassName",
                "value": "WorkItemManagementServiceImpl"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "1933c552_741e_43c4_8a88_321d0099b838"
            },
            {
                "name": "threadName",
                "value": "qtp1723093634-892"
            },
            {
                "name": "threadId",
                "value": "892"
            },
            {
                "name": "actingUser",
                "value": "tibco-admin"
            },
            {
                "name": "workTypeDesc",
                "value": "UserTask2"
            },
            {
                "name": "workTypeVersion",
                "value": "1.0.0.20240716100002819"
            },
            {
                "name": "correlationId",
                "value": "06ca0b28_7f3b_4d49_908a_96d2b56550f8"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            },
            {
                "name": "applicationId",
                "value": "_HbGgcNYcEeqwEr75ETCvoQ"
            }
        ]
    },
    {
        "eventId": "13499",
        "messageCategory": "WorkItem",
        "messageId": "BRM_WORKITEM_OPENED",
        "message": "Opened Work Item.",
        "severity": "Audit",
        "creationTime": "2024-07-30T06:58:54.020Z",
        "managedObjectId": "602",
        "principalId": "tibco-admin",
        "principalName": "tibco-admin",
        "managedObjectVersion": "2",
        "managedObjectStatus": "OPENED",
        "parentObjectId": "p:0a20cn",
        "applicationName": "OrderBPMProjectProcess",
        "entities": "[{\"OrgEntGuid\":\"tibco-admin\",\"OrgEntVersion\":-1,\"OrgEntType\":7}]",
        "workItemPriority": 50,
        "resourceId": "tibco-admin",
        "resourceName": "tibco-admin",
        "applicationActivityName": "UserTask2",
        "applicationActivityInstanceId": "t:002gcn.2px",
        "caseReferences": [
            "27-com.example.orderbdsproject.MyAdditionalOrder-1-0",
            "26-com.example.orderbdsproject.MyOrder-1-0"
        ],
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "BRM"
            },
            {
                "name": "workTypeId",
                "value": "WT__75QAgEMwEe-VneMPo0lf5w"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.n2.brm.services.impl.WorkItemManagementServiceImpl"
            },
            {
                "name": "methodId",
                "value": "allocateAndOpenWorkItem"
            },
            {
                "name": "methodName",
                "value": "allocateAndOpenWorkItem"
            },
            {
                "name": "contextId",
                "value": "5335f341_a011_40b1_b201_dff353962234"
            },
            {
                "name": "workModelId",
                "value": "543"
            },
            {
                "name": "simpleClassName",
                "value": "WorkItemManagementServiceImpl"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "5d750f2f_b82f_49cd_9dcb_9f758689010f"
            },
            {
                "name": "threadName",
                "value": "qtp1723093634-865"
            },
            {
                "name": "threadId",
                "value": "865"
            },
            {
                "name": "actingUser",
                "value": "tibco-admin"
            },
            {
                "name": "workTypeDesc",
                "value": "UserTask2"
            },
            {
                "name": "workTypeVersion",
                "value": "1.0.0.20240716100002819"
            },
            {
                "name": "correlationId",
                "value": "4aa32269_3cf3_4f0b_a48d_2b2d64e66cda"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            },
            {
                "name": "applicationId",
                "value": "_HbGgcNYcEeqwEr75ETCvoQ"
            }
        ]
    },
    {
        "eventId": "13493",
        "messageCategory": "WorkItem",
        "messageId": "BRM_WORKITEM_ALLOCATE",
        "message": "Allocated Work Item.",
        "severity": "Audit",
        "creationTime": "2024-07-30T06:56:58.174Z",
        "managedObjectId": "602",
        "principalId": "tibco-admin",
        "principalName": "tibco-admin",
        "managedObjectVersion": "1",
        "managedObjectStatus": "ALLOCATED",
        "parentObjectId": "p:0a20cn",
        "applicationName": "OrderBPMProjectProcess",
        "entities": "[{\"OrgEntGuid\":\"tibco-admin\",\"OrgEntVersion\":-1,\"OrgEntType\":7}]",
        "workItemPriority": 50,
        "resourceId": "tibco-admin",
        "resourceName": "tibco-admin",
        "applicationActivityName": "UserTask2",
        "applicationActivityInstanceId": "t:002gcn.2px",
        "caseReferences": [
            "27-com.example.orderbdsproject.MyAdditionalOrder-1-0",
            "26-com.example.orderbdsproject.MyOrder-1-0"
        ],
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "BRM"
            },
            {
                "name": "workTypeId",
                "value": "WT__75QAgEMwEe-VneMPo0lf5w"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.n2.brm.services.impl.WorkItemManagementServiceImpl"
            },
            {
                "name": "methodId",
                "value": "allocateWorkItem"
            },
            {
                "name": "methodName",
                "value": "allocateWorkItem"
            },
            {
                "name": "contextId",
                "value": "a48d399d_2f7a_4c3d_b0e2_d19030f97e7c"
            },
            {
                "name": "workModelId",
                "value": "543"
            },
            {
                "name": "simpleClassName",
                "value": "WorkItemManagementServiceImpl"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "9460d2b7_3675_4c4b_a67f_f08a98f23c35"
            },
            {
                "name": "threadName",
                "value": "qtp1723093634-864"
            },
            {
                "name": "threadId",
                "value": "864"
            },
            {
                "name": "workTypeDesc",
                "value": "UserTask2"
            },
            {
                "name": "workTypeVersion",
                "value": "1.0.0.20240716100002819"
            },
            {
                "name": "correlationId",
                "value": "08cd22a0_c54a_4a9c_ae30_01dc8fa17035"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            },
            {
                "name": "applicationId",
                "value": "_HbGgcNYcEeqwEr75ETCvoQ"
            }
        ]
    },
    {
        "eventId": "13285",
        "messageCategory": "WorkItem",
        "messageId": "BRM_WORKITEM_SCHEDULED",
        "message": "New Work Item Schedule.",
        "severity": "Audit",
        "creationTime": "2024-07-30T04:54:18.255Z",
        "managedObjectId": "602",
        "principalId": "tibco-admin",
        "managedObjectVersion": "0",
        "managedObjectStatus": "OFFERED",
        "parentObjectId": "p:0a20cn",
        "applicationName": "OrderBPMProjectProcess",
        "workItemScheduleStart": "2024-07-30T04:54:18.227Z",
        "entities": "[{\"OrgEntGuid\":\"Undelivered\",\"OrgEntName\":\"Undelivered\",\"OrgEntVersion\":0,\"OrgEntType\":3}]",
        "workItemPriority": 50,
        "applicationActivityName": "UserTask2",
        "applicationActivityInstanceId": "t:002gcn.2px",
        "caseReferences": [
            "27-com.example.orderbdsproject.MyAdditionalOrder-1-0",
            "26-com.example.orderbdsproject.MyOrder-1-0"
        ],
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "BRM"
            },
            {
                "name": "workTypeId",
                "value": "WT__75QAgEMwEe-VneMPo0lf5w"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.n2.brm.services.impl.WorkItemSchedulerBase"
            },
            {
                "name": "procId",
                "value": "367"
            },
            {
                "name": "procInstanceId",
                "value": "455"
            },
            {
                "name": "methodId",
                "value": "privScheduleWorkItem"
            },
            {
                "name": "methodName",
                "value": "privScheduleWorkItem"
            },
            {
                "name": "contextId",
                "value": "9f6332a2_2f43_474d_aa60_caf779338b0c"
            },
            {
                "name": "workModelId",
                "value": "543"
            },
            {
                "name": "simpleClassName",
                "value": "WorkItemSchedulerBase"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "11a99b27_d520_45d9_ad4a_34c6bf771a5a"
            },
            {
                "name": "threadName",
                "value": "ce_8"
            },
            {
                "name": "threadId",
                "value": "510"
            },
            {
                "name": "workTypeDesc",
                "value": "UserTask2"
            },
            {
                "name": "parentContextId",
                "value": "9874cb32_aede_41ae_a6c9_805e1b665edd"
            },
            {
                "name": "workTypeVersion",
                "value": "1.0.0.20240716100002819"
            },
            {
                "name": "correlationId",
                "value": "67a83ecc_d371_4b99_af9a_9795d5309023"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            },
            {
                "name": "applicationId",
                "value": "_HbGgcNYcEeqwEr75ETCvoQ"
            }
        ]
    }
]
    const auditListManagedObject = document.getElementById('audit-details-managed-comp');
    auditListManagedObject.tableData = tableData;
    auditListManagedObject.managedObjectType = 'WORK_ITEM';
    auditListManagedObject.activeIndex = 0;
</script>
```
[component-metadata:bpme-audit-details-managed-objects]
