# bpme audit list managed objects 

[component-header:bpme-audit-list-managed-objects]

A component for displaying `bpme-audit-list-managed-objects`.

```html preview
<bpme-audit-list-managed-objects id="audit-list-managed-comp"></bpme-audit-list-managed-objects>

<script>

    var tableAttributes = [
    {
        "name": "Work Items",
        "id": "WORK_ITEM",
        "attributes": [
            {
                "value": "eventId",
                "label": "Event ID",
                "type": "string"
            },
            {
                "value": "messageCategory",
                "label": "Message Category",
                "type": "string"
            },
            {
                "value": "messageId",
                "label": "Message ID",
                "type": "string"
            },
            {
                "value": "message",
                "label": "Message",
                "type": "string"
            },
            {
                "value": "severity",
                "label": "Severity",
                "type": "string"
            },
            {
                "value": "creationTime",
                "label": "Creation Date",
                "type": "time"
            },
            {
                "value": "managedObjectId",
                "label": "Managed Obj ID",
                "type": "string"
            },
            {
                "value": "principalId",
                "label": "Principal ID",
                "type": "string"
            },
            {
                "value": "principalName",
                "label": "Principal Name",
                "type": "string"
            },
            {
                "value": "managedObjectName",
                "label": "Managed Obj Name",
                "type": "string"
            },
            {
                "value": "managedObjectVersion",
                "label": "Managed Obj Version",
                "type": "string"
            },
            {
                "value": "managedObjectType",
                "label": "Managed Obj Type",
                "type": "string"
            },
            {
                "value": "managedObjectStatus",
                "label": "Managed Obj Status",
                "type": "string"
            },
            {
                "value": "managedObjectUrl",
                "label": "Managed Obj Url",
                "type": "string"
            },
            {
                "value": "managedObjectDetails",
                "label": "Managed Obj Details",
                "type": "string"
            },
            {
                "value": "parentObjectId",
                "label": "Parent Obj ID",
                "type": "string"
            },
            {
                "value": "applicationName",
                "label": "App Name",
                "type": "string"
            },
            {
                "value": "workItemScheduleStart",
                "label": "WorkIten Schedule Start",
                "type": "time"
            },
            {
                "value": "workItemScheduleEnd",
                "label": "WorkItem Schedule End",
                "type": "time"
            },
            {
                "value": "entities",
                "label": "Entities",
                "type": "string"
            },
            {
                "value": "workItemPriority",
                "label": "Priority",
                "type": "string"
            },
            {
                "value": "extendedMessage",
                "label": "Extended Message",
                "type": "string"
            },
            {
                "value": "retryTime",
                "label": "Retry Time",
                "type": "time"
            },
            {
                "value": "resourceId",
                "label": "Resource ID",
                "type": "string"
            },
            {
                "value": "resourceName",
                "label": "Resource Name",
                "type": "string"
            },
            {
                "value": "entityId",
                "label": "Entity ID",
                "type": "string"
            },
            {
                "value": "entityType",
                "label": "Entity Type",
                "type": "string"
            },
            {
                "value": "channelId",
                "label": "Channel ID",
                "type": "string"
            },
            {
                "value": "applicationActivityName",
                "label": "App Activity Name",
                "type": "string"
            },
            {
                "value": "applicationActivityModelId",
                "label": "App Activity Model ID",
                "type": "string"
            },
            {
                "value": "applicationActivityInstanceId",
                "label": "App Activity Instance ID",
                "type": "string"
            },
            {
                "value": "systemActionComponentId",
                "label": "System Action Component ID",
                "type": "string"
            },
            {
                "value": "systemActionId",
                "label": "System Action ID",
                "type": "string"
            },
            {
                "value": "rootProcessInstanceId",
                "label": "Root Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentProcessInstanceId",
                "label": "Parent Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentActivityInstanceId",
                "label": "Parent Activity Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessInstanceId",
                "label": "SubProcess Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessName",
                "label": "SubProcess Name",
                "type": "string"
            },
            {
                "value": "processPriority",
                "label": "Process Priority",
                "type": "string"
            },
            {
                "value": "moduleName",
                "label": "Module Name",
                "type": "string"
            },
            {
                "value": "priorStepId",
                "label": "Prior Step ID",
                "type": "string"
            },
            {
                "value": "subprocessVersion",
                "label": "Subprocess Version",
                "type": "string"
            },
            {
                "value": "modelMajorVersion",
                "label": "Model Major Version",
                "type": "string"
            },
            {
                "value": "modelVersion",
                "label": "Model Version",
                "type": "string"
            },
            {
                "value": "roleName",
                "label": "Role Name",
                "type": "string"
            },
            {
                "value": "iteration",
                "label": "Iteration",
                "type": "string"
            },
            {
                "value": "iterationId",
                "label": "Iteration ID",
                "type": "string"
            },
            {
                "value": "hostTaskName",
                "label": "Host Task Name",
                "type": "string"
            },
            {
                "value": "hostTaskType",
                "label": "Host Task Type",
                "type": "string"
            },
            {
                "value": "interruptsMainFlow",
                "label": "Interrupt Main Flow",
                "type": "string"
            }
        ],
        "defaultAttributes": [
            "eventId",
            "messageId",
            "creationTime",
            "severity",
            "principalId",
            "managedObjectName",
            "applicationActivityName"
        ]
    },
    {
        "name": "Process Instances",
        "id": "PROCESS_INSTANCE",
        "attributes": [
            {
                "value": "eventId",
                "label": "Event ID",
                "type": "string"
            },
            {
                "value": "messageCategory",
                "label": "Message Category",
                "type": "string"
            },
            {
                "value": "messageId",
                "label": "Message ID",
                "type": "string"
            },
            {
                "value": "message",
                "label": "Message",
                "type": "string"
            },
            {
                "value": "severity",
                "label": "Severity",
                "type": "string"
            },
            {
                "value": "creationTime",
                "label": "Creation Date",
                "type": "time"
            },
            {
                "value": "managedObjectId",
                "label": "Managed Obj ID",
                "type": "string"
            },
            {
                "value": "principalId",
                "label": "Principal ID",
                "type": "string"
            },
            {
                "value": "principalName",
                "label": "Principal Name",
                "type": "string"
            },
            {
                "value": "managedObjectName",
                "label": "Managed Obj Name",
                "type": "string"
            },
            {
                "value": "managedObjectVersion",
                "label": "Managed Obj Version",
                "type": "string"
            },
            {
                "value": "managedObjectType",
                "label": "Managed Obj Type",
                "type": "string"
            },
            {
                "value": "managedObjectStatus",
                "label": "Managed Obj Status",
                "type": "string"
            },
            {
                "value": "managedObjectUrl",
                "label": "Managed Obj Url",
                "type": "string"
            },
            {
                "value": "managedObjectDetails",
                "label": "Managed Obj Details",
                "type": "string"
            },
            {
                "value": "parentObjectId",
                "label": "Parent Obj ID",
                "type": "string"
            },
            {
                "value": "applicationName",
                "label": "App Name",
                "type": "string"
            },
            {
                "value": "workItemScheduleStart",
                "label": "WorkIten Schedule Start",
                "type": "time"
            },
            {
                "value": "workItemScheduleEnd",
                "label": "WorkItem Schedule End",
                "type": "time"
            },
            {
                "value": "entities",
                "label": "Entities",
                "type": "string"
            },
            {
                "value": "workItemPriority",
                "label": "Priority",
                "type": "string"
            },
            {
                "value": "extendedMessage",
                "label": "Extended Message",
                "type": "string"
            },
            {
                "value": "retryTime",
                "label": "Retry Time",
                "type": "time"
            },
            {
                "value": "resourceId",
                "label": "Resource ID",
                "type": "string"
            },
            {
                "value": "resourceName",
                "label": "Resource Name",
                "type": "string"
            },
            {
                "value": "entityId",
                "label": "Entity ID",
                "type": "string"
            },
            {
                "value": "entityType",
                "label": "Entity Type",
                "type": "string"
            },
            {
                "value": "channelId",
                "label": "Channel ID",
                "type": "string"
            },
            {
                "value": "applicationActivityName",
                "label": "App Activity Name",
                "type": "string"
            },
            {
                "value": "applicationActivityModelId",
                "label": "App Activity Model ID",
                "type": "string"
            },
            {
                "value": "applicationActivityInstanceId",
                "label": "App Activity Instance ID",
                "type": "string"
            },
            {
                "value": "systemActionComponentId",
                "label": "System Action Component ID",
                "type": "string"
            },
            {
                "value": "systemActionId",
                "label": "System Action ID",
                "type": "string"
            },
            {
                "value": "rootProcessInstanceId",
                "label": "Root Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentProcessInstanceId",
                "label": "Parent Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentActivityInstanceId",
                "label": "Parent Activity Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessInstanceId",
                "label": "SubProcess Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessName",
                "label": "SubProcess Name",
                "type": "string"
            },
            {
                "value": "processPriority",
                "label": "Process Priority",
                "type": "string"
            },
            {
                "value": "moduleName",
                "label": "Module Name",
                "type": "string"
            },
            {
                "value": "priorStepId",
                "label": "Prior Step ID",
                "type": "string"
            },
            {
                "value": "subprocessVersion",
                "label": "Subprocess Version",
                "type": "string"
            },
            {
                "value": "modelMajorVersion",
                "label": "Model Major Version",
                "type": "string"
            },
            {
                "value": "modelVersion",
                "label": "Model Version",
                "type": "string"
            },
            {
                "value": "roleName",
                "label": "Role Name",
                "type": "string"
            },
            {
                "value": "iteration",
                "label": "Iteration",
                "type": "string"
            },
            {
                "value": "iterationId",
                "label": "Iteration ID",
                "type": "string"
            },
            {
                "value": "hostTaskName",
                "label": "Host Task Name",
                "type": "string"
            },
            {
                "value": "hostTaskType",
                "label": "Host Task Type",
                "type": "string"
            },
            {
                "value": "interruptsMainFlow",
                "label": "Interrupt Main Flow",
                "type": "string"
            }
        ],
        "defaultAttributes": [
            "eventId",
            "messageId",
            "creationTime",
            "severity",
            "principalId",
            "managedObjectName",
            "applicationActivityName"
        ]
    },
    {
        "name": "Process Templates",
        "id": "PROCESS_TEMPLATE",
        "attributes": [
            {
                "value": "eventId",
                "label": "Event ID",
                "type": "string"
            },
            {
                "value": "messageCategory",
                "label": "Message Category",
                "type": "string"
            },
            {
                "value": "messageId",
                "label": "Message ID",
                "type": "string"
            },
            {
                "value": "message",
                "label": "Message",
                "type": "string"
            },
            {
                "value": "severity",
                "label": "Severity",
                "type": "string"
            },
            {
                "value": "creationTime",
                "label": "Creation Date",
                "type": "time"
            },
            {
                "value": "managedObjectId",
                "label": "Managed Obj ID",
                "type": "string"
            },
            {
                "value": "principalId",
                "label": "Principal ID",
                "type": "string"
            },
            {
                "value": "principalName",
                "label": "Principal Name",
                "type": "string"
            },
            {
                "value": "managedObjectName",
                "label": "Managed Obj Name",
                "type": "string"
            },
            {
                "value": "managedObjectVersion",
                "label": "Managed Obj Version",
                "type": "string"
            },
            {
                "value": "managedObjectType",
                "label": "Managed Obj Type",
                "type": "string"
            },
            {
                "value": "managedObjectStatus",
                "label": "Managed Obj Status",
                "type": "string"
            },
            {
                "value": "managedObjectUrl",
                "label": "Managed Obj Url",
                "type": "string"
            },
            {
                "value": "managedObjectDetails",
                "label": "Managed Obj Details",
                "type": "string"
            },
            {
                "value": "parentObjectId",
                "label": "Parent Obj ID",
                "type": "string"
            },
            {
                "value": "applicationName",
                "label": "App Name",
                "type": "string"
            },
            {
                "value": "workItemScheduleStart",
                "label": "WorkIten Schedule Start",
                "type": "time"
            },
            {
                "value": "workItemScheduleEnd",
                "label": "WorkItem Schedule End",
                "type": "time"
            },
            {
                "value": "entities",
                "label": "Entities",
                "type": "string"
            },
            {
                "value": "workItemPriority",
                "label": "Priority",
                "type": "string"
            },
            {
                "value": "extendedMessage",
                "label": "Extended Message",
                "type": "string"
            },
            {
                "value": "retryTime",
                "label": "Retry Time",
                "type": "time"
            },
            {
                "value": "resourceId",
                "label": "Resource ID",
                "type": "string"
            },
            {
                "value": "resourceName",
                "label": "Resource Name",
                "type": "string"
            },
            {
                "value": "entityId",
                "label": "Entity ID",
                "type": "string"
            },
            {
                "value": "entityType",
                "label": "Entity Type",
                "type": "string"
            },
            {
                "value": "channelId",
                "label": "Channel ID",
                "type": "string"
            },
            {
                "value": "applicationActivityName",
                "label": "App Activity Name",
                "type": "string"
            },
            {
                "value": "applicationActivityModelId",
                "label": "App Activity Model ID",
                "type": "string"
            },
            {
                "value": "applicationActivityInstanceId",
                "label": "App Activity Instance ID",
                "type": "string"
            },
            {
                "value": "systemActionComponentId",
                "label": "System Action Component ID",
                "type": "string"
            },
            {
                "value": "systemActionId",
                "label": "System Action ID",
                "type": "string"
            },
            {
                "value": "rootProcessInstanceId",
                "label": "Root Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentProcessInstanceId",
                "label": "Parent Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentActivityInstanceId",
                "label": "Parent Activity Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessInstanceId",
                "label": "SubProcess Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessName",
                "label": "SubProcess Name",
                "type": "string"
            },
            {
                "value": "processPriority",
                "label": "Process Priority",
                "type": "string"
            },
            {
                "value": "moduleName",
                "label": "Module Name",
                "type": "string"
            },
            {
                "value": "priorStepId",
                "label": "Prior Step ID",
                "type": "string"
            },
            {
                "value": "subprocessVersion",
                "label": "Subprocess Version",
                "type": "string"
            },
            {
                "value": "modelMajorVersion",
                "label": "Model Major Version",
                "type": "string"
            },
            {
                "value": "modelVersion",
                "label": "Model Version",
                "type": "string"
            },
            {
                "value": "roleName",
                "label": "Role Name",
                "type": "string"
            },
            {
                "value": "iteration",
                "label": "Iteration",
                "type": "string"
            },
            {
                "value": "iterationId",
                "label": "Iteration ID",
                "type": "string"
            },
            {
                "value": "hostTaskName",
                "label": "Host Task Name",
                "type": "string"
            },
            {
                "value": "hostTaskType",
                "label": "Host Task Type",
                "type": "string"
            },
            {
                "value": "interruptsMainFlow",
                "label": "Interrupt Main Flow",
                "type": "string"
            }
        ],
        "defaultAttributes": [
            "eventId",
            "messageId",
            "creationTime",
            "severity",
            "principalId",
            "managedObjectName",
            "applicationActivityName"
        ]
    },
    {
        "name": "Applications",
        "id": "APPLICATIONS",
        "attributes": [
            {
                "value": "eventId",
                "label": "Event ID",
                "type": "string"
            },
            {
                "value": "messageCategory",
                "label": "Message Category",
                "type": "string"
            },
            {
                "value": "messageId",
                "label": "Message ID",
                "type": "string"
            },
            {
                "value": "message",
                "label": "Message",
                "type": "string"
            },
            {
                "value": "severity",
                "label": "Severity",
                "type": "string"
            },
            {
                "value": "creationTime",
                "label": "Creation Date",
                "type": "time"
            },
            {
                "value": "managedObjectId",
                "label": "Managed Obj ID",
                "type": "string"
            },
            {
                "value": "principalId",
                "label": "Principal ID",
                "type": "string"
            },
            {
                "value": "principalName",
                "label": "Principal Name",
                "type": "string"
            },
            {
                "value": "managedObjectName",
                "label": "Managed Obj Name",
                "type": "string"
            },
            {
                "value": "managedObjectVersion",
                "label": "Managed Obj Version",
                "type": "string"
            },
            {
                "value": "managedObjectType",
                "label": "Managed Obj Type",
                "type": "string"
            },
            {
                "value": "managedObjectStatus",
                "label": "Managed Obj Status",
                "type": "string"
            },
            {
                "value": "managedObjectUrl",
                "label": "Managed Obj Url",
                "type": "string"
            },
            {
                "value": "managedObjectDetails",
                "label": "Managed Obj Details",
                "type": "string"
            },
            {
                "value": "parentObjectId",
                "label": "Parent Obj ID",
                "type": "string"
            },
            {
                "value": "applicationName",
                "label": "App Name",
                "type": "string"
            },
            {
                "value": "workItemScheduleStart",
                "label": "WorkIten Schedule Start",
                "type": "time"
            },
            {
                "value": "workItemScheduleEnd",
                "label": "WorkItem Schedule End",
                "type": "time"
            },
            {
                "value": "entities",
                "label": "Entities",
                "type": "string"
            },
            {
                "value": "workItemPriority",
                "label": "Priority",
                "type": "string"
            },
            {
                "value": "extendedMessage",
                "label": "Extended Message",
                "type": "string"
            },
            {
                "value": "retryTime",
                "label": "Retry Time",
                "type": "time"
            },
            {
                "value": "resourceId",
                "label": "Resource ID",
                "type": "string"
            },
            {
                "value": "resourceName",
                "label": "Resource Name",
                "type": "string"
            },
            {
                "value": "entityId",
                "label": "Entity ID",
                "type": "string"
            },
            {
                "value": "entityType",
                "label": "Entity Type",
                "type": "string"
            },
            {
                "value": "channelId",
                "label": "Channel ID",
                "type": "string"
            },
            {
                "value": "applicationActivityName",
                "label": "App Activity Name",
                "type": "string"
            },
            {
                "value": "applicationActivityModelId",
                "label": "App Activity Model ID",
                "type": "string"
            },
            {
                "value": "applicationActivityInstanceId",
                "label": "App Activity Instance ID",
                "type": "string"
            },
            {
                "value": "systemActionComponentId",
                "label": "System Action Component ID",
                "type": "string"
            },
            {
                "value": "systemActionId",
                "label": "System Action ID",
                "type": "string"
            },
            {
                "value": "rootProcessInstanceId",
                "label": "Root Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentProcessInstanceId",
                "label": "Parent Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentActivityInstanceId",
                "label": "Parent Activity Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessInstanceId",
                "label": "SubProcess Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessName",
                "label": "SubProcess Name",
                "type": "string"
            },
            {
                "value": "processPriority",
                "label": "Process Priority",
                "type": "string"
            },
            {
                "value": "moduleName",
                "label": "Module Name",
                "type": "string"
            },
            {
                "value": "priorStepId",
                "label": "Prior Step ID",
                "type": "string"
            },
            {
                "value": "subprocessVersion",
                "label": "Subprocess Version",
                "type": "string"
            },
            {
                "value": "modelMajorVersion",
                "label": "Model Major Version",
                "type": "string"
            },
            {
                "value": "modelVersion",
                "label": "Model Version",
                "type": "string"
            },
            {
                "value": "roleName",
                "label": "Role Name",
                "type": "string"
            },
            {
                "value": "iteration",
                "label": "Iteration",
                "type": "string"
            },
            {
                "value": "iterationId",
                "label": "Iteration ID",
                "type": "string"
            },
            {
                "value": "hostTaskName",
                "label": "Host Task Name",
                "type": "string"
            },
            {
                "value": "hostTaskType",
                "label": "Host Task Type",
                "type": "string"
            },
            {
                "value": "interruptsMainFlow",
                "label": "Interrupt Main Flow",
                "type": "string"
            }
        ],
        "defaultAttributes": [
            "eventId",
            "messageId",
            "creationTime",
            "severity",
            "principalId",
            "managedObjectName",
            "applicationActivityName"
        ]
    },
    {
        "name": "Users/Resources",
        "id": "USERS",
        "attributes": [
            {
                "value": "eventId",
                "label": "Event ID",
                "type": "string"
            },
            {
                "value": "messageCategory",
                "label": "Message Category",
                "type": "string"
            },
            {
                "value": "messageId",
                "label": "Message ID",
                "type": "string"
            },
            {
                "value": "message",
                "label": "Message",
                "type": "string"
            },
            {
                "value": "severity",
                "label": "Severity",
                "type": "string"
            },
            {
                "value": "creationTime",
                "label": "Creation Date",
                "type": "time"
            },
            {
                "value": "managedObjectId",
                "label": "Managed Obj ID",
                "type": "string"
            },
            {
                "value": "principalId",
                "label": "Principal ID",
                "type": "string"
            },
            {
                "value": "principalName",
                "label": "Principal Name",
                "type": "string"
            },
            {
                "value": "managedObjectName",
                "label": "Managed Obj Name",
                "type": "string"
            },
            {
                "value": "managedObjectVersion",
                "label": "Managed Obj Version",
                "type": "string"
            },
            {
                "value": "managedObjectType",
                "label": "Managed Obj Type",
                "type": "string"
            },
            {
                "value": "managedObjectStatus",
                "label": "Managed Obj Status",
                "type": "string"
            },
            {
                "value": "managedObjectUrl",
                "label": "Managed Obj Url",
                "type": "string"
            },
            {
                "value": "managedObjectDetails",
                "label": "Managed Obj Details",
                "type": "string"
            },
            {
                "value": "parentObjectId",
                "label": "Parent Obj ID",
                "type": "string"
            },
            {
                "value": "applicationName",
                "label": "App Name",
                "type": "string"
            },
            {
                "value": "workItemScheduleStart",
                "label": "WorkIten Schedule Start",
                "type": "time"
            },
            {
                "value": "workItemScheduleEnd",
                "label": "WorkItem Schedule End",
                "type": "time"
            },
            {
                "value": "entities",
                "label": "Entities",
                "type": "string"
            },
            {
                "value": "workItemPriority",
                "label": "Priority",
                "type": "string"
            },
            {
                "value": "extendedMessage",
                "label": "Extended Message",
                "type": "string"
            },
            {
                "value": "retryTime",
                "label": "Retry Time",
                "type": "time"
            },
            {
                "value": "resourceId",
                "label": "Resource ID",
                "type": "string"
            },
            {
                "value": "resourceName",
                "label": "Resource Name",
                "type": "string"
            },
            {
                "value": "entityId",
                "label": "Entity ID",
                "type": "string"
            },
            {
                "value": "entityType",
                "label": "Entity Type",
                "type": "string"
            },
            {
                "value": "channelId",
                "label": "Channel ID",
                "type": "string"
            },
            {
                "value": "applicationActivityName",
                "label": "App Activity Name",
                "type": "string"
            },
            {
                "value": "applicationActivityModelId",
                "label": "App Activity Model ID",
                "type": "string"
            },
            {
                "value": "applicationActivityInstanceId",
                "label": "App Activity Instance ID",
                "type": "string"
            },
            {
                "value": "systemActionComponentId",
                "label": "System Action Component ID",
                "type": "string"
            },
            {
                "value": "systemActionId",
                "label": "System Action ID",
                "type": "string"
            },
            {
                "value": "rootProcessInstanceId",
                "label": "Root Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentProcessInstanceId",
                "label": "Parent Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentActivityInstanceId",
                "label": "Parent Activity Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessInstanceId",
                "label": "SubProcess Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessName",
                "label": "SubProcess Name",
                "type": "string"
            },
            {
                "value": "processPriority",
                "label": "Process Priority",
                "type": "string"
            },
            {
                "value": "moduleName",
                "label": "Module Name",
                "type": "string"
            },
            {
                "value": "priorStepId",
                "label": "Prior Step ID",
                "type": "string"
            },
            {
                "value": "subprocessVersion",
                "label": "Subprocess Version",
                "type": "string"
            },
            {
                "value": "modelMajorVersion",
                "label": "Model Major Version",
                "type": "string"
            },
            {
                "value": "modelVersion",
                "label": "Model Version",
                "type": "string"
            },
            {
                "value": "roleName",
                "label": "Role Name",
                "type": "string"
            },
            {
                "value": "iteration",
                "label": "Iteration",
                "type": "string"
            },
            {
                "value": "iterationId",
                "label": "Iteration ID",
                "type": "string"
            },
            {
                "value": "hostTaskName",
                "label": "Host Task Name",
                "type": "string"
            },
            {
                "value": "hostTaskType",
                "label": "Host Task Type",
                "type": "string"
            },
            {
                "value": "interruptsMainFlow",
                "label": "Interrupt Main Flow",
                "type": "string"
            }
        ],
        "defaultAttributes": [
            "eventId",
            "messageId",
            "creationTime",
            "severity",
            "principalId",
            "managedObjectName",
            "applicationActivityName"
        ]
    },
    {
        "name": "System",
        "id": "SYSTEM",
        "attributes": [
            {
                "value": "eventId",
                "label": "Event ID",
                "type": "string"
            },
            {
                "value": "messageCategory",
                "label": "Message Category",
                "type": "string"
            },
            {
                "value": "messageId",
                "label": "Message ID",
                "type": "string"
            },
            {
                "value": "message",
                "label": "Message",
                "type": "string"
            },
            {
                "value": "severity",
                "label": "Severity",
                "type": "string"
            },
            {
                "value": "creationTime",
                "label": "Creation Date",
                "type": "time"
            },
            {
                "value": "managedObjectId",
                "label": "Managed Obj ID",
                "type": "string"
            },
            {
                "value": "principalId",
                "label": "Principal ID",
                "type": "string"
            },
            {
                "value": "principalName",
                "label": "Principal Name",
                "type": "string"
            },
            {
                "value": "managedObjectName",
                "label": "Managed Obj Name",
                "type": "string"
            },
            {
                "value": "managedObjectVersion",
                "label": "Managed Obj Version",
                "type": "string"
            },
            {
                "value": "managedObjectType",
                "label": "Managed Obj Type",
                "type": "string"
            },
            {
                "value": "managedObjectStatus",
                "label": "Managed Obj Status",
                "type": "string"
            },
            {
                "value": "managedObjectUrl",
                "label": "Managed Obj Url",
                "type": "string"
            },
            {
                "value": "managedObjectDetails",
                "label": "Managed Obj Details",
                "type": "string"
            },
            {
                "value": "parentObjectId",
                "label": "Parent Obj ID",
                "type": "string"
            },
            {
                "value": "applicationName",
                "label": "App Name",
                "type": "string"
            },
            {
                "value": "workItemScheduleStart",
                "label": "WorkIten Schedule Start",
                "type": "time"
            },
            {
                "value": "workItemScheduleEnd",
                "label": "WorkItem Schedule End",
                "type": "time"
            },
            {
                "value": "entities",
                "label": "Entities",
                "type": "string"
            },
            {
                "value": "workItemPriority",
                "label": "Priority",
                "type": "string"
            },
            {
                "value": "extendedMessage",
                "label": "Extended Message",
                "type": "string"
            },
            {
                "value": "retryTime",
                "label": "Retry Time",
                "type": "time"
            },
            {
                "value": "resourceId",
                "label": "Resource ID",
                "type": "string"
            },
            {
                "value": "resourceName",
                "label": "Resource Name",
                "type": "string"
            },
            {
                "value": "entityId",
                "label": "Entity ID",
                "type": "string"
            },
            {
                "value": "entityType",
                "label": "Entity Type",
                "type": "string"
            },
            {
                "value": "channelId",
                "label": "Channel ID",
                "type": "string"
            },
            {
                "value": "applicationActivityName",
                "label": "App Activity Name",
                "type": "string"
            },
            {
                "value": "applicationActivityModelId",
                "label": "App Activity Model ID",
                "type": "string"
            },
            {
                "value": "applicationActivityInstanceId",
                "label": "App Activity Instance ID",
                "type": "string"
            },
            {
                "value": "systemActionComponentId",
                "label": "System Action Component ID",
                "type": "string"
            },
            {
                "value": "systemActionId",
                "label": "System Action ID",
                "type": "string"
            },
            {
                "value": "rootProcessInstanceId",
                "label": "Root Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentProcessInstanceId",
                "label": "Parent Process Instance ID",
                "type": "string"
            },
            {
                "value": "parentActivityInstanceId",
                "label": "Parent Activity Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessInstanceId",
                "label": "SubProcess Instance ID",
                "type": "string"
            },
            {
                "value": "subprocessName",
                "label": "SubProcess Name",
                "type": "string"
            },
            {
                "value": "processPriority",
                "label": "Process Priority",
                "type": "string"
            },
            {
                "value": "moduleName",
                "label": "Module Name",
                "type": "string"
            },
            {
                "value": "priorStepId",
                "label": "Prior Step ID",
                "type": "string"
            },
            {
                "value": "subprocessVersion",
                "label": "Subprocess Version",
                "type": "string"
            },
            {
                "value": "modelMajorVersion",
                "label": "Model Major Version",
                "type": "string"
            },
            {
                "value": "modelVersion",
                "label": "Model Version",
                "type": "string"
            },
            {
                "value": "roleName",
                "label": "Role Name",
                "type": "string"
            },
            {
                "value": "iteration",
                "label": "Iteration",
                "type": "string"
            },
            {
                "value": "iterationId",
                "label": "Iteration ID",
                "type": "string"
            },
            {
                "value": "hostTaskName",
                "label": "Host Task Name",
                "type": "string"
            },
            {
                "value": "hostTaskType",
                "label": "Host Task Type",
                "type": "string"
            },
            {
                "value": "interruptsMainFlow",
                "label": "Interrupt Main Flow",
                "type": "string"
            }
        ],
        "defaultAttributes": [
            "eventId",
            "messageId",
            "creationTime",
            "severity",
            "principalId",
            "managedObjectName",
            "applicationActivityName"
        ]
    }
]
    const auditListManagedObject = document.getElementById('audit-list-managed-comp');
    auditListManagedObject.managedObjectType = 'WORK_ITEM';
    auditListManagedObject.managedObjectId = 602;
    auditListManagedObject.tableAttributesJSON = tableAttributes;
    auditListManagedObject.backBtnLabel = 'Back to Work items';
</script>
```
[component-metadata:bpme-audit-list-managed-objects]
