# bpme case action form

[component-header:bpme-case-action-form]

A component for displaying `bpme-case-action-form`. TIBCO FORM is not shown in mock.

```html preview
       <bpme-case-action-form></bpme-case-action-form>

    
<script>
    const casesActionForm = document.querySelector('bpme-case-action-form');
    let selectedCase = {
        "caseReference": "39-com.example.samplebdsproject1.Order-1-2",
        "casedata": {
            "date": "2024-09-03",
            "name": "Test_Parcel",
            "text": "Test_text",
            "address": {
                "customer": {}
            },
            "orderID": "23",
            "product": "Amazon",
            "quantity": 23,
            "orderState": "PICKED"
        }
    }
    let caseActionConfig = {
      "moduleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
      "processName": "createcase",
      "moduleVersion": "1.7.0.20240219061831280",
      "caseRef": "39-com.example.samplebdsproject1.Order-1-2",
      "formalParameterName":"caseRefType",
    };
    casesActionForm.details = caseActionConfig;
    casesActionForm.addEventListener('bpme-case-action-form-cancel', event => {
        
        let processName = event.detail.data.processName;
        this.successMessage = processName + " cancelled successfully.";
        function showToastMessage(toastContent, messageType) {
            const alert = Object.assign(document.createElement('twc-alert'), {
            variant: messageType,
            closable: false,
            duration: "3000",
            innerHTML: `
            <twc-icon slot="icon" name="icon_base_error-enclosed"></twc-icon>
                ${toastContent}
            `
            });
            document.body.append(alert);
            alert.toast();
        }
        showToastMessage(this.successMessage, 'success');
        this.showCaseActionForm = false;
    });
    casesActionForm.addEventListener('bpme-case-action-form-submit', event => {
        
        let processName = event.detail.data.processName;
        this.successMessage = processName + " completed successfully."
        function showToastMessage(toastContent, messageType) {
            const alert = Object.assign(document.createElement('twc-alert'), {
            variant: messageType,
            closable: false,
            duration: "3000",
            innerHTML: `
            <twc-icon slot="icon" name="icon_base_error-enclosed"></twc-icon>
                ${toastContent}
            `
            });
            document.body.append(alert);
            alert.toast();
        }
        showToastMessage(this.successMessage, 'success');
        this.showCaseActionForm = false;
    });
    
</script>

```

[component-metadata:bpme-case-action-form]

