# bpme case details 

[component-header:bpme-case-details]

Case details is to manage and manipulate your case data. Case data is structured data that contains information about real-world entities or
business concepts that an organization needs to manipulate. For example, Customer,
Order, Orderline, Claim, or Policy.
Case data:
 - has a case state (for example, if it's an 'Order' case, then the case state might be:
Placed, Picked, Packed, Dispatched, or Delivered)
 - has data with case properties
 - can have case-relevant documents associated with it
 - can be referenced by a set of processes or work items that are responsible for
making state changes to it.
 - has its audit history, independent of any processes or work items that operate on it
 `bpme-case-details`.

```html preview
       <bpme-case-details></bpme-case-details>

    
<script>

    var detailsConfigProp = {
    "caseDetailsProperties": [
        {
            "name": "show-adhoc-tasks",
            "label": {
                "default": "Show adhoc tasks",
                "localeKey": "settings_adhoc_tasks"
            },
            "description": {
                "default": "Show an option to open list of adhoc tasks.",
                "localeKey": "settings_adhoc_tasks_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-details-refresh",
            "label": {
                "default": "Show case details refresh",
                "localeKey": "settings_case_details_refresh"
            },
            "description": {
                "default": "Show an option to refresh case details.",
                "localeKey": "settings_case_details_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-state-component",
            "label": {
                "default": "Show case state component",
                "localeKey": "settings_case_state_component"
            },
            "description": {
                "default": "Show case progress state component.",
                "localeKey": "settings_case_state_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-actions-component",
            "label": {
                "default": "Show case actions component",
                "localeKey": "settings_case_actions_component"
            },
            "description": {
                "default": "Show case actions component.",
                "localeKey": "settings_case_actions_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-data-component",
            "label": {
                "default": "Show case data component",
                "localeKey": "settings_case_data_component"
            },
            "description": {
                "default": "Show case data component.",
                "localeKey": "settings_case_data_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-work-items-component",
            "label": {
                "default": "Show case work items component",
                "localeKey": "settings_case_work_items_component"
            },
            "description": {
                "default": "Show widget to open sidebar with case work items component.",
                "localeKey": "settings_case_work_items_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-linked-cases-component",
            "label": {
                "default": "Show linked cases component",
                "localeKey": "settings_case_state_component"
            },
            "description": {
                "default": "Show widget to open sidebar with linked cases component.",
                "localeKey": "settings_linked_cases_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-document-component",
            "label": {
                "default": "Show case document component",
                "localeKey": "settings_case_document_component"
            },
            "description": {
                "default": "Show widget to open sidebar with case document component.",
                "localeKey": "settings_case_document_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-audit-component",
            "label": {
                "default": "Show case audit component",
                "localeKey": "settings_case_audit_component"
            },
            "description": {
                "default": "Show widget to open sidebar with case audit component.",
                "localeKey": "settings_case_audit_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ],
    "caseDocumentsProperties": [
        {
            "name": "show-case-documents-delete",
            "label": {
                "default": "Show case documents delete",
                "localeKey": "settings_case_documents_delete"
            },
            "description": {
                "default": "Show an option to delete case documents.",
                "localeKey": "settings_case_documents_delete_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-documents-download",
            "label": {
                "default": "Show case documents download",
                "localeKey": "settings_case_documents_download"
            },
            "description": {
                "default": "Show an option to download case documents.",
                "localeKey": "settings_case_documents_download_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ],
    "caseDocumentsViewerProperties": [
        {
            "name": "show-case-documents-description-container",
            "label": {
                "default": "Show case documents description container",
                "localeKey": "settings_case_documents_description_container"
            },
            "description": {
                "default": "Show an option to hide case documents description container.",
                "localeKey": "settings_case_documents_description_container_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ]
}
 var detailConfig = {
    "caseType": "com.example.samplebdsproject1.Order",
    "caseRef": "39-com.example.samplebdsproject1.Order-1-2"
}
    const casesDetails = document.querySelector('bpme-case-details');
    casesDetails.detailConfig = detailConfig;
    casesDetails.detailsConfigProp = detailsConfigProp;
</script>

```

[component-metadata:bpme-case-details]

