# bpme case documents viewer

[component-header:bpme-case-documents-viewer]

Case documents viewer provides a preview of uploaded documents of a case with relevant details viz. version , description etc.  `bpme-case-documents-viewer`.

```html preview
       <bpme-case-documents-viewer dummyURL></bpme-case-documents-viewer>

    
<script>

    const caseDocumentsViewer = document.querySelector('bpme-case-documents-viewer');
    var detailsConfigProp = {
    "caseDetailsProperties": [
        {
            "name": "show-adhoc-tasks",
            "label": {
                "default": "Show adhoc tasks",
                "localeKey": "settings_adhoc_tasks"
            },
            "description": {
                "default": "Show an option to open list of adhoc tasks.",
                "localeKey": "settings_adhoc_tasks_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-details-refresh",
            "label": {
                "default": "Show case details refresh",
                "localeKey": "settings_case_details_refresh"
            },
            "description": {
                "default": "Show an option to refresh case details.",
                "localeKey": "settings_case_details_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-state-component",
            "label": {
                "default": "Show case state component",
                "localeKey": "settings_case_state_component"
            },
            "description": {
                "default": "Show case progress state component.",
                "localeKey": "settings_case_state_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-actions-component",
            "label": {
                "default": "Show case actions component",
                "localeKey": "settings_case_actions_component"
            },
            "description": {
                "default": "Show case actions component.",
                "localeKey": "settings_case_actions_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-data-component",
            "label": {
                "default": "Show case data component",
                "localeKey": "settings_case_data_component"
            },
            "description": {
                "default": "Show case data component.",
                "localeKey": "settings_case_data_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-work-items-component",
            "label": {
                "default": "Show case work items component",
                "localeKey": "settings_case_work_items_component"
            },
            "description": {
                "default": "Show widget to open sidebar with case work items component.",
                "localeKey": "settings_case_work_items_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-linked-cases-component",
            "label": {
                "default": "Show linked cases component",
                "localeKey": "settings_case_state_component"
            },
            "description": {
                "default": "Show widget to open sidebar with linked cases component.",
                "localeKey": "settings_linked_cases_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-document-component",
            "label": {
                "default": "Show case document component",
                "localeKey": "settings_case_document_component"
            },
            "description": {
                "default": "Show widget to open sidebar with case document component.",
                "localeKey": "settings_case_document_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-audit-component",
            "label": {
                "default": "Show case audit component",
                "localeKey": "settings_case_audit_component"
            },
            "description": {
                "default": "Show widget to open sidebar with case audit component.",
                "localeKey": "settings_case_audit_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ],
    "caseDocumentsProperties": [
        {
            "name": "show-case-documents-delete",
            "label": {
                "default": "Show case documents delete",
                "localeKey": "settings_case_documents_delete"
            },
            "description": {
                "default": "Show an option to delete case documents.",
                "localeKey": "settings_case_documents_delete_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-documents-download",
            "label": {
                "default": "Show case documents download",
                "localeKey": "settings_case_documents_download"
            },
            "description": {
                "default": "Show an option to download case documents.",
                "localeKey": "settings_case_documents_download_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ],
    "caseDocumentsViewerProperties": [
        {
            "name": "show-case-documents-description-container",
            "label": {
                "default": "Show case documents description container",
                "localeKey": "settings_case_documents_description_container"
            },
            "description": {
                "default": "Show an option to hide case documents description container.",
                "localeKey": "settings_case_documents_description_container_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ]
}
        var selectedDocument = {
    "id": "29281",
    "name": "Screenshot 2024-06-11 163419.png",
    "artifactVersion": "1",
    "author": "tibco-admin",
    "creationDate": "2024-09-04T05:08:28.824+0000",
    "lastModifiedDate": "2024-09-04T05:08:28.824+0000",
    "lastModifiedBy": "tibco-admin",
    "artifactRef": "2601:Screenshot 2024-06-11 163419.png:1",
    "artifactCheckSum": "-1",
    "ownerApp": "2601",
    "size": "7383",
    "mimeType": "image/png",
    "description": "",
    "userLabel": "tibco-admin"
}
var selectedCase = {
    "caseReference": "24-com.example.productdqlbds.ProductDQL-2-0",
    "casedata": {
        "ID": 9,
        "COD": true,
        "name": "akash",
        "time": "10:22:47",
        "datetime": "2024-09-04T04:52:45.000Z",
        "caseState": "ORDER",
        "condition": "NEW",
        "orderedDate": "2024-09-18",
        "caseIdentifier": "1",
        "productadditionalinfo": {
            "notes": "asdfg",
            "custDate": "2024-09-12",
            "custTime": "10:22:19",
            "custDTime": "2024-09-09T04:52:15.000Z",
            "custAddress": [
                {
                    "pincode": 411,
                    "firstLine": "qqq",
                    "secondLine": "asdf"
                }
            ],
            "custContact": 9876543
        }
    }
}
    caseDocumentsViewer.detailsConfigProp = detailsConfigProp;  
    caseDocumentsViewer.selectedCase = selectedCase;
    caseDocumentsViewer.selectedDocument = selectedDocument;
    caseDocumentsViewer.dialogOpened = true;
</script>

```

[component-metadata:bpme-case-documents-viewer]

