# bpme case documents 

[component-header:bpme-case-documents]

Case Documents that are relevant to a case can be uploaded and attached to a case for future
reference. The documents are stored in an internal content repository.
When a case object is created in TIBCO BPM Enterprise, a case folder is automatically
created for the case, to which case documents can be uploaded.  `bpme-case-documents`.

```html preview
    <bpme-case-documents></bpme-case-documents>
    
<script>
//   const dialog = document.querySelector('.alert-dialog-overview');
//   const openButton = dialog.nextElementSibling;
//   const closeButton = dialog.querySelector('twc-button[slot="cancel"]');
//   const confirmButton = dialog.querySelector('twc-button[slot="confirm"]');

//   openButton.addEventListener('click', () => dialog.show());
//   closeButton.addEventListener('click', () => dialog.hide());
//   confirmButton.addEventListener('click', () => dialog.hide());
let selectedCase = {
    "caseReference": "39-com.example.samplebdsproject1.Order-1-2",
    "casedata": {
        "date": "2024-09-03",
        "name": "Test_Parcel",
        "text": "Test_text",
        "address": {
            "customer": {}
        },
        "orderID": "23",
        "product": "Amazon",
        "quantity": 23,
        "orderState": "PICKED"
    }
}

    const cases = document.querySelector('bpme-case-documents');
    cases.selectedCase = selectedCase;
    cases.type = type;
</script>
```

## Examples

### First Example

Loading Documents

```html preview
    <bpme-case-documents></bpme-case-documents>

    <script>
        var detailsConfigProp = {
    "caseDetailsProperties": [
        {
            "name": "show-adhoc-tasks",
            "label": {
                "default": "Show adhoc tasks",
                "localeKey": "settings_adhoc_tasks"
            },
            "description": {
                "default": "Show an option to open list of adhoc tasks.",
                "localeKey": "settings_adhoc_tasks_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-details-refresh",
            "label": {
                "default": "Show case details refresh",
                "localeKey": "settings_case_details_refresh"
            },
            "description": {
                "default": "Show an option to refresh case details.",
                "localeKey": "settings_case_details_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-state-component",
            "label": {
                "default": "Show case state component",
                "localeKey": "settings_case_state_component"
            },
            "description": {
                "default": "Show case progress state component.",
                "localeKey": "settings_case_state_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-actions-component",
            "label": {
                "default": "Show case actions component",
                "localeKey": "settings_case_actions_component"
            },
            "description": {
                "default": "Show case actions component.",
                "localeKey": "settings_case_actions_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-data-component",
            "label": {
                "default": "Show case data component",
                "localeKey": "settings_case_data_component"
            },
            "description": {
                "default": "Show case data component.",
                "localeKey": "settings_case_data_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-work-items-component",
            "label": {
                "default": "Show case work items component",
                "localeKey": "settings_case_work_items_component"
            },
            "description": {
                "default": "Show widget to open sidebar with case work items component.",
                "localeKey": "settings_case_work_items_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-linked-cases-component",
            "label": {
                "default": "Show linked cases component",
                "localeKey": "settings_case_state_component"
            },
            "description": {
                "default": "Show widget to open sidebar with linked cases component.",
                "localeKey": "settings_linked_cases_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-document-component",
            "label": {
                "default": "Show case document component",
                "localeKey": "settings_case_document_component"
            },
            "description": {
                "default": "Show widget to open sidebar with case document component.",
                "localeKey": "settings_case_document_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-audit-component",
            "label": {
                "default": "Show case audit component",
                "localeKey": "settings_case_audit_component"
            },
            "description": {
                "default": "Show widget to open sidebar with case audit component.",
                "localeKey": "settings_case_audit_component"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ],
    "caseDocumentsProperties": [
        {
            "name": "show-case-documents-delete",
            "label": {
                "default": "Show case documents delete",
                "localeKey": "settings_case_documents_delete"
            },
            "description": {
                "default": "Show an option to delete case documents.",
                "localeKey": "settings_case_documents_delete_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        },
        {
            "name": "show-case-documents-download",
            "label": {
                "default": "Show case documents download",
                "localeKey": "settings_case_documents_download"
            },
            "description": {
                "default": "Show an option to download case documents.",
                "localeKey": "settings_case_documents_download_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ],
    "caseDocumentsViewerProperties": [
        {
            "name": "show-case-documents-description-container",
            "label": {
                "default": "Show case documents description container",
                "localeKey": "settings_case_documents_description_container"
            },
            "description": {
                "default": "Show an option to hide case documents description container.",
                "localeKey": "settings_case_documents_description_container_description"
            },
            "type": "boolean",
            "value": true,
            "defaultValue": true
        }
    ]
}

    const cases = document.querySelector('bpme-case-documents');
    cases.detailsConfigProp = detailsConfigProp;  
        
    </script>

```
[component-metadata:bpme-case-documents]

