# bpme case linked cases

[component-header:bpme-case-linked-cases]

Linked cases lets you view the cases of case types that are linked. For example, for a customer, you can
view all orders for that customer. Cases are linked at design-time in TIBCO Business Studio
- BPM Edition. You must be logged in as a user that has the readCases system action assigned to view the
linked cases. `bpme-case-linked-cases`.

```html preview
       <bpme-case-linked-cases></bpme-case-linked-cases>

    
<script>
    let selectedCase = {
    "caseReference": "39-com.example.samplebdsproject1.Order-1-2",
    "casedata": {
        "date": "2024-09-03",
        "name": "Test_Parcel",
        "text": "Test_text",
        "address": {
            "customer": {}
        },
        "orderID": "23",
        "product": "Amazon",
        "quantity": 23,
        "orderState": "PICKED"
    }
}
    let selectedType = {
    "name": "Order",
    "label": "Order",
    "isCase": true,
    "namespace": "com.example.samplebdsproject1",
    "applicationId": "com.example.samplebdsproject1",
    "applicationMajorVersion": 1,
    "attributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "name",
            "label": "Name",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "quantity",
            "label": "Quantity",
            "type": "Number",
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "product",
            "label": "Product",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "text",
            "label": "Text",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "date",
            "label": "Date",
            "type": "Date",
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "dateTime",
            "label": "DateTime",
            "type": "DateTimeTZ",
            "isSearchable": true
        },
        {
            "name": "boolean1",
            "label": "Boolean",
            "type": "Boolean"
        },
        {
            "name": "number",
            "label": "Number",
            "type": "Number",
            "isSearchable": true
        },
        {
            "name": "time",
            "label": "Time",
            "type": "Time",
            "isSearchable": true
        },
        {
            "name": "attribute7",
            "label": "attribute7",
            "type": "URI"
        },
        {
            "name": "attribute8",
            "label": "attribute8",
            "type": "Number",
            "isSearchable": true
        },
        {
            "name": "attribute9",
            "label": "attribute9",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute10",
            "label": "attribute10",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute11",
            "label": "attribute11",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute12",
            "label": "attribute12",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute13",
            "label": "attribute13",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute14",
            "label": "attribute14",
            "type": "Text",
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "address",
            "label": "Address",
            "type": "Address",
            "isStructuredType": true,
            "isMandatory": true
        }
    ],
    "summaryAttributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "name",
            "label": "Name",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "quantity",
            "label": "Quantity",
            "type": "Number",
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "product",
            "label": "Product",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "text",
            "label": "Text",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "date",
            "label": "Date",
            "type": "Date",
            "isSearchable": true,
            "isSummary": true
        }
    ],
    "states": [
        {
            "label": "Picked",
            "value": "PICKED"
        },
        {
            "label": "Packed",
            "value": "PACKED"
        },
        {
            "label": "Delivered",
            "value": "DELIVERED",
            "isTerminal": true
        }
    ],
    "links": [
        {
            "name": "additionalOrder",
            "label": "AdditionalOrder",
            "type": "AdditionalOrder"
        }
    ]
}
    const casesLinked = document.querySelector('bpme-case-linked-cases');
    casesLinked.selectedCase = selectedCase;
    casesLinked.type = selectedType;
</script>

```

[component-metadata:bpme-case-linked-cases]

