# bpme case states

[component-header:bpme-case-states]

A selected case may have these defined states e.g. Reported, Reviewed, Submitted, and Completed.

Case states are defined when creating your case data model in TIBCO Business Studio - BPM Edition . `bpme-case-state`.

```html preview
       <bpme-case-states></bpme-case-states>

    
<script>
   let selectedCase = {
    "caseReference": "39-com.example.samplebdsproject1.Order-1-2",
    "casedata": {
        "date": "2024-09-03",
        "name": "Test_Parcel",
        "text": "Test_text",
        "address": {
            "customer": {}
        },
        "orderID": "23",
        "product": "Amazon",
        "quantity": 23,
        "orderState": "PICKED"
    }
}
    let selectedType = {
    "name": "Order",
    "label": "Order",
    "isCase": true,
    "namespace": "com.example.samplebdsproject1",
    "applicationId": "com.example.samplebdsproject1",
    "applicationMajorVersion": 1,
    "attributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "name",
            "label": "Name",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "quantity",
            "label": "Quantity",
            "type": "Number",
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "product",
            "label": "Product",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "text",
            "label": "Text",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "date",
            "label": "Date",
            "type": "Date",
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "dateTime",
            "label": "DateTime",
            "type": "DateTimeTZ",
            "isSearchable": true
        },
        {
            "name": "boolean1",
            "label": "Boolean",
            "type": "Boolean"
        },
        {
            "name": "number",
            "label": "Number",
            "type": "Number",
            "isSearchable": true
        },
        {
            "name": "time",
            "label": "Time",
            "type": "Time",
            "isSearchable": true
        },
        {
            "name": "attribute7",
            "label": "attribute7",
            "type": "URI"
        },
        {
            "name": "attribute8",
            "label": "attribute8",
            "type": "Number",
            "isSearchable": true
        },
        {
            "name": "attribute9",
            "label": "attribute9",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute10",
            "label": "attribute10",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute11",
            "label": "attribute11",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute12",
            "label": "attribute12",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute13",
            "label": "attribute13",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute14",
            "label": "attribute14",
            "type": "Text",
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "address",
            "label": "Address",
            "type": "Address",
            "isStructuredType": true,
            "isMandatory": true
        }
    ],
    "summaryAttributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "name",
            "label": "Name",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "quantity",
            "label": "Quantity",
            "type": "Number",
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "product",
            "label": "Product",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "text",
            "label": "Text",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "date",
            "label": "Date",
            "type": "Date",
            "isSearchable": true,
            "isSummary": true
        }
    ],
    "states": [
        {
            "label": "Picked",
            "value": "PICKED"
        },
        {
            "label": "Packed",
            "value": "PACKED"
        },
        {
            "label": "Delivered",
            "value": "DELIVERED",
            "isTerminal": true
        }
    ],
    "links": [
        {
            "name": "additionalOrder",
            "label": "AdditionalOrder",
            "type": "AdditionalOrder"
        }
    ]
}
    const caseStates = document.querySelector('bpme-case-states');
    caseStates.states = selectedType.states;
    caseStates.casedata = selectedCase.casedata;
    caseStates.stateAttribute = {};
    caseStates.caseReference = selectedCase.caseReference;
</script>

```

[component-metadata:bpme-case-states]

