# bpme-case-work-items

[component-header:bpme-case-work-items]

You can select a case in the Case Manager and view the work items that are using that case
data. You can view information about the work item such as its name, description, ID,
priority, and so on. You can also perform some actions on the work item. For example, you
can open the work item and submit it, or allocate the work item to another resource. You must be logged in as a user that has privileges with the correct system action assigned
to view the work lists. `bpme-case-work-items`.

```html preview
    <bpme-case-work-items></bpme-case-work-items>
<script>
var selectedCase = {
    "caseReference": "25-com.example.samplebdsproject1.Order-1-0",
    "casedata": {
        "name": "Siva",
        "orderID": "1245",
        "product": "Phone",
        "quantity": 12457,
        "orderState": "PICKED"
    }
}
var type =  {
    "name": "Order",
    "label": "Order",
    "isCase": true,
    "namespace": "com.example.samplebdsproject1",
    "applicationId": "com.example.samplebdsproject1",
    "applicationMajorVersion": 1,
    "attributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "name",
            "label": "Name",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "quantity",
            "label": "Quantity",
            "type": "Number"
        },
        {
            "name": "product",
            "label": "Product",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        }
    ],
    "summaryAttributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        }
    ],
    "states": [
        {
            "label": "Picked",
            "value": "PICKED"
        },
        {
            "label": "Packed",
            "value": "PACKED"
        },
        {
            "label": "Delievred",
            "value": "DELIEVRED",
            "isTerminal": true
        }
    ],
    "links": [
        {
            "name": "additionalOrder",
            "label": "AdditionalOrder",
            "type": "AdditionalOrder"
        }
    ]
}
var states = [
        {
            "label": "Picked",
            "value": "PICKED"
        },
        {
            "label": "Packed",
            "value": "PACKED"
        },
        {
            "label": "Delievred",
            "value": "DELIEVRED",
            "isTerminal": true
        }
    ]
    console.warn('states in md file', states)
    const caseStates = document.querySelector('bpme-case-work-items');
    caseStates.caseref = selectedCase.caseReference;
    caseStates.states = states;
    caseStates.casedata= selectedCase.casedata;
</script>
```

[component-metadata:bpme-case-work-items]

