# bpme cases

[component-header:bpme-cases]

A component for displaying list of cases of a selected case type. Only the cases in the Non-terminal state are displayed. `bpme-cases`.


```html preview
    <bpme-cases ></bpme-cases>
    
<script>
    const cases = document.querySelector('bpme-cases');
    let selectedType = {
    "name": "Order",
    "label": "Order",
    "isCase": true,
    "namespace": "com.example.samplebdsproject1",
    "applicationId": "com.example.samplebdsproject1",
    "applicationMajorVersion": 1,
    "attributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "name",
            "label": "Name",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "quantity",
            "label": "Quantity",
            "type": "Number",
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "product",
            "label": "Product",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "text",
            "label": "Text",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "date",
            "label": "Date",
            "type": "Date",
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "dateTime",
            "label": "DateTime",
            "type": "DateTimeTZ",
            "isSearchable": true
        },
        {
            "name": "boolean1",
            "label": "Boolean",
            "type": "Boolean"
        },
        {
            "name": "number",
            "label": "Number",
            "type": "Number",
            "isSearchable": true
        },
        {
            "name": "time",
            "label": "Time",
            "type": "Time",
            "isSearchable": true
        },
        {
            "name": "attribute7",
            "label": "attribute7",
            "type": "URI"
        },
        {
            "name": "attribute8",
            "label": "attribute8",
            "type": "Number",
            "isSearchable": true
        },
        {
            "name": "attribute9",
            "label": "attribute9",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute10",
            "label": "attribute10",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute11",
            "label": "attribute11",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute12",
            "label": "attribute12",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute13",
            "label": "attribute13",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "attribute14",
            "label": "attribute14",
            "type": "Text",
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "address",
            "label": "Address",
            "type": "Address",
            "isStructuredType": true,
            "isMandatory": true
        }
    ],
    "summaryAttributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "name",
            "label": "Name",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "quantity",
            "label": "Quantity",
            "type": "Number",
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "product",
            "label": "Product",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "text",
            "label": "Text",
            "type": "Text",
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "date",
            "label": "Date",
            "type": "Date",
            "isSearchable": true,
            "isSummary": true
        }
    ],
    "states": [
        {
            "label": "Picked",
            "value": "PICKED"
        },
        {
            "label": "Packed",
            "value": "PACKED"
        },
        {
            "label": "Delivered",
            "value": "DELIVERED",
            "isTerminal": true
        }
    ],
    "links": [
        {
            "name": "additionalOrder",
            "label": "AdditionalOrder",
            "type": "AdditionalOrder"
        }
    ],
    "checked": false
}

    let casesConfig = {
        'top': 100
    };
    cases.type = selectedType;
    cases.config = casesConfig;
//   const openButton = dialog.nextElementSibling;
//   const closeButton = dialog.querySelector('twc-button[slot="cancel"]');
//   const confirmButton = dialog.querySelector('twc-button[slot="confirm"]');

//   openButton.addEventListener('click', () => dialog.show());
//   closeButton.addEventListener('click', () => dialog.hide());
//   confirmButton.addEventListener('click', () => dialog.hide());
</script>
```

[component-metadata:bpme-cases]

