# bpme filter 

[component-header:bpme-filter]

A component for displaying `bpme-filter`.

```html preview
<bpme-filter id="filter-comp"></bpme-filter>
<script>
const savedList = [
    {
        "id": "11",
        "name": "work item completed filter",
        "scope": "ev-WORK_ITEM",
        "type": "PRIVATE",
        "value": "[{\"id\":\"CURRENT_STATE\",\"value\":{\"label\":\"COMPLETED\",\"value\":\"'COMPLETED'\"}}]",
        "owner": "tibco-admin",
        "creationDate": "2024-10-23T00:45:38.148+0000",
        "lastModifiedDate": "2024-10-23T00:45:38.148+0000",
        "lastModifiedBy": "tibco-admin"
    },
    {
        "id": "10",
        "name": "work item offered filter",
        "scope": "ev-WORK_ITEM",
        "type": "PRIVATE",
        "value": "[{\"id\":\"CURRENT_STATE\",\"value\":{\"label\":\"OFFERED\",\"value\":\"'OFFERED'\"}}]",
        "owner": "tibco-admin",
        "creationDate": "2024-10-23T00:44:53.519+0000",
        "lastModifiedDate": "2024-10-23T00:44:53.519+0000",
        "lastModifiedBy": "tibco-admin"
    },
    {
        "id": "9",
        "name": "work-item-filter",
        "scope": "ev-WORK_ITEM",
        "type": "PRIVATE",
        "value": "[]",
        "owner": "tibco-admin",
        "creationDate": "2024-10-23T00:44:26.709+0000",
        "lastModifiedDate": "2024-10-23T00:44:26.709+0000",
        "lastModifiedBy": "tibco-admin"
    }
]
const filterCols = {
    "id": "WORK_ITEM",
    "name": "Work Items",
    "desc": "Work item activities maintained by the system",
    "defaultFilter": "",
    "links": [
        {
            "id": "WI_PROCESS",
            "label": "Related workitems",
            "toRemove": "YES",
            "tooltip": "Display all the workitems for the related process instance this workitem belongs to"
        },
        {
            "id": "WI_CASE",
            "label": "Related cases",
            "toRemove": "NO",
            "tooltip": "Related cases"
        }
    ],
    "orderBy": [
        "firstOfferTime",
        "workItemId"
    ],
    "filter": [
        {
            "id": "COMPLETION_DATETIME",
            "options": [
                {
                    "label": "",
                    "value": ""
                },
                {
                    "label": "",
                    "value": ""
                },
                {
                    "label": "",
                    "value": ""
                }
            ],
            "desc": "Completion Date",
            "selected": "",
            "type": "date",
            "filterString": "completionTime le"
        },
        {
            "id": "SCHEDULE_DATETIME",
            "options": [
                {
                    "label": "",
                    "value": ""
                },
                {
                    "label": "",
                    "value": ""
                },
                {
                    "label": "",
                    "value": ""
                }
            ],
            "desc": "Scheduling Date",
            "selected": "",
            "type": "date",
            "filterString": "scheduleStart le"
        },
        {
            "id": "CURRENT_STATE",
            "options": [
                {
                    "label": "Opened",
                    "value": "OPENED"
                },
                {
                    "label": "Created",
                    "value": "CREATED"
                },
                {
                    "label": "Offered",
                    "value": "OFFERED"
                },
                {
                    "label": "Allocated",
                    "value": "ALLOCATED"
                },
                {
                    "label": "Pended",
                    "value": "PENDED"
                },
                {
                    "label": "Pendhidden",
                    "value": "PENDHIDDEN"
                },
                {
                    "label": "Suspended",
                    "value": "SUSPENDED"
                },
                {
                    "label": "Cancelled",
                    "value": "CANCELLED"
                },
                {
                    "label": "Completed",
                    "value": "COMPLETED"
                },
                {
                    "label": "Failed",
                    "value": "FAILED"
                }
            ],
            "desc": "State",
            "selected": "",
            "type": "string",
            "filterString": "status eq"
        }
    ],
    "filterData": "",
    "isObject": "true"
}
    const managedObjectId = "WORK_ITEM"
    const filters = document.getElementById('filter-comp');
    filters.filterColumns = filterCols;
    filters.managedObjectId = managedObjectId;
    filters.applyBtnLabel = "Apply filters";
    filters.saveBtnLabel = "Save filters";
    filters.resetBtnLabel = "Cancel";
    filters.savedFiltersList = savedList;
    filters.editFilterData = undefined;
    filters.selectedId = 0;
    filters.headerTitle = "All Work items";
    filters.filterHeaderName = "Work items";
    filters.filterHeaderLabel = "Filters";
    filters.enableFilterClose = false;
</script>
```
[component-metadata:bpme-filter]
