# bpme linked cases 

[component-header:bpme-case-linked-cases]

Linked cases lets you view the cases of case types that are linked. For example, for a customer, you can
view all orders for that customer. Cases are linked at design-time in TIBCO Business Studio
- BPM Edition. You must be logged in as a user that has the readCases system action assigned to view the
linked cases. `bpme-case-linked-cases`.

```html preview
    <bpme-case-linked-cases></bpme-case-linked-cases>
    
<script>
var selectedCase = {
    "caseReference": "25-com.example.samplebdsproject1.Order-1-0",
    "casedata": {
        "name": "Siva",
        "orderID": "1245",
        "product": "Phone",
        "quantity": 12457,
        "orderState": "PICKED"
    }
}
var type =  {
    "name": "Order",
    "label": "Order",
    "isCase": true,
    "namespace": "com.example.samplebdsproject1",
    "applicationId": "com.example.samplebdsproject1",
    "applicationMajorVersion": 1,
    "attributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        },
        {
            "name": "name",
            "label": "Name",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "quantity",
            "label": "Quantity",
            "type": "Number"
        },
        {
            "name": "product",
            "label": "Product",
            "type": "Text",
            "isSearchable": true,
            "constraints": {
                "length": 50
            }
        }
    ],
    "summaryAttributes": [
        {
            "name": "orderID",
            "label": "OrderID",
            "type": "Text",
            "isIdentifier": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true,
            "constraints": {
                "length": 50
            }
        },
        {
            "name": "orderState",
            "label": "OrderState",
            "type": "Text",
            "isState": true,
            "isMandatory": true,
            "isSearchable": true,
            "isSummary": true
        }
    ],
    "states": [
        {
            "label": "Picked",
            "value": "PICKED"
        },
        {
            "label": "Packed",
            "value": "PACKED"
        },
        {
            "label": "Delievred",
            "value": "DELIEVRED",
            "isTerminal": true
        }
    ],
    "links": [
        {
            "name": "additionalOrder",
            "label": "AdditionalOrder",
            "type": "AdditionalOrder"
        }
    ]
}
    const linkedCases = document.querySelector('bpme-case-linked-cases');
    linkedCases.selectedCase = selectedCase;
    linkedCases.type = type;
</script>
```

[component-metadata:bpme-case-linked-cases]

