# bpme-process-instance

[component-header:bpme-process-instance]

A component for displaying `bpme-process-instance`.

```html preview
<bpme-process-instance></bpme-process-instance>

<script>
  instanceConfig = [
    {
      name: "show-find-instance",
      type: "boolean",
      description: "some description about the property",
      value: true,
      defaultValue: true,
    },
  ];

  const options = {
    detail: {
      applicationId: "203",
      packageId: "272",
      packageName: "productDQL",
      packageVersion: "1.4.0.20240827124516485",
      processes: [
        {
          processId: "357",
          processName: "productDQLProcess",
          processInfo: {
            creationDate: "2024-09-04T04:51:47.449Z",
            processType: "BUSINESS",
          },
        },
      ],
      startable: true,
      startableState: "ACTIVE",
      processClicked: "productDQLProcess",
    },
  };
  const processTemplates = document.querySelector("bpme-process-instance");
  processTemplates.config = instanceConfig;
  const event = new CustomEvent("bpme-process-template-instance", {
    bubbles: true,
    cancelable: false,
    composed: true,
    detail: {},
    ...options,
  });
  processTemplates.dispatchEvent(event);
</script>
```

[component-metadata:bpme-process-instance]
