# bpme-work-items

[component-header:bpme-work-items]

A work item relates to a task in a case. Depending on your work item, you might need to
open the work item and enter data on a form, forward the work item to another user or
group, save it so you can work on it later, or complete the work item so that you can move
the case on to the next task. `bpme-work-items`.


```html preview
<bpme-system-actions id="systemactions">
    <bpme-work-items id="workitems"></bpme-work-items>
</bpme-system-actions>    
<script>
    const configData = [
              {
                "name": "show-auto-refresh",
                "label": "Show auto refresh",
                "description": "some description about the property",
                "type": "boolean",
                "value": false,
                "defaultValue": true
              },
              {
                "name": "show-allocate-to-self",
                "label": "Show allocate to self",
                "type": "boolean",
                "description": "some description about the property",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-pend",
                "label": "Show pend",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-auto-repeat",
                "label": "Show auto repeat",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-filter",
                "label": "Show filter",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-sort",
                "label": "Show sort",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-refresh",
                "label": "Show refresh",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-cancel",
                "label": "Show cancel",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-reallocate-to-world",
                "label": "Show reallocate to world",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-reoffer",
                "label": "Show reoffer",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-adhoc-tasks",
                "label": "Show adhoc tasks",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-skip",
                "label": "Show skip",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-work-list-actions",
                "label": "Show work list actions",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-work-item-actions",
                "label": "Show work item actions",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-work-list-table-actions-column",
                "label": "Show work list table actions column",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-work-list-table-open-action-button",
                "label": "Show work list table open action button",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-work-list-table-menu-action-ellipsis",
                "label": "Show work list table menu action ellipsis",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-priority",
                "label": "Show priority",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              },
              {
                "name": "show-open-next",
                "label": "Show open next",
                "description": "some description about the property",
                "type": "boolean",
                "value": true,
                "defaultValue": true
              }
            ]    
    const workItemsComp = document.getElementById('workitems');
    workItemsComp.config = configData;
</script>
```

[component-metadata:bpme-work-items]

