# bpme-work-views

[component-header:bpme-work-views]

Work views can be either public or private. Private work views can only be viewed by you
or others you specify. Public work views can be viewed by every TIBCO BPM Enterprise
user.
You must also have the View Work List system action to view a public work view.
However, you cannot edit a work view unless you are the owner or an author of the work
view.
You can select the types of work view you want to display.
From the Work views dropdown list, select one of the following views:
- Public work views - To view public work views. 
Note: To view a public work view, the View Work List system action must
be assigned you.
- Editable work views - To view work views that you are an author or owner of. 
- My work views - To view work views from your work item list.
 `bpme-work-views`.


```html preview
    <bpme-work-views ></bpme-work-views>
    
<script>
    const workViews = document.querySelector('bpme-work-views');
    let configData = [
    {
        "name": "show-work-view-types",
        "label": "Show work view types",
        "description": "some description about the property",
        "type": "boolean",
        "value": true,
        "defaultValue": true
    },
    {
        "name": "show-edit-work-view",
        "label": "Show Edit work view",
        "description": "some description about the property",
        "type": "boolean",
        "value": true,
        "defaultValue": true
    },
    {
        "name": "show-delete-work-view",
        "label": "Show Delete work view",
        "description": "some description about the property",
        "type": "boolean",
        "value": true,
        "defaultValue": true
    },
    {
        "name": "show-work-view-filter",
        "label": "Show work view filter",
        "description": "some description about the property",
        "type": "boolean",
        "value": true,
        "defaultValue": true
    },
    {
        "name": "show-create-view",
        "label": "Show create view",
        "description": "some description about the property",
        "type": "boolean",
        "value": true,
        "defaultValue": true
    }
]
    workViews.config = configData;
</script>
```

[component-metadata:bpme-work-views]

