/**
 * $Id$ Date: $Date$ Copyright (c) 2009-2016. TIBCO Software Inc. All Rights Reserved. Confidential & Proprietary.
 */

/**
 * Sync(with mockup) Info
 *      2010-11-19   43998
 *      2010-11-22   44000
 */

if (com == null) {var com = new Object();}
if (com.tibco == null) {com.tibco = new Object();}
if (com.tibco.forms == null) { com.tibco.forms = new Object();}
com.tibco.forms.mobile = new Object();

/**
 * This should be called after the form is initially loaded. This method will invoke any
 * framework-specific initialization needed. 
 */
com.tibco.forms.mobile.initializeForm = function() {
    window.iui.showPage(window.iui.getSelectedPage());   
};

com.tibco.forms.mobile.mode = new Array();
com.tibco.forms.mobile.mode.push("root");

com.tibco.forms.mobile.select_record = function(panelId) {
    window.iui.showPageById(panelId);
};

com.tibco.forms.mobile.showImage = function(imageId) {
    com.tibco.forms.mobile.pushMode("image");
    window.iui.showPageById(imageId);	
}

com.tibco.forms.mobile.showDurationEditor = function(paneId) {
    com.tibco.forms.mobile.pushMode("duration-editor");
    window.iui.showPageById(paneId);
};

com.tibco.forms.mobile.showPane = function(paneId) {
    com.tibco.forms.mobile.pushMode("nested-pane");
    window.iui.showPageById(paneId);
};

com.tibco.forms.mobile.showTextArea = function(controlId) {
    com.tibco.forms.mobile.pushMode("textarea");
    window.iui.showPageById(controlId);
};

com.tibco.forms.mobile.showOptionListMultiSelect = function(controlId) {
    com.tibco.forms.mobile.pushMode("optionlist-multi-select");
    window.iui.showPageById(controlId);
};

com.tibco.forms.mobile.toggleSelection = function(element) {
    com.tibco.forms.mobile.toggleCSSClass(element, "selected");
};

com.tibco.forms.mobile.showValuePicker = function(controlId, choices) {
    var currentValue = document.getElementById(controlId).innerHTML;
    SpinningWheel.addSlot(choices, 'right', currentValue);
    SpinningWheel.targetId = controlId;
    SpinningWheel.setCancelAction(com.tibco.forms.mobile.cancelPick);
    SpinningWheel.setDoneAction(com.tibco.forms.mobile.handleValuePick);
    SpinningWheel.open();
};

com.tibco.forms.mobile.showDateTimePicker = function(pickerId) {
    window.iui.showPageById(pickerId);
}

/**
 * Shows the sw datePicker.
 * @param controlId id of element to show the formated date
 * @param valueId id of element that contains the value. (not used yet)
 * @return
 */
com.tibco.forms.mobile.showDatePicker = function(controlId, valueId) {
    var now = new Date();
    var days = { };
    var years = { };
    var months = { 1: 'Jan', 2: 'Feb', 3: 'Mar', 4: 'Apr', 5: 'May', 6: 'Jun', 7: 'Jul', 8: 'Aug', 9: 'Sep', 10: 'Oct', 11: 'Nov', 12: 'Dec' };
    
    for( var i = 1; i < 32; i++ ) {
        days[i] = i;
    }

    for( i = now.getFullYear()-20; i < now.getFullYear()+20; i++ ) {
        years[i] = i;
    }

    SpinningWheel.addSlot(months, '', 4);
    SpinningWheel.addSlot(days, 'right', 12);
    SpinningWheel.addSlot(years, 'right', now.getFullYear());
    SpinningWheel.targetId = controlId;

    SpinningWheel.setCancelAction(com.tibco.forms.mobile.cancelPick);
    SpinningWheel.setDoneAction(com.tibco.forms.mobile.handleDatePick);
    SpinningWheel.open();
};

/**
 * Shows the sw timePicker.
 * @param controlId id of element to show the formated time
 * @param valueId id of element that contains the value. (not used yet)
 * @return
 */
com.tibco.forms.mobile.showTimePicker = function(controlId, valueId) {
    var now = new Date();
    
    var hours = [1,2,3,4,5,6,7,8,9,10,11,12];
    var minutes = ["00", "05", "10", "15", "20", "25", "30", "35", "40", "45", "50", "55"];
    var ampm = ["AM", "PM"];

    SpinningWheel.addSlot(hours, '', 1);
    SpinningWheel.addSlot(minutes, 'right', "00");
    SpinningWheel.addSlot(ampm, 'right', "AM");
    SpinningWheel.targetId = controlId;

    SpinningWheel.setCancelAction(com.tibco.forms.mobile.cancelPick);
    SpinningWheel.setDoneAction(com.tibco.forms.mobile.handleTimePick);
    SpinningWheel.open();
};

/**
 * Shows the sw durationPicker.
 * @param controlId id of element to show the formated time
 * @param valueId id of element that contains the value. (not used yet)
 * @return
 */
com.tibco.forms.mobile.showDurationPicker = function(controlId, valueId) {
    var now = new Date();
    
    var values = [];
    var hours = [1,2,3,4,5,6,7,8,9,10,11,12];
    var units = ["Years", "Days", "Hours", "Minutes", "Seconds", "Milliseconds"];
    
    for( var i = 0; i <= 100; i++ ) {
        values[i] = i;
    }
    
    SpinningWheel.addSlot(values, '', 1);
    SpinningWheel.addSlot(units, 'right', "Minutes");
    SpinningWheel.targetId = controlId;

    SpinningWheel.setCancelAction(com.tibco.forms.mobile.cancelPick);
    SpinningWheel.setDoneAction(com.tibco.forms.mobile.handleDurationPick);
    SpinningWheel.open();
};

com.tibco.forms.mobile.handleDatePick = function() {
    var results = SpinningWheel.getSelectedValues();
    document.getElementById(SpinningWheel.targetId).innerHTML = results.values.join(' ');
};

com.tibco.forms.mobile.handleDurationPick = function() {
    var results = SpinningWheel.getSelectedValues();
    document.getElementById(SpinningWheel.targetId).innerHTML = results.values.join(' ');
};

com.tibco.forms.mobile.handleTimePick = function() {
    var results = SpinningWheel.getSelectedValues();
    document.getElementById(SpinningWheel.targetId).innerHTML = results.values[0] + ":" + results.values[1] + " " + results.values[2];
};

com.tibco.forms.mobile.handleValuePick = function() {
    var results = SpinningWheel.getSelectedValues();
    document.getElementById(SpinningWheel.targetId).innerHTML = results.values[0];
};
com.tibco.forms.mobile.cancelPick = function() {
    //nothing to do. Value remains
};

com.tibco.forms.mobile.toggleDeleteButton = function(target) {
    // alert('toggleDeleteButton');
    // alert('toggleDeleteButton: target.parentElement: ' + target.parentElement);
	if (com.tibco.forms.mobile.hasCSSClass(target.parentElement, "show-delete-button")) {
		com.tibco.forms.mobile.removeCSSClass(target.parentElement, "show-delete-button");
	} else {
		com.tibco.forms.mobile.addCSSClass(target.parentElement, "show-delete-button");
	}
	// var elapsed = new Date().getTime() - now;
};

// Methods that deal with enabling/disabling a list editor.
com.tibco.forms.mobile.showTextListEditor = function(listEditorId) {
    com.tibco.forms.mobile.showListEditor(listEditorId, "textlist");
}

com.tibco.forms.mobile.showDateListEditor = function(listEditorId) {
    com.tibco.forms.mobile.showListEditor(listEditorId, "datelist");
}

com.tibco.forms.mobile.showListEditor = function(listEditorId, listEditorType) {
    com.tibco.forms.mobile.pushMode(listEditorType);
    // MobileToolbar need to regsiter a handler for recieving backbutton click requests,
    // so we cannot override that. So instead store the list editor id and call cleanListEditor from MobileToolbar. 
    // document.getElementById("backButton").setAttribute("onclick", "com.tibco.forms.mobile.cleanListEditor('" + listEditorId + "')");
    document.getElementById("backButton").setAttribute("form_onclick", listEditorId);
    document.getElementById("add-list-item").setAttribute("style", "display:block;");
    window.iui.showPageById(listEditorId);
}

com.tibco.forms.mobile.cleanListEditor = function(listEditorId) {
    var earlierStyle = document.getElementById("add-list-item").getAttribute("style");
    // [2.2.0_V13] When the list widget shows edit widget, it makes the add button invisible
    // So when going back from there we need to make the the add button visible again
    if ("display:none;" == earlierStyle)
        document.getElementById("add-list-item").setAttribute("style", "display:block;");
    else {
        // See showListEditor for details on 'form_onclick', we now need to remove that attribute.
        // document.getElementById("backButton").removeAttribute("onclick");
        document.getElementById("backButton").removeAttribute("form_onclick");
        document.getElementById("add-list-item").setAttribute("style", "display:none;");
    }
}

//Methods that deal with traversing to/returning from a Record Pane.
com.tibco.forms.mobile.showRecordPane = function(recordPaneId) {
    com.tibco.forms.mobile.currentRecordIndex = 1;
    com.tibco.forms.mobile.currentRecordPaneId = recordPaneId;
    com.tibco.forms.mobile.udpateCurrentRecord();
//    com.tibco.forms.mobile.currentRecordPane = recordPaneId;

    com.tibco.forms.mobile.pushMode("record-pane");
    window.iui.showPageById(recordPaneId);

//    window.iui.showPageById(com.tibco.forms.mobile.getCurrentRecord());
}

com.tibco.forms.mobile.firstRecord = function() {
    com.tibco.forms.mobile.currentRecordIndex = 1;
    com.tibco.forms.mobile.udpateCurrentRecord();
}

com.tibco.forms.mobile.lastRecord = function() {
    com.tibco.forms.mobile.currentRecordIndex = 4;
    com.tibco.forms.mobile.udpateCurrentRecord();
}

com.tibco.forms.mobile.nextRecord = function() {
    com.tibco.forms.mobile.currentRecordIndex++;
    com.tibco.forms.mobile.udpateCurrentRecord();
}

com.tibco.forms.mobile.previousRecord = function() {
    com.tibco.forms.mobile.currentRecordIndex--;
    com.tibco.forms.mobile.udpateCurrentRecord();
}

com.tibco.forms.mobile.udpateCurrentRecord = function() {
//    var message = com.tibco.forms.mobile.currentRecordIndex + " of 4";
    var elem = document.getElementById(com.tibco.forms.mobile.currentRecordPaneId + "-current");
    if (elem != null)
        elem.innerHTML = com.tibco.forms.mobile.currentRecordIndex;
}

com.tibco.forms.mobile.getCurrentRecord = function() {
    var recordid = com.tibco.forms.mobile.currentRecordPane + "-" + com.tibco.forms.mobile.currentRecordIndex;
    return recordid;
}

com.tibco.forms.mobile.selectRecord = function() {
    SpinningWheel.addSlot([1,2,3,4], '', com.tibco.forms.mobile.currentRecordIndex-1);
    SpinningWheel.targetId = com.tibco.forms.mobile.currentRecordPaneId + "-current";

    SpinningWheel.setCancelAction(com.tibco.forms.mobile.cancelPick);
    SpinningWheel.setDoneAction(com.tibco.forms.mobile.handleRecordPick);
    SpinningWheel.open();
}

com.tibco.forms.mobile.handleRecordPick = function() {
    var results = SpinningWheel.getSelectedValues();
    com.tibco.forms.mobile.currentRecordIndex = results.values[0];
    document.getElementById(SpinningWheel.targetId).innerHTML = results.values[0];
};

com.tibco.forms.mobile.showRecordPane2 = function(recordPaneId) {
    com.tibco.forms.mobile.pushMode("record-pane2");
    window.iui.showPageById(recordPaneId);
}



com.tibco.forms.mobile.cleanRecordPane = function(recordPaneId) {
    document.getElementById("backButton").removeAttribute("onclick");
    document.getElementById("previous-record").setAttribute("style", "display:none;");
    document.getElementById("next-record").setAttribute("style", "display:none;");
    document.getElementById("delete-record").setAttribute("style", "display:none;");
    document.getElementById("add-record").setAttribute("style", "display:none;");
}

com.tibco.forms.mobile.pushMode = function(modeName) {
    var currentMode = com.tibco.forms.mobile.mode[com.tibco.forms.mobile.mode.length-1];
    com.tibco.forms.mobile.mode.push(modeName);
    com.tibco.forms.mobile.changeMode(currentMode, modeName);   
}

com.tibco.forms.mobile.popMode = function() {
    var currentMode = com.tibco.forms.mobile.mode.pop();
    var newMode = com.tibco.forms.mobile.mode[com.tibco.forms.mobile.mode.length-1];
    com.tibco.forms.mobile.changeMode(currentMode, newMode);   
}

com.tibco.forms.mobile.changeMode = function(currentMode, newMode) {
    if (currentMode != newMode) {
        // var toolbar = document.getElementById("toolbar");
        var toolbars = document.getElementsByName("toolbar");
        if (toolbars) {
            var toolbar = toolbars[0];
            com.tibco.forms.mobile.removeCSSClass(toolbar, currentMode);
            com.tibco.forms.mobile.addCSSClass(toolbar, newMode);
        }
    }   
}

// Methods that deal with CSS on an element.
/**
 * Adds the given className to the class attribute of the given element
 * @param element of type HTMLElement
 * @param className String name of CSS class to add
 */
com.tibco.forms.mobile.addCSSClass = function(element, className) {
	var css = element.getAttribute("class");
	if (css == null) css = "";
	element.setAttribute("class", css + " " + className);
}

/**
 * Returns true if the given HTMLElement contains the given className.
 * @param element of type HTMLElement
 * @param className String name of CSS class to check
 * @return boolean, true if the given element contains the given className.
 */
com.tibco.forms.mobile.hasCSSClass = function(element, className) {
	var css = element ? element.getAttribute("class") : null;
	if (css == null) return false;
	return css.indexOf(className) >= 0;
}

/**
 * Removes the given className from the class attribute of the given element
 * @param element of type HTMLElement
 * @param className String name of CSS class to add
 */
com.tibco.forms.mobile.removeCSSClass = function(element, className) {
    if (element == null) return;
	var css = element.getAttribute("class");
	if (css == null) return;
	var names = css.split(" ");
	var names_mod = new Array();
	for (var i in names) {
		if (names[i] != className) names_mod.push(names[i]);
	}
	element.setAttribute("class", names_mod.join(" "));
}

/**
 * Adds the given CSS class if it is present, otherwise removes it.
 * @param element of type HTMLElement
 * @param className String name of CSS class to add
 */
com.tibco.forms.mobile.toggleCSSClass = function(element, className) {
    if (com.tibco.forms.mobile.hasCSSClass(element, className)) {
        com.tibco.forms.mobile.removeCSSClass(element, className);
    } else {
        com.tibco.forms.mobile.addCSSClass(element, className);
    }
}
