/*
 * Copyright (c) 2020-2022 TIBCO Software, Inc. All Rights Reserved.
 */
if (typeof(tibcoforms) == 'undefined') tibcoforms = new Object();
if (typeof(tibcoforms.library) == 'undefined') tibcoforms.library = new Object();
if (typeof(tibcoforms.library.components) == 'undefined') tibcoforms.library.components = new Object();
if (typeof(tibcoforms.library.components.ng) == 'undefined') tibcoforms.library.components.ng = new Object();
if (typeof(tibcoforms.library.components.ng.MaterialAutoComplete) == 'undefined') {
	tibcoforms.library.components.ng.MaterialAutoComplete = function() {};
	var wrapper = tibcoforms.library.components.ng.MaterialAutoComplete;

	wrapper.prototype.initialize = function(component, renderMode) {
        this.component = component;
        this.logger = this.component.logger;
        this.matErrors = [];
        this.matAutoComplete = this.createMaterialAutoComplete();
        this.component.parentNode.appendChild(this.matAutoComplete);
    }

    wrapper.prototype.getFormattedValue = function(value) {
        return value;
    }

    wrapper.prototype.getValue = function() {
        return "TODO: getValue";
    }

    wrapper.prototype.setFocus = function() {
        
    }

    wrapper.prototype.refresh = function(updates) {
        if (this.logger.isDebugEnabled()) this.logger.debug("MaterialAutoComplete: refresh: " + updates);
        if (updates == null || updates.length == 0) return;
        var control = this.component.control;
        if (updates.includes("value") && (this.component.value != this.matAutoComplete.value)) {
        	this.matAutoComplete.value = this.component.control.value;
        }
        if (updates.includes("hint")) {
        	this.matAutoComplete.hint = this.component.control.hint;
        }
		if (updates.includes("enabled")) {
			// enable and read only do the same for angular components
			this.matAutoComplete.setAttribute("enabled", this.component.control.reallyEnabled && !this.component.control.reallyReadOnly);
		}
		if (updates.includes("readOnly")) {
			// enable and read only do the same for angular components
			this.matAutoComplete.setAttribute("readonly", this.component.control.reallyReadOnly || !this.component.control.reallyEnabled);
		}
		if (updates.includes("required")) {
			this.matAutoComplete.setAttribute("required", this.component.control.required);
		}
        if (updates.includes("mwcAppearance")) {        
        	this.matAutoComplete.appearance = this.component.control.mwcAppearance;
        }
        if (updates.includes("validation")) {
        	this.matAutoComplete.hasError = JSON.stringify(!this.component.control.valid);
        	this.matAutoComplete.validationMessages = JSON.stringify(this.component.control.validationErrors);
        }
    }

    wrapper.prototype.destroy = function() {
    }

    wrapper.isReady = function() {
    	return true;
    }

    wrapper.renderStatic = function(value, label, hint, labelId, propertySet, resources, textOnly, parentPaneType, logger) {
    	throw "ERR_MYANGCOM: TODO: Static mode support";
    }

    wrapper.prototype.onChange = function(event) {
    	if (event.detail.value != this.component.control.value) {
    		this.component.raiseEvent("update", event.detail.value);
    	}
    }

    wrapper.prototype.createMaterialAutoComplete = function() {
    	var matAutoComplete = document.createElement("tf-ng-material-autocomplete");
    	matAutoComplete.setAttribute("label", this.component.control.label);
    	if (this.component.control.hint)
    		matAutoComplete.setAttribute("hint", this.component.control.hint);
		// add this attribute only if disabled, otherwise clashes with read only
		// For readonly and disabled, we use disabled as there is no explicit readonly with angular form control
		if (!this.component.control.reallyEnabled)
			matAutoComplete.setAttribute("enabled", this.component.control.reallyEnabled);
		if (this.component.control.reallyReadOnly)
			matAutoComplete.setAttribute("readonly", this.component.control.reallyReadOnly);
		if (this.component.control.required)
			matAutoComplete.setAttribute("required", this.component.control.required);
    	matAutoComplete.setAttribute("acoptions", JSON.stringify(this.component.control.mwcOptions));
    	if (this.component.control.value)
    		matAutoComplete.value = this.component.control.value;
    	if(this.component.control && this.component.control.mwcPlaceholder){        
        	matAutoComplete.setAttribute('placeholder', this.component.control.mwcPlaceholder);
        }
        if(this.component.control && this.component.control.mwcAppearance){        
        	matAutoComplete.setAttribute('appearance', this.component.control.mwcAppearance);
        }
		if (this.component.control && !this.component.control.valid) {
			matAutoComplete.hasError = JSON.stringify(!this.component.control.valid);
			matAutoComplete.validationMessages = JSON.stringify(this.component.control.validationErrors);
		}
    	return matAutoComplete;
    	
    }

    wrapper.prototype.reEnter = function() {
		if (this.matAutoComplete.parentElement)
			this.matAutoComplete.parentElement.removeChild(this.matAutoComplete);
    	this.matAutoComplete = this.createMaterialAutoComplete();
        this.component.parentNode.appendChild(this.matAutoComplete);
        this.refresh();
    }
}
