/*
 * Copyright (c) 2020-2022 TIBCO Software, Inc. All Rights Reserved.
 */
if (typeof(tibcoforms) == 'undefined') tibcoforms = new Object();
if (typeof(tibcoforms.library) == 'undefined') tibcoforms.library = new Object();
if (typeof(tibcoforms.library.components) == 'undefined') tibcoforms.library.components = new Object();
if (typeof(tibcoforms.library.components.ng) == 'undefined') tibcoforms.library.components.ng = new Object();
if (typeof(tibcoforms.library.components.ng.MaterialSlideToggle) == 'undefined') {
	tibcoforms.library.components.ng.MaterialSlideToggle = function() {};
	var wrapper = tibcoforms.library.components.ng.MaterialSlideToggle;

	wrapper.prototype.initialize = function(component, renderMode) {
        this.component = component;
        this.renderMode = renderMode;
        this.logger = this.component.logger;
        this.matErrors = [];
        this.matSlideToggle = this.createMaterialSlideToggle();
        this.component.parentNode.appendChild(this.matSlideToggle);
    }

    wrapper.prototype.getFormattedValue = function(value) {
        return value;
    }

    wrapper.prototype.getValue = function() {
        return "TODO: getValue";
    }

    wrapper.prototype.setFocus = function() {
        
    }

    wrapper.prototype.refresh = function(updates) {
        if (this.logger.isDebugEnabled()) this.logger.debug("MaterialSlideToggle: refresh: " + updates);
        if (updates == null || updates.length == 0) return;
        var control = this.component.control;
        if ((this.renderMode == "grid-edit") || (updates.includes("value") && (this.component.value != this.matSlideToggle.value))) {
        	this.matSlideToggle.value = this.component.value;
        }
        if (updates.includes("hint")) {
        	this.matSlideToggle.hint = this.component.control.hint;
        }
		if (updates.includes("enabled")) {
			// enable and read only do the same for angular components
			this.matSlideToggle.setAttribute("enabled", this.component.control.reallyEnabled && !this.component.control.reallyReadOnly);
		}
		if (updates.includes("readOnly")) {
			// enable and read only do the same for angular components
			this.matSlideToggle.setAttribute("readonly", this.component.control.reallyReadOnly || !this.component.control.reallyEnabled);
		}
		if (updates.includes("required")) {
			this.matSlideToggle.setAttribute("required", this.component.control.required);
		}
        if (updates.includes("validation")) {
        	this.matSlideToggle.hasError = JSON.stringify(!this.component.control.valid);
        	this.matSlideToggle.validationMessages = JSON.stringify(this.component.control.validationErrors);
        }
    }

    wrapper.prototype.destroy = function() {
    }

    wrapper.isReady = function() {
    	return true;
    }

    wrapper.renderStatic = function(value, label, hint, labelId, propertySet, resources, textOnly, parentPaneType, logger) {
    	throw "ERR_MYANGCOM: TODO: Static mode support";
    }

    wrapper.prototype.onChange = function(event) {
    	if (event.detail != this.component.control.value) {
    		this.component.raiseEvent("update", event.detail);
    	}
    }

    wrapper.prototype.createMaterialSlideToggle = function() {
    	var matSlideToggle = document.createElement("tf-ng-material-slide-toggle");
    	matSlideToggle.setAttribute("label", this.component.control.label);
    	if (this.component.control.hint)
    		matSlideToggle.setAttribute("hint", this.component.control.hint);
		// add this attribute only if disabled, otherwise clashes with read only
		// For readonly and disabled, we use disabled as there is no explicit readonly with angular form control
		if (!this.component.control.reallyEnabled)
			matSlideToggle.setAttribute("enabled", this.component.control.reallyEnabled);
		if (this.component.control.reallyReadOnly)
			matSlideToggle.setAttribute("readonly", this.component.control.reallyReadOnly);
		if (this.component.control.required)
			matSlideToggle.setAttribute("required", this.component.control.required);
    	if (this.component.control.value)
    		matSlideToggle.value = this.component.control.value;
		if (this.component.control && !this.component.control.valid) {
			matSlideToggle.hasError = JSON.stringify(!this.component.control.valid);
			matSlideToggle.validationMessages = JSON.stringify(this.component.control.validationErrors);
		}
    	matSlideToggle.addEventListener("mwcchange", this.onChange.bind(this));
    	return matSlideToggle;
    }

    wrapper.prototype.reEnter = function() {
		if (this.matSlideToggle.parentElement)
			this.matSlideToggle.parentElement.removeChild(this.matSlideToggle);
    	this.matSlideToggle = this.createMaterialSlideToggle();
        this.component.parentNode.appendChild(this.matSlideToggle);
        this.refresh();
    }
}
