import { LitElement } from "lit";
import { TWCLocalizeController } from '@tibcowebcomponents-style/tibcowebcomponents/dist/utilities/LocalizeController';
import { bpmcontext } from "bpme-services-lib";
/**
 * Base web component of BPME web components that handles all the common functionality
 */
export default class BpmeBaseComponent extends LitElement {
    /**
     * localize variable for handling the localization of the components
     */
    protected localize: TWCLocalizeController;
    /**
     * Provides the localized string for the given key with current locale.
     * @param defaultValue Default value if key is not present.
     * @param localeKey Registered local key.
     * @returns Localized string.
     */
    toLocaleValue(defaultValue?: string, localeKey?: string, ...args: any): string;
    /**
     * Property that handles the system actions of services
     */
    systemActions?: bpmcontext.BpmeSystemActionsService;
    /**
     * Property that handles the client context
     */
    clientContext?: bpmcontext.BPMClientContextImpl;
    themeContext?: bpmcontext.BPMThemeContext;
    configurationContext?: bpmcontext.BPMConfigurationContext;
}
