import { PropertyValueMap } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/badge/badge.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/skeleton/skeleton.js";
export declare const customEventListAdhoc: string[];
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/sidebar/sidebar.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-sidebar
 * @dependency twc-icon
 * @dependency twc-button
 * @dependency twc-input
 * @dependency twc-dropdown
 * @dependency twc-menu
 * @dependency twc-menu-item
 * @dependency twc-details
 * @dependency twc-badge
 *
 *
 * @slot - The default content slot.
 *
 * @event bpm-adhoc-tasks-fetched - Emitted when the adhoc tasks were fetched.
 * @event bpm-adhoc-task-started - Emitted when the adhoc task is started.
 * @event bpm-adhoc-task-started - Emitted when the adhoc task is cancelled.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart heading - The component's heading wrapper.
 * @csspart search - The component's search input wrapper.
 * @csspart search-content - The component's search input field wrapper.
 * @csspart filter - The component's filter section wrapper.
 * @csspart filter-content - The component's filter section internal wrapper.
 * @csspart refresh - The component's refresh wrapper.
 * @csspart refresh-content - The component's refresh internal wrapper.
 * @csspart body - The component's body content wrapper.
 * @csspart body-content - The component's body content internal wrapper.
 * @csspart no-adhoc-text-label - The component's no adhoc text label wrapper
 *
 *
 */
export declare class BpmeAdhocTasks extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    /** Heading of the component. */
    heading: string;
    /** To hide/show the search input. */
    searchShow: boolean;
    /** Search placeholder text of the search input field. */
    searchPlaceholderText: string;
    /** To hide/show the filter. */
    filterShow: boolean;
    /** To hide/show the refresh. */
    refreshShow: boolean;
    /** Feature type is the key, where we will use this key to call specific API's to fetch the data. */
    featureType: "workitem" | "cases" | "process";
    /** Input data of the component. */
    adhocData: any;
    /** Label text of the component. */
    label: any;
    /** renderAs is a property provided to render the component in a sidebar or a dialog. */
    renderAs: "sidebar" | "dialog";
    dialog: any;
    adhocFilterMenu: any;
    adhocDataList: any;
    adhocDataListToLoop: any;
    showAutomatic: boolean;
    showDisabled: boolean;
    showLoader: boolean;
    tasks: any;
    processName: string;
    eventList: string[];
    filterData: any;
    searchAdhocValue: any;
    filterHandle(): void;
    refreshHandle(e: any): void;
    getAdhocTasks(): void;
    updated(changedProperties: Map<string, unknown>): void;
    show(): void;
    hide(): void;
    showDialog(): void;
    hideDialog(): void;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    startAdhoc(event: any, data: any, index: any): void;
    cancelAdhoc(event: any, data: any, index: any): void;
    handleDropdown(e: any, controlValue: any, controlId: any): void;
    resetFilter(): void;
    filtertheRecords(controlType: any): void;
    searchFilterLogic(nameKey: any, myArray: any, _this: any): void;
    searchFilter(event: any): void;
    clearSearchFilter(): void;
    toggleCards(e: any): void;
    returnHtml(): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-adhoc-tasks": BpmeAdhocTasks;
    }
}
