import { PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-group/tab-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab/tab.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-panel/tab-panel.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/divider/divider.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree/tree.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-item/tree-item.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-items-group/tree-items-group.js';
import { BPMApplicationConfiguration, BPMConfiguration, BPMConfigurationProperty } from 'bpme-services-lib/dist/lib/services';
import BpmeBaseComponent from '../../internal/bpme-base-component';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export default class BpmeApplicationConfiguration extends BpmeBaseComponent {
    applicationConfiguration: Array<BPMApplicationConfiguration>;
    selectedComponent: BPMConfiguration;
    isDirty: boolean;
    oldConfiguration: Array<BPMApplicationConfiguration>;
    static styles: import("lit").CSSResult[];
    protected firstUpdated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    renderDetails(): unknown;
    resetChanges(): void;
    cancelChanges(): void;
    fireUpdateEvent(): void;
    renderPropertyDetails(compProperty: BPMConfigurationProperty): any;
    propertyChange(value: any, compProperty: BPMConfigurationProperty): void;
    renderApplication(app: BPMApplicationConfiguration): any;
    renderTheme(theme: any): unknown;
    renderComponent(comp: BPMConfiguration): any;
    renderProperty(compProperty: BPMConfigurationProperty): any;
    handleTreeSelection(detail: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-application-configuration': BpmeApplicationConfiguration;
    }
}
