import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const auditDetailsManagedObjectsEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 * @slot - The default content slot.
 * @event { number } bpme-audit-details-previous-clicked - Emitted when the previous button clicked.
 * @event { number } bpme-audit-details-next-clicked - Emitted when the next button clicked.
 * @event { BRMWorkListFacade[] }  bpme-work-list-facade-data-fetched - Emitted when the work list facade data is fetched.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart main-container - The component's main container wrapper.
 * @csspart action-btns-wrapper - The component's action buttons internal wrapper.
 * @csspart content-container - The component's content container wrapper.
 * @csspart content-wrapper - The component's content internal wrapper.
 *
 * @extraconfig BRMWorkListFacade
 *
 * @paramBRMWorkListFacade attributeName (string) (-) The original system name for one of the Work List attributes.
 * @paramBRMWorkListFacade displayName (string) (-) The customer-deployed display name for the Work List attribute.
 *
 */
export declare class BpmeAuditDetailsManagedObjects extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    /** Input table data of the component */
    tableData: [];
    /** Managed object type of the selected audit item. */
    managedObjectType: string;
    /** Active index of the table data. */
    activeIndex: number;
    tableRenderType: string;
    worklistFacade: Array<any>;
    attributeType: string;
    wattributes: Array<any>;
    updated(changedProps: PropertyValues): void;
    navChange(attrName: string): void;
    getPrevItem(): void;
    getNextItem(): void;
    returnGenericTabList(data: any): import("lit-html").TemplateResult<1> | undefined;
    getFacadeData(): void;
    transformGenericAttributes(data: any): import("lit-html").TemplateResult<1> | undefined;
    returnHtml(): import("lit-html").TemplateResult<1>;
    protected render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-audit-details-managed-objects": BpmeAuditDetailsManagedObjects;
    }
}
