import { LitElement, PropertyValues } from 'lit';
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert-dialog/alert-dialog.js";
/**
 * @since 1.0.0
 * @status stable
 *
 * @event { eventName: string, displaying: string } bpme-business-service-form-status-change - Emitted when the status changes.
 * @event { eventName: string, form: Object } bpme-business-service-form-form-load - Emitted after the form load is complete.
 * @event { eventName: string, form: Object, data: Object } bpme-business-service-form-form-cancel - Emitted after the form cancel is complete.
 * @event { eventName: string, form: Object, data: Object, completed: boolean } bpme-business-service-form-form-submit - Emitted after the form submit is complete.
 * @event bpme-business-service-form-form-error - Emitted when there is an error while loading the form.
 *
 */
export declare class BpmeBusinessServiceForm extends LitElement {
    /** The details property stores the details for the form.*/
    details: any;
    formDivId: any;
    loadedDetails: any;
    currentDetails: any;
    alertDialog: any;
    EVENT_STATUS_CHANGE: string;
    EVENT_FORM_LOAD: string;
    EVENT_FORM_CANCEL: string;
    EVENT_FORM_SUBMIT: string;
    EVENT_ERROR: string;
    static styles: import("lit").CSSResult[];
    skip: number;
    top: number;
    theEnd: any;
    user: any;
    serviceToOpenContext: any;
    sortString: any;
    filter: any;
    ShowOptions: Readonly<{
        OTHER: "OTHER";
        FORM: "FORM";
        BUSY: "BUSY";
    }>;
    show: any;
    showSpinner: boolean;
    selectedWork: any;
    selectedIndex: any;
    ngOnChanges(_changes: any): Promise<void>;
    beforeStart(details: any): void;
    handlNoCancel(): void;
    handleYesCancel(): void;
    renderPageflowForm(configPageflow: any): Promise<void>;
    cancelHandler($event: any): void;
    submitHandler($event: any): void;
    successToast(message: any): void;
    errorHandler(error: any): void;
    loadErrorHandler(error: any): void;
    loadHandler($event: any): void;
    startBusinessService(details: any): void;
    constructor();
    /**
     * The connectedCallback is called when the element is inserted to the DOM.
     */
    connectedCallback(): void;
    /**
     *  Implement to control if updating and rendering should occur when property values change or requestUpdate() is called.
     */
    shouldUpdate(): boolean;
    willUpdate(changedProperties: PropertyValues<this>): void;
    /**
     * Implement to perform updating tasks.
     * Setting properties inside this method will *not* trigger another update.
     */
    update(changedProps: any): void;
    /**
     * Called after the element's DOM has been updated the first time, immediately before updated()
     * is called. This method can be useful for querying dom. Setting properties inside
     * this method will trigger the element to update.
     */
    firstUpdated(): void;
    /**
     * Implement to perform post-updating tasks via DOM APIs, for example, focusing an element.
     * Setting properties inside this method will *not* trigger another update.
     */
    updated(changedProps: any): void;
    /**
     * Invoked each time the custom element is disconnected from the document's DOM.
     * Useful for running clean up code.
     */
    disconnectedCallback(): void;
    start(): Promise<void>;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-business-service-form": BpmeBusinessServiceForm;
    }
}
