import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree/tree.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-items-group/tree-items-group.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-item/tree-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/details/details.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import { PFEBusinessService } from "bpme-services-lib/dist/lib/objectapi/pfe/api";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import "../bpme-empty-data-message/bpme-empty-data-message";
export declare const businessServicesEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The bpme-business-services's content.
 * @extraconfig PFEBusinessService
 * @paramPFEBusinessService processId (string) (-) The id of the process
 * @paramPFEBusinessService processName (string) (-) The name of the process
 * @paramPFEBusinessService processExtName (string) (-) The external name of the process
 * @paramPFEBusinessService processLabel (string) (-) Display name of the process configured in studio
 * @paramPFEBusinessService processType (PFEBusinessServiceProcessTypeEnum<'Pageflow' | 'Businessservice' | 'Caseaction'>) (-) Type of the process pageflow or business service
 * @paramPFEBusinessService channelIds (string[]) (-) Channels in which the following business services are available
 * @paramPFEBusinessService category (string) (-) category of the process
 * @paramPFEBusinessService privileges (string[]) (-) privileges of who can access the business services
 * @paramPFEBusinessService moduleId (string) (-) The id of the module
 * @paramPFEBusinessService moduleName (string) (-) The name of the module
 * @paramPFEBusinessService moduleInternalName (string) (-) The internal name of the module
 * @paramPFEBusinessService moduleVersion (string) (-) The version numner of the module
 * @paramPFEBusinessService hasInputParameters (boolean) (-) If the process has input parameters
 * @paramPFEBusinessService targetDevice (string) (-) Target execution of this process, like Desktop or Mobile
 *
 *
 * @event { PFEBusinessService[] } bpme-business-services-data - Emitted when the business services are available.
 * @event { PFEBusinessService } bpme-business-services-start - Emitted when the business service selected.
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeBusinessServices extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    /** businessservices holds fecthed business servers from server. */
    businessservices: PFEBusinessService[];
    businessservicestree: any;
    EVENT_START: string;
    EVENT_FAV: string;
    recents: any;
    favs: any;
    recentSettingsConfig: any;
    favSettingsConfig: any;
    processArray: any;
    recentSettingsHandler(event: any): void;
    favSettingsHandler(event: any): void;
    markAsRecent(process: any): void;
    getRecentDetails(process: any): void;
    callGetAllCategoryInRecent(process: any, favId: any, val: any): void;
    toggleFav(businessservice: any): void;
    markAsFavourite(processname: any): void;
    getFavouriteDetails(processname: any): void;
    callGetAllCategoryInFavorite(processname: any, favId: any, val: any): void;
    isFav(processLabel: any): boolean;
    start(businessservice: any): void;
    generateTree(items: any): any[];
    getNestedTreeGroup(bs: any): import("lit-html").TemplateResult<1>;
    getTreeGroupTemplate(bs: any): import("lit-html").TemplateResult<1>;
    getLiTemplate(bs: any): import("lit-html").TemplateResult<1>;
    filter: string;
    options: {};
    skip: number;
    top: number;
    theEnd: boolean;
    selectedWorkViewId: number;
    selectedWorkView: any;
    EVENT_DATA: string;
    getBusinessServices(): void;
    refreshBusinessServices(): void;
    refresh(): void;
    /**
     * The connectedCallback is called when the element is inserted to the DOM.
     */
    connectedCallback(): void;
    /**
     * Implement to perform post-updating tasks via DOM APIs, for example, focusing an element.
     * Setting properties inside this method will *not* trigger another update.
     */
    updated(changedProps: any): void;
    processStart(e: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-business-services": BpmeBusinessServices;
    }
}
