import { LitElement, PropertyValues } from 'lit';
/**
 * @since 1.0.0
 * @status stable
 *
 * @event bpm-case-detail-fetched - Emitted when case-detail is fetched
 * @event bpm-case-detail-error - Emitted when fetching case-detail fails
 *
 * @slot - Component's default slot
 */
export declare class BpmeCaseDetail extends LitElement {
    static styles: import("lit").CSSResult[];
    config: any;
    EVENT_DATA: string;
    EVENT_ERROR: string;
    data: any;
    showSpinner: boolean;
    getData(): void;
    refresh(): void;
    /****************************************************************************************************************/
    render(): import("lit-html").TemplateResult<1>;
    updated(changedProperties: PropertyValues): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-case-detail": BpmeCaseDetail;
    }
}
