import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tooltip/tooltip.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/navmenu/navmenu.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/navmenu-item/navmenu-item.js";
import BpmeBaseComponent from '../../internal/bpme-base-component';
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @extraconfig BPMConfigurationProperty
 * @anyBPMConfigurationProperty detailsConfigProp
 * @paramBPMConfigurationProperty name (string) (-) The name of the config property.
 * @paramBPMConfigurationProperty label (BPMExternalizedText) (-) The label of the config property.
 * @paramBPMConfigurationProperty description (BPMExternalizedText) (-) The description of the config property.
 * @paramBPMConfigurationProperty type ('string' | 'number' | 'boolean') (-) The type of the config property.
 * @paramBPMConfigurationProperty value ('string' | 'number' | 'boolean') (-) The value of the config property.
 * @paramBPMConfigurationProperty defaultValue ('string' | 'number' | 'boolean') (-) The default value of the config property.
 *
 * @extraconfig BPMExternalizedText
 *
 * @paramBPMExternalizedText default (string) (-) The default value of the externalized text.
 * @paramBPMExternalizedText localeKey (string) (-) The locale value of the externalized text.
 *
 * @slot - The bpme-case-details content
 * @dependency bpme-case-detail
 * @dependency bpme-case-states
 * @dependency bpme-work-item-form
 * @dependency bpme-case-action-form
 * @dependency bpme-case-actions
 * @dependency bpme-case-data
 * @dependency bpme-case-sidebar-widget
 * @dependency twc-icon
 * @dependency twc-skeleton
 * @dependency twc-header
 * @dependency twc-navmenu
 * @dependency twc-navmenu-item
 *
 *
 * @extraconfig detailConfig
 * @anydetailConfig detailConfig
 *
 * @paramdetailConfig caseType (string) (-) The name of the target Case Type
 * @paramdetailConfig caseRef (string) (-) The Case Reference of the Case to be updated, in the form {id}-{namespace}.{caseTypeName}-{applicationMajorVersion}-{version}. For example:        101-com.example.ordermodel-Order-1-7
 *
 *
 * @csspart base - The component's internal wrapper.
 * @csspart case-details-container - The component's case-details wrapper
 * @csspart case-details-content - The component's case-details-content wrapper
 * @csspart case-details-nav - The component's case-details-nav wrapper
 * @csspart case-details-error - The component's case-details-error wrapper
 */
export declare class BpmeCaseDetails extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    selectedType: any;
    selectedCase: any;
    /**To set the configuration properties to show and hide for case-details */
    detailsConfigProp: any;
    /** The config for passing the case type and case-reference to load the case details of a selected case*/
    detailConfig: any;
    showCaseErrorMsg: boolean;
    showCaseWorkitemForm: boolean;
    selectedCaseWorkitem: any;
    showCaseActionForm: any;
    caseActionConfig: any;
    selectedCaseAction: any;
    selectedLinkedCase: any;
    caseSidebarWidget: any;
    errorContextData: any;
    successMessage: string;
    showSpinner: boolean;
    detailHandler($event: any): void;
    /** The method to refresh cases-details of a selected case .*/
    refreshCaseDetails(): void;
    getStateAttribute(): any;
    showToastMessage(toastContent: any, messageType: any): void;
    statusChangeHandler(event: any): void;
    submitHandler(event: any): void;
    cancelHandler(event: any): void;
    closeHandler(event: any): void;
    errorHandler(event: any): void;
    loadFormHandler(event: any): void;
    workItemsGet(): void;
    caseFormErrorHandler(event: any): void;
    caseFormLoadFormHandler(event: any): void;
    caseFormStatusChangeHandler(event: any): void;
    caseFormSubmitHandler(event: any): void;
    caseFormCancelHandler(event: any): void;
    caseActionSelectionHandler($event: any): void;
    caseWorkitemSelectionHandler($event: any): void;
    caseWorkitemFetchedHandler(e: any): void;
    caseLinkedCaseSelectionHandler($event: any): void;
    caseWorkItems(): void;
    linkedCases(): void;
    documentsWidget(): void;
    auditWidget(): void;
    caseDetailsErrorHandler(event: any): void;
    checkConfigStatus(controlName: string): any;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-case-details": BpmeCaseDetails;
    }
}
