import { PropertyValueMap } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/card/card.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert/alert.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-view/list-view.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const auditListEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The default content slot.
 *
 * @event { {selectedId: string, filter: string[]} } bpme-audit-list-selected - Emitted when a audit list item is selected.
 * @event { {selectedId: string, filter: string[]} } bpme-audit-dropdown-list-changed - Emitted when a audit list dropdown changed.
 *
 * @csspart audit-list-container - The component's audit list container.
 * @csspart audit-sidebar-wrapper - The component's sidebar wrapper.
 * @csspart audit-list-content-wrapper - The component's audit list content wrapper.
 * @csspart audit-dropdown-list-wrapper - The component's dropdown list wrapper.
 *
 */
export declare class BpmeAuditList extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    objList: any;
    /**This property is used to render the component in different formats. */
    renderAs: "cards" | "list" | "dropdown";
    /**This property is auto selects the selected audit id which will be used for renderAs dropdown type. */
    selectedId: string;
    eventViewsData: any;
    cardsColor: string[];
    updated(changedProperties: any): void;
    connectedCallback(): void;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    showSidebar(): void;
    hideSidebar(): void;
    getManagedObjectList(): void;
    listClickEvent(item: any, filter?: any, index?: any): void;
    dropdownSelected(event: any): void;
    bindValue(value?: any): any;
    returnDropdownHTML(): import("lit-html").TemplateResult<1>;
    returnListHTML(): import("lit-html").TemplateResult<1>;
    returnCardsHTML(): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1> | undefined;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-audit-list": BpmeAuditList;
    }
}
