import { PropertyValues } from "lit";
export declare const auditTableEvents: string[];
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/card/card.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The default content slot.
 *
 * @event bpme-audit-table-list-row-clicked - Emitted when a table row clicked.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart nodata-available-Label - The component's no data available label.
 *
 *
 */
export declare class BpmeCommonAuditTable extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    /** Input table data of the component */
    tableData: any;
    /** Managed object type of the selected audit item. */
    managedObjectType: string;
    /** Table attributes of the selected audit item */
    tableAttributesJSON: any;
    /** Default attributes of the selected audit item */
    defaultTableAttributes: any;
    /** Label of the action button. */
    btnLabel: string;
    /** This property will be used to disable the action button. This property will search for the key name value in the table data. */
    btnDisableProperty: string;
    /** This property will be used to disable the action button. This property will compare the value of the table. */
    btnDisableValue: string;
    /** This property will give a provision to define the event name which is getting returned. */
    customEventNameToReturn: string;
    /** This property is used to show/hide event link buttons */
    lastStep: boolean;
    /** Submenu data for the action buttons */
    subMenu: any;
    /** To customize no data available label */
    noDataAvailableLabel: string;
    EVENT_AUDIT_LIST_ROW_CLICKED: string;
    rowClicked(itemObject?: object, completeObject?: object, activeIndex?: number): void;
    returnCustomEvent(itemObject?: object, completeObject?: object, managedObjectType?: string, activeIndex?: number): void;
    moreActions(event: any, itemObject?: object, completeObject?: object, managedObjectType?: string, activeIndex?: number): void;
    returnTableCellHtml(colID: any, rowData: any, index: number, length: number): import("lit-html").TemplateResult<1>;
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-common-audit-table": BpmeCommonAuditTable;
    }
}
