import { PropertyValueMap } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/card/card.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert/alert.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/sidebar/sidebar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-view/list-view.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/categoriser/categoriser.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/split-panel/split-panel.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMConfigurationProperty } from "bpme-services-lib/dist/lib/services";
export declare const commonAuditEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency bpme-filter
 * @dependency bpme-common-audit-toolbar
 * @dependency bpme-common-audit-table
 * @dependency bpme-audit-list-managed-objects
 * @dependency bpme-toast
 * @dependency bpme-audit-details-managed-objects
 *
 * @slot - The default content slot.
 *
 * @event { string[] } bpme-audit-selected-managed-type-data-fetched - Emitted when a audit selected managed type data is fetched.
 * @event { string[] } bpme-audit-settings-fetched - Emitted when a audit settings data is fetched.
 * @event { number } bpme-audit-settings-saved - Emitted when a audit settings data is saved.
 * @event { number } bpme-audit-settings-updated - Emitted when a audit settings data is updated.
 *
 *
 * @csspart audit-toolbar-container - The component's toolbar container.
 * @csspart breadcrumb-wrapper - The component's breadcrumb wrapper.
 * @csspart cases-filter-wrapper - The component's cases filter wrapper.
 * @csspart cases-list-wrapper - The component's cases list wrapper.
 * @csspart cases-empty-illustration - The component's cases empty-illustration wrapper.
 * @csspart table-content-container - The component's table content container.
 * @csspart table-content-wrapper - The component's table content internal wrapper.
 * @csspart content-container - The component's content container.
 * @csspart content-wrapper - The component's content internal wrapper.
 * @csspart table-skeleton-loader - The component's table skeleton loader wrapper.
 * @csspart filter-skeleton-loader - The component's filter skeleton loader wrapper.
 * @csspart filter-wrapper - The component's filter wrapper.
 *
 * @extraconfig BPMConfigurationProperty
 *
 * @paramBPMConfigurationProperty name (string) (-) The name of the config property.
 * @paramBPMConfigurationProperty label (BPMExternalizedText) (-) The label of the config property.
 * @paramBPMConfigurationProperty description (BPMExternalizedText) (-) The description of the config property.
 * @paramBPMConfigurationProperty type ('string' | 'number' | 'boolean') (-) The type of the config property.
 * @paramBPMConfigurationProperty value ('string' | 'number' | 'boolean') (-) The value of the config property.
 * @paramBPMConfigurationProperty defaultValue ('string' | 'number' | 'boolean') (-) The default value of the config property.
 *
 * @extraconfig BPMExternalizedText
 *
 * @paramBPMExternalizedText default (string) (-) The default value of the externalized text.
 * @paramBPMExternalizedText localeKey (string) (-) The locale value of the externalized text.
 */
export declare class BpmeCommonAudit extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    filterSaveDialog: any;
    bpmetoast: any;
    bpmeFilters: any;
    eventViewsData: any;
    apiConfig: any;
    auditSidebarLabel: string;
    auditDetailsSidebar: any;
    /** To show list of audit entries for the selected managed type id. */
    auditSelectedId: string;
    /** To set the configuration properties for the component. */
    config: BPMConfigurationProperty[];
    drilldownConfig: any;
    breadCrumbArray: any;
    nameSpaceTypes: any;
    casesConfig: any;
    typesConfig: any;
    caseFilter: any;
    linkedCasesConfig: any;
    tableAttributesData: any;
    tableAttributes: any;
    defaultTableAttributes: any;
    tableResponseData: Array<any>;
    selectedFeatureType: string;
    tableListShow: boolean;
    auditDetailsTableShow: boolean;
    auditTableColumsAttributes: object;
    showSideBar: boolean;
    workItemsBtnLabel: string;
    filterColumns: Array<any>;
    filterColumnsFreeze: any;
    selectedCardItem: Object;
    backBtnLabel: string;
    currentfilterObject: any;
    currentSelectedItem: any;
    showFilter: boolean;
    filterStringtoShowasLabel: string;
    filterSaveName: string;
    filtersSavedList: any;
    editFilterMode: boolean;
    editFilterId: any;
    customEventNameForTable: string;
    subMenusData: any;
    activeSubMenusData: any;
    drillDownStepSequence: number;
    managedObjectIdForAudit: any;
    headerTitle: string;
    sectionHeaderTitle: any;
    stepDataActive: any;
    lastStepForTable: boolean;
    casesListShow: boolean;
    caseTypesList: any;
    caseResponseData: any;
    savedFilterId: number;
    savedFilterHeaderView: boolean;
    filterHeaderTitle: string;
    filterHeaderSubTitle: string;
    noTypesAvailableLabel: string;
    typesData: any;
    spiltPanelPosition: number;
    selectedCaseType: any;
    savedFiltersListFreeze: any;
    managedObjectTypeForAudit: string;
    editFilterData: any;
    showFiltersSection: boolean;
    activeSavedFilterData: string;
    activeStepDataForFilter: any;
    casesFilterSectionHeader: any;
    showLoader: boolean;
    casesFilterShow: boolean;
    selectedActiveFilterId: any;
    filterSavedScope: any;
    initSelectedColumnData: any;
    columnSelectorData: any;
    noDataAvailableLabelForColumnSelector: string;
    nameForAuditHeader: string;
    activeDrillDownParentData: any;
    excutedStepInfo: string | undefined;
    updated(changedProperties: any): void;
    getManagedObjectList(id: any, filter: any): void;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    formatDate(value: any): string;
    formatColumnSelectorData(data: any): void;
    sendTableAttributes(id: any): void;
    sendFilterColumns(id: any): void;
    sendStepsTableAttributes(id?: any): void;
    sendSubMenuTableAttributes(id?: any): void;
    transformFilterData(filterObject: any): string;
    showEventsList(item: any, filterObject: Array<any>): void;
    refreshAuditList(event: any): void;
    updateFilterColumnStateValue(data: any): void;
    returnToast(message: string): void;
    updateBreadCrumb(obj: any): void;
    updateValueofPreviousBreadCrumbItem(id: any): void;
    resetBreadCrumb(): void;
    stepsUpdate(breadcrumbRefId?: any, isActionSubMenu?: boolean): void;
    getStepsDataByStepInfo(customEventDetails: Array<any>, breadcrumbId?: any, dataId?: string, filterData?: string, stepInfo?: string, savedFilterView?: boolean, isSubMenuKey?: boolean): void;
    updateDetails(dataId?: any, breadcrumbDataId?: any, filterData?: any, data?: any, itemObjectId?: any, savedFilterView?: any): void;
    updateSubMenuDetails(dataId?: any, breadcrumbDataId?: any, filterData?: any, data?: any, itemObjectId?: any, savedFilterView?: any, breadcrumbActualId?: string): void;
    relatedCasesGet(event: any, breadcrumbId?: any, dataId?: string, filterData?: string, stepInfo?: string, savedFilterView?: boolean): void;
    referringCasesGet(event: any, breadcrumbId?: any, dataId?: string, filterData?: string, stepInfo?: string, savedFilterView?: boolean): void;
    subMenuDrillDownSequenceUpdate(decrement?: boolean, increment?: boolean): void;
    auditDetailsGet(customEventDetails: Array<any>): void;
    defaultListClickHandle(event: any): void;
    filterShowResults(event: any): void;
    saveFilter(): void;
    saveFilters(event: any): void;
    filterRelatedResettoDefault(): void;
    deleteFilter(event: any): void;
    openFilterSaveDialog(event?: any): void;
    closeSaveFilterDialog(): void;
    editFilter(event: any): void;
    savedFilterItemClicked(event: any): void;
    getSettings(auditSelectedId?: any): void;
    saveSettings(): void;
    updateBreadCrumbArray(label: string, id: string, dataId: string, parent: boolean, referencedId: any, isSubMenu?: boolean): void;
    callStepsMethodsBasedonCustomName(customName: string, data: any, filterString: any, savedFilterView?: boolean): void;
    breadCrumbItemClicked(data: any, index: any): void;
    onScroll(): void;
    findInstances(event: any): void;
    returnTableHTML(): import("lit-html").TemplateResult<1>;
    auditListBackClicked(event: any): void;
    returnAuditDetailsHTML(): import("lit-html").TemplateResult<1>;
    showToast(variant: string, msg: string): void;
    filterinputHandleValueChange(event: any): void;
    renderAuditSideBar(data: any): void;
    auditSidebarShow(): void;
    auditSidebarHide(): void;
    performSidebarAction(event: any): void;
    transformAuditSideBarLabel(activeIndex: any): void;
    returnCasesHTML(): import("lit-html").TemplateResult<1>;
    assignCasesTableAttributes(data: any): void;
    caseListClickHandle(data: any, index?: any, filterObject?: any, search?: any, manualClick?: boolean, isFilterActive?: boolean): void;
    savedFiltersBasedOnCaseType(): void;
    openCasesFilter(): void;
    searchCases(event: any): void;
    clearSearchCases(event: any): void;
    columnSelectorCancel(event: any): void;
    columnSelectorApply(event: any): void;
    filterAddNew(event: any): void;
    casesFilterClose(event: any): void;
    filterNavigateClicked(event: any): void;
    returnFilterHTML(showOnlySavedList?: boolean, enableEditFilterMode?: boolean): import("lit-html").TemplateResult<1> | undefined;
    closeCasesFilter(): void;
    checkConfigStatus(controlName: string): any;
    render(): import("lit-html").TemplateResult<1> | undefined;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-common-audit": BpmeCommonAudit;
    }
}
