import { ContextProvider } from "@lit/context";
import { objectapi, services } from "bpme-services-lib";
import { BPMApplicationConfiguration } from "bpme-services-lib/dist/lib/services";
import { LitElement, PropertyValues } from "lit";
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export default class BpmeContext extends LitElement {
    clientConfiguration: objectapi.cc.CCSetting;
    configuration: BPMApplicationConfiguration[];
    bpmContextProvider: ContextProvider<{
        __context__: services.BPMContext;
    }, HTMLElement>;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    createContextSetting(): void;
    updateConfiguration(configDetails: objectapi.cc.CCSetting, versionCheck?: boolean): void;
    updateApplicationTheme(className: any): void;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
}
