import { PropertyValues, PropertyValueMap } from 'lit';
import { createView } from './createView';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-group/tab-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab/tab.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-panel/tab-panel.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-group/radio-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard/wizard.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard-header/wizard-header.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard-step/wizard-step.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard-toolbar/wizard-toolbar.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/wizard-button/wizard-button.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/input/input.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/textarea/textarea.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-selector/list-selector.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/divider/divider.js';
import BpmeBaseComponent from '../../internal/bpme-base-component';
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The bpme-types's content.
 *
 * @dependency twc-wizard
 * @dependency twc-wizard-item
 * @dependency twc-wizard-toolbar
 * @dependency twc-wizard-button
 * @dependency twc-radio-group
 * @dependency twc-radio
 *
 * @csspart base - The component's internal wrapper.
 *
 */
export default class BpmeCreateViews extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    EVENT_NAME: string;
    EVENT_UPDATE: string;
    errorDialog: any;
    columnsCreateView: any;
    /** An createView property. */
    private createView;
    isCreateDialog: any;
    data: any;
    _attributes: Array<any>;
    detailsGroupValid: Boolean;
    filterQuery: any;
    initColumnData: any;
    initSortData: any;
    query: {
        condition: string;
        rules: never[];
    };
    config: any;
    workListSortColumnsDefinition: {
        name: string;
        label: string;
    }[];
    workListColumnsDefinition: {
        name: string;
        label: string;
    }[];
    private clientOperatorsList;
    private serverOperatorsList;
    private clientToServerOperator;
    private serverToClientOperator;
    actionsAuthorization: {
        actions: {
            component: string;
            action: string;
        }[];
    };
    formDataAssign: createView;
    currentWorkView: createView;
    target: any;
    workViewId: any;
    targets: any;
    entityId: any;
    columnsData: any;
    sortData: any;
    users: any;
    authors: any;
    usersSummary: any;
    authorsSummary: any;
    allocated: any;
    typeOfWorkItems: any;
    browseModelAction: boolean;
    resourceAdminAction: boolean;
    viewWorkListAction: boolean;
    viewGlobalWorklistAction: boolean;
    queryStringToDisplay: any;
    targetValue: any;
    errorListContext: string;
    invalidUsersList: any;
    showResetFilter: boolean;
    showResetSort: boolean;
    saveText: string;
    enableTypesOfWorkItem: boolean;
    worklistFacade: Array<any>;
    constructor();
    /** Parser functionality **/
    resetColumns(): void;
    convertToObject(expressions: any[], groupObject: any): any;
    isRuleSet(expression: any): boolean;
    isRule(expression: any): boolean;
    isGroup(expression: any): boolean;
    populateQuery(expression: string): void;
    resetQuery(): void;
    checkActionAuthorization(): void;
    setInitData(data: any): void;
    updated(changedProperties: PropertyValues): void;
    resetCreateView(): void;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    targetDivShow: boolean;
    viewData(e: any): void;
    saveButtonEnable(): void;
    filter: string;
    orgModel: any;
    getOrgModel(): void;
    isValidQuery(query: any): any;
    convertToString(query: any, source?: string): string;
    decode(rules: any[], expressions: string[], condition: string): void;
    merge(...strings: any[]): any;
    private convertStringFormatCustom;
    private replaceOperators;
    onCreateDialogCancel(): void;
    showToastMessage(toastContent: any, messageType: any): void;
    onSave(): void;
    setSelectedUsers(e: any): void;
    setSelectedAuthors(e: any): void;
    validateUsers(e: any): void;
    checkActionAuthorized(users: any, action: any): void;
    isActionAuthorized(users: any, action: any): any;
    setSelectedTargets(e: any): void;
    columnsSelected(e: any): void;
    sortSelected(e: any): void;
    updateFilter(event: any): void;
    onCancel(): void;
    checkActiveStep(event: any): void;
    resetFilter(): void;
    resetSort(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-create-views': BpmeCreateViews;
    }
}
