import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/card/card.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/details/details.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const bpmeFilterEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The bpme-common-audit content.
 *
 * @event { [{itemObj: filterObj}, {filteredSelectedObject: {filterString: string, desc: string, value: string, id: string, type: string, controlLabel: string}}] } bpme-filter-apply - Emitted when a apply button is clicked.
 * @event { string{} } bpme-filter-delete-selected - Emitted when a delete button is clicked.
 * @event { {editFilterSelected: boolean, editItemData: string{}, editValue: string{}, selectedFeatureTypeFilter: {filterString: string, desc: string, value: string, id: string, type: string, controlLabel: string}} } bpme-filter-edit-selected - Emitted when a edit option is selected.
 * @event { {filterString: string, desc: string, value: string, id: string, type: string, controlLabel: string}[] } bpme-filter-save - Emitted when a save button is clicked.
 * @event { {selectedFilterObj: {filterString: string, desc: string, value: string, id: string, type: string, controlLabel: string}, filterSelectedName: string, selectedFilterId: number, filterSavedScope: string} } bpme-filter-saved-item-selected - Emitted when a saved filter list item is selected.
 * @event { boolean } bpme-filter-add-new-selected - Emitted when a add new filter is clicked.
 * @event { boolean } bpme-filter-default-list-selected - Emitted when a default filter list item is selected.
 * @event { boolean } bpme-filter-close-selected - Emitted when a close icon is clicked.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart content-container - The component's content container.
 * @csspart content-wrapper - The component's content internal wrapper.
 * @csspart add-new-wrapper - The component's add new internal wrapper.
 * @csspart default-filter-list-container - The component's default list container.
 * @csspart default-filter-wrapper - The component's default list filter internal wrapper.
 * @csspart default-list-wrapper - The component's default list internal wrapper.
 * @csspart saved-filters-container - The component's saved filters container.
 * @csspart saved-filters-wrapper - The component's saved filters internal wrapper.
 * @csspart saved-filters-label - The component's saved filters label wrapper.
 * @csspart add-new-icon-wrapper - The component's add new icon wrapper.
 * @csspart saved-filter-list-wrapper - The component's saved filters list internal wrapper.
 * @csspart clear-filter-btn-wrapper - The component's clear filter button wrapper.
 * @csspart action-btn-container - The component's action button button wrapper.
 *
 */
export declare class BpmeFilter extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    /** Input filter column data of the component. */
    filterColumns: string[];
    /** Managed object type of the selected audit item. */
    managedObjectId: string;
    /** Apply button label of the component. */
    applyBtnLabel: string;
    /** Save button label of the component. */
    saveBtnLabel: string;
    /** Reset button label of the component. */
    resetBtnLabel: string;
    /** Save as button label of the component. */
    saveAsBtnLabel: string;
    /** Saved filters list of the component. */
    savedFiltersList: string[];
    /** Clear button label of the component. */
    clearFilterLabel: string;
    editFilterData: any;
    /**This property is used to autoselect the selected saved filter list based on id. */
    selectedId: string;
    /** Header title of the component. */
    headerTitle: string;
    /** Header name of the component. */
    filterHeaderName: string;
    /** Header label of the component. */
    filterHeaderLabel: string;
    /** This property is used to hide/show the close icon of the component. */
    enableFilterClose: boolean;
    filterDeleteDialog: any;
    editFilterEnable: boolean;
    currentDate: any;
    filteredObjectSelected: any;
    saveFilterBtnShow: boolean;
    filterDataEdited: boolean;
    selectedItemtoDelete: any;
    defaultFilters: boolean;
    savedFilters: boolean;
    editDataSelected: any;
    filterSelectedInputObject: any;
    showAddFilter: boolean;
    editFilterName: any;
    updated(changedProperties: any): void;
    filter(filterObj: Array<any>): void;
    saveFilter(event: any): void;
    resetAll(filterObj: Array<any>): void;
    savedFilterClicked(event: any, array: any, index: any): void;
    deleteFilter(event: any): void;
    openDeleteFilterDialog(event: any): void;
    closeDeleteFilterDialog(): void;
    handleDeleteFilter(): void;
    enableSelect(id: any): void;
    editFilter(event: any): void;
    bindCurrentData(value: any): any;
    bindValue(id: any): string;
    clearFilter(id: any): void;
    controlDirtyCheck(id: any): void;
    inputDateFocus(e: any): void;
    transformFilterHTML(): import("lit-html").TemplateResult<1>;
    filterSidebarOpen(): void;
    filterNavigateBack(): void;
    defaultListClickHandle(): void;
    navigateBackEditFilter(): void;
    closeFilter(): void;
    onScroll(): void;
    returnHtml(): import("lit-html").TemplateResult<1>;
    transformEditData(): void;
    render(): import("lit-html").TemplateResult<1>;
}
