import { LitElement } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert/alert.js';
export interface ErrorConfig {
    errorCode: ErrorItemConfig[];
}
export interface ErrorItemConfig {
    errorCode?: string;
    suspend?: boolean;
    message?: string;
    display_mode?: string;
    alert_type?: string;
    alert_title?: string;
    redirect_page?: string;
    more_information?: boolean;
    more_information_attributes?: string;
}
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The bpme-http-interceptor content.
 *
 * @csspart base - The component's internal wrapper.
 *
 * @extraconfig ErrorConfig
 * @anyErrorConfig errorConfig
 *
 * @paramErrorConfig errorCode (ErrorItemConfig[]) (-) The error code of the error.
 *
 * @extraconfig ErrorItemConfig
 *
 * @paramErrorItemConfig errorCode (string) (-) The error code of the error.
 * @paramErrorItemConfig suspend (boolean) (-) The suspend status of the error.
 * @paramErrorItemConfig message (string) (-) The message of the error.
 * @paramErrorItemConfig display_mode (string) (-) The display mode of the error.
 * @paramErrorItemConfig alert_type (string) (-) The alert type of the error.
 * @paramErrorItemConfig alert_title (string) (-) The alert title of the error.
 * @paramErrorItemConfig redirect_page (string) (-) The redirect page information.
 * @paramErrorItemConfig more_information (boolean) (-) The more information of the error.
 * @paramErrorItemConfig more_information_attributes (string) (-) The more information attributes of the error.
 *
 */
export declare class BpmeHttpInterceptor extends LitElement {
    errors: Array<any>;
    /**Error configuration object. If not provided default configuration will be used */
    errorConfig: any;
    errorFound: boolean;
    private showingMore;
    errorDialog: any;
    bpmetoast: any;
    alertDialog: any;
    static styles: import("lit").CSSResult[];
    interceptFetch(): void;
    interceptXHR(): void;
    handleError(response: any): void;
    openDialog(prop1: any, prop2: any): void;
    connectedCallback(): void;
    private closeAlert;
    private closeDialog;
    private closeAlertDialog;
    private toggleShowMore;
    private openToast;
    private showMoreInformationAttributesTemplate;
    private showMoreTemplate;
    render(): import("lit-html").TemplateResult<1>;
}
