import { LitElement, PropertyValues } from "lit";
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The default content slot.
 *
 * @event bpme-infinite-scroll-fetch - Emitted when a container scrolled to threshold limit.
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeInfiniteScroll extends LitElement {
    static styles: import("lit").CSSResult[];
    divContentElem: any;
    scrollAnimationTick: any;
    boundScrollTick: any;
    thresholdLimit: any;
    hasBreachedThreshold: any;
    /** Input height of the scroll container in vh.  */
    dataheight: string;
    /** Input threshold limit of the scroll container. */
    datathreshold: string;
    constructor();
    disconnectedCallback(): void;
    setDivContainerHeight(event?: any): void;
    scrollTick(): void;
    addHeightandProperties(): void;
    render(): import("lit-html").TemplateResult<1>;
    updated(changedProps: PropertyValues): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-infinite-scroll": BpmeInfiniteScroll;
    }
}
