import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { bpmcontext } from "bpme-services-lib";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeLanguageSwitcher extends BpmeBaseComponent {
    languages: string[] | undefined;
    currentLanguage: string | undefined;
    renderMode: string;
    langContext?: bpmcontext.BPMLanguageContext;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    connectedCallback(): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleListSelection(event: any): void;
    renderLanguageItem(language: string): any;
    renderLanguage(language: string, selected: boolean): any;
    selectLanguage(event: any, language: string): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-language-switcher": BpmeLanguageSwitcher;
    }
}
