import { PropertyValues } from 'lit';
import BpmeBaseComponent from '../../internal/bpme-base-component';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/sidebar/sidebar.js';
import { bpmcontext } from 'bpme-services-lib';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export default class BpmeLanguage extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    langContext?: bpmcontext.BPMLanguageContext;
    language?: string;
    languagesMap: Map<string, Array<string>> | undefined;
    selectedLanguage: string | undefined;
    formattedLanguage: string | undefined;
    fallBackData: string[] | undefined;
    languageToDelete: string | undefined;
    showCloneDialog: boolean;
    languageToClone: string | undefined;
    currentLanguage: string | undefined;
    protected firstUpdated(_changedProperties: PropertyValues): void;
    protected updated(_changedProperties: PropertyValues): void;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleCloneClose(): void;
    handleAddCancel(): void;
    handleUploadEvent(fileName: any): void;
    renderUploadDialog(): void;
    renderLanguageTree(): unknown;
    renderSelectLanguage(event: any): void;
    renderLanguageList(): import("lit-html").TemplateResult<1>;
    renderSubLang(sLang: string, index: number, maxSize: number, aboveLang: string): any;
    exportLanguage(sLang: string): void;
    cloneLanguage(sLang: string): void;
    deleteLanguageFile(sLang: string): void;
    cancelDelete(): void;
    deleteLanguage(sLang: string): void;
    moveDown(sLang: string): void;
    moveUp(sLang: string): void;
    setDefault(subLang: string): void;
    handleListSelection(event: any): void;
    renderLanguageOption(lang: string): any;
    renderLanguage(lang: string): any;
    renderCountryLang(cLang: string): any;
}
declare global {
    interface HTMLElementTagNameMap {
        'bpme-language': BpmeLanguage;
    }
}
