import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/input/input.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @dependency twc-button
 * @dependency twc-input
 *
 * @slot title - The component's title.
 *
 */
export declare class BpmeLogin extends BpmeBaseComponent {
    /**  path to the background of the login page */
    backgroundImageURL: string;
    /**  rgba to apply for background eg : rgba = 'rgba(255, 0, 150, 0.3)' */
    rgba: string;
    /**  sign-in URL */
    signInUrl: string;
    /**  ULR for the SSO */
    ssoUrl: string;
    showSSO: boolean;
    signInTitle: string;
    /**  Redirects page on the success of login, it can be absolute or relative url */
    redirectSuccessUrl: string;
    /**  Redirect page on failure of login, it can be absolute or relative url */
    redirectFailureUrl: string;
    username: string;
    password: string;
    pingURL: string;
    isRedirectUrl: boolean;
    static styles: import("lit").CSSResult[];
    constructor();
    handleUsernameInput(event: InputEvent): void;
    handlePasswordInput(event: InputEvent): void;
    onSubmit(event: any): void;
    redirectURL(redirectUrl: any): void;
    loginWithSSO(): void;
    showError(): void;
    handleSSO(response: any): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-login": BpmeLogin;
    }
}
