import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot headerTools - Header right tools, if slot is not used then by default <bpme-navbar-header-tools> will be rendered.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart logoContainer - Logo container.
 * @csspart logoDivider - vertical divider for logo and title.
 * @csspart applicationTitle - Application title wrapper.
 * @csspart headerTools - Right tools container.
 *
 * @dependency bpme-navbar-header-tools
 */
export declare class BpmeNavbarHeader extends BpmeBaseComponent {
    /**URL for the header logo if not provided them the default url used is /apps/web-cdn/icons/Vector.svg*/
    logoURL: string;
    /** Application title or text after logo */
    applicationTitle: string;
    constructor();
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    checkToolsSlot(): unknown;
    checkLogoSlot(): unknown;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-navbar-header": BpmeNavbarHeader;
    }
}
