import { PropertyValues } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/table/table.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/date/date.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert-dialog/alert-dialog.js";
import "../bpme-process-instance-state-filter/bpme-process-instance-state-filter";
import "../bpme-process-instance-table-filter/bpme-process-instance-table-filter";
import "../bpme-proces-instance-cancel-tasks-dialog/bpme-proces-instance-cancel-tasks-dialog";
import "../bpme-process-instance-summary/bpme-process-instance-summary";
import "../bpme-process-instance-find-dialog/bpme-process-instance-find-dialog";
import "../bpme-process-instance-fix-dialog/bpme-process-instance-fix-dialog";
import "../bpme-adhoc-tasks/bpme-adhoc-tasks";
import "../bpme-toast/bpme-toast";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { PEPackage, PEProcess } from "bpme-services-lib/dist/lib/objectapi/pe/api";
/**
 * @since 1.0.0
 * @status preview
 *
 * * @extraconfig PEPackage
 *
 * @paramPEPackage applicationId (string) (-) The ID of the application this package belongs. Created when the application was deployed.
 * @paramPEPackage packageId (string) (-) The ID of the Package
 * @paramPEPackage packageName (string) (-) The name of the Package
 * @paramPEPackage packageVersion (string) (-) The version of the Package
 * @paramPEPackage processes (PEProcess[]) (-) The list of Process Templates for this Package.
 * @paramPEPackage startable (boolean) (-) If true, the Process Templates within this Package can be started.
 * @paramPEPackage startableState (PEPackageStartableStateEnum<'Active'| 'Upgraded' | 'Purging'>) (-) More information about current startable state.
 * * @extraconfig PEProcess
 *
 * @paramPEProcess processId (string) (-) The ID of the Process Template.
 * @paramPEProcess processName (string) (-) The name of the Process Template
 * @paramPEProcess processInfo (PEProcessInfo) (-) Information about process e.g. input parameters
 *
 * @extraconfig PEProcessInfo
 *
 * @paramPEProcessInfo inputParameters (PEInputParameter[]) (-)  The input parameters for the process
 * @paramPEProcessInfo creationDate (string) (-) Type of process e.g. Service or Business
 * @paramPEProcessInfo processType (PEProcessInfoProcessTypeEnum<'Service' | 'Business'>) (-) Type of process e.g. Service or Business
 *
 * @extraconfig PEInputParameter
 *
 * @paramPEInputParameter name (string) (-) The name of the parameter
 * @paramPEInputParameter type (string) (-) The type of the parameter
 * @paramPEInputParameter isArray (boolean) (-) Whether the parameter is an array or not
 * @paramPEInputParameter mandatory (boolean) (-) Whether the parameter is mandatory or not
 * @paramPEInputParameter className (string) (-) If set, contains the class name used for a BOM type
 *
 * @dependency twc-icon
 * @dependency twc-skeleton
 * @dependency bpme-base-component
 * @dependency twc-skeleton
 * @dependency bpme-confirm-dialog
 * @dependency twc-table
 * @dependency twc-date
 * @dependency twc-alert-dialog
 * @dependency twc-button
 * @dependency twc-dropdown
 * @dependency twc-menu-item
 * @dependency bpme-infinite-scroll
 * @dependency bpme-process-instance-state-filter
 * @dependency bpme-proces-instance-cancel-tasks-dialog
 * @dependency bpme-process-instance-summary
 * @dependency bpme-process-instance-fix-dialog
 * @dependency bpme-process-instance-find-dialog
 * @dependency bpme-toast
 * @dependency bpme-process-instance-table-filter
 * @dependency bpme-adhoc-tasks
 *
 * @csspart base - The component's internal wrapper.
 * @csspart table-wrapper - The component's table-wrapper
 */
export declare class BpmeProcessInstance extends BpmeBaseComponent {
    alertDialog: any;
    adhocTasksPreviewSidebar: any;
    cancelInstancesDialog: any;
    summarySidebar: any;
    findInstanceDialog: any;
    bpmetoast: any;
    confirmBulkDialog: any;
    fixProcessDialog: any;
    confirmMessage: string;
    instances: any;
    config: any;
    fixProcess: boolean;
    isAppend: boolean;
    onFilterDialog: boolean;
    showLoader: boolean;
    sortEnable: boolean;
    orderByField: string;
    sortOrder: string;
    lastQuery: string;
    templateName: string;
    showDiv: boolean;
    filterInstances: [];
    menuInstance: any;
    checkboxId: any;
    fromGlobalSearch: boolean;
    filterDialogQuery: any;
    filterDialogQuery1: any;
    packageDetails: any;
    showInstanceById: boolean;
    redFlag: boolean;
    count: number;
    templates: never[];
    firstProcessName: string;
    process: any;
    disableStart: any;
    templateVersion: string;
    instanceCheckboxId: any;
    instanceState: any;
    haltId: any;
    haltProcessName: any;
    filterQuery: any;
    filterStateQuery: any;
    fields: {};
    purgeSelected: boolean;
    isAdhocSelected: boolean;
    isMore: boolean;
    selection: any;
    currentInstance: any;
    processName: any;
    showSkeletion: boolean;
    isFindInstance: boolean;
    findFilterCount: number;
    top: number;
    isCompleted: boolean;
    isSuspended: boolean;
    isHalted: boolean;
    isActive: boolean;
    currentPackage: PEPackage;
    currentProcess: PEProcess;
    static styles: import("lit").CSSResult[];
    displayedColumns: string[];
    defaultDisplayedColumns: string[];
    workListColumnsDefinition: {
        name: string;
        label: string;
    }[];
    constructor();
    alertBody: string;
    connectedCallback(): void;
    updated(changedProps: PropertyValues): void;
    initializeData(): void;
    instanceFilterQuery: any;
    getInstancesData(currentPackage: any, currentProcess: any): void;
    handleInitializeInstances(ev: any): void;
    checkConfigStatus(controlName: string): any;
    resetToDefaultConfig(controlName: string): any;
    renderInstancesHeaders(): import("lit-html").TemplateResult<1>;
    onMenuSelect(e: any): void;
    confirmDialog(processname: any, checkboxId: any, state: any): void;
    handlNoCancel(): void;
    handleYesCancel(e: any): void;
    operationsService(checkboxId: any, state: any): void;
    serviceCall(PackageName: any, ProcessName: any, PackageVersion: any, count: any): void;
    getFilterData(filterQuery: any, count: any): void;
    callMigrateDialog(): void;
    formConfig: any;
    summaryConfigData: any;
    openSideNav(instance: any): Promise<void>;
    fixProcessDialogData: {};
    invokeHaltProcess(instance: any): void;
    callHaltDialog(name: any, id: any, haltdata: any): void;
    processInstanceHalfFix(e: any): void;
    instanceStateChecked(e: any): void;
    handleOpenMenu(ev: any, instance: any): void;
    fiterInstancesToRender(): any;
    renderInstancesRows(): import("lit-html").TemplateResult<1>;
    handleColumnSelection(event: any): void;
    cancelInstancesObj: any;
    invokePurgeSelected(): void;
    onBulkAction(e: any): void;
    confirmYes(e: any): void;
    handleCancelInstancesDialog(ev: any): void;
    showToast(variant: string, msg: string): void;
    openAdhocTasksDialog(processInstance: any): void;
    closeFindFilter(): void;
    openFindInstanceDialog(e: any): void;
    refreshInstances(): void;
    getFilterDataById(id: any): void;
    tableRowSelected(e: any): void;
    handleAdhocTasks(): void;
    cancelHandler(e: any): void;
    tibcoForm: null;
    loadHandler(e: any): void;
    findInstanceFilter(e: any): void;
    getFindFilterCound(values: any): number;
    switchFilter(flag: any): any;
    startedDD: any;
    filterObj: any;
    finalDialogQuery: any;
    onFilterSearch(data: any): void;
    onScroll(): void;
    render(): import("lit-html").TemplateResult<1>;
}
