import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree/tree.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-item/tree-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-items-group/tree-items-group.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tag/tag.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tooltip/tooltip.js";
import "../bpme-process-template-filter-dialog/bpme-process-template-filter-dialog";
import "../bpme-process-template-migration-dialog/bpme-process-template-migration-dialog";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { PEPackage } from "bpme-services-lib/dist/lib/objectapi/pe/api";
export declare const processTemplateEvents: string[];
/**
 * @since 1.0.0
 * @status preview
 *
 *
 * @dependency twc-icon
 * @dependency twc-tree
 * @dependency twc-items-group
 * @dependency twc-tag
 * @dependency twc-header
 * @dependency twc-tooltip
 * @dependency twc-skeleton
 * @dependency twc-toolbar
 * @dependency bpme-process-template-filter-dialog
 * @dependency bpme-process-template-migration-dialog
 * @dependency bpme-base-component
 * @dependency bpme-confirm-dialog
 * @dependency bpme-infinite-scroll
 *
 * @csspart base - The component's internal wrapper.
 * @csspart body - The component's body wrapper
 * @csspart tags-wrapper - The component's tags-wrapper
 * @csspart button-wrapper - The component's button-wrapper
 * @csspart tree-wrapper - The component's tree-wrapper
 *
 *
 * @extraconfig PEPackage
 *
 * @paramPEPackage applicationId (string) (-) The ID of the application this package belongs. Created when the application was deployed.
 * @paramPEPackage packageId (string) (-) The ID of the Package
 * @paramPEPackage packageName (string) (-) The name of the Package
 * @paramPEPackage packageVersion (string) (-) The version of the Package
 * @paramPEPackage processes (PEProcess[]) (-) The list of Process Templates for this Package.
 * @paramPEPackage startable (boolean) (-) If true, the Process Templates within this Package can be started.
 * @paramPEPackage startableState (PEPackageStartableStateEnum<'Active'| 'Upgraded' | 'Purging'>) (-) More information about current startable state.
 *
 *
 * @extraconfig PEProcess
 *
 * @paramPEProcess processId (string) (-) The ID of the Process Template.
 * @paramPEProcess processName (string) (-) The name of the Process Template
 * @paramPEProcess processInfo (PEProcessInfo) (-) Information about process e.g. input parameters
 *
 * @extraconfig PEProcessInfo
 *
 * @paramPEProcessInfo inputParameters (PEInputParameter[]) (-)  The input parameters for the process
 * @paramPEProcessInfo creationDate (string) (-) Type of process e.g. Service or Business
 * @paramPEProcessInfo processType (PEProcessInfoProcessTypeEnum<'Service' | 'Business'>) (-) Type of process e.g. Service or Business
 *
 * @extraconfig PEInputParameter
 *
 * @paramPEInputParameter name (string) (-) The name of the parameter
 * @paramPEInputParameter type (string) (-) The type of the parameter
 * @paramPEInputParameter isArray (boolean) (-) Whether the parameter is an array or not
 * @paramPEInputParameter mandatory (boolean) (-) Whether the parameter is mandatory or not
 * @paramPEInputParameter className (string) (-) If set, contains the class name used for a BOM type
 *
 *
 * @extraconfig PEProcessDetails
 *
 * @paramPEProcessDetails packageId (string) (-) The ID of the Package
 * @paramPEProcessDetails processId (string) (-) The ID of the Process
 * @paramPEProcessDetails version (string) (-) The version of the Package
 * @paramPEProcessDetails processName (string) (-) The name of the Process
 *
 *
 * @event bpme-process-template-process-clicked - Emitted when a process is clicked
 * @event bpme-process-template-process-started - Emitted when a process is started
 * @event bpme-process-template-cancel-halted-process-confirmed - Emitted when a halted process is cancelled
 * @event bpme-process-template-refresh-process-templates - Emitted when the process templated are refreshed
 *
 */
export declare class BpmeProcessTemplate extends BpmeBaseComponent {
    isProcessStart: boolean;
    config: any;
    processTemplates: PEPackage[];
    projectName: any;
    processTemplatesTree: PEPackage[];
    processObject: PEProcessDetails;
    processDialog: any;
    migrationDialog: any;
    bpmetoast: any;
    confirmDialog: any;
    currentPackage: any;
    dialogConfigData: any;
    enableFeature: boolean;
    processClicked: any;
    fields: {};
    migrationExists: boolean;
    migrationSetTo: any;
    migrationConfigData: any;
    showSkeletion: boolean;
    static styles: import("lit").CSSResult[];
    purgeMessage: string;
    confirmYesScenario: string;
    constructor();
    getProcessTemplates(): void;
    checkConfigStatus(controlName: string): any;
    resetToDefaultConfig(controlName: string): any;
    processClick(ev: any, item: any): void;
    startProcess(e: any): void;
    showToast(variant: string, msg: string): void;
    migrationHandler(ev: any, item: any, processItem: any): void;
    handleDropdownClick(ev: any, item: any): void;
    purgeHandler(e: any, item: any, processItem: any): void;
    purgeId: any;
    purgObj: any;
    purgeDialog(title: any, id: any, reqObj: any): void;
    confirmYes(e: any): void;
    openFilterDialog(ev: any): void;
    topLevel(item: any): import("lit-html").TemplateResult<1>;
    processes(item: any): import("lit-html").TemplateResult<1>;
    updated(changedProps: any): void;
    removeChips(): void;
    switchFilter(flag: any): any;
    filterQuery: any;
    redFlag: any;
    currentIndex: any;
    currentSubIndex: any;
    packageDetails: any;
    processObj: any;
    isAppend: boolean;
    getFilterData(filterQuery: any, count: any): void;
    handleFilterDialogSave(ev: any): void;
    fieldKeys: any;
    setTags(): void;
    handleTagRemoval(ev: any, fieldKey: any): void;
    onFilterSearch(): void;
    refreshTemplate(): void;
    render(): import("lit-html").TemplateResult<1>;
}
interface PEProcessDetails {
    packageId: string;
    processId: string;
    version?: string;
    processName?: string;
}
export {};
