import { LitElement } from "lit";
import { bpmcontext } from "bpme-services-lib";
export interface SystemActionsModel {
    component: string;
    action: string;
}
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot - The default content slot.
 *
 * @extraconfig SystemActionsModel
 *
 * @paramSystemActionsModel component (string) (-) Name of the component.
 * @paramSystemActionsModel action (string) (-)  Name of the action.
 *
 *
 */
export declare class BpmeSystemActionsComponent extends LitElement {
    static styles: import("lit").CSSResult;
    systemActions: bpmcontext.BpmeSystemActionsServiceImpl;
    /** Input data of the component. */
    data: SystemActionsModel[];
    fetchSystemActions(): void;
    render(): import("lit-html").TemplateResult<1>;
    update(changedProps: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-system-actions": BpmeSystemActionsComponent;
    }
}
