/**
 * @since 1.0.0
 * @status stable
 *
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class SystemActions {
    static SYSTEM_ADMIN: {
        component: string;
        action: string;
    };
    /**
     * Org Model System Actions
     */
    static BROWSE_MODEL: {
        component: string;
        action: string;
    };
    static RESOURCE_ADMIN: {
        component: string;
        action: string;
    };
    static READ_PARAMETERS: {
        component: string;
        action: string;
    };
    static WRITE_PARAMETERS: {
        component: string;
        action: string;
    };
    static READ_PUSH_DESTINATIONS: {
        component: string;
        action: string;
    };
    static WRITE_PUSH_DESTINATIONS: {
        component: string;
        action: string;
    };
    static LDAP_ADMIN: {
        component: string;
        action: string;
    };
    static DELETE_LDAP_ADMIN: {
        component: string;
        action: string;
    };
    static RESOLVE_RESOURCE: {
        component: string;
        action: string;
    };
    static IMPORT_LDAP_ADMIN: {
        component: string;
        action: string;
    };
    static EXPORT_LDAP_ADMIN: {
        component: string;
        action: string;
    };
    static CREATE_RESOURCE_ADMIN: {
        component: string;
        action: string;
    };
    static DELETE_RESOURCE_ADMIN: {
        component: string;
        action: string;
    };
    static USER_ADMIN: {
        component: string;
        action: string;
    };
    static ORGANIZATION_ADMIN: {
        component: string;
        action: string;
    };
    static AUTHENTICATED_USER: {
        component: string;
        action: string;
    };
    /**
     * BRM System Actions
     */
    static VIEW_WORK_LIST: {
        component: string;
        action: string;
    };
    static VIEW_GLOBAL_WORK_LIST: {
        component: string;
        action: string;
    };
    static SET_RESOURCE_ORDER_FILTER_CRITERIA: {
        component: string;
        action: string;
    };
    static OPEN_OTHER_RESOURCES_ITEMS: {
        component: string;
        action: string;
    };
    static CLOSE_OTHER_RESOURCES_ITEMS: {
        component: string;
        action: string;
    };
    static SKIP_WORK_ITEM: {
        component: string;
        action: string;
    };
    static REALLOCATE_WORK_ITEM_TO_WORLD: {
        component: string;
        action: string;
    };
    static REALLOCATE_TO_OFFER_SET: {
        component: string;
        action: string;
    };
    static PEND_WORK_ITEM: {
        component: string;
        action: string;
    };
    static WORK_ITEM_ALLOCATION: {
        component: string;
        action: string;
    };
    static CHANGE_ALLOCATED_WORK_ITEM_PRIORITY: {
        component: string;
        action: string;
    };
    static AUTO_OPEN_NEXT_WORK_ITEM: {
        component: string;
        action: string;
    };
    static CHANGE_ANY_WORK_ITEM_PRIORITY: {
        component: string;
        action: string;
    };
    /**
     * Calendar System Actions
     */
    static READ_CALENDARS: {
        component: string;
        action: string;
    };
    static WRITE_CALENDARS: {
        component: string;
        action: string;
    };
    static DELETE_CALENDARS: {
        component: string;
        action: string;
    };
    static RESUME_SUSPENDED_PROCESS: {
        component: string;
        action: string;
    };
    static CANCEL_PURGE_PROCESS: {
        component: string;
        action: string;
    };
    static BULK_RESUME_SUSPEND_PROCESS: {
        component: string;
        action: string;
    };
    static BULK_CANCEL_PURGE_PROCESS: {
        component: string;
        action: string;
    };
    static START_PROCESS: {
        component: string;
        action: string;
    };
    static QUERY_PROCESS: {
        component: string;
        action: string;
    };
    static SET_PRIORITY: {
        component: string;
        action: string;
    };
    static SET_DEADLINE_EXPIRATION: {
        component: string;
        action: string;
    };
    static HANDLE_PROCESS_MIGRATION: {
        component: string;
        action: string;
    };
    static START_AND_CANCEL_ACTIVITY: {
        component: string;
        action: string;
    };
    /**
     * Case Data System Actions
     */
    static READ_CASE: {
        component: string;
        action: string;
    };
    static CREATE_UPDATE_CASE: {
        component: string;
        action: string;
    };
    static DELETE_CASE: {
        component: string;
        action: string;
    };
    /**
     * EC System Actions
     */
    static QUERY_AUDIT: {
        component: string;
        action: string;
    };
    static WRITE_AUDIT: {
        component: string;
        action: string;
    };
    static PURGE_AUDIT: {
        component: string;
        action: string;
    };
    /**
     * Business Service & PageFlow
     */
    static LIST_BUSINESS_SERVICES: {
        component: string;
        action: string;
    };
    /**
     * App Dev System Actions
     */
    static APP_DEV: {
        component: string;
        action: string;
    };
    static USE_CASE_DOCUMENT: {
        component: string;
        action: string;
    };
    static ADMIN_CASE_DOCUMENT: {
        component: string;
        action: string;
    };
    static ALL_SYSTEM_ACTIONS: {
        component: string;
        action: string;
    }[];
    static WORK_MANAGER_ACTIONS: {
        component: string;
        action: string;
    }[];
    static ADMIN_ACTIONS: {
        component: string;
        action: string;
    }[];
    static APP_DEV_ACTIONS: {
        component: string;
        action: string;
    }[];
    static ACTION_DISABLE: string;
    static ACTION_HIDE: string;
    static ACTION_ALERT: string;
}
