import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails, Categories, Properties, ThemeConfiguration } from "../../utilities/themes-model";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/categoriser/categoriser.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/color-picker/color-picker.js";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemeBasicSettings extends BpmeBaseComponent {
    /**Selected theme */
    theme?: BPMThemeDetails;
    /**Main theme category */
    themeCategory?: BPMThemeDetails;
    themeData: any;
    themeConfiguration?: ThemeConfiguration;
    connectedCallback(): void;
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    renderThemeConfigCategory(themeConfigCat: Categories): any;
    handleMouseover(event: any, themeConfigCat: Categories): void;
    handleConfigProperty(configProperty: Properties): any;
    handleFocus(event: any, configProperty: Properties): void;
    handleConfigValueProperty(event: any, configProperty: Properties): void;
    changeLabel(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-basic-settings": BpmeThemeBasicSettings;
    }
}
