import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails, BPMThemeProperties, Categories } from "../../utilities/themes-model";
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot base - The base slot if provided it will not render the default components.
 *
 * @csspart base - The component's internal wrapper.
 *
 * @extraconfig BPMThemeDetails
 *
 * @paramBPMThemeDetails name (string) (-) The name of the theme or category.
 * @paramBPMThemeDetails label (string) (-) The label of the theme or category.
 * @paramBPMThemeDetails themeType (string) (-) 'light' or 'dark' type.
 * @paramBPMThemeDetails active (boolean) (-) Current theme or not.
 * @paramBPMThemeDetails themeClass (string) (-) Class which need to be added when the theme is activated.
 * @paramBPMThemeDetails isDefault (boolean) (-) If its out of the box theme.
 * @paramBPMThemeDetails variants (BPMThemeDetails[]) (-) Nested themes.
 *
 *
 */
export declare class BpmeThemeBuilderAdvanced extends BpmeBaseComponent {
    /** Theme category from where the theme belongs*/
    themeCategory: BPMThemeDetails | undefined;
    /** Theme to be fine tuned */
    theme: BPMThemeDetails | undefined;
    themeProperty: BPMThemeProperties | undefined;
    basicCategory: Categories | undefined;
    themeData: any;
    componentData: any;
    variableUpdateDetails: any;
    tooltipSelection: any;
    static styles: import("lit").CSSResult[];
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleThemeUpdateAdv(event: any): void;
    handleCategorySelection(event: any): void;
    handleComponentHover(event: any): void;
    handleThemeCancel(): void;
    handleThemeUpdate(event: any): void;
    handleVariableUpdate(event: any): void;
    handlePropertySelection(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-builder-advanced": BpmeThemeBuilderAdvanced;
    }
}
