import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails, Categories, Properties } from "../../utilities/themes-model";
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot base - The base slot if provided it will not render the default components.
 *
 * @csspart base - The component's internal wrapper.
 *
 */
export declare class BpmeThemeBuilder extends BpmeBaseComponent {
    themeCategory: BPMThemeDetails | undefined;
    theme: BPMThemeDetails | undefined;
    themeData: any;
    variableUpdateDetails: any;
    selectedSetting: Categories | Properties | undefined;
    constructor();
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    handleSelectedSetting(event: any): void;
    handleThemeSaveAs(): void;
    cancelThemeChanges(): void;
    handleVariableUpdate(event: any): void;
    handleThemeUpdate(event: any): void;
    handleThemeSelection(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-builder": BpmeThemeBuilder;
    }
}
