import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails } from "../../utilities/themes-model";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/categoriser/categoriser.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/color-picker/color-picker.js";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemeGlobalSettings extends BpmeBaseComponent {
    /**Selected theme */
    theme?: BPMThemeDetails;
    /**Main theme category */
    themeCategory?: BPMThemeDetails;
    themeData: any;
    primaryColor?: string;
    themeColor?: string;
    secondaryColor?: string;
    accentColor?: string;
    errorColor?: string;
    successColor?: string;
    warningColor?: string;
    neutralColor?: string;
    primaryDefault?: string;
    primaryHover?: string;
    primaryDisabled?: string;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    renderFontFamily(): unknown;
    renderFontSize(): unknown;
    handleThemeVariableValue(event: any, name: string, cssVariable: string): void;
    renderBorderColors(): unknown;
    renderTextColors(): unknown;
    renderSurfaceColors(): unknown;
    handlePickerValue(event: any, name: string, cssVariable: string): void;
    renderNeutralColor(): unknown;
    handleNeutralHideEvent(ev: any): void;
    handleNeutralInputChange(event: any): void;
    renderWarningColor(): unknown;
    handleWarningHideEvent(ev: any): void;
    handleWarningInputChange(event: any): void;
    renderSuccessColor(): unknown;
    handleSuccessHideEvent(ev: any): void;
    handleSuccessInputChange(event: any): void;
    renderErrorColor(): unknown;
    handleErrorHideEvent(ev: any): void;
    handleErrorInputChange(event: any): void;
    renderAccentColor(): unknown;
    handleAccentHideEvent(ev: any): void;
    handleAccentInputChange(event: any): void;
    renderSecondaryColor(): unknown;
    handleSecondaryHideEvent(ev: any): void;
    handleSecondaryInputChange(event: any): void;
    renderThemeColor(): unknown;
    handleThemeHideEvent(ev: any): void;
    handleThemeInputChange(event: any): void;
    renderPrimaryColor(): unknown;
    handleHideEvent(ev: any): void;
    handleInputChange(event: any): void;
    changeLabel(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-global-settings": BpmeThemeGlobalSettings;
    }
}
