import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMTheme, BPMThemeDetails } from "../../utilities/themes-model";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree/tree.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-items-group/tree-items-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tree-item/tree-item.js';
/**
 * @since 1.0.0
 * @status stable
 *
 * @slot base - The base slot if provided it will not render the default components.
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeThemeList extends BpmeBaseComponent {
    themesList: BPMTheme | undefined;
    showDuplicateDialog: boolean;
    moreOptionSelection: BPMThemeDetails | undefined;
    moreOptionSelectionParent: BPMThemeDetails | undefined;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    renderSkeleton(): unknown;
    checkBaseSlot(): unknown;
    handleDuplicateEvent(event: any): void;
    handleDuplicateCancelled(): void;
    handleAddCancel(): void;
    handleUploadEvent(detail: any): void;
    renderUploadDialog(): void;
    refresh(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-list": BpmeThemeList;
    }
}
