import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails, BPMThemeProperties } from "../../utilities/themes-model";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert-dialog/alert-dialog.js';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemeParameters extends BpmeBaseComponent {
    /**Main theme category */
    themeCategory?: BPMThemeDetails;
    /**Selected theme */
    theme?: BPMThemeDetails;
    themeProperty?: BPMThemeProperties;
    themeData: any;
    componentData: any;
    selectedTab: string;
    disableButtons: boolean;
    varUpdates: Map<string, string>;
    showLoadingIndicator: boolean;
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1> | undefined;
    renderDirtyAlert(): unknown;
    handleAdvanceContinue(): void;
    handleAdvanceCancel(): void;
    renderSkeleton(): unknown;
    checkBaseSlot(): unknown;
    handleVariableUpdate(event: any): void;
    checkToolsSlot(): unknown;
    themeSave(): void;
    cancelChanges(): void;
    themeSaveAs(): void;
    handleTabSelection(tab: string): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-parameters": BpmeThemeParameters;
    }
}
