import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails, Categories, Properties } from "../../utilities/themes-model";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/table/table.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemePreview extends BpmeBaseComponent {
    /**Selected theme */
    theme?: BPMThemeDetails;
    /**Main theme category */
    themeCategory?: BPMThemeDetails;
    themeData?: any;
    cssVariable?: string;
    variableValue?: string;
    themePallette?: string;
    setting: Categories | Properties | undefined;
    showLoadingIndicator: boolean;
    tooltipText: string | undefined;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    checkFooterSlot(): unknown;
    checkContentSlot(): unknown;
    checkHeaderSlot(): unknown;
    renderSkeleton(): unknown;
    updateVariable(cssVariable: string, value: string): void;
    updatePallette(themePallette: string, variableValue: string): void;
    refresh(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-preview": BpmeThemePreview;
    }
}
