import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMThemeDetails, Categories } from "../../utilities/themes-model";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert-dialog/alert-dialog.js';
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemeSettings extends BpmeBaseComponent {
    /**Main theme category */
    themeCategory?: BPMThemeDetails;
    /**Selected theme */
    theme?: BPMThemeDetails;
    basicCategory?: Categories;
    themeData: any;
    disableButtons: boolean;
    varUpdates: Map<string, string>;
    showLoadingIndicator: boolean;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    renderDirtyAlert(): unknown;
    handleAdvanceContinue(): void;
    handleAdvanceCancel(): void;
    renderSkeleton(): unknown;
    handleDuplicateEvent(event: any): void;
    handleDuplicateCancelled(): void;
    checkBaseSlot(): unknown;
    handleThemeUpdate(event: any): void;
    handleVariableUpdate(event: any): void;
    checkToolsSlot(): unknown;
    showAdvancedSettings(): void;
    themeSave(): void;
    cancelChanges(): void;
    themeSaveAs(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-settings": BpmeThemeSettings;
    }
}
