import { PropertyValues } from "lit";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMTheme, BPMThemeDetails } from "../../utilities/themes-model";
/**
 * @since 1.0.0
 * @status stable
 *
 */
export declare class BpmeThemeSwitcher extends BpmeBaseComponent {
    themes: BPMTheme | undefined;
    renderMode: string;
    selectedTheme: BPMThemeDetails | undefined;
    selectedCategory: BPMThemeDetails | undefined;
    constructor();
    protected updated(_changedProperties: PropertyValues): void;
    connectedCallback(): void;
    static styles: import("lit").CSSResult[];
    render(): import("lit-html").TemplateResult<1>;
    checkBaseSlot(): unknown;
    renderCategoryDetails(): unknown;
    renderCategoryThemes(vTheme: BPMThemeDetails): any;
    renderCategory(tCategory: BPMThemeDetails): any;
    handleCategoryChange(event: any): void;
    handleListSelection(event: any): void;
    refresh(): void;
    renderTheme(theme: BPMThemeDetails): import("lit-html").TemplateResult<1>;
    selectTheme(event: any, theme: BPMThemeDetails): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-theme-switcher": BpmeThemeSwitcher;
    }
}
