import { LitElement, PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-view/list-view.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js';
import { CDTypeInfo } from 'bpme-services-lib/dist/lib/objectapi/cd/api';
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-list-item
 * @dependency twc-list-view
 *
 * @slot - The bpme-types's content.
 * @event { CDTypeInfo[] } bpm-case-types-fetched - Emitted when the types data is updated.
 * @event { CDTypeInfo[] } bpm-case-type-selected - Emitted when the types is selected.
 *
 * @csspart base - The component's internal wrapper.
 */
export declare class BpmeTypes extends LitElement {
    /** Selects the first element in the list by default */
    defaultSelect?: boolean;
    listSubText: boolean;
    selected: any;
    lastChecked: any;
    config: any;
    types: CDTypeInfo[];
    selectedType: any;
    EVENT_DATA: string;
    EVENT_SELECT: string;
    onTypeSelect(type: any): void;
    onTypeSelectNew(e: any): void;
    handleTypesData(event: any): void;
    /** getTypes */
    getTypes(): void;
    nextBatch(_$event: any): void;
    refresh(): void;
    /*************************************************************************************************************** */
    /**
    * Implement to perform post-updating tasks via DOM APIs, for example, focusing an element.
    * Setting properties inside this method will *not* trigger another update.
    */
    updated(changedProps: PropertyValues): Promise<void>;
    listItemRender(i: any): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-types": BpmeTypes;
    }
}
