import { LitElement } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tooltip/tooltip.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/alert/alert.js';
/**
 * @since 1.0.0
 * @status stable
 * @event { WRPStatus[] } bpme-case-folder-artifact-upload - Emitted when the folder artifact uploaded status
 *
 */
export declare class BpmeUploadDocument extends LitElement {
    static styles: import("lit").CSSResult[];
    selectedFile: any;
    documentName: string;
    description: string;
    uploadConfig: any;
    successMassage: string;
    showSuccess: boolean;
    spChars: boolean;
    invalidFileExtension: boolean;
    invalidExtensionArray: string[];
    validExtensionArray: string[];
    selectedCase: any;
    files: any;
    renderedURL: any;
    clearDocumentInChild: boolean;
    EVENT_FOLDER_ARTIFACT_UPLOAD: string;
    onFileSelect(selectEvent: any, dragEvent?: boolean): void;
    testFileExtension(): boolean;
    onFileDrop(dropEvent: any): void;
    clearDocument(): void;
    uploadDocument(): void;
    showToastMessage(toastContent: any, messageType: any): void;
    firstUpdated(): void;
    allowDrop(ev: any): void;
    drag(ev: any): void;
    drop(ev: any): void;
    onDocumentDrop(event: any): void;
    getReaderURL(uploadedFile: any): Promise<boolean>;
    checkFileSize(size: number): boolean;
    removeImage(e?: any): void;
    sizeWarning(): void;
    cancelDocument(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-upload-document": BpmeUploadDocument;
    }
}
