import { PropertyValues } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-view/list-view.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const offerSetEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-dialog
 * @dependency twc-checkbox
 * @dependency twc-button
 * @dependency twc-list-view
 * @dependency twc-list-item
 *
 * @slot - The default content slot.
 *
 * @event bpme-work-items-allocate-offer-set-dialog-save - Emitted when the dialog saved.
 * @event bpme-work-items-allocate-offer-set-dialog-cancel - Emitted when the dialog cancelled.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart heading - The component's heading wrapper.
 * @csspart content - The component's content list wrapper.
 * @csspart footer-section - The component's dialog footer section wrapper.
 *
 */
export declare class BpmeWorkItemsAllocateOfferSetDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    EVENT_SAVE: string;
    EVENT_CANCEL: string;
    selectedItem: any;
    revertValue: boolean;
    btnDisable: boolean;
    /** Input data of the component. */
    data: any;
    dialog: any;
    show(): void;
    hide(): void;
    revertDataReallocate(event: any): void;
    onCancel(): void;
    resetToDefault(): void;
    onReallocate(): void;
    updated(changedProps: PropertyValues): void;
    getListItem(event: any): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-items-allocate-offer-set-dialog": BpmeWorkItemsAllocateOfferSetDialog;
    }
}
