import { PropertyValues } from "lit";
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/query-builder/query-builder.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-group/radio-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio/radio.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-button/radio-button.js';
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const filterDialogEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-dialog
 * @dependency twc-query-builder
 * @dependency twc-button
 *
 * @slot - The default content slot.
 *
 * @event { boolean } bpme-work-items-filter-dialog-cancel - Emitted when the cancel action performed.
 * @event { string } bpme-work-items-filter-dialog-save - Emitted when the save action performed.\
 *
 * @csspart base - The component's internal wrapper.
 * @csspart filter-no-text - The component's filter no text label wrapper.
 * @csspart filter-text - The component's filter text label wrapper.
 * @csspart footer-section - The component's footer section wrapper.
 *
 */
export declare class BpmeWorkItemsFilterDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    /** Input filter data of the component. */
    data: any;
    dialog: any;
    show(): void;
    hide(): void;
    EVENT_CANCEL: string;
    EVENT_SAVE: string;
    allowRuleset: boolean;
    allowCollapse: boolean;
    query: {
        condition: string;
        rules: never[];
    };
    worklistFacade: Array<any>;
    private clientOperatorsList;
    private serverOperatorsList;
    private clientToServerOperator;
    private serverToClientOperator;
    connectedCallback(): void;
    config: any;
    classNames: any;
    decode(rules: any[], expressions: string[], condition: string): void;
    merge(...strings: any[]): any;
    convertToString(query: any, source?: string): string;
    convertToObject(expressions: any[], groupObject: any): any;
    isRuleSet(expression: any): boolean;
    isRule(expression: any): boolean;
    isGroup(expression: any): boolean;
    populateQuery(expression: string): void;
    private convertStringFormatCustom;
    private replaceOperators;
    isValidQuery(query: any): any;
    resetQuery(): void;
    flag: boolean;
    render(): import("lit-html").TemplateResult<1>;
    queryHandler($event: any): void;
    saveDialog(): void;
    closeDialog(): void;
    updated(changedProps: PropertyValues): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-items-filter-dialog": BpmeWorkItemsFilterDialog;
    }
}
