import { PropertyValues } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-group/radio-group.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio/radio.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/range/range.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const priorityDialogEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-dialog
 * @dependency twc-radio-group
 * @dependency twc-radio
 * @dependency twc-range
 * @dependency twc-input
 * @dependency twc-button
 *
 * @slot - The default content slot.
 *
 * @event { boolean } bpme-work-items-priority-dialog-cancel - Emitted when the cancel action performed.
 * @event { Object } bpme-work-items-priority-dialog-save - Emitted when the save action performed.
 * @event { boolean } bpme-work-items-priority-dialog-reset - Emitted when the reset action performed.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart label-container - The component's label container wrapper.
 * @csspart label - The component's label wrapper.
 * @csspart radio-group-container - The component's radio group wrapper.
 * @csspart value-container - The component's priority value wrapper.
 * @csspart value-label - The component's priority value label wrapper.
 * @csspart range-control-container - The component's range control wrapper.
 * @csspart range-input-control - The component's range input control wrapper.
 * @csspart note-label - The component's note label wrapper.
 * @csspart footer-section - The component's footer section wrapper.
 *
 *
 */
export declare class BpmeWorkItemsPriorityDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    dialog: any;
    show(): void;
    hide(): void;
    priorityAs: string;
    max: number;
    min: number;
    step: number;
    thumbLabel: boolean;
    value: any;
    workitem: any;
    active: boolean;
    errorMsgShow: boolean;
    selectedString: string;
    EVENT_CANCEL: string;
    EVENT_SAVE: string;
    EVENT_RESET: string;
    onPriorityAsChange($event: any): void;
    onCancel(): void;
    onReset(): void;
    resetToDefault(): void;
    onPriority(): void;
    isValidPriority(): boolean;
    workitemWatchHandler(newValue: boolean, oldValue: boolean): void;
    handleValueChange(event: any): void;
    inputHandleValueChange(event: any): void;
    updated(changedProps: PropertyValues): void;
    componentWillLoad(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-items-priority-dialog": BpmeWorkItemsPriorityDialog;
    }
}
