import { PropertyValues } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/dialog/dialog.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/counter/counter.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const refreshDialogEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-dialog
 * @dependency twc-switch
 * @dependency twc-counter
 * @dependency twc-checkbox
 * @dependency twc-button
 *
 * @slot - The default content slot.
 *
 * @event { boolean } bpme-work-items-refresh-dialog-cancel - Emitted when the dialog cancelled.
 * @event { Object } bpme-work-items-refresh-dialog-save - Emitted when the save action performed.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart label - The component's label wrapper.
 * @csspart label-content - The component's label content wrapper.
 * @csspart switch-container - The component's switch wrapper.
 * @csspart timer-container - The component's timer wrapper.
 * @csspart timer-label - The component's timer label wrapper.
 * @csspart timer-control - The component's timer control wrapper.
 * @csspart counter-label - The component's counter label wrapper.
 * @csspart note-container - The component's note wrapper.
 * @csspart note-label - The component's note label wrapper.
 * @csspart checkbox-container - The component's checkbox wrapper.
 * @csspart checkbox-label - The component's checkbox label wrapper.
 * @csspart setting-note - The component's setting note wrapper.
 * @csspart setting-label - The component's setting label wrapper.
 * @csspart footer-section - The component's footer wrapper.
 *
 *
*/
export declare class BpmeWorkItemsRefreshDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    dialog: any;
    show(): void;
    hide(): void;
    MINIMUM_DEFAULT_INTERVAL: number;
    interval: number;
    autoRefresh: boolean;
    saveSettings: boolean;
    /** Input data of the component.  */
    data: any;
    active: boolean;
    autoRefreshEnabled: boolean;
    EVENT_CANCEL: string;
    EVENT_SAVE: string;
    componentWillLoad(): void;
    closeRefreshDialogue(): {
        interval: number;
        autoRefresh: true;
        saveSettings: boolean;
        clearPreviousIntervals?: undefined;
    } | {
        clearPreviousIntervals: boolean;
        autoRefresh: false;
        saveSettings: boolean;
        interval?: undefined;
    };
    dataWatchHandler(): void;
    updated(changedProps: PropertyValues): void;
    handleAutoRefreshChange(event: any): void;
    handleIntervalChange(event: any): void;
    handleSaveSettingsChange(event: any): void;
    onCancel(): void;
    onApply(): void;
    invertalDecrement(): void;
    invertalIncrement(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-items-refresh-dialog": BpmeWorkItemsRefreshDialog;
    }
}
