import { PropertyValueMap } from "lit";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon-button/icon-button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tooltip/tooltip.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/input/input.js";
import BpmeBaseComponent from "../../internal/bpme-base-component";
export declare const sortDialogEvents: string[];
/**
 * @since 1.0.0
 * @status stable
 * @dependency twc-dialog
 * @dependency twc-list-selector
 * @dependency twc-button
 *
 *
 * @slot - The default content slot.
 * @event { boolean } bpme-work-items-sort-config-dialog-cancel - Emitted when the cancel action performed.
 * @event { any[] } bpme-work-items-sort-config-dialog-save - Emitted when the save action performed.
 * @event { any[] } bpme-work-items-sort-config-dialog-reset - Emitted when the reset action performed.
 *
 *
 * @csspart base - The component's internal wrapper.
 * @csspart content-container - The component's content wrapper.
 * @csspart footer-section - The component's footer wrapper.
 *
 */
export declare class BpmeWorkItemsSortConfigDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    dialog: any;
    selectedColumsListArrayString: string;
    selectedColumsListArray: any;
    show(): void;
    hide(): void;
    /** Input data of the component.  */
    data: any;
    /** Initial selected data of the component.  */
    initSelectedData: never[];
    sortOrderArray: never[];
    initData: never[];
    selectedListArray: any;
    EVENT_CANCEL: string;
    EVENT_SAVE: string;
    EVENT_RESET: string;
    EVENT_SELECTED_LIST: string;
    active: boolean;
    selectedColumnData: never[];
    worklistFacade: Array<any>;
    _attributes: Array<any>;
    workListSortColumnsDefinition: {
        name: string;
        label: string;
    }[];
    resetSortOrder(): void;
    onCancel(): void;
    onSave(): void;
    componentWillLoad(): void;
    refreshHandler(event: CustomEvent<any>): void;
    watchHandler(newValue: boolean, _oldValue: boolean): void;
    selectedColumsList(event: any): void;
    protected updated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    render(): import("lit-html").TemplateResult<1>;
}
