import { PropertyValues } from "lit";
import { bpmcontext } from "bpme-services-lib";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/table/table.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/columnSelector/columnSelector.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/dropdown/dropdown.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/select/select.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/option/option.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/dropdown/dropdown.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/switch/switch.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tooltip/tooltip.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon-button/icon-button.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/divider/divider.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/date/date.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/header/header.js";
import "../bpme-work-item-form/bpme-work-item-form";
import "../bpme-work-items-pend-dialog/bpme-work-items-pend-dialog";
import "../bpme-work-items-priority-dialog/bpme-work-items-priority-dialog";
import "../bpme-work-items-allocate-offer-set-dialog/bpme-work-items-allocate-offer-set-dialog";
import "../bpme-work-items-refresh-dialog/bpme-work-items-refresh-dialog";
import "../bpme-work-items-sort-config-dialog/bpme-work-items-sort-config-dialog";
import "../bpme-work-items-filter-dialog/bpme-work-items-filter-dialog";
import "../bpme-adhoc-tasks/bpme-adhoc-tasks";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-group/tab-group.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab/tab.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/tab-panel/tab-panel.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/toolbar/toolbar.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/toolbar-item/toolbar-item.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/toolbar-group/toolbar-group.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/checkbox/checkbox.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/spinner/spinner.js";
import "@tibcowebcomponents-style/tibcowebcomponents/dist/components/skeleton/skeleton.js";
import { SelectionModel } from "../../utilities/selection-model";
import { BRMWorkItem, BRMWorkListView } from "bpme-services-lib/dist/lib/objectapi/brm/api";
import BpmeBaseComponent from "../../internal/bpme-base-component";
import { BPMConfigurationProperty } from "bpme-services-lib/dist/lib/services";
export declare const customEventList: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-dialog
 * @dependency twc-table
 * @dependency twc-table-head
 * @dependency twc-table-head-cell
 * @dependency twc-table-row
 * @dependency twc-table-cell
 * @dependency twc-date
 * @dependency twc-checkbox
 * @dependency twc-button
 * @dependency twc-switch
 * @dependency twc-tooltip
 * @dependency twc-toolbar
 * @dependency twc-toolbar-group
 * @dependency twc-toolbar-item
 * @dependency twc-icon
 * @dependency twc-icon-button
 * @dependency twc-dropdown
 * @dependency twc-menu
 * @dependency twc-menu-item
 * @dependency bpme-mini-org-browser
 * @dependency bpme-work-item-preview
 * @dependency bpme-adhoc-tasks
 * @dependency bpme-work-item-form
 * @dependency bpme-work-items-pend-dialog
 * @dependency bpme-work-items-priority-dialog
 * @dependency bpme-work-items-refresh-dialog
 * @dependency bpme-work-items-allocate-offer-set-dialog
 * @dependency bpme-work-items-sort-config-dialog
 * @dependency bpme-work-items-filter-dialog
 * @dependency bpme-work-items-column-selector-dialog
 *
 * @slot - The default content slot.
 *
 * @event { BRMWorkListItem[] } bpm-work-items-fetched - Emitted when the work items are fetched.
 * @event { BRMWorkItem[] } bpm-work-item-cancelled - Emitted when a selected work item is cancelled.
 * @event { BRMWorkItem[] } bpm-work-item-allocated-to-self - Emitted when the work item/items is allocated to self.
 * @event { BRMWorkItem[] } bpm-work-item-reoffered - Emitted when the selected work item/items are reoffered.
 * @event { BRMWorkItem[] } bpm-work-item-skipped - Emitted when the selected work item/items are skipped.
 * @event { BRMWorkListItem } bpm-work-item-pended - Emitted when the selected work item/items are pended.
 * @event { BRMWorkListItem } bpm-work-item-priority-changed - Emitted when the selected work item/items priority is changed.
 * @event { BRMWorkItem[] } bpm-work-item-pended-changed - Emitted when the selected work item/items pended  status is changed.
 * @event { BRMPriority[] } bpm-work-items-priority-changed - Emitted when the selected work items priority is changed.
 * @event { string[] } bpm-work-items-refresh-config-changed - Emitted when the work item/items configuration is  changed.
 * @event { string } bpm-work-items-sort-changed - Emitted when the work item/items sorting is changed.
 * @event { string } bpm-work-items-filter-changed - Emitted when the work item/items filter is changed.
 * @event { string[] } bpm-work-items-column-changed - Emitted when the work item/items columns to display is changed.
 * @event { string[] } bpm-work-items-reallocate-offer-set - Emitted when the selected work item/items are reallocated to initial offer set.
 * @event { BRMWorkItem } bpm-work-item-open-next - Emitted when the open next work item selected.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart work-list-action-block - The component's work list action block wrapper.
 * @csspart autorepeat - The component's autorepeat wrapper.
 * @csspart autorepeat-label - The component's autorepeat label wrapper.
 * @csspart autorefresh - The component's autorefresh wrapper.
 * @csspart sort-filter-container - The component's sort filter toolbar container wrapper.
 * @csspart refresh - The component's refresh wrapper.
 * @csspart work-item-action-block - The component's work item action block wrapper.
 * @csspart work-list-table - The component's work list table wrapper.
 * @csspart no-work-items-label - The component's no work items label wrapper.
 * @csspart open-button - The component's open button wrapper.
 * @csspart action-ellipsis - The component's action ellipsis wrapper.
 * @csspart highlight-priority-row - The component's priority row wrapper, it will be appended based on the highlightPriority property.
 * @csspart highlight-priority-cell - The component's priority cell wrapper, it will be appended based on the highlightPriority property.
 *
 * @extraconfig BRMWorkListItem
 *
 * @paramBRMWorkListItem id (string) (-) Unique identity of the Work Item.
 * @paramBRMWorkListItem version (string) (-) Version of the Work Item.
 * @paramBRMWorkListItem header (BRMHeader) (-) Header of the Work Item.
 * @paramBRMWorkListItem state (BRMState) (-) State of the Work Item.
 * @paramBRMWorkListItem attributes (BRMWorkListAttributes) (-) The Work List Attributes. These are the 40 attributes into which data can be mapped for the purpose of sorting and filtering Work Lists.
 * @paramBRMWorkListItem visible (boolean) (-) Indicates whether the Work Item is visible.
 *
 * @extraconfig BRMWorkListView
 *
 * @paramBRMWorkListView name (string) (-) The user-defined name of the view.
 * @paramBRMWorkListView description (string) (-) Optional description that can be given to the Work List View.
 * @paramBRMWorkListView owner (string) (-) The resourceID of the owner of this view. If omitted, the ID of the resource calling the createWorkListView API is used. This resource can always edit or use this view.
 * @paramBRMWorkListView public (boolean) (-) Indicates if the view is public, that is, whether it can be used by any TIBCO Cloud BPM user. If true, the view is visible to ALL users, not just those in the \"users\" set.
 * @paramBRMWorkListView getAllocatedItems (boolean) (-) Optional default behaviour is false. If true, this is a request for allocated Work Items. If false, the request is for offered Work Items.
 * @paramBRMWorkListView entityId (BRMModelEntityId) (-) Entity id of the view.
 * @paramBRMWorkListView resourcesRequired (BRMWorkListViewResourcesRequiredEnum) (-) Specifies what, if any, resource processing is required on the work list. If specified, and the user has the correct privilege, this will ignore any entity specified in the Work View itself.
 * @paramBRMWorkListView orderFilterCriteria (BRMOrderFilterCriteria) (-)
 * @paramBRMWorkListView authors (BRMModelEntityId[]) (-) Array of ModelEntityId objects for entities (GROUPS, POSITIONS, ORGUNITS, and RESOURCES) that are allowed to edit the view.
 * @paramBRMWorkListView users (BRMModelEntityId[]) (-) Array of ModelEntityId objects for resources who are allowed to use the view.
 * @paramBRMWorkListView customData (string) (-) A string attribute the caller can use to provide custom data they want to store with the Work List View. The Work Manager Service will not look at nor use this attribute value, but will just store it with the Work View definition. If storing XML data, the value should be wrapped in a CDATA section.
 * @paramBRMWorkListView workViewId (number) (-) The unique ID of the Work List View.
 * @paramBRMWorkListView creationDate (string) (-) The date the Work List View was created.
 * @paramBRMWorkListView modificationDate (string) (-) The date the Work List View was last modified.
 * @paramBRMWorkListView locker (string) (-) The GUID of the resource that currently has this Work List View locked for editing.
 *
 * @extraconfig BRMOrderFilterCriteria
 * @paramBRMOrderFilterCriteria order (string) (-) Expression defining the sort criteria to be applied to the Work Item list. Refer to the developer\'s guide for more information about how to define this expression.
 * @paramBRMOrderFilterCriteria filter (string) (-) Expression defining the filter criteria to be applied to the Work Item list. Refer to the developer\'s guide for more information about how to define this expression.
 *
 *
 * @extraconfig BPMConfigurationProperty
 * @paramBPMConfigurationProperty name (string) (-) The name of the config property.
 * @paramBPMConfigurationProperty label (BPMExternalizedText) (-) The label of the config property.
 * @paramBPMConfigurationProperty description (BPMExternalizedText) (-) The description of the config property.
 * @paramBPMConfigurationProperty type ('string' | 'number' | 'boolean') (-) The type of the config property.
 * @paramBPMConfigurationProperty value ('string' | 'number' | 'boolean') (-) The value of the config property.
 * @paramBPMConfigurationProperty defaultValue ('string' | 'number' | 'boolean') (-) The default value of the config property.
 *
 * @extraconfig BPMExternalizedText
 *
 * @paramBPMExternalizedText default (string) (-) The default value of the externalized text.
 * @paramBPMExternalizedText localeKey (string) (-) The locale value of the externalized text.
 *
 * @extraconfig BRMWorkItem
 *
 * @paramBRMWorkItem id (string) (-) Id of the Work Item.
 * @paramBRMWorkItem version (string) (-) Version of the Work Item.
 * @paramBRMWorkItem header (BRMHeader) (-) Header of the Work Item.
 * @paramBRMWorkItem body (BRMBody) (-) Body of the Work Item.
 * @paramBRMWorkItem state (BRMState) (-) State of the Work Item.
 * @paramBRMWorkItem visible (boolean) (-) Visible status of the Work Item.
 * @paramBRMWorkItem nextItem (BRMNextItemDetails) (-) Next item of the Work Item.
 * @paramBRMWorkItem hiddenPeriod (BRMHiddenPeriod) (-) Hidden Period of the Work Item.
 *
 * @extraconfig BRMModelEntityId
 *
 * @paramBRMModelEntityId id (string) (-) The unique ID of the organization model entity.
 * @paramBRMModelEntityId modelVersion (number) (-) The organization model version of the entity.
 * @paramBRMModelEntityId type (BRMEntityType) (-) The organization model entity type.
 *
 * @extraconfig BRMEntityType
 *
 * @paramBRMEntityType type (BRMEntityTypeTypeEnum <'OrganizationalUnit' | 'Group' | 'Position' | 'Resource' | 'Query'>) (-) An enumeration of the possible types of organization model entity.
 *
 * @extraconfig BRMWorkListViewResourcesRequiredEnum
 *
 * @paramBRMWorkListViewResourcesRequiredEnum type (BRMWorkListViewResourcesRequiredEnum <'ALL' | 'MINE'>) (-) An enumeration of the possible types of organization model entity.
 *
 * @extraconfig BRMHeader
 *
 * @paramBRMHeader distributionStrategy (BRMDistributionStrategy) (-) Distribution strategy to be used for the Work Item.
 * @paramBRMHeader priority (number) (-) Priority of the Work Item.
 * @paramBRMHeader groupId (string) (-) Identity of the Group that the Work Item belongs to.
 * @paramBRMHeader startDate (string) (-) Date / time from which work on this Work Item may start.
 * @paramBRMHeader endDate (string) (-) Date / time by which work on this Work Item must be completed.
 * @paramBRMHeader name (string) (-) Name of the Work Item.
 * @paramBRMHeader description (string) (-) Textual description of the Work Item.
 * @paramBRMHeader flags (BRMFlags) (-) Flags set against the Work Item.
 * @paramBRMHeader itemContext (BRMItemContext) (-) Context of the Work Item.
 * @paramBRMHeader userId (string) (-) The user that is opening the Work Item.
 * @paramBRMHeader workType (BRMWorkType) (-) Details of the Work Type this item uses.
 *
 * @extraconfig BRMDistributionStrategy
 *
 * @paramBRMDistributionStrategy stringKey (BRMDistributionStrategyStringKeyEnum<'WMdsOffer' | 'WMdsAllocate'>) (-) The string key used in the relevant language pack.
 * @paramBRMDistributionStrategy description (string) (-) English description/version of the string.
 *
 * @extraconfig BRMFlags
 *
 * @paramBRMFlags scheduleStatus (BRMScheduleStatus) (-) Enumerated value defining whether a Work Item is within its schedule period.
 *
 * @extraconfig BRMScheduleStatus
 *
 * @paramBRMScheduleStatus stringKey (BRMScheduleStatusStringKeyEnum <'WMschedStatusNoSchedule' | 'WMschedStatusBefore' | 'WMschedStatusDuring' | 'WMschedStatusAfter'>) (-) The string key used in the relevant language pack.
 * @paramBRMScheduleStatus description (string) (-) English description/version of the string.
 *
 * @extraconfig BRMItemContext
 *
 * @paramBRMItemContext activityId (string) (-) Identity of the activity from which the Work Item was generated.
 * @paramBRMItemContext activityName (string) (-) Name of the activity from which the Work Item was generated.
 * @paramBRMItemContext appInstance (string) (-) Identifier of the Application Instance.
 * @paramBRMItemContext appName (string) (-) Name of the Application.
 * @paramBRMItemContext appVersion (string) (-) Version of the Application.
 * @paramBRMItemContext appId (string) (-) Identity of the Application.
 * @paramBRMItemContext appInstanceDescription (string) (-) Description of the Application Instance.
 * @paramBRMItemContext processName (string) (-) Name of the process.
 * @paramBRMItemContext caseRef (string) (-) The case reference associated with a Work Item.
 *
 * @extraconfig BRMWorkType
 *
 * @paramBRMWorkType uid (string) (-) The unique ID (GUID) of the Work Type.
 * @paramBRMWorkType version (string) (-) The version of the Work Type expressed as a string (for example, 1.0.0.qualifier).
 *
 * @extraconfig BRMBody
 *
 * @paramBRMBody inputs (BRMFieldType[]) (-) An array of parameters passed to a Work Item or page activity.
 * @paramBRMBody outputs (BRMFieldType[]) (-) An array of parameters passed from a Work Item or page activity.
 * @paramBRMBody inouts (BRMFieldType[]) (-) An array of parameters passed to/from a Work Item or page activity.
 *
 * @extraconfig BRMFieldType
 *
 * @paramBRMFieldType name (string) (-) Name of the data field.
 * @paramBRMFieldType simple (object[]) (-) Value of the data field as a simple type.
 * @paramBRMFieldType structured (object[]) (-) Value of the data field as a complex type.
 *
 * @extraconfig BRMState
 *
 * @paramBRMState stringKey (BRMStateStringKeyEnum <'WMstateAllocate' | 'WMstateAllocated' | 'WMstateCancelled' | 'WMstateClose' | 'WMstateComplete' | 'WMstateCompleted' | 'WMstateCreated' | 'WMstateOffered' | 'WMstateOpen' | 'WMstateOpened' | 'WMstatePend' | 'WMstatePended' | 'WMstatePendHidden' | 'WMstateReallocate' | 'WMstateReallocateRevert' | 'WMstateSave' | 'WMstateSkip' | 'WMstateSuspended' | 'WMstateUnallocate'>) (-) The string key used in the relevant language pack.
 * @paramBRMState description (string) (-) Name of the data field.
 *
 * @extraconfig BRMNextItemDetails
 *
 * @paramBRMNextItemDetails groupId (number) (-) The ID of the Work Group to which the next Work Item belongs, if it is being provided by a resource pattern (that is, not Work Item piling).
 * @paramBRMNextItemDetails workItemId (string) (-) The ID of the next Work Item to open.
 *
 * @extraconfig BRMHiddenPeriod
 *
 * @paramBRMHiddenPeriod visibleDate (string) (-) Date / time from which work on this Work Item may start.
 * @paramBRMHiddenPeriod offset (BRMItemDuration) (-) A duration (from now) specified as a collection of minutes, hours, days, weeks, months and years.
 *
 * @extraconfig BRMItemDuration
 *
 * @paramBRMItemDuration minutes (number) (-) The number of minutes from now for this duration.
 * @paramBRMItemDuration hours (number) (-) The number of hours from now for this duration.
 * @paramBRMItemDuration days (number) (-) The number of days from now for this duration.
 * @paramBRMItemDuration weeks (number) (-) The number of weeks from now for this duration.
 * @paramBRMItemDuration months (number) (-) The number of months from now for this duration.
 * @paramBRMItemDuration years (number) (-) The number of years from now for this duration.
 *
 * @extraconfig BRMPriority
 *
 * @paramBRMPriority absolute (number) (-) The absolute priority value, in the range of 0 to 100.
 * @paramBRMPriority offset (number) (-) The offset priority to add to any existing value.
 *
 * @extraconfig BRMWorkListAttributes
 *
 * @paramBRMWorkListAttributes attribute1 (number) (-) The Work List Attribute 1.
 * @paramBRMWorkListAttributes attribute2 (string) (-) The Work List Attribute 2.
 * @paramBRMWorkListAttributes attribute3 (string) (-) The Work List Attribute 3.
 * @paramBRMWorkListAttributes attribute4 (string) (-) The Work List Attribute 4.
 * @paramBRMWorkListAttributes attribute5 (number) (-) The Work List Attribute 5.
 * @paramBRMWorkListAttributes attribute6 (string) (-) The Work List Attribute 6.
 * @paramBRMWorkListAttributes attribute7 (string) (-) The Work List Attribute 7.
 * @paramBRMWorkListAttributes attribute8 (string) (-) The Work List Attribute 8.
 * @paramBRMWorkListAttributes attribute9 (string) (-) The Work List Attribute 9.
 * @paramBRMWorkListAttributes attribute10 (string) (-) The Work List Attribute 10.
 * @paramBRMWorkListAttributes attribute11 (string) (-) The Work List Attribute 11.
 * @paramBRMWorkListAttributes attribute12 (string) (-) The Work List Attribute 12.
 * @paramBRMWorkListAttributes attribute13 (string) (-) The Work List Attribute 13.
 * @paramBRMWorkListAttributes attribute14 (string) (-) The Work List Attribute 14.
 * @paramBRMWorkListAttributes attribute15 (number) (-) The Work List Attribute 15.
 * @paramBRMWorkListAttributes attribute16 (number) (-) The Work List Attribute 16.
 * @paramBRMWorkListAttributes attribute17 (number) (-) The Work List Attribute 17.
 * @paramBRMWorkListAttributes attribute18 (number) (-) The Work List Attribute 18.
 * @paramBRMWorkListAttributes attribute19 (string) (-) The Work List Attribute 19.
 * @paramBRMWorkListAttributes attribute20 (string) (-) The Work List Attribute 20.
 * @paramBRMWorkListAttributes attribute21 (string) (-) The Work List Attribute 21.
 * @paramBRMWorkListAttributes attribute22 (string) (-) The Work List Attribute 22.
 * @paramBRMWorkListAttributes attribute23 (string) (-) The Work List Attribute 23.
 * @paramBRMWorkListAttributes attribute24 (string) (-) The Work List Attribute 24.
 * @paramBRMWorkListAttributes attribute25 (string) (-) The Work List Attribute 25.
 * @paramBRMWorkListAttributes attribute26 (string) (-) The Work List Attribute 26.
 * @paramBRMWorkListAttributes attribute27 (string) (-) The Work List Attribute 27.
 * @paramBRMWorkListAttributes attribute28 (string) (-) The Work List Attribute 28.
 * @paramBRMWorkListAttributes attribute29 (string) (-) The Work List Attribute 29.
 * @paramBRMWorkListAttributes attribute30 (string) (-) The Work List Attribute 30.
 * @paramBRMWorkListAttributes attribute31 (string) (-) The Work List Attribute 31.
 * @paramBRMWorkListAttributes attribute32 (string) (-) The Work List Attribute 32.
 * @paramBRMWorkListAttributes attribute33 (string) (-) The Work List Attribute 33.
 * @paramBRMWorkListAttributes attribute34 (string) (-) The Work List Attribute 34.
 * @paramBRMWorkListAttributes attribute35 (string) (-) The Work List Attribute 35.
 * @paramBRMWorkListAttributes attribute36 (string) (-) The Work List Attribute 36.
 * @paramBRMWorkListAttributes attribute37 (string) (-) The Work List Attribute 37.
 * @paramBRMWorkListAttributes attribute38 (string) (-) The Work List Attribute 38.
 * @paramBRMWorkListAttributes attribute39 (string) (-) The Work List Attribute 39.
 * @paramBRMWorkListAttributes attribute40 (string) (-) The Work List Attribute 40.
 * @cssproperty --highlightPriorityBackground - The priority wrapper background color.
 * @cssproperty --highlightPriorityTextColor - The priority wrapper text color.
 * @cssproperty --highlightPriorityBackgroundHover - The priority wrapper background hover color.
 * @cssproperty --highlightPriorityTextColorHover - The priority wrapper text hover color.
 */
export declare class BpmeWorkItems extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    selectedWorkitems: never[];
    workitemToOpen: any;
    showWorkitemForm: any;
    /** View id for which we want to fetch workitems */
    view: BRMWorkListView;
    /** Caseref for which we want to fetch workitems */
    caseref: string;
    formDivId: any;
    /** Columns to display */
    columns: string[];
    /** Config to the component. */
    config: BPMConfigurationProperty[];
    /** Config to the component. */
    renderAs: "table" | "div" | "map";
    /** Based on this property the priority wrapper will be styled, the value should be greater than or equal to the priority value. CSS Properties() were also provided to change the styles of the wrapper. */
    highlightPriority: number;
    EVENT_DATA: string;
    eventList: string[];
    skip: number;
    top: number;
    theEnd: boolean;
    user: any;
    workitemToOpenContext: undefined;
    sortString: any;
    filter: any;
    autoOpen: boolean;
    ShowOptions: Readonly<{
        WORKLIST: "WORKLIST";
        FORM: "FORM";
        BUSY: "BUSY";
    }>;
    sortStoredData: any;
    systemActions?: bpmcontext.BpmeSystemActionsService;
    show: any;
    priorityValues: Array<number>;
    entityResources: any;
    previewForm: null;
    showPreviewForm: boolean;
    previewFormData: any;
    previewFormLocale: string;
    previewFormConfig: {
        inputFormat: string;
        showToolbar: boolean;
        textOnly: boolean;
    };
    isWorkitemSingleClick: Boolean;
    autoRefresh: Boolean;
    selectedWorkItemforOfferSet: any;
    defaultDisplayedColumns: string[];
    displayedColumns: string[];
    wattributes: Array<any>;
    workListColumnsDefinition: {
        name: string;
        label: string;
    }[];
    columnSearch: string;
    worklistFilterData: {
        queryString: string;
        orderString: string;
    };
    worklistFacade: Array<any>;
    showSpinner: boolean;
    sysConstants: any;
    mselection: SelectionModel<any>;
    showtableDefaultActionBar: boolean;
    showRowSelectedActionBar: boolean;
    defaultWorkItemName: string;
    selectedRowsArray: any;
    selectedRowData: any;
    featureType: string;
    selectedResourceToReallocate: any;
    reallocateRevertSelected: any;
    noWorkItemAvailable: any;
    disableShowAdhocBtn: boolean;
    reallocateToWorkItemSelected: any;
    isAllSelected(): boolean;
    masterToggle(): void;
    singleToggle(row: any): void;
    isDefaultView(): boolean;
    onAutoOpenChange($event: any): void;
    refreshIntervalId: number;
    workListViewName: string;
    clientSettingsData: any;
    refreshData: any;
    _columns: any;
    pendDialog: any;
    priorityDialog: any;
    autoRefreshDialog: any;
    sortDialog: any;
    filterDialog: any;
    workItemPreviewDialog: any;
    adhocTasksPreviewSidebar: any;
    allocateToWorldDialogRef: any;
    columnselectorDialog: any;
    actionCheckComp: any;
    offerSetDialog: any;
    enableReallocateBtn: boolean;
    connectedCallback(): void;
    disconnectedCallback(): void;
    setRefreshData($event: any): void;
    setOfferSetData(event: any): void;
    saveUpdateAutoRefresh(result: any): void;
    /** Save in Recent Start*/
    markAsRecent(workItem: BRMWorkItem): void;
    getRecentDetails(workItem: any): void;
    callGetAllWorkViewInRecent(workItem: any, workItemId: any, workItemVal: any): void;
    /** Sace in Recent End*/
    setRefreshListInterval(interval: number): void;
    reloadListAfterInterval(): void;
    onWorkitemClick(row: any): void;
    onWorkitemDblClick(row: any): void;
    openDetailWorkItem(row: any): void;
    openDetailWorkitemDblClick(row: any): void;
    getOrgAttributesForEntity(): void;
    setOrgAttributesForEntity(): void;
    private getOrgAttributeValue;
    private getOrgAttributeValueNew;
    getWorkitems(calledFrom?: string): void;
    priorityLevel: any;
    getPriority(priority: any): string;
    getRemainTime(end: any): {};
    selectedWork: any;
    selectedIndex: any;
    onSelect(work: any): void;
    handleColumnSelection($event: any): void;
    ngOnChanges(_changes: any): void;
    onScroll(): void;
    setFilterString(result: any): void;
    setSortString(result: any): void;
    setDisplayColumns(columns: any): void;
    refreshWorklist(calledFrom?: string): void;
    openNextWorkitem(): void;
    allocateWorkitem(items: any): void;
    reallocateWorkitemToWorld(items: any, entityResource: any, revert: any): void;
    reoffer(items: any): void;
    cancel(items: any): void;
    skipworkitem(items: any): void;
    setPriority(id: any, priority: any): void;
    pend(items: any): void;
    previewWorkitem(id: any): void;
    previousWorkitem(): void;
    nextWorkitem(): void;
    previewClosedStart(_$event: any): void;
    previewLoadHandler($event: any): void;
    previewCancelHandler(_$event: any): void;
    openWorkitem(workitems: any): void;
    workitems: any;
    _selectedFilterTable: () => void;
    _selectedRow: () => void;
    formatDate(value: any): string;
    renderColumn(name: any, workitem: any): import("lit-html").TemplateResult<1>;
    select(_work: any): void;
    handleOnClick(name: any, workitems: any): void;
    canPerformAction(name: any, workitems: any, calledFromActionBar?: boolean): boolean | undefined;
    canOpen(rows: any[]): boolean;
    canCancel(rows: any[]): boolean;
    canAllocateToSelf(rows: any[]): boolean;
    canReoffer(rows: any[]): boolean;
    canSkip(rows: any[]): boolean;
    canReallocateTo(rows: any[]): boolean;
    canPend(rows: any[]): boolean;
    canChangePriority(rows: any[]): boolean;
    canChangePriorityOffered(rows: any[]): boolean;
    canChangePriorityAllocated(rows: any[]): boolean;
    errorHandler(event: any): void;
    workitemLoadFormHandler(event: any): void;
    workitemStatusChangeHandler(event: any): void;
    workitemSubmitHandler(event: any): void;
    workitemCancelHandler(event: any): void;
    workitemCloseHandler(event: any): void;
    tabActive(): void;
    tableRowSelected(event: any): void;
    tableRowClicked(event: any): void;
    renderWorkItemPreview(label: any, selectedRowData: any, activeIndex: any): void;
    adhocTaskHandle(): void;
    resetToDefault(): void;
    resetTableSelection(): void;
    openReallocatetoWorldDialog(event?: any): void;
    orgBrowserSelectedResources(event: any): void;
    orgBrowserNewlySelectedResources(event: any): void;
    closeReallocateDialog(): void;
    reallocateToWorld(event: any): void;
    revertDataReallocate(event: any): void;
    setColumnSelector(event: any): void;
    resetToDefaultConfig(controlName: string): any;
    checkConfigStatus(controlName: string): any;
    checkRequiredSystemActionsForSelectedView(): boolean;
    populateEntityResources(data: any): void;
    storeSortData(event: any): void;
    render(): import("lit-html").TemplateResult<1>;
    disablePriorityItem(workitem: any): boolean;
    updated(changedProps: PropertyValues): void;
    pendWorkitemHandler(workitems: any): void;
    setPriorityWorkitemHandler(workitems: any): void;
    autoRefreshHandler(): void;
    sortWorkitemsHandler(): void;
    filterWorkitemsHandler(): void;
    columnSelectorHandler(event: any): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-items": BpmeWorkItems;
    }
}
