import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/query-builder/query-builder.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-group/radio-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio/radio.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-button/radio-button.js';
import BpmeBaseComponent from "../../internal/bpme-base-component";
/**
 * @since 1.0.0
 * @status stable
 *
 * @event { boolean } bpme-work-views-filter-dialog-cancel - Emitted when the cancel action.
 * @event { string } bpme-work-views-filter-dialog-save - Emitted when the save action.
 */
export declare class BpmeWorkViewsFilterDialog extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    dialog: any;
    show(): void;
    hide(): void;
    EVENT_CANCEL: string;
    EVENT_SAVE: string;
    data: any;
    allowRuleset: boolean;
    allowCollapse: boolean;
    query: {
        condition: string;
        rules: never[];
    };
    worklistFacade: Array<any>;
    private clientOperatorsList;
    private serverOperatorsList;
    private clientToServerOperator;
    private serverToClientOperator;
    connectedCallback(): void;
    config: any;
    classNames: any;
    decode(rules: any[], expressions: string[], condition: string): void;
    merge(...strings: any[]): any;
    convertToString(query: any, source?: string): string;
    convertToObject(expressions: any[], groupObject: any): any;
    isRuleSet(expression: any): boolean;
    isRule(expression: any): boolean;
    isGroup(expression: any): boolean;
    populateQuery(expression: string): void;
    private convertStringFormatCustom;
    private replaceOperators;
    isValidQuery(query: any): any;
    resetQuery(): void;
    flag: boolean;
    render(): import("lit-html").TemplateResult<1>;
    queryHandler($event: any): void;
    saveDialog(): void;
    closeDialog(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-views-filter-dialog": BpmeWorkViewsFilterDialog;
    }
}
