import { PropertyValues } from 'lit';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/query-builder/query-builder.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/table/table.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-group/radio-group.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/radio-button/radio-button.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/list-item/list-item.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/dropdown/dropdown.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon/icon.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/avatar/avatar.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/icon-button/icon-button.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu/menu.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/menu-item/menu-item.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/button/button.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/select/select.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/option/option.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/divider/divider.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/query-builder/query-builder.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/tooltip/tooltip.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/toolbar/toolbar.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/toolbar-item/toolbar-item.js';
import '@tibcowebcomponents-style/tibcowebcomponents/dist/components/toolbar-group/toolbar-group.js';
import "../bpme-work-views-filter-dialog/bpme-work-views-filter-dialog";
import '../bpme-create-views/bpme-create-views';
import BpmeBaseComponent from '../../internal/bpme-base-component';
import { BPMConfigurationProperty } from "bpme-services-lib/dist/lib/services";
export declare const customEventWorkViewList: string[];
/**
 * @since 1.0.0
 * @status stable
 *
 * @dependency twc-radio-group
 * @dependency twc-query-builder
 * @dependency twc-table
 * @dependency twc-radio-button
 * @dependency twc-dialog
 * @dependency twc-table-head
 * @dependency twc-table-head-cell
 * @dependency twc-table-row
 * @dependency twc-table-cell
 * @dependency twc-button
 * @dependency twc-tooltip
 * @dependency twc-toolbar
 * @dependency twc-toolbar-group
 * @dependency twc-toolbar-item
 * @dependency twc-icon
 * @dependency twc-icon-button
 * @dependency twc-dropdown
 * @dependency twc-menu
 * @dependency twc-menu-item
 * @dependency twc-list-view
 * @dependency twc-list-item
 *
 * @event { string } bpm-work-view-type-change - Emitted on Work view type change.
 * @event { string[] } bpm-work-view-selected - Emitted on Work view selection.
 * @event { boolean } bpm-work-view-deleted - Emitted on deletion of work view
 * @event { string } bpm-work-view-delete-cancel - Emitted on cancelling the delete dialog.
 * @event { boolean } bpm-sort-cancel - Emitted on cancelling the sort dialog.
 * @event { string } bpm-sort-save - Emitted on sort save.
 * @event { string[] } bpm-sort-reset - Emitted on sort reset.
 * @event { string } bpm-work-views-filter-changed - Emitted on work views filter change.
 *
 * @slot - The default slot.
 *
 * @csspart base - The component's internal wrapper.
 * @csspart workViewHeader - The workViewHeader wrapper.
 * @csspart workViewAction - The workViewAction wrapper.
 * @csspart workViewTypes - The workViewTypes wrapper.
 * @csspart workViewList - The workViewList wrapper.
 *
 * @extraconfig BPMConfigurationProperty
 *
 * @paramBPMConfigurationProperty name (string) (-) The name of the config property.
 * @paramBPMConfigurationProperty label (BPMExternalizedText) (-) The label of the config property.
 * @paramBPMConfigurationProperty description (BPMExternalizedText) (-) The description of the config property.
 * @paramBPMConfigurationProperty type ('string' | 'number' | 'boolean') (-) The type of the config property.
 * @paramBPMConfigurationProperty value ('string' | 'number' | 'boolean') (-) The value of the config property.
 * @paramBPMConfigurationProperty defaultValue ('string' | 'number' | 'boolean') (-) The default value of the config property.
 *
 * @extraconfig BPMExternalizedText
 *
 * @paramBPMExternalizedText default (string) (-) The default value of the externalized text.
 * @paramBPMExternalizedText localeKey (string) (-) The locale value of the externalized text.
 *
 *
 */
export declare class BpmeWorkViews extends BpmeBaseComponent {
    static styles: import("lit").CSSResult[];
    createEditViewDialog: any;
    sortDialog: any;
    filterDialog: any;
    workviews: any;
    /** Config to the component. */
    config: BPMConfigurationProperty[];
    workViewSortDefinition: {
        name: string;
        label: string;
        order: string;
    }[];
    workViewFilterData: {
        queryString: string;
        orderString: string;
    };
    /** no Header to the Component */
    noHeader: boolean;
    eventList: string[];
    EVENT_SHOW_FORM: string;
    EVENT_FORM_CANCEL: string;
    EVENT_FORM_CLOSE: string;
    EVENT_FORM_SUBMIT: string;
    select: string;
    skip: number;
    top: number;
    theEnd: boolean;
    selectedWorkViewId: number;
    workListDefaultShow: boolean;
    user: any;
    createViewDialog: boolean;
    actionValueforEditDelete: any;
    selectedColumsListArrayString: string;
    selectedColumsListArray: any;
    filter: any;
    showSpinner: boolean;
    getWorkviews(): void;
    onViewSelectNew(e: any): void;
    markAsRecent(workView: any): void;
    getRecentDetails(workView: any): void;
    callGetAllWorkViewInRecent(workView: any, workViewId: any, workViewVal: any): void;
    checkEditDelete(): (i: any, index: any, editTitle?: string, deleteTitle?: string) => import("lit-html").TemplateResult<1>;
    listItemRenderOnlyDelete(i: any, index: any, deleteTitle?: string): import("lit-html").TemplateResult<1>;
    listItemRenderOnlyEdit(i: any, index: any, editTitle?: string): import("lit-html").TemplateResult<1>;
    listItemRender(i: any, index: any, editTitle?: string, deleteTitle?: string): import("lit-html").TemplateResult<1>;
    plainListItemRender(i: any, index: any): import("lit-html").TemplateResult<1>;
    workViewHeader(): import("lit-html").TemplateResult<1>;
    workListDefault(): void;
    showQueryBuilder(): void;
    checkConfigStatus(controlName: string): any;
    showWorkViewSort(): void;
    workViewSelect(event: any): void;
    filterWorkViewsHandler(): void;
    refreshViews(): void;
    workViewsAction(): import("lit-html").TemplateResult<1>;
    workViewTypes(): import("lit-html").TemplateResult<1>;
    firstUpdated(): void;
    deleteWorkView(id?: any): void;
    updateWorkView(value: any): void;
    updateNameLabels(actualData: any, nameData: any): void;
    listAction(e: any): void;
    selectedColumsList(event: any): void;
    onCancel(): void;
    resetSortOrder(): void;
    onSave(): void;
    setFilterString(result: any): void;
    render(): import("lit-html").TemplateResult<1>;
    updated(changedProps: PropertyValues): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bpme-work-views": BpmeWorkViews;
    }
}
