/**
 * Case Data Management Service
 * The TIBCO(R) BPM Enterprise Case Data Management Service manages the following resources:  * __Types__: A Type contains the essential data definition of a TIBCO BPM Enterprise application - that is, the data fields, data types and states which are created by an application designer when they create an application in TIBCO Business Studio(TM) - BPM Edition. There are two Types:    * __Case__: A Case Type contains the definition of:       * the top-level data fields used by the application. These data fields (referred to hereafter as \'attributes\' of the Case) can be either simple types (such as strings or dates), or custom data types (that group together sets of existing data fields to suit the application\'s purpose).        * the states used by the application.   * __Structured__: A Structured Type contains the definition of a custom data type used by the application, which also has fields (\'attributes\').  * __Cases__: A Case is a particular instance of a Case Type. A Case contains the particular values of the data fields and states for that Case as it progresses from creation to completion.
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: support@tibco.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { Configuration } from './configuration';
/**
 * @since 1.0.0
 * @status stable
 *
 *
 */
export declare class TypesService {
    protected basePath: string;
    static defaultHeaders: Headers;
    static configuration: Configuration;
    encoder: any;
    constructor(basePath?: string, configuration?: Configuration);
    private static addToHttpParams;
    private static addToHttpParamsRecursive;
    /**
     * Returns all Types that match the specified query parameters.
     * Types are sorted in order by &#x60;applicationId&#x60;, &#x60;applicationMajorVersion&#x60;, &#x60;namespace&#x60;, &#x60;name&#x60;.
     * @param $filter A filter expression that defines the Types to be returned. The expression can contain the following operands:           * __isCase__ (optional): Defines whether to return only Case Types (&#x60;TRUE&#x60;) or Structured Types (&#x60;FALSE&#x60;). Note: Case Types have the attribute &#x60;isCase&#x3D;true&#x60;.          * __namespace__ (optional): The major version of the Application in which the Case Type is defined.          * __applicationId__ (optional): The unique identifier of the Application in which the Case Type is defined.        * __applicationMajorVersion__ (optional): The major version of the Application in which the Case Type is defined.        Supported operators: &#x60;eq&#x60;    Supported keywords: &#x60;and&#x60;          For example:                  $filter&#x3D;isCase eq TRUE and namespace eq \&#39;com.example.ordermodel\&#39;
     * @param $select A comma-separated list of identifiers defining the properties to be returned for each Type. If $select is not specified, all properties are returned.            * __basic__ (or  __b__): Returns basic properties of the Type - &#x60;name&#x60;, &#x60;label&#x60;, &#x60;isCase&#x60;, &#x60;namespace&#x60;, &#x60;applicationId&#x60; and &#x60;applicationMajorVersion&#x60;. (Note that &#x60;isCase&#x60; is not returned for a Structured Type.)              * __attributes__ (or __a__): Returns details of all attributes defined in the Type.               * __summaryAttributes__ (or __sa__): Returns details of attributes that are included in the Case summary for a Case of this Type. (&#x60;summaryAttributes&#x60; are not defined for a Structured Type, so no data is returned.)              * __states__ (or __s__): Returns details of all states defined in the Case Type. (&#x60;states&#x60; are not defined for a Structured Type, so no data is returned.)              * __links__ (or __l__): Returns details of all links defined in the Case Type. (&#x60;links&#x60; are not defined for a Structured Type, so no data is returned.)      * __dependencies__ (or __d__): Returns details of all data models in other Applications on which this Type has a dependency.            For example, the following string returns basic and states properties:        $select&#x3D;basic,s
     * @param $skip The number of items to exclude from the results list, counting from the beginning of the list. The value must be 0 or greater. For example, &#x60;$skip&#x3D;80&#x60; results in the first 80 items in the results list being ignored. Subsequent items are returned, starting with the 81st item in the list.
     * @param $top The maximum number of items to be returned from the results list (with the first item determined by the value of the &#x60;$skip&#x60; parameter). For example, &#x60;$top&#x3D;20&#x60; returns 20 items from the results list, or all the results if the list contains 20 or fewer items.
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    static typesGet($filter?: string, $select?: string, $skip?: number, $top?: number, observe?: 'body', reportProgress?: boolean, options?: {
        httpHeaderAccept?: 'application/json';
    }): Promise<Array<CDTypeInfo>>;
    static typesGet($filter?: string, $select?: string, $skip?: number, $top?: number, observe?: 'response', reportProgress?: boolean, options?: {
        httpHeaderAccept?: 'application/json';
    }): Promise<any>;
    static typesGet($filter?: string, $select?: string, $skip?: number, $top?: number, observe?: 'events', reportProgress?: boolean, options?: {
        httpHeaderAccept?: 'application/json';
    }): Promise<any>;
}
export interface CDTypeInfo {
    /**
     * The name of the Type.
     */
    name?: string;
    /**
     * The label for the Type.
     */
    label?: string;
    /**
     * Either true for a Case Type, or false for a Structured Type.
     */
    isCase?: boolean;
    /**
     * The namespace in which the Type is defined.
     */
    namespace?: string;
    /**
     * The unique identifier of the application in which the Type is defined.
     */
    applicationId?: string;
    /**
     * The major version of the application in which the Type is defined.
     */
    applicationMajorVersion?: number;
    /**
     * Descriptions of data models in other Applications on which this Type depends.
     */
    dependencies?: Array<CDTypeInfoDependency>;
    /**
     * The definitions of all attributes defined in the Type.
     */
    attributes?: Array<CDTypeInfoAttribute>;
    /**
     * The definitions of all attributes that are included in the Case summary for the Type.
     */
    summaryAttributes?: Array<CDTypeInfoAttribute>;
    /**
     * The definitions of all states defined in the Type.
     */
    states?: Array<CDTypeInfoState>;
    /**
     * The definition of all Links defined for the Type.
     */
    links?: Array<CDTypeInfoLink>;
}
export interface CDTypeInfoDependency {
    /**
     * The namespace of the data model in another Application.
     */
    namespace?: string;
    /**
     * The unique identifier of the other Application.
     */
    applicationId?: string;
    /**
     * The major version of the other Application.
     */
    applicationMajorVersion?: number;
}
export interface CDTypeInfoAttribute {
    /**
     * The name of the attribute.
     */
    name?: string;
    /**
     * The label for the attribute.
     */
    label?: string;
    /**
     * If the attribute refers to:  * a Structured Type: The name of that Type (fully qualified if it resides in a different namespace). In this case, \'isStructuredType=true\' will also be set.  * a Case Type: A base type name - for example, \'Text\' or \'Number\'.
     */
    type?: string;
    /**
     * If true, this indicates that the value for \'type\' is the name of a Structured Type.
     */
    isStructuredType?: boolean;
    /**
     * True if the attribute is the Type\'s designated \'identifier\' attribute.
     */
    isIdentifier?: boolean;
    /**
     * True if the containing Type is configured to automatically generate Case identifiers. Note: In this case, this attribute should not be supplied when creating a Case.
     */
    isAutoIdentifier?: boolean;
    /**
     * True if the attribute is the Type\'s designated \'state\' attribute.
     */
    isState?: boolean;
    /**
     * True if the attribute is an array.
     */
    isArray?: boolean;
    /**
     * True if the attribute must be populated.
     */
    isMandatory?: boolean;
    /**
     * True if the attribute is searchable.
     */
    isSearchable?: boolean;
    /**
     * True if the attribute forms part of the Case summary.
     */
    isSummary?: boolean;
    constraints?: CDTypeInfoAttributeConstraints;
}
export interface CDTypeInfoAttributeConstraints {
    /**
     * The maximum permitted length (only applicable to attributes of the \'Text\' and \'FixedPointNumber\' base types).
     */
    length?: number;
    /**
     * The minimum value allowed for the attribute (only applicable to attributes of the \'Number\' and \'FixedPointNumber\' base types).
     */
    minValue?: string;
    /**
     * If true, then the value specified in \'minValue\' is inclusive. (If false or not set, the value is exclusive).
     */
    minValueInclusive?: boolean;
    /**
     * The maximum value allowed for the attribute (only applicable to attributes of the \'Number\' and \'FixedPointNumber\' base types).
     */
    maxValue?: string;
    /**
     * If true, then the value specified in \'maxValue\' is inclusive. (If false or not set, the value is exclusive).
     */
    maxValueInclusive?: boolean;
    /**
     * The maximum number of decimal places permitted (only applicable to attributes of the \'FixedPointNumber\' base type)
     */
    decimalPlaces?: number;
}
export interface CDTypeInfoState {
    /**
     * The label for the state.
     */
    label?: string;
    /**
     * The value for the state (as it appears within casedata).
     */
    value?: string;
    /**
     * True if the state is a \'terminal\' state (one in which a Case is no longer considered active).
     */
    isTerminal?: boolean;
}
export interface CDTypeInfoLink {
    /**
     * The name of the Link.
     */
    name?: string;
    /**
     * The label for the Link.
     */
    label?: string;
    /**
     * The name of the target Case Type.
     */
    type?: string;
    /**
     * True if the Link is allowed multiple target Cases.
     */
    isArray?: boolean;
}
