import { Properties } from "./themes-model";
export declare class ColorUtil {
    private static _instance;
    private themeVariables;
    private primaryVariables;
    private secondaryVariables;
    private accentVariables;
    private errorVariables;
    private successVariables;
    private warningVariables;
    private neutralVariables;
    private fontSizeVariables;
    private lineHeightsVariables;
    private iconSizeVariables;
    static get INSTANCE(): ColorUtil;
    private constructor();
    generatePrimaryShades(color: string): Map<string, string[]>;
    generatePrimaryBrandShades(color: string): Map<string, string[]>;
    generateThemeShades(themeColor: string): Map<string, string[]>;
    generateSecondaryShades(color: string): Map<string, string[]>;
    generateSuccessBrandShades(color: string): Map<string, string[]>;
    generateSecondaryBrandShades(color: string): Map<string, string[]>;
    generateAccentShades(color: string): Map<string, string[]>;
    generateErrorShades(color: string): Map<string, string[]>;
    generateBrandErrorShades(color: string): Map<string, string[]>;
    generateSuccessShades(color: string): Map<string, string[]>;
    generateWarningShades(color: string): Map<string, string[]>;
    generateNeutralShades(color: string, themeType?: string): Map<string, string[]>;
    generateNeutralBorderShades(color: string, themeType?: string): Map<string, string[]>;
    generateNeutralTextShades(color: string, themeType?: string): Map<string, string[]>;
    applyTheme(shadowRoot: ShadowRoot | HTMLElement | null | undefined, themeData: any): void;
    applyPallette(shadowRoot: ShadowRoot | null, themePallette: string, baseColorValue: string, themeType: string | undefined): void;
    updateThemeDataColorPallette(palette: string, baseColorValue: string, themeType: string, themeData: any): any;
    generateSurfaceNeutral(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateTextNeutral(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    private updateThemeData;
    generateSurfacePrimary(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateSurfaceSecondary(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateSurfaceAccent(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateSurfaceSuccess(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateSurfaceWarning(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateSurfaceError(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateFontSize(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateIconSizes(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateIconSizeValues(pickerValue: any): string[];
    generateFontSizes(pickerValue: string): Map<string, string[]>;
    generateIconColors(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
    generateBorderColors(pickerValue: any, configProperty: Properties, themeType: string, themeData: any): any;
}
