export declare class LanguagesUtil {
    private static _instance;
    private languagesMap;
    private languages;
    private languagesCode;
    private componentsMap;
    private currentLocaleData;
    private currentLanguage;
    static get INSTANCE(): LanguagesUtil;
    private constructor();
    getLanguageInfo(): Promise<any>;
    getLanguages(languages: Array<string> | undefined, defaultLanguage?: string | undefined): Promise<Map<string, Array<string>>>;
    getLocaleInfo(): Promise<any>;
    getFormattedLanguage(lang: string): string;
    getFormattedLanguageCountry(lang: string): string;
    getLanguageComponents(lang: string): Promise<Map<string, any>>;
    saveComponent(originalComponent: any): Promise<any>;
    addNewLocale(localeConfig: any): Promise<any>;
    saveLocaleInfo(languageFileName?: string): Promise<any>;
    moveUp(sLang: string): Map<string, string[]>;
    moveDown(sLang: string): Map<string, string[]>;
    moveFirst(sLang: string): Map<string, string[]>;
    private swapLanguages;
    deleteLanguage(lang: string): Promise<any>;
    getFallBackLanguages(lang: string): string[] | undefined;
    getRegisteredLanguages(): string[];
    getFallbackLanguage(lang: string): string;
    saveAs(component: any, name: string): Promise<any>;
    cloneLanguage(from: string, to: string): Promise<any>;
    exportLanguage(language: string): void;
}
