export interface BPMTheme {
    themes: BPMThemeDetails[];
}
export interface BPMThemeDetails {
    name: string;
    label: string;
    themeType: string;
    active?: boolean;
    themeClass: string;
    isDefault?: boolean;
    variants?: BPMThemeDetails[];
}
export interface BPMThemeBasics {
    properties?: (BPMThemeProperties)[];
}
export interface BPMThemeProperties {
    name: string;
    label: string;
    description?: string;
    previewMarkup: string;
    themeVariablesURL?: string;
    parameters?: BPMThemeParameters;
}
export interface BPMThemeParameters {
    colors?: (BPMThemeSection)[];
    size?: (BPMThemeSection)[];
    styles?: (BPMThemeSection)[];
}
export interface BPMThemeSection {
    name: string;
    label: string;
    description?: string;
    properties?: (BPMThemeVariable)[];
}
export interface BPMThemeVariable {
    name: string;
    label: string;
    cssVariable: string;
    description?: string;
}
export interface ThemeConfiguration {
    basic: Basic;
}
export interface Basic {
    categories?: (Categories)[];
}
export interface Categories {
    name: string;
    label: string;
    description: string;
    properties?: (Properties)[];
}
export interface Properties {
    name: string;
    label: string;
    description: string;
    token: string;
    palletteShade?: string;
    type?: string;
    relativeTokens?: (RelativeTokens)[];
    extendedTokens?: (RelativeTokens)[];
}
export interface RelativeTokens {
    name: string;
    label: string;
    description: string;
    token: string;
    palletteShade?: string;
    type?: string;
}
