import { BPMTheme, BPMThemeDetails, BPMThemeProperties } from "./themes-model";
export declare class ThemesUtil {
    private static _instance;
    private themeAppName;
    private registeredThemes;
    static get INSTANCE(): ThemesUtil;
    private constructor();
    isThemesAppExits(): Promise<any>;
    getThemesInfo(): Promise<any>;
    getRegisteredThemes(): BPMTheme | undefined;
    saveThemesInfo(themesInfo: any): Promise<any>;
    updateThemeBuilderContext(themesData: any): Promise<any>;
    getThemeDetails(theme: BPMThemeDetails, themeCategory: BPMThemeDetails): Promise<any>;
    saveThemeCSSFile(theme: BPMThemeDetails, themeCategory: BPMThemeDetails, fileData: any): Promise<any>;
    getThemeCSSFile(theme: BPMThemeDetails, themeCategory: BPMThemeDetails): Promise<unknown>;
    saveThemeDetails(theme: BPMThemeDetails, themeCategory: BPMThemeDetails, themeData: any, componentData?: any, componentTheme?: BPMThemeProperties): Promise<any>;
    setDefaultTheme(theme: BPMThemeDetails, themeCategory: BPMThemeDetails): BPMTheme | undefined;
    downloadThemeCSS(theme: BPMThemeDetails, themeCategory: BPMThemeDetails): void;
    handleAuto(updateInfo?: boolean): BPMTheme | undefined;
    getVariableValue(cssVariable: string, themeData: any): string;
    getComponentVariableValue(cssVariable: string, themeData: any, componentData: any): string;
    getThemeBasicProperties(): Promise<import("axios").AxiosResponse<any, any>>;
    getThemeComponentsProperties(): Promise<import("axios").AxiosResponse<any, any>>;
    getComponentVariablesObj(themeProperty: BPMThemeProperties, theme: BPMThemeDetails, themeCategory: BPMThemeDetails): Promise<unknown>;
    getThemeVariablesConfiguration(): Promise<import("axios").AxiosResponse<any, any>>;
}
