<div id="main-container" class="splash">
<div class="splash-start">
Welcome to the BPM Business Components documentation! This guide will help you integrate our BPM Business components into your web application efficiently. Follow the steps outlined below to set up your project and start utilising our powerful components.

</div>
<div class="splash-end">
<img class="splash-image" src="./assets/images/g8.svg" alt="Cartoon of people assembling components while standing on a giant laptop.">
</div>
</div>

## Overview
  <li>Fully functional components designed for BPM (Business Process Management).</li>

  <li>Framework-agnostic, works with any front-end technology.</li>
  
  <li>Ideal for building case worker portals, front-office, and back-office systems.</li>
  
  <li>Uses native HTML elements, offering modularity, encapsulation, and scoped styling.</li>
  
  <li>Fully customizable with CSS and includes a pre-built dark theme.</li>

## New to BPM Business Web Components?
If you're new to our BPM Business Web Components, you’ll find they dramatically simplify web development by providing pre-built, BPM-focused modules that can easily plug into any application.

## Framework-specific components come with several limitations

<li>They can only be used within the framework they were built for 🔒</li>
<li>Their lifespan is tied to the lifecycle of that framework ⏳</li>
<li>Updates to new frameworks or versions often result in breaking changes, requiring significant effort to maintain compatibility 😭</li>

## TIBCO BPME Business Web components offer a solution to these challenges

<li>Supported by all modern browsers.</li>
<li>Completely framework-agnostic, ensuring flexibility.</li>
<li>Built as [part of the web standards](https://developer.mozilla.org/en-US/docs/Web/Web_Components), ensuring long-term reliability.</li>
<li>Simplifies development by providing ready-to-use, BPM-specific modules tailored for business processes.</li>
<li>Eliminates the need for extensive coding to handle REST services, data orchestration, and business logic.</li>
<li>Offers fully functional, highly customizable components that accelerate the development of responsive, business-driven web clients.</li>

## What Problem Do BPM Business Web Components Solve?

TIBCO BPME Business web components provides a collection of professionally designed, highly customizable BPM UI components built on a framework agnostic technology.

With TIBCO Business Web Components, you can:

<li>Solves the challenge of manually orchestrating services, handling data models, and integrating complex business functionalities.</li>
<li>Provides modular, reusable components that significantly reduce development complexity and time.</li>
<li>Enables developers to build sophisticated BPM-driven applications across any framework, leveraging native HTML support for compatibility and    performance.</li>
<li>Build multiple custom apps with different frameworks that all share the same BPM UI components.</li>

## Browser Support

TIBCO Business Web Components are tested in the latest  versions of the modern browsers.