# Reference the Required Artefacts

To use BPM Business components in your application, you must include three key artefacts in your HTML page. Here are the details for each artefact:


## Reference the icons
BPM components use several BPM specific icons, add the icons to the hosting page for the components to render icons correctly.

```html 
<script type="module" data-tibcowebcomponents="/apps/web-cdn/icons/"></script>
```

## Reference the Components
Add the following script tag inside the <head> section of your HTML document to reference the BPM Business components library:

```html 
<script src="/apps/web-cdn/bizcomponents/bpme-components-lib/index.js"></script>
```

### Details
 - This library contains the core functionality of all BPM Business components. By including this script, you enable access to the various components available for your application.

## Reference the Stylesheet
Next, include the following link tag in the <head> section of your HTML document to load the BPM Business components stylesheet:

```html 
<link rel="stylesheet" href="/apps/web-cdn/styles/bpme-styles.css"/>
```
### Details:
 - This stylesheet contains the necessary styles for all BPM Business components. It ensures that the components are rendered correctly and maintain a consistent look and feel throughout your application.

## Reference the Forms

Finally, add the following script tag to reference the form components library, which provides additional functionality for form-related components:

```html 
<script src="/apps/bpm-forms/formsclient/formsclient.nocache.js"></script>
```
### Details:
 - This library includes specific components and utilities tailored for form handling, validation, and submission. It enables you to create rich, interactive forms within your application.