# Getting Started with Localization
#### BPM Business Components now support localization, allowing you to tailor the language displayed in the components to different user locales. This feature enhances the user experience by providing a more personalized and understandable interface.

## Using the Language Builder
The Language Builder is a user-friendly tool that simplifies the localization process. It provides a centralized platform to manage language variants, modify translations, and configure fallback strategies.

## Creating a New Language Variant

<li><b>Access the Language Builder:</b> Navigate to the Language Builder tool within your BPM application.</li>
<li><b>Add New Language:</b> Click the "Add New Language" button.</li>

<li><b>Select Language:</b> Choose the desired language from the list of available languages.</li>
<li><b>Provide Language Details:</b> Enter a name and optional description for the new language variant.</li>
<li><b>Clone Existing Language Pack (Optional):</b> You can choose to clone an existing language pack as a starting point for your new variant. This can be helpful to leverage existing translations and customize them further.</li>

## Modifying a Language Variant

<li><b>Select Component:</b> In the Language Builder, select the component you want to localize.</li>
<li><b>Modify Language Strings:</b> The Language Builder displays a list of localizable keys for the selected component. You can edit the corresponding language strings to match your desired translations.</li>

## Setting the Default Language

<li><b>Navigate to Language Settings:</b> In the Language Builder, go to the language settings section.
Choose Default Language: Select the language you want to set as the default from the list of available languages.
Save Changes: Save the language settings to apply the new default language.</li>


## Sharing Language Files


<li><b>Export Language Pack:</b> The Language Builder allows you to export existing language packs as files. This enables you to share translations with other users or applications.</li>
<li><b>Import Language Pack:</b> You can import pre-configured translated language packs into the Language Builder. This is useful for quickly adding support for new languages or leveraging existing translations.</li>


## Viewing Language Changes

<b>Preview Changes:</b> The Language Builder provides a preview section where you can see the components with the applied language changes. This allows you to verify the translations and ensure they are displayed correctly.


## Localizing Components

<li><b>Component Localization Keys:</b> Each component exposes a set of localization keys that can be translated. Refer to the <a href="#/components/overview.md">API reference</a> for each component to identify the available keys.</li>
<li><b>Fallback Strategy:</b> Define a fallback strategy to handle cases where certain keys are not translated in a particular language. The fallback mechanism uses the order of languages listed in the Language Builder. You can adjust the order by moving languages up or down.</li>
<li><b>Language Loading:</b> When a component loads, it automatically loads the default language pack and renders the corresponding translations. If a key is not found in the default language, the fallback mechanism is used to find the translation in other available languages.</li>


By following these steps and using the Language Builder, you can effectively localize BPM Business Components, providing a more user-friendly and accessible experience for users across different languages and regions.

