const { setupWorker, rest, http, HttpResponse  } = MockServiceWorker;

const cases = [
    {
        "caseReference": "39-com.example.samplebdsproject1.Order-1-2",
        "casedata": "{\"date\": \"2024-09-03\", \"name\": \"Test_Parcel\", \"text\": \"Test_text\", \"address\": {\"customer\": {}}, \"orderID\": \"23\", \"product\": \"Amazon\", \"quantity\": 23, \"orderState\": \"PICKED\"}",
        "summary": "{\"orderID\":\"23\",\"orderState\":\"PICKED\",\"name\":\"Test_Parcel\",\"quantity\":23,\"product\":\"Amazon\",\"text\":\"Test_text\",\"date\":\"2024-09-03\"}",
        "metadata": {
            "createdBy": "tibco-admin",
            "creationTimestamp": "2024-09-25T16:37:42.536Z",
            "modifiedBy": "tibco-admin",
            "modificationTimestamp": "2024-09-25T17:04:02.351Z"
        }
    },
    {
        "caseReference": "40-com.example.samplebdsproject1.Order-1-2",
        "casedata": "{\"date\": \"2024-09-03\", \"name\": \"Test_Parcel\", \"text\": \"Test_text\", \"address\": {\"customer\": {}}, \"orderID\": \"24\", \"product\": \"Amazon\", \"quantity\": 23, \"orderState\": \"PICKED\"}",
        "summary": "{\"orderID\":\"24\",\"orderState\":\"PICKED\",\"name\":\"Test_Parcel\",\"quantity\":23,\"product\":\"Amazon\",\"text\":\"Test_text\",\"date\":\"2024-09-03\"}",
        "metadata": {
            "createdBy": "tibco-admin",
            "creationTimestamp": "2024-09-25T16:37:42.536Z",
            "modifiedBy": "tibco-admin",
            "modificationTimestamp": "2024-09-25T17:04:02.351Z"
        }
    },
    {
        "caseReference": "41-com.example.samplebdsproject1.Order-1-2",
        "casedata": "{\"date\": \"2024-09-03\", \"name\": \"Test_Parcel\", \"text\": \"Test_text\", \"address\": {\"customer\": {}}, \"orderID\": \"25\", \"product\": \"Amazon\", \"quantity\": 23, \"orderState\": \"PICKED\"}",
        "summary": "{\"orderID\":\"25\",\"orderState\":\"PICKED\",\"name\":\"Test_Parcel\",\"quantity\":23,\"product\":\"Amazon\",\"text\":\"Test_text\",\"date\":\"2024-09-03\"}",
        "metadata": {
            "createdBy": "tibco-admin",
            "creationTimestamp": "2024-09-25T16:37:42.536Z",
            "modifiedBy": "tibco-admin",
            "modificationTimestamp": "2024-09-25T17:04:02.351Z"
        }
    },
    {
        "caseReference": "43-com.example.samplebdsproject1.Order-1-2",
        "casedata": "{\"date\": \"2024-09-03\", \"name\": \"Test_Parcel\", \"text\": \"Test_text\", \"address\": {\"customer\": {}}, \"orderID\": \"26\", \"product\": \"Amazon\", \"quantity\": 23, \"orderState\": \"PICKED\"}",
        "summary": "{\"orderID\":\"26\",\"orderState\":\"PICKED\",\"name\":\"Test_Parcel\",\"quantity\":23,\"product\":\"Amazon\",\"text\":\"Test_text\",\"date\":\"2024-09-03\"}",
        "metadata": {
            "createdBy": "tibco-admin",
            "creationTimestamp": "2024-09-25T16:37:42.536Z",
            "modifiedBy": "tibco-admin",
            "modificationTimestamp": "2024-09-25T17:04:02.351Z"
        }
    }
]
const types = [
    {
        "name": "Case1",
        "label": "Case1",
        "isCase": true,
        "namespace": "com.example.bds1",
        "applicationId": "com.example.bds1",
        "applicationMajorVersion": 2,
        "attributes": [
            {
                "name": "autoCaseIdentifier1",
                "label": " autoCaseIdentifier1",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "attribute1",
                "label": "attribute1",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "caseState1",
                "label": "caseState1",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "autoCaseIdentifier1",
                "label": " autoCaseIdentifier1",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseState1",
                "label": "caseState1",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "ENUMLIT1",
                "value": "ENUMLIT1"
            },
            {
                "label": "ENUMLIT2",
                "value": "ENUMLIT2",
                "isTerminal": true
            }
        ]
    },
    {
        "name": "Case2",
        "label": "Case2",
        "isCase": true,
        "namespace": "com.example.bds1",
        "applicationId": "com.example.bds1",
        "applicationMajorVersion": 2,
        "attributes": [
            {
                "name": "attribute1",
                "label": "attribute1",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "autoCaseIdentifier1",
                "label": "autoCaseIdentifier1",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseState",
                "label": "Case State",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "autoCaseIdentifier1",
                "label": "autoCaseIdentifier1",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseState",
                "label": "Case State",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Created",
                "value": "CREATED"
            },
            {
                "label": "Inprogress",
                "value": "INPROGRESS"
            },
            {
                "label": "Completed",
                "value": "COMPLETED",
                "isTerminal": true
            }
        ]
    },
    {
        "name": "Case1",
        "label": "Case1",
        "isCase": true,
        "namespace": "com.example.composite433",
        "applicationId": "com.example.composite433",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "compositecaseIdentifier1",
                "label": "compositecaseIdentifier1",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "compositecaseIdentifier2",
                "label": "compositecaseIdentifier2",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute1",
                "label": "attribute1",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "caseState",
                "label": "Case State",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "compositecaseIdentifier1",
                "label": "compositecaseIdentifier1",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "compositecaseIdentifier2",
                "label": "compositecaseIdentifier2",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "caseState",
                "label": "Case State",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "RUNNING",
                "value": "RUNNING"
            },
            {
                "label": "COMPLETE",
                "value": "COMPLETE",
                "isTerminal": true
            }
        ]
    },
    {
        "name": "MyAdditionalOrder",
        "label": "MyAdditionalOrder",
        "isCase": true,
        "namespace": "com.example.orderbdsproject",
        "applicationId": "com.example.orderbdsproject",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "additionalOrderState",
                "label": "AdditionalOrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "additionalProduct",
                "label": "AdditionalProduct",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            }
        ],
        "summaryAttributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "additionalOrderState",
                "label": "AdditionalOrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Created",
                "value": "CREATED"
            },
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Dispatched",
                "value": "DISPATCHED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "order",
                "label": "Order",
                "type": "MyOrder"
            }
        ]
    },
    {
        "name": "MyOrder",
        "label": "MyOrder",
        "isCase": true,
        "namespace": "com.example.orderbdsproject",
        "applicationId": "com.example.orderbdsproject",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "orderId",
                "label": "OrderId",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "customerName",
                "label": "CustomerName",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "product",
                "label": "Product",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "quantity",
                "label": "Quantity",
                "type": "FixedPointNumber",
                "isSearchable": true,
                "constraints": {
                    "length": 10,
                    "decimalPlaces": 0
                }
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "datetime",
                "label": "datetime",
                "type": "DateTimeTZ",
                "isSearchable": true
            },
            {
                "name": "time",
                "label": "time",
                "type": "Time",
                "isSearchable": true
            },
            {
                "name": "number",
                "label": "number",
                "type": "Number",
                "isSearchable": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "orderId",
                "label": "OrderId",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Created",
                "value": "CREATED"
            },
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Dispatched",
                "value": "DISPATCHED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "additionalOrder",
                "label": "AdditionalOrder",
                "type": "MyAdditionalOrder"
            }
        ]
    },
    {
        "name": "AdditionalOrder",
        "label": "AdditionalOrder",
        "isCase": true,
        "namespace": "com.example.samplebdsproject1",
        "applicationId": "com.example.samplebdsproject1",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseState1",
                "label": "caseState1",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseState1",
                "label": "caseState1",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "order",
                "label": "Order",
                "type": "Order"
            }
        ]
    },
    {
        "name": "Order",
        "label": "Order",
        "isCase": true,
        "namespace": "com.example.samplebdsproject1",
        "applicationId": "com.example.samplebdsproject1",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "orderID",
                "label": "OrderID",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "name",
                "label": "Name",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "quantity",
                "label": "Quantity",
                "type": "Number",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "product",
                "label": "Product",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "text",
                "label": "Text",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "date",
                "label": "Date",
                "type": "Date",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "dateTime",
                "label": "DateTime",
                "type": "DateTimeTZ",
                "isSearchable": true
            },
            {
                "name": "boolean1",
                "label": "Boolean",
                "type": "Boolean"
            },
            {
                "name": "number",
                "label": "Number",
                "type": "Number",
                "isSearchable": true
            },
            {
                "name": "time",
                "label": "Time",
                "type": "Time",
                "isSearchable": true
            },
            {
                "name": "attribute7",
                "label": "attribute7",
                "type": "URI"
            },
            {
                "name": "attribute8",
                "label": "attribute8",
                "type": "Number",
                "isSearchable": true
            },
            {
                "name": "attribute9",
                "label": "attribute9",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute10",
                "label": "attribute10",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute11",
                "label": "attribute11",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute12",
                "label": "attribute12",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute13",
                "label": "attribute13",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute14",
                "label": "attribute14",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "address",
                "label": "Address",
                "type": "Address",
                "isStructuredType": true,
                "isMandatory": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "orderID",
                "label": "OrderID",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "name",
                "label": "Name",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "quantity",
                "label": "Quantity",
                "type": "Number",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "product",
                "label": "Product",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "text",
                "label": "Text",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "date",
                "label": "Date",
                "type": "Date",
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "additionalOrder",
                "label": "AdditionalOrder",
                "type": "AdditionalOrder"
            }
        ]
    }
]

const caseActions = [
    {
        "processId": "137",
        "processName": "createcase",
        "processLabel": "create case",
        "processExtName": "processOut/pageflow/SampleBPMOrderProject.xpdl/createcase.bpel",
        "processType": "CASEACTION",
        "channelIds": [
            "openspaceGWTPull_DefaultChannel"
        ],
        "privileges": [],
        "caseStates": [],
        "caseInfo": {
            "caseClassName": "com.example.samplebdsproject1.Order",
            "caseVersion": "1",
            "caseRefParamName": "caseRefType",
            "caseStatePropertymName": "orderState"
        },
        "moduleId": "85",
        "moduleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "moduleInternalName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "moduleVersion": "1.7.0.20240219061831280"
    },
    {
        "processId": "136",
        "processName": "UpdateCase",
        "processLabel": "UpdateCase",
        "processExtName": "processOut/pageflow/SampleBPMOrderProject.xpdl/UpdateCase.bpel",
        "processType": "CASEACTION",
        "channelIds": [
            "openspaceGWTPull_DefaultChannel"
        ],
        "privileges": [],
        "caseStates": [
            "PICKED"
        ],
        "caseInfo": {
            "caseClassName": "com.example.samplebdsproject1.Order",
            "caseVersion": "1",
            "caseRefParamName": "caseRefType",
            "caseStatePropertymName": "orderState"
        },
        "moduleId": "85",
        "moduleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "moduleInternalName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "moduleVersion": "1.7.0.20240219061831280"
    },
    {
        "processId": "135",
        "processName": "ViewCase",
        "processLabel": "ViewCase",
        "processExtName": "processOut/pageflow/SampleBPMOrderProject.xpdl/ViewCase.bpel",
        "processType": "CASEACTION",
        "channelIds": [
            "openspaceGWTPull_DefaultChannel"
        ],
        "privileges": [],
        "caseStates": [],
        "caseInfo": {
            "caseClassName": "com.example.samplebdsproject1.Order",
            "caseVersion": "1",
            "caseRefParamName": "caseRefType",
            "caseStatePropertymName": "orderState"
        },
        "moduleId": "85",
        "moduleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "moduleInternalName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "moduleVersion": "1.7.0.20240219061831280"
    },
    {
        "processId": "134",
        "processName": "DeleteCase",
        "processLabel": "DeleteCase",
        "processExtName": "processOut/pageflow/SampleBPMOrderProject.xpdl/DeleteCase.bpel",
        "processType": "CASEACTION",
        "channelIds": [
            "openspaceGWTPull_DefaultChannel"
        ],
        "privileges": [],
        "caseStates": [],
        "caseInfo": {
            "caseClassName": "com.example.samplebdsproject1.Order",
            "caseVersion": "1",
            "caseRefParamName": "caseRefType",
            "caseStatePropertymName": "orderState"
        },
        "moduleId": "85",
        "moduleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "moduleInternalName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "moduleVersion": "1.7.0.20240219061831280"
    }
]
const auditMessages = [
  {
      "eventId": "13665",
      "messageCategory": "CaseData",
      "messageId": "CDM_CASE_CREATED",
      "message": "Case Created",
      "severity": "Audit",
      "creationTime": "2023-05-25T04:55:54.682Z",
      "managedObjectId": "25-com.example.samplebdsproject1.Order-1-0",
      "principalId": "tibco-admin",
      "additionalAttributes": [
          {
              "name": "hostName",
              "value": "bpm"
          },
          {
              "name": "componentId",
              "value": "CDM"
          },
          {
              "name": "componentClassName",
              "value": "com.tibco.bpm.cdm.core.CaseManager"
          },
          {
              "name": "eventSource",
              "value": "AUDIT"
          },
          {
              "name": "methodName",
              "value": "createCases"
          },
          {
              "name": "contextId",
              "value": "27e88a4e_3ba4_44ab_b326_3690bc123c40"
          },
          {
              "name": "simpleClassName",
              "value": "CaseManager"
          },
          {
              "name": "eventType",
              "value": "MESSAGE"
          },
          {
              "name": "uuid",
              "value": "198e1755_7781_43df_be2d_533eebf39214"
          },
          {
              "name": "threadName",
              "value": "ce_4"
          },
          {
              "name": "threadId",
              "value": "233"
          },
          {
              "name": "casePayload",
              "value": "{\"orderID\":\"1245\",\"orderState\":\"PICKED\",\"name\":\"Siva\",\"quantity\":12457,\"product\":\"Phone\"}"
          },
          {
              "name": "parentContextId",
              "value": "8be75d2a_0fcc_45aa_8d62_fc32dab94748"
          },
          {
              "name": "caseState",
              "value": "PICKED"
          },
          {
              "name": "correlationId",
              "value": "e7a39e74_3b26_4301_a781_b6d3f138186b"
          },
          {
              "name": "hostAddress",
              "value": "172.18.0.5"
          }
      ],
      "caseData": {
          "orderID": "1245",
          "orderState": "PICKED",
          "name": "Siva",
          "quantity": 12457,
          "product": "Phone"
      },
      "showData": true
  },
  {
      "eventId": "13677",
      "messageCategory": "CaseData",
      "messageId": "CDM_CASE_LINKED",
      "message": "Case Linked",
      "severity": "Audit",
      "creationTime": "2023-05-25T04:56:02.296Z",
      "managedObjectId": "25-com.example.samplebdsproject1.Order-1-0",
      "principalId": "tibco-admin",
      "roleName": "additionalOrder",
      "caseReferences": [
          "26-com.example.samplebdsproject1.AdditionalOrder-1-0"
      ],
      "additionalAttributes": [
          {
              "name": "hostName",
              "value": "bpm"
          },
          {
              "name": "componentId",
              "value": "CDM"
          },
          {
              "name": "componentClassName",
              "value": "com.tibco.bpm.cdm.core.CaseManager"
          },
          {
              "name": "eventSource",
              "value": "AUDIT"
          },
          {
              "name": "methodName",
              "value": "createCaseLinks"
          },
          {
              "name": "contextId",
              "value": "b9176351_f535_4778_8bc0_4adb70c2f524"
          },
          {
              "name": "simpleClassName",
              "value": "CaseManager"
          },
          {
              "name": "eventType",
              "value": "MESSAGE"
          },
          {
              "name": "uuid",
              "value": "d50c3c3e_c2f4_4922_9ca9_4861b6f6edc9"
          },
          {
              "name": "threadName",
              "value": "ce_0"
          },
          {
              "name": "threadId",
              "value": "229"
          },
          {
              "name": "parentContextId",
              "value": "f3ae8c8c_4b82_4cc6_8369_355804ce1e7a"
          },
          {
              "name": "correlationId",
              "value": "2858cbe5_01db_46a4_a24b_39118bb92b8a"
          },
          {
              "name": "hostAddress",
              "value": "172.18.0.5"
          }
      ]
  }
]

const caseDocuments = [
  {
      "id": "10781",
      "name": "save (1) (1).png",
      "artifactVersion": "2",
      "author": "tibco-admin",
      "creationDate": "2023-05-25T06:27:46.493+0000",
      "lastModifiedDate": "2023-05-25T06:27:46.493+0000",
      "lastModifiedBy": "tibco-admin",
      "artifactRef": "2761:save (1) (1).png:2",
      "artifactCheckSum": "-1",
      "ownerApp": "2761",
      "size": "3752",
      "mimeType": "image/png",
      "description": ""
  },
  {
      "id": "10762",
      "name": "save (1).jpg",
      "artifactVersion": "1",
      "author": "tibco-admin",
      "creationDate": "2023-05-25T06:27:41.538+0000",
      "lastModifiedDate": "2023-05-25T06:27:41.538+0000",
      "lastModifiedBy": "tibco-admin",
      "artifactRef": "2761:save (1).jpg:1",
      "artifactCheckSum": "-1",
      "ownerApp": "2761",
      "size": "14794",
      "mimeType": "image/jpeg",
      "description": ""
  }
]

const artifactVersions = [
  {
      "id": "10721",
      "name": "save (1) (1).png",
      "artifactVersion": "1",
      "author": "tibco-admin",
      "creationDate": "2023-05-24T06:19:59.342+0000",
      "lastModifiedDate": "2023-05-24T06:19:59.342+0000",
      "lastModifiedBy": "tibco-admin",
      "artifactRef": "2721:save (1) (1).png:1",
      "artifactCheckSum": "-1",
      "ownerApp": "2721",
      "size": "3752",
      "mimeType": "image/png",
      "description": ""
  },
  {
    "id": "10722",
    "name": "save (1) (1).png",
    "artifactVersion": "2",
    "author": "tibco-admin",
    "creationDate": "2023-05-24T06:19:59.342+0000",
    "lastModifiedDate": "2023-05-24T06:19:59.342+0000",
    "lastModifiedBy": "tibco-admin",
    "artifactRef": "2721:save (1) (1).png:1",
    "artifactCheckSum": "-1",
    "ownerApp": "2721",
    "size": "3752",
    "mimeType": "image/png",
    "description": ""
}
]

const image = '/assets/images/chrome.png'

const links = [
  {
      "name": "additionalOrder",
      "caseReference": "26-com.example.samplebdsproject1.AdditionalOrder-1-0"
  }
]
const caseTypes = [
    {
        "name": "MyBlankApplication20240801",
        "label": "My Blank Application 20240801",
        "isCase": true,
        "namespace": "MyBlankApplication20240801",
        "applicationId": "MyBlankApplication20240801",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "state",
                "label": "State",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "CaseID",
                "label": "Case ID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "field1",
                "label": "Field 1",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "field2",
                "label": "Field 2",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "field3",
                "label": "Field 3",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            }
        ],
        "summaryAttributes": [
            {
                "name": "state",
                "label": "State",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "CaseID",
                "label": "Case ID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "field1",
                "label": "Field 1",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            }
        ],
        "states": [
            {
                "label": "Created",
                "value": "Created"
            },
            {
                "label": "Completed",
                "value": "Completed",
                "isTerminal": true
            }
        ]
    },
    {
        "name": "MyAdditionalOrder",
        "label": "MyAdditionalOrder",
        "isCase": true,
        "namespace": "com.example.orderbdsproject",
        "applicationId": "com.example.orderbdsproject",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "additionalOrderState",
                "label": "AdditionalOrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "additionalProduct",
                "label": "AdditionalProduct",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            }
        ],
        "summaryAttributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "additionalOrderState",
                "label": "AdditionalOrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Created",
                "value": "CREATED"
            },
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Dispatched",
                "value": "DISPATCHED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "order",
                "label": "Order",
                "type": "MyOrder"
            }
        ]
    },
    {
        "name": "MyOrder",
        "label": "MyOrder",
        "isCase": true,
        "namespace": "com.example.orderbdsproject",
        "applicationId": "com.example.orderbdsproject",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "orderId",
                "label": "OrderId",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "customerName",
                "label": "CustomerName",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "product",
                "label": "Product",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "quantity",
                "label": "Quantity",
                "type": "FixedPointNumber",
                "isSearchable": true,
                "constraints": {
                    "length": 10,
                    "decimalPlaces": 0
                }
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "datetime",
                "label": "datetime",
                "type": "DateTimeTZ",
                "isSearchable": true
            },
            {
                "name": "time",
                "label": "time",
                "type": "Time",
                "isSearchable": true
            },
            {
                "name": "number",
                "label": "number",
                "type": "Number",
                "isSearchable": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "orderId",
                "label": "OrderId",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Created",
                "value": "CREATED"
            },
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Dispatched",
                "value": "DISPATCHED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "additionalOrder",
                "label": "AdditionalOrder",
                "type": "MyAdditionalOrder"
            }
        ]
    },
    {
        "name": "SimpleCase",
        "label": "SimpleCase",
        "isCase": true,
        "namespace": "com.example.simplebds",
        "applicationId": "com.example.simplebds",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "identifier",
                "label": "identifier",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "state",
                "label": "state",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseText",
                "label": "CaseText",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "caseNumber",
                "label": "CaseNumber",
                "type": "Number"
            },
            {
                "name": "caseDTZ",
                "label": "CaseDTZ",
                "type": "DateTimeTZ"
            },
            {
                "name": "caseBoolean",
                "label": "CaseBoolean :",
                "type": "Boolean"
            }
        ],
        "summaryAttributes": [
            {
                "name": "identifier",
                "label": "identifier",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "state",
                "label": "state",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "CREATED",
                "value": "CREATED"
            },
            {
                "label": "COMPLETED",
                "value": "COMPLETED",
                "isTerminal": true
            }
        ]
    }
]
const typesLinked = [
  {
      "name": "AdditionalOrder",
      "label": "AdditionalOrder",
      "isCase": true,
      "namespace": "com.example.samplebdsproject1",
      "applicationId": "com.example.samplebdsproject1",
      "applicationMajorVersion": 1,
      "attributes": [
          {
              "name": "additionalOrderID",
              "label": "AdditionalOrderID",
              "type": "Text",
              "isIdentifier": true,
              "isAutoIdentifier": true,
              "isMandatory": true,
              "isSearchable": true,
              "isSummary": true
          },
          {
              "name": "caseState1",
              "label": "caseState1",
              "type": "Text",
              "isState": true,
              "isMandatory": true,
              "isSearchable": true,
              "isSummary": true
          }
      ],
      "summaryAttributes": [
          {
              "name": "additionalOrderID",
              "label": "AdditionalOrderID",
              "type": "Text",
              "isIdentifier": true,
              "isAutoIdentifier": true,
              "isMandatory": true,
              "isSearchable": true,
              "isSummary": true
          },
          {
              "name": "caseState1",
              "label": "caseState1",
              "type": "Text",
              "isState": true,
              "isMandatory": true,
              "isSearchable": true,
              "isSummary": true
          }
      ],
      "states": [
          {
              "label": "Picked",
              "value": "PICKED"
          },
          {
              "label": "Packed",
              "value": "PACKED"
          },
          {
              "label": "Delievred",
              "value": "DELIEVRED",
              "isTerminal": true
          }
      ],
      "links": [
          {
              "name": "order",
              "label": "Order",
              "type": "Order"
          }
      ]
  },
  {
      "name": "Order",
      "label": "Order",
      "isCase": true,
      "namespace": "com.example.samplebdsproject1",
      "applicationId": "com.example.samplebdsproject1",
      "applicationMajorVersion": 1,
      "attributes": [
          {
              "name": "orderID",
              "label": "OrderID",
              "type": "Text",
              "isIdentifier": true,
              "isMandatory": true,
              "isSearchable": true,
              "isSummary": true,
              "constraints": {
                  "length": 50
              }
          },
          {
              "name": "orderState",
              "label": "OrderState",
              "type": "Text",
              "isState": true,
              "isMandatory": true,
              "isSearchable": true,
              "isSummary": true
          },
          {
              "name": "name",
              "label": "Name",
              "type": "Text",
              "isSearchable": true,
              "constraints": {
                  "length": 50
              }
          },
          {
              "name": "quantity",
              "label": "Quantity",
              "type": "Number"
          },
          {
              "name": "product",
              "label": "Product",
              "type": "Text",
              "isSearchable": true,
              "constraints": {
                  "length": 50
              }
          }
      ],
      "summaryAttributes": [
          {
              "name": "orderID",
              "label": "OrderID",
              "type": "Text",
              "isIdentifier": true,
              "isMandatory": true,
              "isSearchable": true,
              "isSummary": true,
              "constraints": {
                  "length": 50
              }
          },
          {
              "name": "orderState",
              "label": "OrderState",
              "type": "Text",
              "isState": true,
              "isMandatory": true,
              "isSearchable": true,
              "isSummary": true
          }
      ],
      "states": [
          {
              "label": "Picked",
              "value": "PICKED"
          },
          {
              "label": "Packed",
              "value": "PACKED"
          },
          {
              "label": "Delievred",
              "value": "DELIEVRED",
              "isTerminal": true
          }
      ],
      "links": [
          {
              "name": "additionalOrder",
              "label": "AdditionalOrder",
              "type": "AdditionalOrder"
          }
      ]
  }
]

const typesDataOfDetail = [
    {
        "name": "AdditionalOrder",
        "label": "AdditionalOrder",
        "isCase": true,
        "namespace": "com.example.samplebdsproject1",
        "applicationId": "com.example.samplebdsproject1",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseState1",
                "label": "caseState1",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseState1",
                "label": "caseState1",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "order",
                "label": "Order",
                "type": "Order"
            }
        ]
    },
    {
        "name": "Order",
        "label": "Order",
        "isCase": true,
        "namespace": "com.example.samplebdsproject1",
        "applicationId": "com.example.samplebdsproject1",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "orderID",
                "label": "OrderID",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "name",
                "label": "Name",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "quantity",
                "label": "Quantity",
                "type": "Number",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "product",
                "label": "Product",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "text",
                "label": "Text",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "date",
                "label": "Date",
                "type": "Date",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "dateTime",
                "label": "DateTime",
                "type": "DateTimeTZ",
                "isSearchable": true
            },
            {
                "name": "boolean1",
                "label": "Boolean",
                "type": "Boolean"
            },
            {
                "name": "number",
                "label": "Number",
                "type": "Number",
                "isSearchable": true
            },
            {
                "name": "time",
                "label": "Time",
                "type": "Time",
                "isSearchable": true
            },
            {
                "name": "attribute7",
                "label": "attribute7",
                "type": "URI"
            },
            {
                "name": "attribute8",
                "label": "attribute8",
                "type": "Number",
                "isSearchable": true
            },
            {
                "name": "attribute9",
                "label": "attribute9",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute10",
                "label": "attribute10",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute11",
                "label": "attribute11",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute12",
                "label": "attribute12",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute13",
                "label": "attribute13",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute14",
                "label": "attribute14",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "address",
                "label": "Address",
                "type": "Address",
                "isStructuredType": true,
                "isMandatory": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "orderID",
                "label": "OrderID",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "name",
                "label": "Name",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "quantity",
                "label": "Quantity",
                "type": "Number",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "product",
                "label": "Product",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "text",
                "label": "Text",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "date",
                "label": "Date",
                "type": "Date",
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "additionalOrder",
                "label": "AdditionalOrder",
                "type": "AdditionalOrder"
            }
        ]
    }
]

const typesDataOfCaseData = [
    {
        "name": "AdditionalOrder",
        "label": "AdditionalOrder",
        "isCase": true,
        "namespace": "com.example.samplebdsproject1",
        "applicationId": "com.example.samplebdsproject1",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseState1",
                "label": "caseState1",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "caseState1",
                "label": "caseState1",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "order",
                "label": "Order",
                "type": "Order"
            }
        ]
    },
    {
        "name": "Address",
        "label": "Address",
        "namespace": "com.example.samplebdsproject1",
        "applicationId": "com.example.samplebdsproject1",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "firstLine",
                "label": "First Line",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "secondLine",
                "label": "Second Line",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "pincode",
                "label": "Pincode",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute1",
                "label": "attribute1",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute2",
                "label": "attribute2",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute3",
                "label": "attribute3",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute4",
                "label": "attribute4",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute5",
                "label": "attribute5",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute6",
                "label": "attribute6",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute7",
                "label": "attribute7",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute8",
                "label": "attribute8",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute9",
                "label": "attribute9",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute10",
                "label": "attribute10",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "customer",
                "label": "Customer",
                "type": "Customer",
                "isStructuredType": true,
                "isMandatory": true
            }
        ]
    },
    {
        "name": "Customer",
        "label": "Customer",
        "namespace": "com.example.samplebdsproject1",
        "applicationId": "com.example.samplebdsproject1",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "attribute1",
                "label": "attribute1",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute2",
                "label": "attribute2",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute3",
                "label": "attribute3",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute4",
                "label": "attribute4",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute5",
                "label": "attribute5",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute6",
                "label": "attribute6",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute7",
                "label": "attribute7",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute8",
                "label": "attribute8",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            }
        ]
    },
    {
        "name": "Order",
        "label": "Order",
        "isCase": true,
        "namespace": "com.example.samplebdsproject1",
        "applicationId": "com.example.samplebdsproject1",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "orderID",
                "label": "OrderID",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "name",
                "label": "Name",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "quantity",
                "label": "Quantity",
                "type": "Number",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "product",
                "label": "Product",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "text",
                "label": "Text",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "date",
                "label": "Date",
                "type": "Date",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "dateTime",
                "label": "DateTime",
                "type": "DateTimeTZ",
                "isSearchable": true
            },
            {
                "name": "boolean1",
                "label": "Boolean",
                "type": "Boolean"
            },
            {
                "name": "number",
                "label": "Number",
                "type": "Number",
                "isSearchable": true
            },
            {
                "name": "time",
                "label": "Time",
                "type": "Time",
                "isSearchable": true
            },
            {
                "name": "attribute7",
                "label": "attribute7",
                "type": "URI"
            },
            {
                "name": "attribute8",
                "label": "attribute8",
                "type": "Number",
                "isSearchable": true
            },
            {
                "name": "attribute9",
                "label": "attribute9",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute10",
                "label": "attribute10",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute11",
                "label": "attribute11",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute12",
                "label": "attribute12",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute13",
                "label": "attribute13",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "attribute14",
                "label": "attribute14",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "address",
                "label": "Address",
                "type": "Address",
                "isStructuredType": true,
                "isMandatory": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "orderID",
                "label": "OrderID",
                "type": "Text",
                "isIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "name",
                "label": "Name",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "quantity",
                "label": "Quantity",
                "type": "Number",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "product",
                "label": "Product",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "text",
                "label": "Text",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "date",
                "label": "Date",
                "type": "Date",
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "additionalOrder",
                "label": "AdditionalOrder",
                "type": "AdditionalOrder"
            }
        ]
    }
]
const caseDataOfDetail = {
    "caseReference": "39-com.example.samplebdsproject1.Order-1-2",
    "casedata": "{\"date\": \"2024-09-03\", \"name\": \"Test_Parcel\", \"text\": \"Test_text\", \"address\": {\"customer\": {}}, \"orderID\": \"23\", \"product\": \"Amazon\", \"quantity\": 23, \"orderState\": \"PICKED\"}"
}

const caseAuditData = [
    {
        "eventId": "13995",
        "messageCategory": "CaseData",
        "messageId": "CDM_CASE_CREATED",
        "message": "Case Created",
        "severity": "Audit",
        "creationTime": "2024-09-25T16:37:42.788Z",
        "managedObjectId": "39-com.example.samplebdsproject1.Order-1-0",
        "principalId": "tibco-admin",
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "CDM"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.bpm.cdm.core.CaseManager"
            },
            {
                "name": "eventSource",
                "value": "AUDIT"
            },
            {
                "name": "methodName",
                "value": "createCases"
            },
            {
                "name": "contextId",
                "value": "48951bb0_967f_4fc8_94f9_c8fbc04729f4"
            },
            {
                "name": "simpleClassName",
                "value": "CaseManager"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "8f5829b9_511f_4f37_94f3_5646abdeba99"
            },
            {
                "name": "threadName",
                "value": "ce_3"
            },
            {
                "name": "threadId",
                "value": "494"
            },
            {
                "name": "casePayload",
                "value": "{\"orderID\":\"23\",\"orderState\":\"PICKED\",\"address\":{\"customer\":{}}}"
            },
            {
                "name": "parentContextId",
                "value": "ef77f6ff_cc52_4d82_b285_e3a1cf9e005d"
            },
            {
                "name": "caseState",
                "value": "PICKED"
            },
            {
                "name": "correlationId",
                "value": "d2609e20_41c0_4b5a_ad82_1e5d93cb14b9"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            }
        ]
    },
    {
        "eventId": "14007",
        "messageCategory": "CaseData",
        "messageId": "CDM_CASE_LINKED",
        "message": "Case Linked",
        "severity": "Audit",
        "creationTime": "2024-09-25T16:44:48.566Z",
        "managedObjectId": "39-com.example.samplebdsproject1.Order-1-0",
        "principalId": "tibco-admin",
        "roleName": "additionalOrder",
        "caseReferences": [
            "40-com.example.samplebdsproject1.AdditionalOrder-1-0"
        ],
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "CDM"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.bpm.cdm.core.CaseManager"
            },
            {
                "name": "eventSource",
                "value": "AUDIT"
            },
            {
                "name": "methodName",
                "value": "createCaseLinks"
            },
            {
                "name": "contextId",
                "value": "86615caf_978f_4a8e_9cbc_b824cef668e1"
            },
            {
                "name": "simpleClassName",
                "value": "CaseManager"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "662305dc_c4bc_4dea_aa9b_fc21b91bfeaf"
            },
            {
                "name": "threadName",
                "value": "ce_8"
            },
            {
                "name": "threadId",
                "value": "499"
            },
            {
                "name": "parentContextId",
                "value": "a2bc0053_2b05_4676_b4b2_1f76dceff1e2"
            },
            {
                "name": "correlationId",
                "value": "ea2c6f35_3943_4cb9_941e_9ce86c420300"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            }
        ]
    },
    {
        "eventId": "14012",
        "messageCategory": "CaseData",
        "messageId": "CDM_CASE_UPDATED_NO_STATE_CHANGE",
        "message": "Case Updated (No State Change)",
        "severity": "Audit",
        "creationTime": "2024-09-25T17:03:33.236Z",
        "managedObjectId": "39-com.example.samplebdsproject1.Order-1-1",
        "principalId": "tibco-admin",
        "principalName": "tibco-admin",
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "CDM"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.bpm.cdm.core.CaseManager"
            },
            {
                "name": "eventSource",
                "value": "AUDIT"
            },
            {
                "name": "methodName",
                "value": "updateCases"
            },
            {
                "name": "contextId",
                "value": "1075959c_1e44_4dcb_b36e_47565797e8ad"
            },
            {
                "name": "simpleClassName",
                "value": "CaseManager"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "69b66813_71af_489e_a364_6a3ec9d00ec9"
            },
            {
                "name": "threadName",
                "value": "qtp355694976-1354"
            },
            {
                "name": "threadId",
                "value": "1354"
            },
            {
                "name": "casePayload",
                "value": "{\"orderID\":\"23\",\"orderState\":\"PICKED\",\"name\":\"Test_Parcel\",\"quantity\":23,\"product\":\"Amazon\",\"address\":{\"customer\":{}}}"
            },
            {
                "name": "caseState",
                "value": "PICKED"
            },
            {
                "name": "correlationId",
                "value": "7f38a43d_c77f_48ba_b5f5_6fb37c1a3a1b"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            }
        ]
    },
    {
        "eventId": "14013",
        "messageCategory": "CaseData",
        "messageId": "CDM_CASE_UPDATED_NO_STATE_CHANGE",
        "message": "Case Updated (No State Change)",
        "severity": "Audit",
        "creationTime": "2024-09-25T17:04:02.351Z",
        "managedObjectId": "39-com.example.samplebdsproject1.Order-1-2",
        "principalId": "tibco-admin",
        "principalName": "tibco-admin",
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "CDM"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.bpm.cdm.core.CaseManager"
            },
            {
                "name": "eventSource",
                "value": "AUDIT"
            },
            {
                "name": "methodName",
                "value": "updateCases"
            },
            {
                "name": "contextId",
                "value": "8619611a_92a2_4287_92fc_d4fd7d7cdd9d"
            },
            {
                "name": "simpleClassName",
                "value": "CaseManager"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "eb34a76b_bf3a_401d_8fff_077719936fe7"
            },
            {
                "name": "threadName",
                "value": "qtp355694976-1358"
            },
            {
                "name": "threadId",
                "value": "1358"
            },
            {
                "name": "casePayload",
                "value": "{\"orderID\":\"23\",\"orderState\":\"PICKED\",\"name\":\"Test_Parcel\",\"quantity\":23,\"product\":\"Amazon\",\"text\":\"Test_text\",\"date\":\"2024-09-03\",\"address\":{\"customer\":{}}}"
            },
            {
                "name": "caseState",
                "value": "PICKED"
            },
            {
                "name": "correlationId",
                "value": "5d4d4dec_bfc7_4359_91f0_5501de13382b"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            }
        ]
    }
]

const caseDataOfLinkedCases = [
    {
        "caseReference": "40-com.example.samplebdsproject1.AdditionalOrder-1-0",
        "casedata": "{\"caseState1\": \"PICKED\", \"additionalOrderID\": \"1\"}",
        "summary": "{\"additionalOrderID\":\"1\",\"caseState1\":\"PICKED\"}",
        "metadata": {
            "createdBy": "tibco-admin",
            "creationTimestamp": "2024-09-25T16:44:48.419Z",
            "modifiedBy": "tibco-admin",
            "modificationTimestamp": "2024-09-25T16:44:48.419Z"
        }
    }
]
const linkedCaseData = [
    {
        "name": "additionalOrder",
        "caseReference": "40-com.example.samplebdsproject1.AdditionalOrder-1-0"
    }
]
const caseWorkItems = [
  {
      "id": "605",
      "version": "0",
      "header": {
          "distributionStrategy": {
              "stringKey": "WMdsOffer",
              "description": "Offer"
          },
          "priority": 50,
          "startDate": "2023-05-23T09:11:40.249Z",
          "name": "Task1",
          "description": "Task1",
          "flags": {
              "scheduleStatus": {
                  "stringKey": "WMschedStatusDuring",
                  "description": "During"
              }
          },
          "itemContext": {
              "activityId": "t:002gcz.2q5",
              "activityName": "Task1",
              "appInstance": "p:0a20cz",
              "appName": "PageflowProcessProcess",
              "appId": "_340Mge5nEeCUrZpLKntDNw"
          }
      },
      "state": {
          "stringKey": "WMstateOffered",
          "description": "Offered"
      },
      "attributes": {},
      "visible": true
  },
  {
      "id": "606",
      "version": "1",
      "header": {
          "distributionStrategy": {
              "stringKey": "WMdsOffer",
              "description": "Offer"
          },
          "priority": 50,
          "startDate": "2023-05-23T09:11:41.446Z",
          "name": "Task1",
          "description": "Task1",
          "flags": {
              "scheduleStatus": {
                  "stringKey": "WMschedStatusDuring",
                  "description": "During"
              }
          },
          "itemContext": {
              "activityId": "t:002gd0.2qc",
              "activityName": "Task1",
              "appInstance": "p:0a20d0",
              "appName": "PageflowProcessProcess",
              "appId": "_340Mge5nEeCUrZpLKntDNw"
          }
      },
      "state": {
          "stringKey": "WMstateAllocated",
          "description": "Allocated"
      },
      "attributes": {},
      "visible": true
  },
  {
      "id": "607",
      "version": "0",
      "header": {
          "distributionStrategy": {
              "stringKey": "WMdsOffer",
              "description": "Offer"
          },
          "priority": 50,
          "startDate": "2023-05-23T09:11:42.590Z",
          "name": "Task1",
          "description": "Task1",
          "flags": {
              "scheduleStatus": {
                  "stringKey": "WMschedStatusDuring",
                  "description": "During"
              }
          },
          "itemContext": {
              "activityId": "t:002gd1.2qj",
              "activityName": "Task1",
              "appInstance": "p:0a20d1",
              "appName": "PageflowProcessProcess",
              "appId": "_340Mge5nEeCUrZpLKntDNw"
          }
      },
      "state": {
          "stringKey": "WMstateOffered",
          "description": "Offered"
      },
      "attributes": {},
      "visible": true
  },
  {
      "id": "610",
      "version": "0",
      "header": {
          "distributionStrategy": {
              "stringKey": "WMdsOffer",
              "description": "Offer"
          },
          "priority": 50,
          "startDate": "2023-05-23T10:03:49.616Z",
          "name": "ViewLinkedCaseData",
          "description": "ViewLinkedCaseData",
          "flags": {
              "scheduleStatus": {
                  "stringKey": "WMschedStatusDuring",
                  "description": "During"
              }
          },
          "itemContext": {
              "activityId": "t:002gd6.2r0",
              "activityName": "ViewLinkedCaseData",
              "appInstance": "p:0a20d6",
              "appName": "SampleBPMOrderProjectProcess",
              "appId": "_oh6QwGHSEeqfz7ZPrNtfmg"
          }
      },
      "state": {
          "stringKey": "WMstateOffered",
          "description": "Offered"
      },
      "attributes": {},
      "visible": true
  }
]

const activityData = {
    "body": {
        "inputs": [],
        "outputs": [],
        "inouts": [
            {"name":"CustName", "simple": ["Jonathon Smith"]},
            {"name":"CustPhone", "simple": ["(650) 555-3229"]},
            {"name":"CustEmail", "simple": ["jsmith@acme.com"]},
            {"name":"BirthDate", "simple": ["1965-03-25"]},
            {"name":"ClaimAmount", "simple": [520.00]},
            {"name":"AccTime", "simple": ["2024-10-01T12:55:32+00:00"]},
            {"name":"AccDescription", "simple": ["The other car stopped short, and... boom! I think I sprained my toe."]},
            {"name":"PersInjury", "simple": ["YES"]},
            {"name":"ThirdPInvolved", "simple": [true]},
            {"name":"WitAvailable", "simple": [true]},
            {"name":"ThirdPName", "simple": ["Susan Jones"]},
            {"name":"InsurName", "simple": ["Gecko"]},
            {"name":"InsurNumber", "simple": ["A522-44509-93340"]},
            {"name":"ThirdPAmount", "simple": [322.00]},
            {"name":"WitName", "simple": ["Chris Johnson"]},
            {"name":"WitPhone", "simple": ["(560) 555-4200"]}
        ]
    }
}
const caseActionFormInstanceValue = {
    "instanceId": "p:0a2016h",
    "moduleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
    "moduleVersion": "1.7.0.20240219061831280",
    "processName": "createcase",
    "state": {
        "state": "ACTIVE",
        "failedMessage": null
    },
    "activityInfo": {
        "activityId": "t:002g16h.5",
        "activityName": "ModifyData",
        "activityProcessPackageId": null,
        "activityPageflowName": "UpdateCase",
        "activityData": JSON.stringify(activityData),
        "activityProcessModuleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "activityProcessModuleVersion": "1.7.0.20240219061831280"
    }
}

const caseActionFormWorkItemPageflowValue = [
    {
        "moduleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "processName": "createcase",
        "moduleVersion": "1.7.0.20240219061831280",
        "pageflowActivities": [
            {
                "activityName": "ModifyData",
                "activityId": "_7o3eFWHTEeqfz7ZPrNtfmg",
                "formIdentifier": "../apps/components-api/assets/bpm-forms/artefacts/FormsTutorialSolutions/ProcessPackage/ClaimsProcesswithForms/CaptureClaim/CaptureClaim.gwt.json"
            },
            {
                "activityName": "LookupFailed",
                "activityId": "_7o3eIWHTEeqfz7ZPrNtfmg",
                "formIdentifier": "com.example.samplebpmorderproject_1.7.0.20240219061831280/wp/openspaceGWTPull_DefaultChannel/.default/SampleBPMOrderProject/UpdateCase/LookupFailed/LookupFailed.gwt.json"
            },
            {
                "activityName": "UpdateFailed",
                "activityId": "_7o3eG2HTEeqfz7ZPrNtfmg",
                "formIdentifier": "com.example.samplebpmorderproject_1.7.0.20240219061831280/wp/openspaceGWTPull_DefaultChannel/.default/SampleBPMOrderProject/UpdateCase/UpdateFailed/UpdateFailed.gwt.json"
            },
            {
                "activityName": "ModifyData",
                "activityId": "_7o3eFWHTEeqfz7ZPrNtfmg",
                "formIdentifier": "com.example.samplebpmorderproject_1.7.0.20240219061831280/wp/openspaceEmailPush_DefaultChannel/.default/SampleBPMOrderProject/UpdateCase/ModifyData/ModifyData.gwt.json"
            },
            {
                "activityName": "LookupFailed",
                "activityId": "_7o3eIWHTEeqfz7ZPrNtfmg",
                "formIdentifier": "com.example.samplebpmorderproject_1.7.0.20240219061831280/wp/openspaceEmailPush_DefaultChannel/.default/SampleBPMOrderProject/UpdateCase/LookupFailed/LookupFailed.gwt.json"
            },
            {
                "activityName": "UpdateFailed",
                "activityId": "_7o3eG2HTEeqfz7ZPrNtfmg",
                "formIdentifier": "com.example.samplebpmorderproject_1.7.0.20240219061831280/wp/openspaceEmailPush_DefaultChannel/.default/SampleBPMOrderProject/UpdateCase/UpdateFailed/UpdateFailed.gwt.json"
            }
        ]
    }
]
const tibcoAdmin = {
    "resourceType": "Human",
    "name": "tibco-admin",
    "label": "tibco-admin",
    "ldapOrigin": {
        "primaryDn": {
            "alias": "system",
            "dn": "UID=admin, OU=system"
        }
    },
    "groups": [
        {
            "guid": "BBC750FBBDD594EDD04E42CAC1C731E7",
            "name": "System Administrator",
            "label": "System Administrator"
        },
        {
            "guid": "CD4888DFE350794FE9185524F409A6F0",
            "name": "Resource Managers",
            "label": "Resource Managers"
        },
        {
            "guid": "CF931D25A207BF4C4458FF923692F350",
            "name": "LDAP Container Managers",
            "label": "LDAP Container Managers"
        },
        {
            "guid": "Undelivered",
            "name": "Undelivered",
            "label": "Undelivered"
        },
        {
            "guid": "CF8999291E375FA9B249009F98C457A8",
            "name": "Base User Profile",
            "label": "Base User Profile"
        }
    ],
    "privileges": [
        {
            "guid": "C1A9431AD2AECEA615D93FDAE7679F9A",
            "name": "All System Actions",
            "label": "All System Actions",
            "entityType": {
                "type": "group"
            },
            "modelEntity": {
                "guid": "BBC750FBBDD594EDD04E42CAC1C731E7",
                "name": "System Administrator",
                "label": "System Administrator"
            }
        },
        {
            "guid": "B96E20E1790FE3B7D1815825C80D362A",
            "name": "ResourceManager",
            "label": "ResourceManager",
            "entityType": {
                "type": "group"
            },
            "modelEntity": {
                "guid": "CD4888DFE350794FE9185524F409A6F0",
                "name": "Resource Managers",
                "label": "Resource Managers"
            }
        },
        {
            "guid": "D72C61ECF69CB7B58C52CC2B217FE9CE",
            "name": "BaseUser",
            "label": "BaseUser",
            "entityType": {
                "type": "group"
            },
            "modelEntity": {
                "guid": "CF8999291E375FA9B249009F98C457A8",
                "name": "Base User Profile",
                "label": "Base User Profile"
            }
        },
        {
            "guid": "C945A0764328A6670D264E23992BD9FF",
            "name": "LdapContainerManager",
            "label": "LdapContainerManager",
            "entityType": {
                "type": "group"
            },
            "modelEntity": {
                "guid": "CF931D25A207BF4C4458FF923692F350",
                "name": "LDAP Container Managers",
                "label": "LDAP Container Managers"
            }
        }
    ],
    "id": "tibco-admin"
}

const uploadSuccess = {
    "message": "folder artifacts created - artifact status [1] records created, [0] records not modified,"
}

const uploadedDocument = [
    {
        "id": "29281",
        "name": "Screenshot 2024-06-11 163419.png",
        "artifactVersion": "1",
        "author": "tibco-admin",
        "creationDate": "2024-09-04T05:08:28.824+0000",
        "lastModifiedDate": "2024-09-04T05:08:28.824+0000",
        "lastModifiedBy": "tibco-admin",
        "artifactRef": "2601:Screenshot 2024-06-11 163419.png:1",
        "artifactCheckSum": "-1",
        "ownerApp": "2601",
        "size": "7383",
        "mimeType": "image/png",
        "description": ""
    }
]

var stateValue = [
    {
        "eventId": "13995",
        "messageCategory": "CaseData",
        "messageId": "CDM_CASE_CREATED",
        "message": "Case Created",
        "severity": "Audit",
        "creationTime": "2024-09-25T16:37:42.788Z",
        "managedObjectId": "39-com.example.samplebdsproject1.Order-1-0",
        "principalId": "tibco-admin",
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "CDM"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.bpm.cdm.core.CaseManager"
            },
            {
                "name": "eventSource",
                "value": "AUDIT"
            },
            {
                "name": "methodName",
                "value": "createCases"
            },
            {
                "name": "contextId",
                "value": "48951bb0_967f_4fc8_94f9_c8fbc04729f4"
            },
            {
                "name": "simpleClassName",
                "value": "CaseManager"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "8f5829b9_511f_4f37_94f3_5646abdeba99"
            },
            {
                "name": "threadName",
                "value": "ce_3"
            },
            {
                "name": "threadId",
                "value": "494"
            },
            {
                "name": "casePayload",
                "value": "{\"orderID\":\"23\",\"orderState\":\"PICKED\",\"address\":{\"customer\":{}}}"
            },
            {
                "name": "parentContextId",
                "value": "ef77f6ff_cc52_4d82_b285_e3a1cf9e005d"
            },
            {
                "name": "caseState",
                "value": "PICKED"
            },
            {
                "name": "correlationId",
                "value": "d2609e20_41c0_4b5a_ad82_1e5d93cb14b9"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            }
        ]
    }
]

var caseActionFormCancel = {
    "instanceId": "p:0a20cm",
    "moduleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
    "moduleVersion": "1.5.0.20240821104617436",
    "processName": "UpdateCase",
    "state": {
        "state": "CANCELLED",
        "failedMessage": null
    }
}
var caseActionFormSubmit = {
    "instanceId": "p:0a20cn",
    "moduleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
    "moduleVersion": "1.5.0.20240821104617436",
    "processName": "UpdateCase",
    "state": {
        "state": "ACTIVE",
        "failedMessage": null
    },
    "activityInfo": {
        "activityId": "t:002gcn.6",
        "activityName": "UpdateFailed",
        "activityProcessPackageId": null,
        "activityPageflowName": "UpdateCase",
        "activityData": "{\"body\":{\"inputs\":[{\"name\":\"CaseOutOfSynchError\",\"simple\":[\"Your local copy of the case object is out of synch. The case object has been changed by something else since your copy was fetched.\"]}],\"inouts\":[{\"name\":\"ErrorCode\",\"simple\":[\"CDM_CASEDATA_CID_CHANGED\"]},{\"name\":\"ErrorDetail\",\"simple\":[\"The case identifier for an existing case must not be changed (from {oldCID} to {newCID})\"]}]}}",
        "activityProcessModuleName": "/SampleBPMOrderProject/Process Packages/SampleBPMOrderProject.xpdl",
        "activityProcessModuleVersion": "1.5.0.20240821104617436"
    }
}
var updateFailedGwtJson = {
    "bindings": [],
    "rules": [],
    "name": "UpdateFailed",
    "type": "form",
    "reverseBindings": [],
    "formModelId": "_mFjMEF-qEe-WeNzr9bUlww",
    "formPathSegmentCount": 5,
    "formatVersion": "11.0.0.044",
    "bomJsFiles": [],
    "styleName": null,
    "genCssClass": "f668dc255-d8d4-45d5-b5fc-079198ebc2bb",
    "labelPosition": "top",
    "externalResources": [
        {
            "name": "",
            "uri": "UpdateFailed.gwt.js",
            "localized": false
        },
        {
            "name": null,
            "uri": "UpdateFailed.gwt.css",
            "localized": false
        },
        {
            "name": "resource.common",
            "uri": "pathmap://FORMS_RESOURCES/common.properties",
            "localized": true
        },
        {
            "name": "resource.form",
            "uri": "UpdateFailed.properties",
            "localized": true
        }
    ],
    "data": [
        {
            "bindings": [
                {
                    "name": "control.ErrorCode",
                    "type": "control",
                    "sourceFeature": [
                        "value"
                    ],
                    "destinationFeature": [
                        "value"
                    ]
                }
            ],
            "rules": [],
            "name": "data.ErrorCode",
            "type": "data",
            "reverseBindings": [],
            "datumType": "BomPrimitiveTypes::Text",
            "label": "Error Code",
            "inout": "INOUT",
            "array": false,
            "decimalPlaces": 0,
            "length": 50,
            "primitive": true
        },
        {
            "bindings": [
                {
                    "name": "control.ErrorDetail",
                    "type": "control",
                    "sourceFeature": [
                        "value"
                    ],
                    "destinationFeature": [
                        "value"
                    ]
                }
            ],
            "rules": [],
            "name": "data.ErrorDetail",
            "type": "data",
            "reverseBindings": [],
            "datumType": "BomPrimitiveTypes::Text",
            "label": "Error Detail",
            "inout": "INOUT",
            "array": false,
            "decimalPlaces": 0,
            "length": 250,
            "primitive": true
        },
        {
            "bindings": [
                {
                    "name": "control.CaseOutOfSynchError",
                    "type": "control",
                    "sourceFeature": [
                        "value"
                    ],
                    "destinationFeature": [
                        "value"
                    ]
                }
            ],
            "rules": [],
            "name": "data.CaseOutOfSynchError",
            "type": "data",
            "reverseBindings": [],
            "datumType": "BomPrimitiveTypes::Text",
            "label": "CaseOutOfSynchError",
            "inout": "IN",
            "array": false,
            "decimalPlaces": 0,
            "length": 150,
            "primitive": true
        }
    ],
    "controlRefs": [
        {
            "name": "control.ErrorCode",
            "type": "control"
        },
        {
            "name": "control.ErrorDetail",
            "type": "control"
        },
        {
            "name": "control.CaseOutOfSynchError",
            "type": "control"
        },
        {
            "name": "control.cancel",
            "type": "control"
        },
        {
            "name": "control.submit",
            "type": "control"
        }
    ],
    "rootPaneRefs": [
        {
            "name": "pane.content",
            "type": "pane"
        },
        {
            "name": "pane.toolbar",
            "type": "pane"
        },
        {
            "name": "pane.messages",
            "type": "pane"
        }
    ],
    "control": [
        {
            "bindings": [
                {
                    "name": "data.ErrorCode",
                    "type": "data",
                    "sourceFeature": [
                        "value"
                    ],
                    "destinationFeature": [
                        "value"
                    ]
                }
            ],
            "rules": [],
            "name": "control.ErrorCode",
            "type": "control",
            "reverseBindings": [
                {
                    "name": "data.ErrorCode",
                    "type": "data",
                    "sourceFeature": [
                        "value"
                    ],
                    "destinationFeature": [
                        "value"
                    ]
                }
            ],
            "componentType": "com.tibco.forms.controls.textinput",
            "shortLabelRef": "",
            "labelRef": "",
            "hintRef": "",
            "enabled": true,
            "visible": true,
            "styleName": "",
            "validations": [
                {
                    "name": "ErrorCode__length",
                    "message": "",
                    "messageRef": "resource.common.validation_text_length",
                    "when": "oncontrolchange",
                    "list": false
                }
            ],
            "inheritsDeferInitialization": false,
            "readOnly": false,
            "required": true,
            "value": [],
            "tabIndex": 0,
            "alwaysRenderControl": false,
            "propSetList": false,
            "propSetMaxVisibleRows": 0,
            "propSetTextBoxBaseMaxLen": 50,
            "propSetTextDisLen": 40,
            "propSetTextSecret": false,
            "propSetTextNumeric": false,
            "propSetFormat": "",
            "propSetFormatRef": ""
        },
        {
            "bindings": [
                {
                    "name": "data.ErrorDetail",
                    "type": "data",
                    "sourceFeature": [
                        "value"
                    ],
                    "destinationFeature": [
                        "value"
                    ]
                }
            ],
            "rules": [],
            "name": "control.ErrorDetail",
            "type": "control",
            "reverseBindings": [
                {
                    "name": "data.ErrorDetail",
                    "type": "data",
                    "sourceFeature": [
                        "value"
                    ],
                    "destinationFeature": [
                        "value"
                    ]
                }
            ],
            "componentType": "com.tibco.forms.controls.textarea",
            "shortLabelRef": "",
            "labelRef": "",
            "hintRef": "",
            "enabled": true,
            "visible": true,
            "styleName": "",
            "validations": [
                {
                    "name": "ErrorDetail__length",
                    "message": "",
                    "messageRef": "resource.common.validation_text_length",
                    "when": "oncontrolchange",
                    "list": false
                }
            ],
            "inheritsDeferInitialization": false,
            "readOnly": false,
            "required": true,
            "value": [],
            "tabIndex": 0,
            "alwaysRenderControl": false,
            "propSetList": false,
            "propSetMaxVisibleRows": 0,
            "propSetTextBoxBaseMaxLen": 250,
            "propSetTextAreaRows": 10,
            "propSetTextAreaCols": 25
        },
        {
            "bindings": [],
            "rules": [],
            "name": "control.CaseOutOfSynchError",
            "type": "control",
            "reverseBindings": [
                {
                    "name": "data.CaseOutOfSynchError",
                    "type": "data",
                    "sourceFeature": [
                        "value"
                    ],
                    "destinationFeature": [
                        "value"
                    ]
                }
            ],
            "componentType": "com.tibco.forms.controls.textarea",
            "shortLabelRef": "",
            "labelRef": "",
            "hintRef": "",
            "enabled": true,
            "visible": true,
            "styleName": "",
            "validations": [
                {
                    "name": "CaseOutOfSynchError__length",
                    "message": "",
                    "messageRef": "resource.common.validation_text_length",
                    "when": "oncontrolchange",
                    "list": false
                }
            ],
            "inheritsDeferInitialization": false,
            "readOnly": true,
            "required": false,
            "value": [
                "Your local copy of the case object is out of synch. The case object has been changed by something else since your copy was fetched."
            ],
            "tabIndex": 0,
            "alwaysRenderControl": false,
            "propSetList": false,
            "propSetMaxVisibleRows": 0,
            "propSetTextBoxBaseMaxLen": 150,
            "propSetTextAreaRows": 10,
            "propSetTextAreaCols": 25
        },
        {
            "bindings": [],
            "rules": [
                {
                    "name": "cancel",
                    "trigger": "select",
                    "cancelOnError": false
                }
            ],
            "name": "control.cancel",
            "type": "control",
            "reverseBindings": [],
            "componentType": "com.tibco.forms.controls.button",
            "shortLabelRef": "",
            "labelRef": "",
            "hintRef": "",
            "enabled": true,
            "visible": true,
            "styleName": "",
            "validations": [],
            "inheritsDeferInitialization": false,
            "readOnly": false,
            "required": false,
            "value": [],
            "tabIndex": 0,
            "alwaysRenderControl": false,
            "propSetButtonType": "peripheral"
        },
        {
            "bindings": [],
            "rules": [
                {
                    "name": "submit",
                    "trigger": "select",
                    "cancelOnError": false
                }
            ],
            "name": "control.submit",
            "type": "control",
            "reverseBindings": [],
            "componentType": "com.tibco.forms.controls.button",
            "shortLabelRef": "",
            "labelRef": "",
            "hintRef": "",
            "enabled": true,
            "visible": true,
            "styleName": "",
            "validations": [],
            "inheritsDeferInitialization": false,
            "readOnly": false,
            "required": false,
            "value": [],
            "tabIndex": 0,
            "alwaysRenderControl": false,
            "propSetButtonType": "primary"
        }
    ],
    "pane": [
        {
            "bindings": [],
            "rules": [],
            "name": "pane.content",
            "type": "pane",
            "reverseBindings": [],
            "componentType": "com.tibco.forms.panes.vertical",
            "shortLabelRef": "",
            "labelRef": "",
            "hintRef": "",
            "enabled": true,
            "visible": true,
            "styleName": "",
            "validations": [],
            "inheritsDeferInitialization": false,
            "readOnly": false,
            "labelPosition": "left",
            "dataType": null,
            "concreteClassifierNames": [],
            "concreteClassifierLabels": [],
            "children": [
                {
                    "name": "control.ErrorCode",
                    "type": "control"
                },
                {
                    "name": "control.ErrorDetail",
                    "type": "control"
                },
                {
                    "name": "control.CaseOutOfSynchError",
                    "type": "control"
                }
            ],
            "staticRendering": false,
            "textOnly": false,
            "deferRendering": false,
            "deferInitialization": false,
            "staticCustomContent": {}
        },
        {
            "bindings": [],
            "rules": [],
            "name": "pane.toolbar",
            "type": "pane",
            "reverseBindings": [],
            "componentType": "com.tibco.forms.panes.horizontal",
            "shortLabelRef": "",
            "labelRef": "",
            "hintRef": "",
            "enabled": true,
            "visible": true,
            "styleName": "toolbar",
            "validations": [],
            "inheritsDeferInitialization": false,
            "readOnly": false,
            "labelPosition": "left",
            "dataType": null,
            "concreteClassifierNames": [],
            "concreteClassifierLabels": [],
            "children": [
                {
                    "name": "control.cancel",
                    "type": "control"
                },
                {
                    "name": "control.submit",
                    "type": "control"
                }
            ],
            "staticRendering": false,
            "textOnly": false,
            "deferRendering": false,
            "deferInitialization": false,
            "staticCustomContent": {}
        },
        {
            "bindings": [],
            "rules": [],
            "name": "pane.messages",
            "type": "pane",
            "reverseBindings": [],
            "componentType": "com.tibco.forms.panes.messages",
            "shortLabelRef": "",
            "labelRef": "",
            "hintRef": "",
            "enabled": true,
            "visible": true,
            "styleName": "",
            "validations": [],
            "inheritsDeferInitialization": false,
            "readOnly": false,
            "labelPosition": "top",
            "dataType": null,
            "concreteClassifierNames": [],
            "concreteClassifierLabels": [],
            "children": [],
            "staticRendering": false,
            "textOnly": false,
            "deferRendering": false,
            "deferInitialization": false,
            "staticCustomContent": {},
            "propSetMessagesPaneSuppressValidationMessages": false
        }
    ],
    "useCORef": true,
    "transformationType": "java",
    "libraries": {}
}
var specificCaseTypes = [
    {
        "name": "ProductDQL",
        "label": "ProductDQL",
        "isCase": true,
        "namespace": "com.example.productdqlbds",
        "applicationId": "com.example.productdqlbds",
        "applicationMajorVersion": 2,
        "attributes": [
            {
                "name": "caseState",
                "label": "CaseState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "productadditionalinfo",
                "label": "productadditionalinfo",
                "type": "ProductAdditionalInfo",
                "isStructuredType": true,
                "isMandatory": true
            },
            {
                "name": "name",
                "label": "Name",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "ID",
                "label": "ID",
                "type": "Number",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "COD",
                "label": "COD",
                "type": "Boolean"
            },
            {
                "name": "orderedDate",
                "label": "OrderedDate",
                "type": "Date",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "condition",
                "label": "Condition",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 11
                }
            },
            {
                "name": "caseIdentifier",
                "label": "CaseIdentifier",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "datetime",
                "label": "datetime",
                "type": "DateTimeTZ",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "time",
                "label": "time",
                "type": "Time",
                "isSearchable": true
            },
            {
                "name": "address",
                "label": "Address",
                "type": "ResidenceAddress",
                "isStructuredType": true,
                "isArray": true
            },
            {
                "name": "residenceaddress",
                "label": "ResidenceAddress",
                "type": "ResidenceAddress",
                "isStructuredType": true,
                "isArray": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "caseState",
                "label": "CaseState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "name",
                "label": "Name",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "ID",
                "label": "ID",
                "type": "Number",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "orderedDate",
                "label": "OrderedDate",
                "type": "Date",
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "condition",
                "label": "Condition",
                "type": "Text",
                "isSearchable": true,
                "isSummary": true,
                "constraints": {
                    "length": 11
                }
            },
            {
                "name": "caseIdentifier",
                "label": "CaseIdentifier",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "datetime",
                "label": "datetime",
                "type": "DateTimeTZ",
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Order",
                "value": "ORDER"
            },
            {
                "label": "Received",
                "value": "RECEIVED",
                "isTerminal": true
            }
        ]
    }
]
export const handlers = [
  
//   http.get('/bpm/case/v1/types', (req, res, ctx) => { 
// 	return res(
// 	  ctx.status(200),
// 	  ctx.json(typesLinked),
// 	)
//   }),
http.get('../../bpm/organization/v1/resources/tibco-admin', (req, res, ctx) => {
    return HttpResponse.json(
        tibcoAdmin,
    {
        message: 'Mocked response',
    },
    {
        status: 200,
    }
    )
}),
  http.get('../../bpm/case/v1/types?%24filter=isCase+eq+TRUE+and+namespace+eq+%27com.example.samplebdsproject1%27+and+applicationMajorVersion+eq+1&%24top=30', (req, res, ctx) => {
    let response ;
    const url = new URL(req.request.url)
     // const isCase = req.url.searchParams.get('$filter')?.includes('isCase eq TRUE');
    const filter = url.searchParams.get('$filter')?.includes('namespace');

    const filterCaseData = url.searchParams.get('$filter')?.includes('applicationId');
    if(filter){
        response = typesDataOfDetail;
    } else if(filterCaseData){
        response = typesDataOfCaseData;
    }
    else {
        response = types;
    }
    return HttpResponse.json(
        response,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
  }),
http.get('../../bpm/case/v1/cases/39-com.example.samplebdsproject1.Order-1-2', (req, res, ctx) => {

    return HttpResponse.json(
        caseDataOfDetail,
    {
        message: 'Mocked response',
    },
    {
        status: 200,
    }
    )
}),
http.get('../../bpm/case/v1/cases/39-com.example.samplebdsproject1.Order-1-2/links', (req, res, ctx) => {
    debugger
    return HttpResponse.json(
        linkedCaseData,
    {
        message: 'Mocked response',
    },
    {
        status: 200,
    }
    )
}),

http.get('../../bpm/audit/v1/cases/39-com.example.samplebdsproject1.Order-1-2', (req, res, ctx) => {

    return HttpResponse.json(
        caseAuditData,
    {
        message: 'Mocked response',
    },
    {
        status: 200,
    }
    )
}),

  http.get('../../bpm/case/v1/cases?%24filter=caseType+eq+%27com.example.samplebdsproject1.Order%27+and+applicationMajorVersion+eq+1+and+isInTerminalState+eq+FALSE&%24top=100', (req, res, ctx) => {
    //let response = cases;
    let response ;
    const url = new URL(req.request.url);
    console.log(url);
    //  // const isCase = req.url.searchParams.get('$filter')?.includes('isCase eq TRUE');
    const filter = url.searchParams.get('$filter')?.includes('caseReference');

    const select = url.searchParams.get('$select');
    if(filter){
        response = caseDataOfLinkedCases;
    }
    else {
        response = cases;
    }
    return HttpResponse.json(
        response,
      {
        message: 'Mocked response',
      },
      {
        status: 200,
      }
    )
    }),
    http.get('../../bpm/pageflow/v1/caseActions?%24filter=caseRef+eq+%2732-com.example.samplebdsproject1.Order-1-1%27+and+caseState+eq+%27PACKED%27', (req, res, ctx) => {
        return HttpResponse.json(
            caseActions,
            {
            message: 'Mocked response',
            },
            {
            status: 200,
            }
        )
    }),
    http.get('../../bpm/webresource/v1/caseFolders/39-com.example.samplebdsproject1.Order-1-2/artifacts/?%24top=100&%24orderby=name+asc', (req, res, ctx) => {
        return HttpResponse.json(
            caseDocuments,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
    }),

    http.get('../../bpm/casefolders/25-AnantApp.AnantApp-1-1/save%20(1).png?$version=1', (req, res, ctx) => {
        return HttpResponse.json(
            image,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
    }),

    http.get('../../bpm/webresource/v1/caseFolders/24-com.example.productdqlbds.ProductDQL-2-0/artifacts/Screenshot%202024-06-11%20163419.png/artifactVersions', (req, res, ctx) => {
        return HttpResponse.json(
            artifactVersions,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
    }),
    // Case Documents API's ends

    
    http.get('../../bpm/audit/v1/cases/39-com.example.samplebdsproject1.Order-1-2?%24skip=0&%24top=1000&%24orderby=&%24filter=messageId+eq+%27CDM_CASE_UPDATED_STATE_CHANGE%27+or+messageId+eq+%27CDM_CASE_CREATED%27', (req, res, ctx) => {
        return HttpResponse.json(
            stateValue,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
    }),
    http.post('../../bpm/pageflow/v1/instances',(req, res, ctx) => {
        return HttpResponse.json(
            caseActionFormInstanceValue,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
    }),
    http.get('../../bpm/workpresentation/v1/workItemPageFlow?%24filter=moduleName+eq+%27%2FSampleBPMOrderProject%2FProcess+Packages%2FSampleBPMOrderProject.xpdl%27+and+moduleVersion+eq+%271.7.0.20240219061831280%27+and+processName+eq+%27UpdateCase%27',(req, res, ctx) => {
        return HttpResponse.json(
            caseActionFormWorkItemPageflowValue,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
    }),
    http.delete('../../bpm/pageflow/v1/instances/p%3A0a2016h', (req, res, ctx) => {
        return HttpResponse.json(
            caseActionFormCancel,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
    }),
    http.put('../../bpm/pageflow/v1/instances', (req, res, ctx) => {
        return HttpResponse.json(
            caseActionFormSubmit,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
    })
]		
