const { setupWorker, rest, http, HttpResponse  } = MockServiceWorker;

const settingsConfig = {
  "applicationConfiguration": [
    {
      "name": "work-manager-app",
      "label": {
        "default": "Work manager",
        "localeKey": "settings_work_manager"
      },
      "type": "APPLICATION",
      "description": {
        "default": "Work manager application",
        "localeKey": "settings_work_manager_description"
      },
      "version": 10,
      "settings": [
        {
          "name": "case-details",
          "label": {
            "default": "Case details",
            "localeKey": "case_details"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Case details component",
            "localeKey": "case_details_description"
          },
          "property": [
            {
              "name": "show-adhoc-tasks",
              "label": {
                "default": "Show adhoc tasks",
                "localeKey": "settings_adhoc_tasks"
              },
              "description": {
                "default": "Show an option to open list of adhoc tasks.",
                "localeKey": "settings_adhoc_tasks_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-case-details-refresh",
              "label": {
                "default": "Show case details refresh",
                "localeKey": "settings_case_details_refresh"
              },
              "description": {
                "default": "Show an option to refresh case details.",
                "localeKey": "settings_case_details_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-case-state-component",
              "label": {
                "default": "Show case state component",
                "localeKey": "settings_case_state_component"
              },
              "description": {
                "default": "Show case progress state component.",
                "localeKey": "settings_case_state_component"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-case-actions-component",
              "label": {
                "default": "Show case actions component",
                "localeKey": "settings_case_actions_component"
              },
              "description": {
                "default": "Show case actions component.",
                "localeKey": "settings_case_actions_component"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-case-data-component",
              "label": {
                "default": "Show case data component",
                "localeKey": "settings_case_data_component"
              },
              "description": {
                "default": "Show case data component.",
                "localeKey": "settings_case_data_component"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-case-work-items-component",
              "label": {
                "default": "Show case work items component",
                "localeKey": "settings_case_work_items_component"
              },
              "description": {
                "default": "Show widget to open sidebar with case work items component.",
                "localeKey": "settings_case_work_items_component"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-linked-cases-component",
              "label": {
                "default": "Show linked cases component",
                "localeKey": "settings_case_state_component"
              },
              "description": {
                "default": "Show widget to open sidebar with linked cases component.",
                "localeKey": "settings_linked_cases_component"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-case-document-component",
              "label": {
                "default": "Show case document component",
                "localeKey": "settings_case_document_component"
              },
              "description": {
                "default": "Show widget to open sidebar with case document component.",
                "localeKey": "settings_case_document_component"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-case-audit-component",
              "label": {
                "default": "Show case audit component",
                "localeKey": "settings_case_audit_component"
              },
              "description": {
                "default": "Show widget to open sidebar with case audit component.",
                "localeKey": "settings_case_audit_component"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            }
          ]
        },
        {
          "name": "case-documents",
          "label": {
            "default": "Case documents",
            "localeKey": "case_documents"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Case documents component",
            "localeKey": "case_documents_description"
          },
          "property": [
            {
              "name": "show-case-documents-delete",
              "label": {
                "default": "Show case documents delete",
                "localeKey": "settings_case_documents_delete"
              },
              "description": {
                "default": "Show an option to delete case documents.",
                "localeKey": "settings_case_documents_delete_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-case-documents-download",
              "label": {
                "default": "Show case documents download",
                "localeKey": "settings_case_documents_download"
              },
              "description": {
                "default": "Show an option to download case documents.",
                "localeKey": "settings_case_documents_download_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            }
          ]
        },
        {
          "name": "case-documents-viewer",
          "label": {
            "default": "Case documents viewer",
            "localeKey": "case_documents_viewer"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Case documents viewer component",
            "localeKey": "case_documents_viewer_description"
          },
          "property": [
            {
              "name": "show-case-documents-description-container",
              "label": {
                "default": "Show case documents description container",
                "localeKey": "settings_case_documents_description_container"
              },
              "description": {
                "default": "Show an option to hide case documents description container.",
                "localeKey": "settings_case_documents_description_container_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            }
          ]
        },
        {
          "name": "case-types",
          "label": {
            "default": "Case types",
            "localeKey": "case_type"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Case types component",
            "localeKey": "case_type_description"
          },
          "property": [
            {
              "name": "show-case-types-refresh",
              "label": {
                "default": "Show case types refresh",
                "localeKey": "settings_case_types_refresh"
              },
              "description": {
                "default": "Show an option to refresh case types.",
                "localeKey": "settings_case_types_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-case-name",
              "label": {
                "default": "Show case name",
                "localeKey": "settings_case_name"
              },
              "description": {
                "default": "Show case name.",
                "localeKey": "settings_case_name_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-applicationMajorVersion",
              "label": {
                "default": "Show applicationMajorVersion",
                "localeKey": "settings_applicationMajorVersion"
              },
              "description": {
                "default": "Show applicationMajorVersion.",
                "localeKey": "settings_applicationMajorVersion_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            }
          ]
        },
        {
          "name": "cases",
          "label": {
            "default": "Cases",
            "localeKey": "bpme.case.cases"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Cases component",
            "localeKey": "bpme.case.casesDescription"
          },
          "property": [
            {
              "name": "show-cases-search",
              "label": {
                "default": "Show cases search",
                "localeKey": "bpme.case.search"
              },
              "description": {
                "default": "Show an option to search cases.",
                "localeKey": "bpme.case.searchDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-cases-filter",
              "label": {
                "default": "Show cases filter",
                "localeKey": "bpme.case.filter"
              },
              "description": {
                "default": "Show cases filter.",
                "localeKey": "bpme.case.filterDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-cases-columns-selector",
              "label": {
                "default": "Show cases columns selector",
                "localeKey": "bpme.case.columns"
              },
              "description": {
                "default": "Show cases columns selector.",
                "localeKey": "bpme.case.columnsDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-cases-refresh",
              "label": {
                "default": "Show cases refresh",
                "localeKey": "bpme.case.refresh"
              },
              "description": {
                "default": "Show an option to refresh cases.",
                "localeKey": "bpme.case.refreshDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            }
          ]
        },
        {
          "name": "audit",
          "label": {
            "default": "Audit",
            "localeKey": "bpme.commonAudit.audit"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Audit component",
            "localeKey": "bpme.commonAudit.auditDescription"
          },
          "property": [
            {
              "name": "show-filter",
              "label": {
                "default": "Show filter",
                "localeKey": "bpme.commonAudit.showFilterLabel"
              },
              "description": {
                "default": "Show option to show filter of the audit.",
                "localeKey": "bpme.commonAudit.showFilterDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-table",
              "label": {
                "default": "Show table",
                "localeKey": "bpme.commonAudit.showTableLabel"
              },
              "description": {
                "default": "Show option to show table of the audit.",
                "localeKey": "bpme.commonAudit.showTableDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            }
          ]
        },
        {
          "name": "navbarHeader",
          "label": {
            "default": "Navbar header",
            "localeKey": "bpme.navbarHeader.header"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Global header",
            "localeKey": "bpme.navbarHeader.compDescription"
          },
          "property": [
            {
              "name": "logURL",
              "label": {
                "default": "Header logo",
                "localeKey": "bpme.navbarHeader.logoLabel"
              },
              "description": {
                "default": "Header logo image URL",
                "localeKey": "bpme.navbarHeader.logoDescription"
              },
              "type": "string",
              "value": "/apps/web-cdn/icons/Vector.svg",
              "defaultValue": "/apps/web-cdn/icons/Vector.svg"
            },
            {
              "name": "appTitle",
              "label": {
                "default": "Application title",
                "localeKey": "bpme.navbarHeader.appTitle"
              },
              "description": {
                "default": "Text after logo",
                "localeKey": "bpme.navbarHeader.textAfterLogo"
              },
              "type": "string",
              "value": "BPME web components",
              "defaultValue": "BPME web components"
            }
          ]
        },
        {
          "name": "navbarHeaderTools",
          "label": {
            "default": "Navbar header tools",
            "localeKey": "bpme.navbarHeaderTools.headerTools"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Global header tools",
            "localeKey": "bpme.navbarHeaderTools.compDescription"
          },
          "property": [
            {
              "name": "showApplicationSwitcher",
              "label": {
                "default": "Show application switcher",
                "localeKey": "bpme.navbarHeaderTools.appSwitcher"
              },
              "description": {
                "default": "Shows applications list in the workspace",
                "localeKey": "bpme.navbarHeaderTools.switcherDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "showProfile",
              "label": {
                "default": "Show user profile",
                "localeKey": "bpme.navbarHeaderTools.userProfile"
              },
              "description": {
                "default": "User details",
                "localeKey": "bpme.navbarHeaderTools.userProfileDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "signOutURL",
              "label": {
                "default": "Sign out url",
                "localeKey": "bpme.navbarHeaderTools.logoutURL"
              },
              "description": {
                "default": "Provide url for sign out else default url will be used",
                "localeKey": "bpme.navbarHeaderTools.logoutURLDescription"
              },
              "type": "string",
              "value": "",
              "defaultValue": ""
            }
          ]
        },
        {
          "name": "userProfile",
          "label": {
            "default": "User profile",
            "localeKey": "bpme.userProfile.profile"
          },
          "type": "COMPONENT",
          "description": {
            "default": "User profile component",
            "localeKey": "bpme.userProfile.profileDescription"
          },
          "property": [
            {
              "name": "show-themes",
              "label": {
                "default": "Show themes switcher",
                "localeKey": "bpme.userProfile.showThemes"
              },
              "description": {
                "default": "Show an option to switch themes",
                "localeKey": "bpme.userProfile.showThemesDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-languages",
              "label": {
                "default": "Show languages switcher",
                "localeKey": "bpme.userProfile.languagesSwitcher"
              },
              "description": {
                "default": "Show an option to switch languages.",
                "localeKey": "bpme.userProfile.languagesSwitcherDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-sign-out",
              "label": {
                "default": "Show sign out",
                "localeKey": "bpme.userProfile.settingSignout"
              },
              "description": {
                "default": "Show an option to sign out.",
                "localeKey": "bpme.userProfile.settingSignoutDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-product-version",
              "label": {
                "default": "Show product name and version",
                "localeKey": "bpme.userProfile.productName"
              },
              "description": {
                "default": "Show an option to display product information.",
                "localeKey": "bpme.userProfile.productNameDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-copy-right",
              "label": {
                "default": "Show product copy right",
                "localeKey": "bpme.userProfile.settingCopy"
              },
              "description": {
                "default": "Show an option to display copy right text.",
                "localeKey": "bpme.userProfile.settingCopyDescription"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            }
          ]
        },
        {
          "name": "work-list",
          "label": {
            "default": "Work list",
            "localeKey": "settings_work_list"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Work list component",
            "localeKey": "settings_work_list_description"
          },
          "property": [
            {
              "name": "show-auto-refresh",
              "label": {
                "default": "Show auto refresh",
                "localeKey": "settings_auto_refresh"
              },
              "description": {
                "default": "Show option to auto refresh the work list.",
                "localeKey": "settings_auto_refresh_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-allocate-to-self",
              "label": {
                "default": "Show allocate to self",
                "localeKey": "settings_allocate_self"
              },
              "type": "boolean",
              "description": {
                "default": "Show the option to allocate the work item to self (logged in user).",
                "localeKey": "settings_allocate_self_description"
              },
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-pend",
              "label": {
                "default": "Show pend",
                "localeKey": "settings_pend"
              },
              "description": {
                "default": "Show option to pend the work item.",
                "localeKey": "settings_pend_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-auto-repeat",
              "label": {
                "default": "Show auto repeat",
                "localeKey": "settings_auto_repeat"
              },
              "description": {
                "default": "Show the option to automatically repeat opening of the work item.",
                "localeKey": "settings_auto_repeat_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-filter",
              "label": {
                "default": "Show filter",
                "localeKey": "settings_filter"
              },
              "description": {
                "default": "Show filter option to filter the work list.",
                "localeKey": "settings_filter_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-sort",
              "label": {
                "default": "Show sort",
                "localeKey": "settings_sort"
              },
              "description": {
                "default": "Show option to sort the work items in the work list.",
                "localeKey": "settings_sort_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-refresh",
              "label": {
                "default": "Show refresh",
                "localeKey": "settings_refresh"
              },
              "description": {
                "default": "Show option to refresh the work list.",
                "localeKey": "settings_refresh_refresh"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-cancel",
              "label": {
                "default": "Show cancel",
                "localeKey": "settings_cancel"
              },
              "description": {
                "default": "Show an option to cancel the selected work item.",
                "localeKey": "settings_cancel_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-reallocate-to-world",
              "label": {
                "default": "Show reallocate to world",
                "localeKey": "settings_reallocate_world"
              },
              "description": {
                "default": "Show an option to re allocate the selected work items to any one in the organization.",
                "localeKey": "settings_reallocate_world_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-reoffer",
              "label": {
                "default": "Show reoffer",
                "localeKey": "settings_reoffer"
              },
              "description": {
                "default": "Show an option to reoffer the work item to the initial offerset.",
                "localeKey": "settings_reoffer_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-adhoc-tasks",
              "label": {
                "default": "Show adhoc tasks",
                "localeKey": "settings_adhoc_tasks"
              },
              "description": {
                "default": "Show adhoc tasks list.",
                "localeKey": "settings_adhoc_tasks_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-skip",
              "label": {
                "default": "Show skip",
                "localeKey": "settings_skip"
              },
              "description": {
                "default": "Show option to skip the selected work item.",
                "localeKey": "settings_skip_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-work-list-actions",
              "label": {
                "default": "Show work list actions",
                "localeKey": "settings_work_list_actions"
              },
              "description": {
                "default": "Display the options of the list of actions that can be performs on multiple work items in the work list.",
                "localeKey": "settings_work_list_actions_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-work-item-actions",
              "label": {
                "default": "Show work item actions",
                "localeKey": "settings_work_item_actions"
              },
              "description": {
                "default": "Display the options of the list of actions that can be performs on selected work item in the work list.",
                "localeKey": "settings_work_item_actions_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-work-list-table-actions-column",
              "label": {
                "default": "Show work list table actions column",
                "localeKey": "settings_table_actions_column"
              },
              "description": {
                "default": "Display the list of columns in the work list table.",
                "localeKey": "settings_table_actions_column_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-work-list-table-open-action-button",
              "label": {
                "default": "Show work list table open action button",
                "localeKey": "settings_work_list_open_button"
              },
              "description": {
                "default": "Show the option to open form for the selected item in the table.",
                "localeKey": "settings_work_list_open_button_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-work-list-table-menu-action-ellipsis",
              "label": {
                "default": "Show work list table menu action ellipsis",
                "localeKey": "settings_table_action_ellipsis"
              },
              "description": {
                "default": "Show option that displays more work item specific actions.",
                "localeKey": "settings_table_action_ellipsis_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-priority",
              "label": {
                "default": "Show priority",
                "localeKey": "settings_priority"
              },
              "description": {
                "default": "Show a dialog that user can change the priority of the selected work item.",
                "localeKey": "settings_priority_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-open-next",
              "label": {
                "default": "Show open next",
                "localeKey": "settings_open_next"
              },
              "description": {
                "default": "Show an option to open next work item in the work list.",
                "localeKey": "settings_open_next_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            }
          ]
        },
        {
          "name": "work-view",
          "label": {
            "default": "Work view",
            "localeKey": "work_view"
          },
          "type": "COMPONENT",
          "description": {
            "default": "Work views",
            "localeKey": "work_view_description"
          },
          "property": [
            {
              "name": "show-work-view-types",
              "label": {
                "default": "Show work view types",
                "localeKey": "settings_work_view_types"
              },
              "description": {
                "default": "Show list of different work view types.",
                "localeKey": "settings_work_view_types_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-edit-work-view",
              "label": {
                "default": "Show Edit work view",
                "localeKey": "settings_edit_work_view"
              },
              "description": {
                "default": "Show an option to edit the current view.",
                "localeKey": "settings_edit_work_view_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-delete-work-view",
              "label": {
                "default": "Show Delete work view",
                "localeKey": "settings_delete_work_view"
              },
              "description": {
                "default": "some description about the property",
                "localeKey": "settings_delete_work_view_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-work-view-filter",
              "label": {
                "default": "Show work view filter",
                "localeKey": "settings_work_view_filter"
              },
              "description": {
                "default": "Show option to filter the list of work views.",
                "localeKey": "settings_work_view_filter_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            },
            {
              "name": "show-create-view",
              "label": {
                "default": "Show create view",
                "localeKey": "settings_create_view"
              },
              "description": {
                "default": "Show the option to create new work views.",
                "localeKey": "settings_create_view_description"
              },
              "type": "boolean",
              "value": true,
              "defaultValue": true
            }
          ]
        }
      ]
    }
  ]
};
const ccOutPut = [
  {
      "id": "1",
      "name": "__BPME_CONFIGURATION__",
      "scope": "__CONFIGURATION__",
      "type": "PRIVATE",
      "value": "[{\"name\":\"work-manager-app\",\"label\":{\"default\":\"Work manager\",\"localeKey\":\"settings_work_manager\"},\"type\":\"APPLICATION\",\"description\":{\"default\":\"Work manager application\",\"localeKey\":\"settings_work_manager_description\"},\"version\":10,\"settings\":[{\"name\":\"case-details\",\"label\":{\"default\":\"Case details\",\"localeKey\":\"case_details\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case details component\",\"localeKey\":\"case_details_description\"},\"property\":[{\"name\":\"show-adhoc-tasks\",\"label\":{\"default\":\"Show adhoc tasks\",\"localeKey\":\"settings_adhoc_tasks\"},\"description\":{\"default\":\"Show an option to open list of adhoc tasks.\",\"localeKey\":\"settings_adhoc_tasks_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-details-refresh\",\"label\":{\"default\":\"Show case details refresh\",\"localeKey\":\"settings_case_details_refresh\"},\"description\":{\"default\":\"Show an option to refresh case details.\",\"localeKey\":\"settings_case_details_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-state-component\",\"label\":{\"default\":\"Show case state component\",\"localeKey\":\"settings_case_state_component\"},\"description\":{\"default\":\"Show case progress state component.\",\"localeKey\":\"settings_case_state_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-actions-component\",\"label\":{\"default\":\"Show case actions component\",\"localeKey\":\"settings_case_actions_component\"},\"description\":{\"default\":\"Show case actions component.\",\"localeKey\":\"settings_case_actions_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-data-component\",\"label\":{\"default\":\"Show case data component\",\"localeKey\":\"settings_case_data_component\"},\"description\":{\"default\":\"Show case data component.\",\"localeKey\":\"settings_case_data_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-work-items-component\",\"label\":{\"default\":\"Show case work items component\",\"localeKey\":\"settings_case_work_items_component\"},\"description\":{\"default\":\"Show widget to open sidebar with case work items component.\",\"localeKey\":\"settings_case_work_items_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-linked-cases-component\",\"label\":{\"default\":\"Show linked cases component\",\"localeKey\":\"settings_case_state_component\"},\"description\":{\"default\":\"Show widget to open sidebar with linked cases component.\",\"localeKey\":\"settings_linked_cases_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-document-component\",\"label\":{\"default\":\"Show case document component\",\"localeKey\":\"settings_case_document_component\"},\"description\":{\"default\":\"Show widget to open sidebar with case document component.\",\"localeKey\":\"settings_case_document_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-audit-component\",\"label\":{\"default\":\"Show case audit component\",\"localeKey\":\"settings_case_audit_component\"},\"description\":{\"default\":\"Show widget to open sidebar with case audit component.\",\"localeKey\":\"settings_case_audit_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"case-documents\",\"label\":{\"default\":\"Case documents\",\"localeKey\":\"case_documents\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case documents component\",\"localeKey\":\"case_documents_description\"},\"property\":[{\"name\":\"show-case-documents-delete\",\"label\":{\"default\":\"Show case documents delete\",\"localeKey\":\"settings_case_documents_delete\"},\"description\":{\"default\":\"Show an option to delete case documents.\",\"localeKey\":\"settings_case_documents_delete_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-documents-download\",\"label\":{\"default\":\"Show case documents download\",\"localeKey\":\"settings_case_documents_download\"},\"description\":{\"default\":\"Show an option to download case documents.\",\"localeKey\":\"settings_case_documents_download_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"case-documents-viewer\",\"label\":{\"default\":\"Case documents viewer\",\"localeKey\":\"case_documents_viewer\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case documents viewer component\",\"localeKey\":\"case_documents_viewer_description\"},\"property\":[{\"name\":\"show-case-documents-description-container\",\"label\":{\"default\":\"Show case documents description container\",\"localeKey\":\"settings_case_documents_description_container\"},\"description\":{\"default\":\"Show an option to hide case documents description container.\",\"localeKey\":\"settings_case_documents_description_container_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"case-types\",\"label\":{\"default\":\"Case types\",\"localeKey\":\"case_type\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case types component\",\"localeKey\":\"case_type_description\"},\"property\":[{\"name\":\"show-case-types-refresh\",\"label\":{\"default\":\"Show case types refresh\",\"localeKey\":\"settings_case_types_refresh\"},\"description\":{\"default\":\"Show an option to refresh case types.\",\"localeKey\":\"settings_case_types_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-name\",\"label\":{\"default\":\"Show case name\",\"localeKey\":\"settings_case_name\"},\"description\":{\"default\":\"Show case name.\",\"localeKey\":\"settings_case_name_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-applicationMajorVersion\",\"label\":{\"default\":\"Show applicationMajorVersion\",\"localeKey\":\"settings_applicationMajorVersion\"},\"description\":{\"default\":\"Show applicationMajorVersion.\",\"localeKey\":\"settings_applicationMajorVersion_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"cases\",\"label\":{\"default\":\"Cases\",\"localeKey\":\"bpme.case.cases\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Cases component\",\"localeKey\":\"bpme.case.casesDescription\"},\"property\":[{\"name\":\"show-cases-search\",\"label\":{\"default\":\"Show cases search\",\"localeKey\":\"bpme.case.search\"},\"description\":{\"default\":\"Show an option to search cases.\",\"localeKey\":\"bpme.case.searchDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cases-filter\",\"label\":{\"default\":\"Show cases filter\",\"localeKey\":\"bpme.case.filter\"},\"description\":{\"default\":\"Show cases filter.\",\"localeKey\":\"bpme.case.filterDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cases-columns-selector\",\"label\":{\"default\":\"Show cases columns selector\",\"localeKey\":\"bpme.case.columns\"},\"description\":{\"default\":\"Show cases columns selector.\",\"localeKey\":\"bpme.case.columnsDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cases-refresh\",\"label\":{\"default\":\"Show cases refresh\",\"localeKey\":\"bpme.case.refresh\"},\"description\":{\"default\":\"Show an option to refresh cases.\",\"localeKey\":\"bpme.case.refreshDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"audit\",\"label\":{\"default\":\"Audit\",\"localeKey\":\"bpme.commonAudit.audit\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Audit component\",\"localeKey\":\"bpme.commonAudit.auditDescription\"},\"property\":[{\"name\":\"show-filter\",\"label\":{\"default\":\"Show filter\",\"localeKey\":\"bpme.commonAudit.showFilterLabel\"},\"description\":{\"default\":\"Show option to show filter of the audit.\",\"localeKey\":\"bpme.commonAudit.showFilterDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-table\",\"label\":{\"default\":\"Show table\",\"localeKey\":\"bpme.commonAudit.showTableLabel\"},\"description\":{\"default\":\"Show option to show table of the audit.\",\"localeKey\":\"bpme.commonAudit.showTableDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"navbarHeader\",\"label\":{\"default\":\"Navbar header\",\"localeKey\":\"bpme.navbarHeader.header\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Global header\",\"localeKey\":\"bpme.navbarHeader.compDescription\"},\"property\":[{\"name\":\"logURL\",\"label\":{\"default\":\"Header logo\",\"localeKey\":\"bpme.navbarHeader.logoLabel\"},\"description\":{\"default\":\"Header logo image URL\",\"localeKey\":\"bpme.navbarHeader.logoDescription\"},\"type\":\"string\",\"value\":\"/apps/web-cdn/icons/Vector.svg\",\"defaultValue\":\"/apps/web-cdn/icons/Vector.svg\"},{\"name\":\"appTitle\",\"label\":{\"default\":\"Application title\",\"localeKey\":\"bpme.navbarHeader.appTitle\"},\"description\":{\"default\":\"Text after logo\",\"localeKey\":\"bpme.navbarHeader.textAfterLogo\"},\"type\":\"string\",\"value\":\"BPME web components\",\"defaultValue\":\"BPME web components\"}]},{\"name\":\"navbarHeaderTools\",\"label\":{\"default\":\"Navbar header tools\",\"localeKey\":\"bpme.navbarHeaderTools.headerTools\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Global header tools\",\"localeKey\":\"bpme.navbarHeaderTools.compDescription\"},\"property\":[{\"name\":\"showApplicationSwitcher\",\"label\":{\"default\":\"Show application switcher\",\"localeKey\":\"bpme.navbarHeaderTools.appSwitcher\"},\"description\":{\"default\":\"Shows applications list in the workspace\",\"localeKey\":\"bpme.navbarHeaderTools.switcherDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"showProfile\",\"label\":{\"default\":\"Show user profile\",\"localeKey\":\"bpme.navbarHeaderTools.userProfile\"},\"description\":{\"default\":\"User details\",\"localeKey\":\"bpme.navbarHeaderTools.userProfileDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"signOutURL\",\"label\":{\"default\":\"Sign out url\",\"localeKey\":\"bpme.navbarHeaderTools.logoutURL\"},\"description\":{\"default\":\"Provide url for sign out else default url will be used\",\"localeKey\":\"bpme.navbarHeaderTools.logoutURLDescription\"},\"type\":\"string\",\"value\":\"\",\"defaultValue\":\"\"}]},{\"name\":\"userProfile\",\"label\":{\"default\":\"User profile\",\"localeKey\":\"bpme.userProfile.profile\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"User profile component\",\"localeKey\":\"bpme.userProfile.profileDescription\"},\"property\":[{\"name\":\"show-themes\",\"label\":{\"default\":\"Show themes switcher\",\"localeKey\":\"bpme.userProfile.showThemes\"},\"description\":{\"default\":\"Show an option to switch themes\",\"localeKey\":\"bpme.userProfile.showThemesDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-languages\",\"label\":{\"default\":\"Show languages switcher\",\"localeKey\":\"bpme.userProfile.languagesSwitcher\"},\"description\":{\"default\":\"Show an option to switch languages.\",\"localeKey\":\"bpme.userProfile.languagesSwitcherDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-sign-out\",\"label\":{\"default\":\"Show sign out\",\"localeKey\":\"bpme.userProfile.settingSignout\"},\"description\":{\"default\":\"Show an option to sign out.\",\"localeKey\":\"bpme.userProfile.settingSignoutDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-product-version\",\"label\":{\"default\":\"Show product name and version\",\"localeKey\":\"bpme.userProfile.productName\"},\"description\":{\"default\":\"Show an option to display product information.\",\"localeKey\":\"bpme.userProfile.productNameDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-copy-right\",\"label\":{\"default\":\"Show product copy right\",\"localeKey\":\"bpme.userProfile.settingCopy\"},\"description\":{\"default\":\"Show an option to display copy right text.\",\"localeKey\":\"bpme.userProfile.settingCopyDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"work-list\",\"label\":{\"default\":\"Work list\",\"localeKey\":\"settings_work_list\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Work list component\",\"localeKey\":\"settings_work_list_description\"},\"property\":[{\"name\":\"show-auto-refresh\",\"label\":{\"default\":\"Show auto refresh\",\"localeKey\":\"settings_auto_refresh\"},\"description\":{\"default\":\"Show option to auto refresh the work list.\",\"localeKey\":\"settings_auto_refresh_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-allocate-to-self\",\"label\":{\"default\":\"Show allocate to self\",\"localeKey\":\"settings_allocate_self\"},\"type\":\"boolean\",\"description\":{\"default\":\"Show the option to allocate the work item to self (logged in user).\",\"localeKey\":\"settings_allocate_self_description\"},\"value\":true,\"defaultValue\":true},{\"name\":\"show-pend\",\"label\":{\"default\":\"Show pend\",\"localeKey\":\"settings_pend\"},\"description\":{\"default\":\"Show option to pend the work item.\",\"localeKey\":\"settings_pend_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-auto-repeat\",\"label\":{\"default\":\"Show auto repeat\",\"localeKey\":\"settings_auto_repeat\"},\"description\":{\"default\":\"Show the option to automatically repeat opening of the work item.\",\"localeKey\":\"settings_auto_repeat_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-filter\",\"label\":{\"default\":\"Show filter\",\"localeKey\":\"settings_filter\"},\"description\":{\"default\":\"Show filter option to filter the work list.\",\"localeKey\":\"settings_filter_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-sort\",\"label\":{\"default\":\"Show sort\",\"localeKey\":\"settings_sort\"},\"description\":{\"default\":\"Show option to sort the work items in the work list.\",\"localeKey\":\"settings_sort_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-refresh\",\"label\":{\"default\":\"Show refresh\",\"localeKey\":\"settings_refresh\"},\"description\":{\"default\":\"Show option to refresh the work list.\",\"localeKey\":\"settings_refresh_refresh\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cancel\",\"label\":{\"default\":\"Show cancel\",\"localeKey\":\"settings_cancel\"},\"description\":{\"default\":\"Show an option to cancel the selected work item.\",\"localeKey\":\"settings_cancel_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-reallocate-to-world\",\"label\":{\"default\":\"Show reallocate to world\",\"localeKey\":\"settings_reallocate_world\"},\"description\":{\"default\":\"Show an option to re allocate the selected work items to any one in the organization.\",\"localeKey\":\"settings_reallocate_world_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-reoffer\",\"label\":{\"default\":\"Show reoffer\",\"localeKey\":\"settings_reoffer\"},\"description\":{\"default\":\"Show an option to reoffer the work item to the initial offerset.\",\"localeKey\":\"settings_reoffer_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-adhoc-tasks\",\"label\":{\"default\":\"Show adhoc tasks\",\"localeKey\":\"settings_adhoc_tasks\"},\"description\":{\"default\":\"Show adhoc tasks list.\",\"localeKey\":\"settings_adhoc_tasks_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-skip\",\"label\":{\"default\":\"Show skip\",\"localeKey\":\"settings_skip\"},\"description\":{\"default\":\"Show option to skip the selected work item.\",\"localeKey\":\"settings_skip_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-actions\",\"label\":{\"default\":\"Show work list actions\",\"localeKey\":\"settings_work_list_actions\"},\"description\":{\"default\":\"Display the options of the list of actions that can be performs on multiple work items in the work list.\",\"localeKey\":\"settings_work_list_actions_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-item-actions\",\"label\":{\"default\":\"Show work item actions\",\"localeKey\":\"settings_work_item_actions\"},\"description\":{\"default\":\"Display the options of the list of actions that can be performs on selected work item in the work list.\",\"localeKey\":\"settings_work_item_actions_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-table-actions-column\",\"label\":{\"default\":\"Show work list table actions column\",\"localeKey\":\"settings_table_actions_column\"},\"description\":{\"default\":\"Display the list of columns in the work list table.\",\"localeKey\":\"settings_table_actions_column_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-table-open-action-button\",\"label\":{\"default\":\"Show work list table open action button\",\"localeKey\":\"settings_work_list_open_button\"},\"description\":{\"default\":\"Show the option to open form for the selected item in the table.\",\"localeKey\":\"settings_work_list_open_button_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-table-menu-action-ellipsis\",\"label\":{\"default\":\"Show work list table menu action ellipsis\",\"localeKey\":\"settings_table_action_ellipsis\"},\"description\":{\"default\":\"Show option that displays more work item specific actions.\",\"localeKey\":\"settings_table_action_ellipsis_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-priority\",\"label\":{\"default\":\"Show priority\",\"localeKey\":\"settings_priority\"},\"description\":{\"default\":\"Show a dialog that user can change the priority of the selected work item.\",\"localeKey\":\"settings_priority_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-open-next\",\"label\":{\"default\":\"Show open next\",\"localeKey\":\"settings_open_next\"},\"description\":{\"default\":\"Show an option to open next work item in the work list.\",\"localeKey\":\"settings_open_next_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"work-view\",\"label\":{\"default\":\"Work view\",\"localeKey\":\"work_view\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Work views\",\"localeKey\":\"work_view_description\"},\"property\":[{\"name\":\"show-work-view-types\",\"label\":{\"default\":\"Show work view types\",\"localeKey\":\"settings_work_view_types\"},\"description\":{\"default\":\"Show list of different work view types.\",\"localeKey\":\"settings_work_view_types_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-edit-work-view\",\"label\":{\"default\":\"Show Edit work view\",\"localeKey\":\"settings_edit_work_view\"},\"description\":{\"default\":\"Show an option to edit the current view.\",\"localeKey\":\"settings_edit_work_view_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-delete-work-view\",\"label\":{\"default\":\"Show Delete work view\",\"localeKey\":\"settings_delete_work_view\"},\"description\":{\"default\":\"some description about the property\",\"localeKey\":\"settings_delete_work_view_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-view-filter\",\"label\":{\"default\":\"Show work view filter\",\"localeKey\":\"settings_work_view_filter\"},\"description\":{\"default\":\"Show option to filter the list of work views.\",\"localeKey\":\"settings_work_view_filter_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-create-view\",\"label\":{\"default\":\"Show create view\",\"localeKey\":\"settings_create_view\"},\"description\":{\"default\":\"Show the option to create new work views.\",\"localeKey\":\"settings_create_view_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]}]}]",
      "owner": "tibco-admin",
      "creationDate": "2024-11-11T04:11:48.476+0000",
      "lastModifiedDate": "2024-11-11T04:46:04.424+0000",
      "lastModifiedBy": "tibco-admin"
  }
];

export const handlers = [
    http.get('../../apps/web-cdn/settings/settings.config.json', (req, res, ctx) => {
        return HttpResponse.json(
            settingsConfig,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get("../../bpm/config/v1/settings/?$filter=contains(name,'__BPME_CONFIGURATION__') and type eq PRIVATE", (req, res, ctx) => {
        return HttpResponse.json(
            ccOutPut,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      })    
]