const { setupWorker, rest, http, HttpResponse } = MockServiceWorker;

const processTemplates = [
    {
        "applicationId": "203",
        "packageId": "272",
        "packageName": "productDQL",
        "packageVersion": "1.4.0.20240827124516485",
        "processes": [
            {
                "processId": "357",
                "processName": "productDQLProcess",
                "processInfo": {
                    "creationDate": "2024-09-04T04:51:47.449Z",
                    "processType": "BUSINESS"
                }
            }
        ],
        "startable": true,
        "startableState": "ACTIVE"
    },
    {
        "applicationId": "210",
        "packageId": "277",
        "packageName": "BPMProcess1",
        "packageVersion": "1.0.0.20240903084040037",
        "processes": [
            {
                "processId": "364",
                "processName": "BPMProcess1Process2",
                "processInfo": {
                    "creationDate": "2024-09-04T05:43:43.111Z",
                    "processType": "BUSINESS"
                }
            },
            {
                "processId": "365",
                "processName": "BPMProcess1Process",
                "processInfo": {
                    "creationDate": "2024-09-04T05:43:43.116Z",
                    "processType": "BUSINESS"
                }
            }
        ],
        "startable": true,
        "startableState": "ACTIVE"
    },
    {
        "applicationId": "213",
        "packageId": "278",
        "packageName": "BPM_ProcessProject",
        "packageVersion": "1.0.0.20240904062426385",
        "processes": [
            {
                "processId": "366",
                "processName": "BPM_ProcessProjectProcess",
                "processInfo": {
                    "creationDate": "2024-09-04T06:27:32.809Z",
                    "processType": "BUSINESS"
                }
            }
        ],
        "startable": true,
        "startableState": "ACTIVE"
    },
    {
        "applicationId": "217",
        "packageId": "280",
        "packageName": "BPMProcess_Project",
        "packageVersion": "1.0.0.20240904070149757",
        "processes": [
            {
                "processId": "368",
                "processName": "BPMProcess_ProjectProcess",
                "processInfo": {
                    "creationDate": "2024-09-04T07:02:27.835Z",
                    "processType": "BUSINESS"
                }
            }
        ],
        "startable": true,
        "startableState": "ACTIVE"
    },
    {
        "applicationId": "222",
        "packageId": "290",
        "packageName": "SampleBPMOrderProject",
        "packageVersion": "1.5.0.20240828072154811",
        "processes": [
            {
                "processId": "386",
                "processName": "SampleBPMOrderProjectProcess",
                "processInfo": {
                    "inputParameters": [
                        {
                            "name": "OrderDataIn",
                            "type": "CDS",
                            "isArray": false,
                            "mandatory": true,
                            "className": "com.example.samplebdsproject1.Order"
                        }
                    ],
                    "creationDate": "2024-09-04T08:57:59.081Z",
                    "processType": "BUSINESS"
                }
            }
        ],
        "startable": true,
        "startableState": "ACTIVE"
    },
    {
        "applicationId": "223",
        "packageId": "293",
        "packageName": "HaltRetryProject",
        "packageVersion": "4.0.0.20190923140406341",
        "processes": [
            {
                "processId": "392",
                "processName": "HaltRetryProjectProcess",
                "processInfo": {
                    "creationDate": "2024-09-04T09:28:24.141Z",
                    "processType": "BUSINESS"
                }
            }
        ],
        "startable": true,
        "startableState": "ACTIVE"
    },
    {
        "applicationId": "225",
        "packageId": "294",
        "packageName": "OrderBPMProject",
        "packageVersion": "1.0.0.20240716100002819",
        "processes": [
            {
                "processId": "393",
                "processName": "OrderBPMProjectProcess",
                "processInfo": {
                    "creationDate": "2024-09-04T12:12:03.307Z",
                    "processType": "BUSINESS"
                }
            }
        ],
        "startable": true,
        "startableState": "ACTIVE"
    },
    {
        "applicationId": "226",
        "packageId": "295",
        "packageName": "ProcessPackage",
        "packageVersion": "1.3.0.20240304060939969",
        "processes": [
            {
                "processId": "394",
                "processName": "Array001",
                "processInfo": {
                    "creationDate": "2024-09-04T12:12:12.085Z",
                    "processType": "BUSINESS"
                }
            }
        ],
        "startable": true,
        "startableState": "ACTIVE"
    },
    {
        "applicationId": "230",
        "packageId": "296",
        "packageName": "GDSTask_DeleteWithoutUnlink_ProcessProject01_Test16",
        "packageVersion": "1.4.0.20240227061631856",
        "processes": [
            {
                "processId": "395",
                "processName": "DeleteRecordProcess01",
                "processInfo": {
                    "creationDate": "2024-09-04T12:26:32.514Z",
                    "processType": "BUSINESS"
                }
            },
            {
                "processId": "396",
                "processName": "CreateRecordsProcess01",
                "processInfo": {
                    "creationDate": "2024-09-04T12:26:32.521Z",
                    "processType": "BUSINESS"
                }
            },
            {
                "processId": "397",
                "processName": "ParentTestProcess01",
                "processInfo": {
                    "creationDate": "2024-09-04T12:26:32.525Z",
                    "processType": "BUSINESS"
                }
            }
        ],
        "startable": true,
        "startableState": "ACTIVE"
    }
]

const processInstances = [
    {
        "instanceId": "p:0a20ci",
        "packageId": "274",
        "processId": "362",
        "packageName": "SampleBPMOrderProject^274",
        "packageVersion": "1.5.0.20240828072154811",
        "processName": "SampleBPMOrderProjectProcess",
        "creationDate": "2024-09-19T05:57:38.048Z",
        "startDate": "2024-09-19T05:57:38.126Z",
        "state": "ACTIVE"
    },
    {
        "instanceId": "p:0a20ck",
        "packageId": "274",
        "processId": "362",
        "packageName": "SampleBPMOrderProject^274",
        "packageVersion": "1.5.0.20240828072154811",
        "processName": "SampleBPMOrderProjectProcess",
        "creationDate": "2024-09-19T05:57:41.023Z",
        "startDate": "2024-09-19T05:57:41.155Z",
        "state": "ACTIVE"
    },
    {
        "instanceId": "p:0a20cw",
        "packageId": "274",
        "processId": "362",
        "packageName": "SampleBPMOrderProject^274",
        "packageVersion": "1.5.0.20240828072154811",
        "processName": "SampleBPMOrderProjectProcess",
        "creationDate": "2024-09-19T06:32:07.173Z",
        "startDate": "2024-09-19T06:32:07.214Z",
        "state": "ACTIVE"
    },
    {
        "instanceId": "p:0a20cy",
        "packageId": "274",
        "processId": "362",
        "packageName": "SampleBPMOrderProject^274",
        "packageVersion": "1.5.0.20240828072154811",
        "processName": "SampleBPMOrderProjectProcess",
        "creationDate": "2024-09-19T06:32:10.301Z",
        "startDate": "2024-09-19T06:32:10.356Z",
        "state": "ACTIVE"
    },
    {
        "instanceId": "p:0a20d4",
        "packageId": "274",
        "processId": "362",
        "packageName": "SampleBPMOrderProject^274",
        "packageVersion": "1.5.0.20240828072154811",
        "processName": "SampleBPMOrderProjectProcess",
        "creationDate": "2024-09-19T06:55:01.885Z",
        "startDate": "2024-09-19T06:55:01.968Z",
        "state": "ACTIVE"
    },
    {
        "instanceId": "p:0a20dc",
        "packageId": "274",
        "processId": "362",
        "packageName": "SampleBPMOrderProject^274",
        "packageVersion": "1.5.0.20240828072154811",
        "processName": "SampleBPMOrderProjectProcess",
        "creationDate": "2024-09-19T09:01:11.782Z",
        "startDate": "2024-09-19T09:01:11.868Z",
        "state": "SUSPENDED"
    },
    {
        "instanceId": "p:0a20dj",
        "packageId": "274",
        "processId": "362",
        "packageName": "SampleBPMOrderProject^274",
        "packageVersion": "1.5.0.20240828072154811",
        "processName": "SampleBPMOrderProjectProcess",
        "creationDate": "2024-09-19T09:31:40.072Z",
        "startDate": "2024-09-19T09:31:40.126Z",
        "state": "SUSPENDED"
    }
]

const instanceSummary = {
    "summary": "{\"summaryGenerated\":\"2024-09-19T11:31:42.079Z\",\"process\":\"SampleBPMOrderProjectProcess\",\"id\":\"p:0a20ci\",\"creationDate\":\"2024-09-19T05:57:38.048Z\",\"moduleId\":274,\"version\":\"1.5.0.20240828072154811\",\"status\":\"ACTIVE\",\"state\":\"active.state\",\"traits\":[],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[{\"name\":\"AdditionalOrderGlobalRef\",\"type\":\"GOREF\",\"className\":null,\"value\":\"null\"},{\"name\":\"OderGlobalRef\",\"type\":\"GOREF\",\"className\":null,\"value\":\"26-com.example.samplebdsproject1.Order-1-0\"}],\"tasks\":{\"name\":\"Root Task\",\"type\":\"bpelProcessActivity\",\"state\":\"waiting.state\",\"id\":\"t:002gci.-2pg\",\"creationDate\":\"2024-09-19T05:57:38.130Z\",\"traits\":[],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[{\"name\":\"AdditionalOrderLocalData\",\"type\":\"CDS\",\"className\":\"com.example.samplebdsproject1.AdditionalOrder\",\"value\":\"null\"},{\"name\":\"OrderDataIn\",\"type\":\"CDS\",\"className\":\"com.example.samplebdsproject1.Order\",\"value\":\"{\\\"orderID\\\":\\\"1\\\",\\\"orderState\\\":\\\"PACKED\\\",\\\"name\\\":\\\"Auto created order\\\",\\\"quantity\\\":2,\\\"product\\\":\\\"Apple ear pods\\\",\\\"timeField\\\":\\\"20:30:00\\\",\\\"dateField\\\":\\\"2024-08-22\\\",\\\"dateTimeandTimezoneField\\\":\\\"2024-09-19T05:57:37.000Z\\\"}\"},{\"name\":\"OrderlocalData\",\"type\":\"CDS\",\"className\":\"com.example.samplebdsproject1.Order\",\"value\":\"{\\\"orderID\\\":\\\"1\\\",\\\"orderState\\\":\\\"PACKED\\\",\\\"name\\\":\\\"Auto created order\\\",\\\"quantity\\\":2,\\\"product\\\":\\\"Apple ear pods\\\",\\\"timeField\\\":\\\"20:30:00\\\",\\\"dateField\\\":\\\"2024-08-22\\\",\\\"dateTimeandTimezoneField\\\":\\\"2024-09-19T05:57:37.000Z\\\"}\"}],\"tasks\":[{\"name\":\"_BX_flow_OMpjMGUOEe-Lzqxob81N5A\",\"type\":\"bpelFlowActivity\",\"state\":\"waiting.state\",\"id\":\"t:002gci.2ph\",\"creationDate\":\"2024-09-19T05:57:38.130Z\",\"traits\":[],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[],\"tasks\":[{\"name\":\"EndEvent\",\"type\":\"bpelEmptyActivity\",\"state\":\"starting.state\",\"id\":\"t:002gci.2pj\",\"creationDate\":null,\"traits\":[{\"name\":\"$bx_isStep\",\"type\":\"Boolean\",\"value\":true},{\"name\":\"$bx_migrationAllowed\",\"type\":\"Boolean\",\"value\":true}],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[]},{\"name\":\"LinkCases\",\"type\":\"bxScriptActivity\",\"state\":\"starting.state\",\"id\":\"t:002gci.2pm\",\"creationDate\":null,\"traits\":[{\"name\":\"$bx_isStep\",\"type\":\"Boolean\",\"value\":true},{\"name\":\"$bx_migrationAllowed\",\"type\":\"Boolean\",\"value\":true}],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[]},{\"name\":\"CreateAdditionalOrder\",\"type\":\"bxScriptActivity\",\"state\":\"starting.state\",\"id\":\"t:002gci.2pn\",\"creationDate\":null,\"traits\":[{\"name\":\"$bx_isStep\",\"type\":\"Boolean\",\"value\":true}],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[]},{\"name\":\"ViewLinkedCaseData\",\"type\":\"bpelExtensionActivity\",\"state\":\"starting.state\",\"id\":\"t:002gci.2po\",\"creationDate\":null,\"traits\":[{\"name\":\"$bx_exposeWaitState\",\"type\":\"Boolean\",\"value\":true},{\"name\":\"$bx_isStep\",\"type\":\"Boolean\",\"value\":true},{\"name\":\"$bx_migrationAllowed\",\"type\":\"Boolean\",\"value\":true}],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[]},{\"name\":\"GetAdditionalOrderDetails\",\"type\":\"bpelExtensionActivity\",\"state\":\"waiting.state\",\"id\":\"t:002gci.2pp\",\"creationDate\":\"2024-09-19T05:57:38.217Z\",\"traits\":[{\"name\":\"$bx_exposeWaitState\",\"type\":\"Boolean\",\"value\":true},{\"name\":\"$bx_isStep\",\"type\":\"Boolean\",\"value\":true}],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[]},{\"name\":\"_BX_gateway__iHvJAGHaEeqfz7ZPrNtfmg\",\"type\":\"bpelEmptyActivity\",\"state\":\"starting.state\",\"id\":\"t:002gci.2pq\",\"creationDate\":null,\"traits\":[{\"name\":\"$bx_isStep\",\"type\":\"Boolean\",\"value\":true}],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[]},{\"name\":\"UnlinkCases\",\"type\":\"bxScriptActivity\",\"state\":\"starting.state\",\"id\":\"t:002gci.2pr\",\"creationDate\":null,\"traits\":[{\"name\":\"$bx_isStep\",\"type\":\"Boolean\",\"value\":true},{\"name\":\"$bx_migrationAllowed\",\"type\":\"Boolean\",\"value\":true}],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[]},{\"name\":\"ViewUnlinkedData\",\"type\":\"bpelExtensionActivity\",\"state\":\"starting.state\",\"id\":\"t:002gci.2ps\",\"creationDate\":null,\"traits\":[{\"name\":\"$bx_exposeWaitState\",\"type\":\"Boolean\",\"value\":true},{\"name\":\"$bx_isStep\",\"type\":\"Boolean\",\"value\":true},{\"name\":\"$bx_migrationAllowed\",\"type\":\"Boolean\",\"value\":true}],\"sqlState\":[\"UNCHANGED\"],\"Attributes\":[]}],\"links\":[]}]}}",
    "outstandingWork": [
        {
            "workItemId": "599",
            "name": "GetAdditionalOrderDetails",
            "scheduledDate": "2024-09-19T05:57:38.234Z",
            "taskUri": "t:002gci.2pp"
        }
    ],
    "definitionAttributes": [
        {
            "name": "AdditionalOrderGlobalRef",
            "type": "CASE_REF",
            "array": false,
            "trait": "NONE"
        },
        {
            "name": "OderGlobalRef",
            "type": "CASE_REF",
            "array": false,
            "value": "26-com.example.samplebdsproject1.Order-1-0",
            "trait": "NONE"
        }
    ]
}
const suspendSummary = {
    "state": "SUSPENDED",
    "attributes": {
        "systemAttributes": [
            {
                "name": "__CreationDate",
                "type": "UNKNOWN",
                "array": false,
                "value": "2024-09-19T12:24:21.504Z",
                "trait": "NONE"
            },
            {
                "name": "__State",
                "type": "UNKNOWN",
                "array": false,
                "value": "3004",
                "trait": "NONE"
            },
            {
                "name": "__Id",
                "type": "UNKNOWN",
                "array": false,
                "value": "ID(I PROCESS[o:270,p:499])",
                "trait": "NONE"
            },
            {
                "name": "__Name",
                "type": "UNKNOWN",
                "array": false,
                "value": "OrderBPMProjectProcess",
                "trait": "NONE"
            },
            {
                "name": "__ObjectType",
                "type": "UNKNOWN",
                "array": false,
                "value": "ObjectType[bpel-PROCESS:bpelProcess]",
                "trait": "NONE"
            },
            {
                "name": "__Priority",
                "type": "UNKNOWN",
                "array": false,
                "value": "NORMAL",
                "trait": "NONE"
            },
            {
                "name": "__ObjectSpace",
                "type": "UNKNOWN",
                "array": false,
                "value": "PROCESS",
                "trait": "NONE"
            },
            {
                "name": "$bx_XPDL_ID",
                "type": "UNKNOWN",
                "array": false,
                "value": "_HbGgcNYcEeqwEr75ETCvoQ",
                "trait": "NONE"
            },
            {
                "name": "$bx_resourceMap",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_documentation",
                "type": "UNKNOWN",
                "array": false,
                "value": "*** Generated by TIBCO Business Studio.",
                "trait": "NONE"
            },
            {
                "name": "$bx_parentActivityId",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_platformContextId",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_platformParentContextId",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_migrationPending",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_nextId",
                "type": "UNKNOWN",
                "array": false,
                "value": "1",
                "trait": "NONE"
            },
            {
                "name": "$bx_waitingWorkCount",
                "type": "UNKNOWN",
                "array": false,
                "value": "0",
                "trait": "NONE"
            },
            {
                "name": "$bx_originator",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "__NS_CONTEXT",
                "type": "UNKNOWN",
                "array": false,
                "value": "com.tibco.pvm.infra.dataexch.xml.gxml.util.IpmxSimpleNamespaceContext@359af476",
                "trait": "NONE"
            },
            {
                "name": "$bx_installedTasks",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_isolatedQueue",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_explicitCompensation",
                "type": "UNKNOWN",
                "array": false,
                "value": "true",
                "trait": "NONE"
            },
            {
                "name": "$bx_organizationIds",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_haltOnError",
                "type": "UNKNOWN",
                "array": false,
                "value": "true",
                "trait": "NONE"
            },
            {
                "name": "$bx_isCaseApp",
                "type": "UNKNOWN",
                "array": false,
                "value": "false",
                "trait": "NONE"
            },
            {
                "name": "$bx_compensationOrder",
                "type": "UNKNOWN",
                "array": false,
                "value": "0",
                "trait": "NONE"
            },
            {
                "name": "$bx_commandData",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_allowedMigrationPoints",
                "type": "UNKNOWN",
                "array": false,
                "value": "[ORInclusive, LinkCases, EndEvent, UnlinkCases, DeleteOrder, DeleteAdditionalOrder]",
                "trait": "NONE"
            },
            {
                "name": "$bx_designerVersion",
                "type": "UNKNOWN",
                "array": false,
                "value": "11.5.0",
                "trait": "NONE"
            },
            {
                "name": "$bx_originatorName",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_platformCorrelationId",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_subject",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_migrationCount",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_scriptDescriptorContents",
                "type": "UNKNOWN",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "$bx_serviceProcess",
                "type": "UNKNOWN",
                "array": false,
                "value": "false",
                "trait": "NONE"
            }
        ],
        "definitionAttributes": [
            {
                "name": "GlobalOrder",
                "type": "CASE_REF",
                "array": false,
                "trait": "NONE"
            },
            {
                "name": "GlobalAdditionalOrder",
                "type": "CASE_REF",
                "array": false,
                "trait": "NONE"
            }
        ]
    }
}
const filteredInstances = [
    {
        "instanceId": "p:0a20cg",
        "packageId": "272",
        "processId": "357",
        "packageName": "OrderBPMProject^272",
        "packageVersion": "1.0.0.20240716100002819",
        "processName": "OrderBPMProjectProcess",
        "creationDate": "2024-09-20T03:48:42.741Z",
        "startDate": "2024-09-20T03:48:42.777Z",
        "state": "SUSPENDED"
    },
    {
        "instanceId": "p:0a20cr",
        "packageId": "272",
        "processId": "357",
        "packageName": "OrderBPMProject^272",
        "packageVersion": "1.0.0.20240716100002819",
        "processName": "OrderBPMProjectProcess",
        "creationDate": "2024-09-20T06:26:59.594Z",
        "startDate": "2024-09-20T06:26:59.644Z",
        "state": "SUSPENDED"
    },
    {
        "instanceId": "p:0a20cs",
        "packageId": "272",
        "processId": "357",
        "packageName": "OrderBPMProject^272",
        "packageVersion": "1.0.0.20240716100002819",
        "processName": "OrderBPMProjectProcess",
        "creationDate": "2024-09-20T06:27:03.382Z",
        "startDate": "2024-09-20T06:27:03.496Z",
        "state": "SUSPENDED"
    },
    {
        "instanceId": "p:0a20ct",
        "packageId": "272",
        "processId": "357",
        "packageName": "OrderBPMProject^272",
        "packageVersion": "1.0.0.20240716100002819",
        "processName": "OrderBPMProjectProcess",
        "creationDate": "2024-09-20T06:27:05.791Z",
        "startDate": "2024-09-20T06:27:05.825Z",
        "state": "ACTIVE"
    },
    {
        "instanceId": "p:0a20d9",
        "packageId": "272",
        "processId": "357",
        "packageName": "OrderBPMProject^272",
        "packageVersion": "1.0.0.20240716100002819",
        "processName": "OrderBPMProjectProcess",
        "creationDate": "2024-09-20T07:04:15.158Z",
        "startDate": "2024-09-20T07:04:15.250Z",
        "state": "ACTIVE"
    }
]
const startInstances = {
    "packageId": "273",
    "processId": "357",
    "version": "1.0.0.20240924100444914",
    "processName": "PropertiesProcess"
}
export const handlers = [

    http.get('../../bpm/process/v1/processes', (req, res, ctx) => {
        return HttpResponse.json(
            processTemplates,
            {
                message: 'Mocked response',
            },
            {
                status: 200,
            }
        )
    }),
    ///bpm/process/v1/instances?%24filter=packageName+eq%27productDQL%27+and+processName+eq%27productDQLProcess%27+and+packageVersion+eq+%271.4.0.20240827
    http.get('../../bpm/process/v1/instances', ({ request }) => {
        let response;
        const reqUrl = new URL(request.url);
        const filter = reqUrl.searchParams.get('$filter')?.includes('productDQLProcess');        
        if (filter) {
            response = processInstances
        }
        else response = filteredInstances
        return HttpResponse.json(
            response,
            {
                message: 'Mocked response',
            },
            {
                status: 200,
            }
        )
    }),
    http.get('../../bpm/process/v1/instances?%24filter=processName+eq+%27OrderBPMProjectProcess%27&%24orderby=instanceId&%24skip=0&%24top=20', (req, res, ctx) => {
        return HttpResponse.json(
            filteredInstances,
            {
                message: 'Mocked response',
            },
            {
                status: 200,
            }
        )
    }),
    http.get('../../bpm/process/v1/instanceSummaries/p%3A0a20ci', (req, res, ctx) => {
        return HttpResponse.json(
            instanceSummary,
            {
                message: 'Mocked response',
            },
            {
                status: 200,
            }
        )
    }),
    http.put('../../bpm/process/v1/instanceStates/:id', (req, res, ctx) => {
        return HttpResponse.json(
            suspendSummary,
            {
                message: 'Mocked response',
            },
            {
                status: 200,
            }
        )
    }),
    http.post('../../bpm/process/v1/instances', ({ request }) => {
        const url = new URL(request.url)
        // const isCase = req.url.searchParams.get('$filter')?.includes('isCase eq TRUE');    
        return HttpResponse.json(
            startInstances,
            {
                message: 'Mocked response',
            },
            {
                status: 200,
            }
        )
    })
]	