| Label            | Token                                        | Description                                      |
| :--------------- | :------------------------------------------- | :----------------------------------------------- |
| Background color | --tib-semantic-color-surface-neutral-default | Denotes the overall background color of the app. |

| Label             | Token                                       | Description                                                                          |
| :---------------- | :------------------------------------------ | :----------------------------------------------------------------------------------- |
| Background subtle | --tib-semantic-color-surface-neutral-subtle | Primarily reflects the on hover color of elements having Surface default as BG color |

| Label                   | Token                                         | Description                                                                |
| :---------------------- | :-------------------------------------------- | :------------------------------------------------------------------------- |
| Primary BG disabled     | --tib-semantic-color-surface-primary-disabled | The background color for primary interactive elements that are disabled    |
| Disabled primary icon   | --tib-semantic-color-icon-primary-disabled    | The color for icons within disabled primary interactive elements           |
| Disabled primary border | --tib-semantic-color-border-primary-disabled  | The border color for disabled primary interactive elements                 |
| Disabled primary text   | --tib-semantic-color-text-primary-disabled    | The color for text elements within disabled primary interactive elements   |
| Disabled secondary icon | --tib-semantic-color-icon-secondary-disabled  | The color for icons within disabled secondary interactive elements         |
| Accent BG disabled      | --tib-semantic-color-surface-accent-disabled  | The background color for accent interactive elements that are disabled     |
| Disabled accent text    | --tib-semantic-color-text-accent-disabled     | The color for text elements when hovering over accent interactive elements |
| Disabled accent icon    | --tib-semantic-color-icon-accent-disabled     | The color for icons within disabled accent interactive elements            |
| Disabled accent border  | --tib-semantic-color-border-accent-disabled   | The border color for disabled accent interactive elements                  |

| Label   | Token                                        | Description                                                                                   |
| :------ | :------------------------------------------- | :-------------------------------------------------------------------------------------------- |
| Primary | --tib-semantic-color-surface-primary-default | The standard background color for primary interactive elements (e.g., buttons, primary cards) |

| Label            | Token                                      | Description                                                                       |
| :--------------- | :----------------------------------------- | :-------------------------------------------------------------------------------- |
| Primary BG hover | --tib-semantic-color-surface-primary-hover | The background color of primary interactive elements when a user hovers over them |

| Label                | Token                                       | Description                                                                                  |
| :------------------- | :------------------------------------------ | :------------------------------------------------------------------------------------------- |
| Primary text         | --tib-semantic-color-text-primary-default   | The default color for text elements associated with primary interactive elements or branding |
| Primary text hover   | --tib-semantic-color-text-primary-hover     | The color for text elements when hovering over primary interactive elements                  |
| Primary icon         | --tib-semantic-color-icon-primary-default   | The default color for icons associated with primary interactive elements or branding         |
| Primary icon hover   | --tib-semantic-color-icon-primary-hover     | The color for icons when hovering over primary interactive elements                          |
| Primary border       | --tib-semantic-color-border-primary-default | The default border color for primary interactive elements or branding                        |
| Border primary hover | --tib-semantic-color-border-primary-hover   | The border color for primary interactive elements when a user hovers over them               |

| Label     | Token                                          | Description                                                                             |
| :-------- | :--------------------------------------------- | :-------------------------------------------------------------------------------------- |
| Secondary | --tib-semantic-color-surface-secondary-default | The standard background color for secondary interactive elements. In this case, the GNH |

| Label               | Token                                         | Description                                                                                                                   |
| :------------------ | :-------------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------- |
| Secondary BG subtle | --tib-semantic-color-surface-secondary-subtle | A more subtle variation of the secondary color, used for backgrounds of less prominent elements or to create visual hierarchy |

| Label                 | Token                                         | Description                                                                                                         |
| :-------------------- | :-------------------------------------------- | :------------------------------------------------------------------------------------------------------------------ |
| Secondary text        | --tib-semantic-color-text-secondary-default   | The default color for text elements associated with secondary interactive elements                                  |
| Subtle Secondary text | --tib-semantic-color-text-secondary-subtle    | A more subtle variation of the secondary text color, used for less prominent elements or to create visual hierarchy |
| Secondary icon        | --tib-semantic-color-icon-secondary-default   | The default color for icons associated with secondary interactive elements                                          |
| Secondary border      | --tib-semantic-color-border-secondary-default | The default border color for secondary interactive elements                                                         |

| Label  | Token                                       | Description                                                                                                       |
| :----- | :------------------------------------------ | :---------------------------------------------------------------------------------------------------------------- |
| Accent | --tib-semantic-color-surface-accent-default | The standard background color for accent interactive elements, used to highlight important actions or information |

| Label            | Token                                      | Description                                                                                                                |
| :--------------- | :----------------------------------------- | :------------------------------------------------------------------------------------------------------------------------- |
| Accent BG hover  | --tib-semantic-color-surface-accent-hover  | The background color of accent interactive elements when a user hovers over them                                           |
| Accent BG subtle | --tib-semantic-color-surface-accent-subtle | A more subtle variation of the accent color, used for backgrounds of less prominent elements or to create visual hierarchy |

| Label               | Token                                      | Description                                                                                                          |
| :------------------ | :----------------------------------------- | :------------------------------------------------------------------------------------------------------------------- |
| Accent text         | --tib-semantic-color-text-accent-default   | The default color for text elements associated with accent interactive elements or used to highlight key information |
| Subtle accent text  | --tib-semantic-color-text-accent-subtle    | A more subtle variation of the accent text color, used for less prominent elements or to create visual hierarchy     |
| Accent icon         | --tib-semantic-color-icon-accent-default   | The default color for icons associated with accent interactive elements                                              |
| Accent icon hover   | --tib-semantic-color-icon-accent-hover     | The color for icons when hovering over accent interactive elements                                                   |
| Accent border       | --tib-semantic-color-border-accent-default | The default border color for accent interactive elements                                                             |
| Accent border hover | --tib-semantic-color-border-accent-hover   | The border color for accent interactive elements when a user hovers over them                                        |

| Label   | Token                                        | Description                                                                                                              |
| :------ | :------------------------------------------- | :----------------------------------------------------------------------------------------------------------------------- |
| Success | --tib-semantic-color-surface-success-default | The standard background color for success interactive elements, used to indicate successful actions or positive outcomes |

| Label             | Token                                       | Description                                                                                                                 |
| :---------------- | :------------------------------------------ | :-------------------------------------------------------------------------------------------------------------------------- |
| Success BG hover  | --tib-semantic-color-surface-success-hover  | The background color of success interactive elements when a user hovers over them                                           |
| Success BG subtle | --tib-semantic-color-surface-success-subtle | A more subtle variation of the success color, used for backgrounds of less prominent elements or to create visual hierarchy |

| Label                | Token                                       | Description                                                                                 |
| :------------------- | :------------------------------------------ | :------------------------------------------------------------------------------------------ |
| Success text         | --tib-semantic-color-text-success-default   | The default color for text elements associated with successful actions or positive outcomes |
| Success text hover   | --tib-semantic-color-text-success-hover     | The color for text elements when hovering over success interactive elements                 |
| Success icon         | --tib-semantic-color-icon-success-default   | The default color for icons associated with successful actions or positive outcomes         |
| Success icon hover   | --tib-semantic-color-icon-success-hover     | The color for icons when hovering over success interactive elements                         |
| Success border       | --tib-semantic-color-border-success-default | The default border color for success interactive elements                                   |
| Success border hover | --tib-semantic-color-border-success-hover   | The border color for success interactive elements when a user hovers over them              |

| Label   | Token                                        | Description                                                                                                                                             |
| :------ | :------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Warning | --tib-semantic-color-surface-warning-default | The standard background color for warning interactive elements, used to draw attention to potentially problematic situations or to request confirmation |

| Label             | Token                                       | Description                                                                                                                 |
| :---------------- | :------------------------------------------ | :-------------------------------------------------------------------------------------------------------------------------- |
| Warning BG hover  | --tib-semantic-color-surface-warning-hover  | The background color of warning interactive elements when a user hovers over them                                           |
| Warning BG subtle | --tib-semantic-color-surface-warning-subtle | A more subtle variation of the warning color, used for backgrounds of less prominent elements or to create visual hierarchy |

| Label                | Token                                       | Description                                                                                                |
| :------------------- | :------------------------------------------ | :--------------------------------------------------------------------------------------------------------- |
| Warning text         | --tib-semantic-color-text-warning-default   | The default color for text elements associated with warning messages or potentially problematic situations |
| Warning text hover   | --tib-semantic-color-text-warning-hover     | The color for text elements when hovering over warning interactive elements                                |
| Warning icon         | --tib-semantic-color-icon-warning-default   | The default color for icons associated with warning messages or potentially problematic situations         |
| Warning icon hover   | --tib-semantic-color-icon-warning-hover     | The color for icons when hovering over warning interactive element                                         |
| Warning border       | --tib-semantic-color-border-warning-default | The default border color for warning interactive elements                                                  |
| Warning border hover | --tib-semantic-color-border-warning-hover   | The border color for warning interactive elements when a user hovers over them                             |

| Label | Token                                      | Description                                                                                             |
| :---- | :----------------------------------------- | :------------------------------------------------------------------------------------------------------ |
| Error | --tib-semantic-color-surface-error-default | The standard background color for error interactive elements, used to indicate errors or failed actions |

| Label           | Token                                     | Description                                                                                                               |
| :-------------- | :---------------------------------------- | :------------------------------------------------------------------------------------------------------------------------ |
| Error BG hover  | --tib-semantic-color-surface-error-hover  | The background color of error interactive elements when a user hovers over them                                           |
| Error BG subtle | --tib-semantic-color-surface-error-subtle | A more subtle variation of the error color, used for backgrounds of less prominent elements or to create visual hierarchy |

| Label              | Token                                     | Description                                                                  |
| :----------------- | :---------------------------------------- | :--------------------------------------------------------------------------- |
| Error text         | --tib-semantic-color-text-error-default   | The default color for text elements associated with errors or failed actions |
| Error text hover   | --tib-semantic-color-text-error-hover     | The color for text elements when hovering over error interactive elements    |
| Error icon         | --tib-semantic-color-icon-error-default   | The default color for icons associated with errors or failed actions         |
| Error icon hover   | --tib-semantic-color-icon-error-hover     | The color for icons when hovering over error interactive elements            |
| Error border       | --tib-semantic-color-border-error-default | The default border color for error interactive elements                      |
| Error border hover | --tib-semantic-color-border-error-hover   | The border color for error interactive elements when a user hovers over them |

| Label             | Token                        | Description                             |
| :---------------- | :--------------------------- | :-------------------------------------- |
| Title font family | --tib-base-font-family-title | The font family used for title elements |

| Label            | Token                       | Description                                                       |
| :--------------- | :-------------------------- | :---------------------------------------------------------------- |
| Body font family | --tib-base-font-family-body | The font family used for body text and most other textual content |

| Label              | Token                   | Description                                     |
| :----------------- | :---------------------- | :---------------------------------------------- |
| Font size - medium | --tib-base-font-size-md | The default or standard font size for body text |

| Label                   | Token                    | Description                                                                                         |
| :---------------------- | :----------------------- | :-------------------------------------------------------------------------------------------------- |
| Font size - extra small | --tib-base-font-size-xs  | The smallest font size, used for minor text elements                                                |
| Font size - small       | --tib-base-font-size-sm  | Font size small                                                                                     |
| Font size small         | --tib-base-font-size-sm  | A small font size, typically used for captions or labels                                            |
| Font size - large       | --tib-base-font-size-lg  | A larger font size, often used for headings or to emphasize text                                    |
| Font size - extra large | --tib-base-font-size-xl  | A very large font size, suitable for prominent headings or hero text                                |
| Font size - 2X large    | --tib-base-font-size-2xl | An even larger font size, used for very prominent headings or display text                          |
| Font size - 3X large    | --tib-base-font-size-3xl | A very large font size for impactful headings or hero banners                                       |
| Font size - 4X large    | --tib-base-font-size-4xl | An extremely large font size, reserved for very specific use cases where maximum emphasis is needed |
| Font size -5X large     | --tib-base-font-size-5xl | The largest font size, used sparingly for exceptional emphasis                                      |

| Label                     | Token                            | Description               |
| :------------------------ | :------------------------------- | :------------------------ |
| Line height extra small   | --tib-base-line-height-label-xs  | Line height extra small   |
| Line height small         | --tib-base-line-height-body-sm   | Line height small         |
| Line height medium        | --tib-base-line-height-body-md   | Line height medium        |
| Line height large         | --tib-base-line-height-title-lg  | Line height large         |
| Line height extra large   | --tib-base-line-height-title-xl  | Line height extra large   |
| Line height 2 extra large | --tib-base-line-height-title-2xl | Line height 2 extra large |
| Line height 3 extra large | --tib-base-line-height-title-3xl | Line height 3 extra large |
| Line height 4 extra large | --tib-base-line-height-title-4xl | Line height 4 extra large |
| Line height 5 extra large | --tib-base-line-height-title-5xl | Line height 5 extra large |

| Label | Token                                     | Description                                                   |
| :---- | :---------------------------------------- | :------------------------------------------------------------ |
| Icon  | --tib-semantic-color-icon-neutral-default | The default color for icons displayed on a neutral background |

| Label         | Token                                      | Description                                                                               |
| :------------ | :----------------------------------------- | :---------------------------------------------------------------------------------------- |
| Subtle icon   | --tib-semantic-color-icon-neutral-subtle   | Used for less important icons on a neutral background, providing a more subtle visual cue |
| Disabled icon | --tib-semantic-color-icon-neutral-disabled | Indicates the color for icons that are disabled, appearing on a neutral background        |

| Label               | Token                                     | Description                                                                             |
| :------------------ | :---------------------------------------- | :-------------------------------------------------------------------------------------- |
| Inverse icon        | --tib-semantic-color-icon-inverse-default | The default color for icons displayed on an inverse/contrasting surface                 |
| Subtle inverse icon | --tib-semantic-color-icon-inverse-subtle  | Used for less important icons on an inverse surface, providing a more subtle visual cue |

| Label                 | Token                                      | Description                                                                                         |
| :-------------------- | :----------------------------------------- | :-------------------------------------------------------------------------------------------------- |
| Subtle neutral border | --tib-semantic-color-border-neutral-subtle | A subtle border color employed for understated separation or visual grouping on neutral backgrounds |

| Label                     | Token                                        | Description                                                                          |
| :------------------------ | :------------------------------------------- | :----------------------------------------------------------------------------------- |
| Neutral border            | --tib-semantic-color-border-neutral-default  | The default border color utilized for standard borders on neutral backgrounds        |
| Emphasized neutral border | --tib-semantic-color-border-neutral-emphasis | A visually prominent border color used to accentuate elements on neutral backgrounds |

