# Working with Themes: The Theme Builder
#### The BPM Business Components platform provides a powerful Theme Builder tool that allows you to effortlessly create, customize, and manage themes for your applications. This intuitive interface simplifies the theming process, enabling both basic and advanced customizations with ease.


## Theme Builder
The Theme Builder is your central hub for all things theming. It provides a user-friendly environment where you can:

<li><b>Visualize:</b> See the impact of your changes in real-time with the interactive preview pane.</li>
<li><b>Customize:</b> Modify colors, typography, icons, borders, and more with just a few clicks.</li>
<li><b>Manage:</b> Organize and categorize your themes for easy access and reuse.</li>

## Viewing Default Themes
The Theme Builder comes pre-loaded with a set of default themes, including the standard light and dark themes. To view these themes:

1. Open the Theme Builder.
2. Navigate to the "Themes" tab.
3. Browse the list of available themes.


## Creating New Themes
You can create new themes from scratch or by importing existing CSS files. Here's how:

<b>From Existing themes:</b>
<li>In the Theme Builder, navigate to any existing theme, click “Duplicate”, you will be asked to enter the theme name and friendly label and the css class you want to identify your theme.</li>
<li>Provide a name for your theme, friendly label and also the  css class you want to identify your theme.</li>
<li>Select whether it's a light or dark variant.</li>
<li>Use the customization options to define your theme's visual properties.</li>

<b>Import CSS:</b>
<li>Click "Import Theme."</li>
<li>Select the CSS file you want to import.</li>
<li>Provide a name for your theme, friendly label and also the  css class you want to identify your theme.</li>
<li>Select whether it's a light or dark variant and categorize your theme.</li>


## Customizing Themes
The Theme Builder offers two levels of customization:

<b>1. Basic Configuration:</b>
    <li>Modify essential design aspects like background colors, typography, icon styles, and border configurations.</li>
    <li>Use the intuitive controls and color pickers to fine-tune your theme.</li>

<b>2. Advanced Configuration:</b>
    <li>Access the "Advanced" tab for more granular control over CSS properties and design tokens.</li>
    <li>This section allows for greater flexibility and precision in theme customization.</li>

## Cloning and Modifying Existing Themes
To customize a pre-configured theme:

<li>Select the theme you want to modify in the Theme Builder.</li>
<li>Click "Duplicate Theme."
<li>Make the necessary adjustments to the cloned theme using the customization options.

To customize a pre-configured or existing theme:

<li>Select the theme you want to modify in the Theme Builder.</li>
<li>You will see the configuration of the selected theme</li>
<li>Make the necessary adjustments to the cloned theme using the customization options.</li>
<li>Save the changes.</li>

## Sharing Themes
Once you've created the perfect theme, you can easily share it with others:


1. Select the theme you want to export in the Theme Builder.
2. Click "Export Theme."
3. This will generate a downloadable file that can be imported into other applications or shared with colleagues.

## Setting a Default Theme
To designate a theme as the default for your application:


1. Choose the desired theme in the Theme Builder.
2. Click "Set as Default."
3. This ensures that your chosen theme is automatically applied when the application loads.


## Previewing Themes

The Theme Builder provides a real-time preview pane that displays the effects of your changes as you make them. This allows you to visualize your theme and ensure it meets your expectations before applying it to your application.
