const colors = {
  'theme-0': 'var(--tib-color-theme-0, #ffffff);',
  'theme-100': 'var(--tib-color-theme-100, #f2f2f2);',
  'primary-50': 'var(--tib-color-primary-50, #e5f6ff);',
  'primary-100': 'var(--tib-color-primary-100, #ccecff);',
  'primary-200': 'var(--tib-color-primary-200, #99daff);',
  'primary-300': 'var(--tib-color-primary-300, #66c7ff);',
  'primary-400': 'var(--tib-color-primary-400, #33b5ff);',
  'primary-500': 'var(--tib-color-primary-500, #00a2ff);',
  'primary-600': 'var(--tib-color-primary-600, #0081cb);',
  'primary-700': 'var(--tib-color-primary-700, #006199);',
  'primary-800': 'var(--tib-color-primary-800, #004166);',
  'primary-900': 'var(--tib-color-primary-900, #00314d);',
  'secondary-50': 'var(--tib-color-secondary-50, #e5efff);',
  'secondary-100': 'var(--tib-color-secondary-100, #ccdeff);',
  'secondary-200': 'var(--tib-color-secondary-200, #99bdff);',
  'secondary-300': 'var(--tib-color-secondary-300, #669dff);',
  'secondary-400': 'var(--tib-color-secondary-400, #337cff);',
  'secondary-500': 'var(--tib-color-secondary-500, #005bff);',
  'secondary-600': 'var(--tib-color-secondary-600, #0049cc);',
  'secondary-700': 'var(--tib-color-secondary-700, #003799);',
  'secondary-800': 'var(--tib-color-secondary-800, #002d7e);',
  'secondary-900': 'var(--tib-color-secondary-900, #001b4d);',
  'accent-50': 'var(--tib-color-accent-50, #fff2e5);',
  'accent-100': 'var(--tib-color-accent-100, #ffe4cc);',
  'accent-200': 'var(--tib-color-accent-200, #ffc999);',
  'accent-300': 'var(--tib-color-accent-300, #ffae66);',
  'accent-400': 'var(--tib-color-accent-400, #ff9333);',
  'accent-500': 'var(--tib-color-accent-500, #ff7800);',
  'accent-600': 'var(--tib-color-accent-600, #cc6000);',
  'accent-700': 'var(--tib-color-accent-700, #994800);',
  'accent-800': 'var(--tib-color-accent-800, #803c00);',
  'accent-900': 'var(--tib-color-accent-900, #4d2400);',
  'error-50': 'var(--tib-color-error-50, #ffe5eb);',
  'error-100': 'var(--tib-color-error-100, #ffccd6);',
  'error-200': 'var(--tib-color-error-200, #ff99ae);',
  'error-300': 'var(--tib-color-error-300, #ff6685);',
  'error-400': 'var(--tib-color-error-400, #ff335d);',
  'error-500': 'var(--tib-color-error-500, #ff0034);',
  'error-600': 'var(--tib-color-error-600, #c90029);',
  'error-700': 'var(--tib-color-error-700, #99001f);',
  'error-800': 'var(--tib-color-error-800, #80001a);',
  'error-900': 'var(--tib-color-error-900, #4d0010);',
  'success-50': 'var(--tib-color-success-50, #e5fff1);',
  'success-100': 'var(--tib-color-success-100, #ccffe2);',
  'success-200': 'var(--tib-color-success-200, #99ffc6);',
  'success-300': 'var(--tib-color-success-300, #66ffa9);',
  'success-400': 'var(--tib-color-success-400, #33ff8c);',
  'success-500': 'var(--tib-color-success-500, #00ff70);',
  'success-600': 'var(--tib-color-success-600, #00cb59);',
  'success-700': 'var(--tib-color-success-700, #009943);',
  'success-800': 'var(--tib-color-success-800, #008038);',
  'success-900': 'var(--tib-color-success-900, #004d22);',
  'warning-50': 'var(--tib-color-warning-50, #fff8e5);',
  'warning-100': 'var(--tib-color-warning-100, #fff1cc);',
  'warning-200': 'var(--tib-color-warning-200, #ffe299);',
  'warning-300': 'var(--tib-color-warning-300, #ffd466);',
  'warning-400': 'var(--tib-color-warning-400, #ffc533);',
  'warning-500': 'var(--tib-color-warning-500, #ffb700);',
  'warning-600': 'var(--tib-color-warning-600, #cb9100);',
  'warning-700': 'var(--tib-color-warning-700, #996e00);',
  'warning-800': 'var(--tib-color-warning-800, #805b00);',
  'warning-900': 'var(--tib-color-warning-900, #4d3700);',
  'neutral-0': 'var(--tib-color-neutral-0, #ffffff);',
  'neutral-50': 'var(--tib-color-neutral-50, #f2f2f2);',
  'neutral-100': 'var(--tib-color-neutral-100, #e6e6e6);',
  'neutral-200': 'var(--tib-color-neutral-200, #cccccc);',
  'neutral-300': 'var(--tib-color-neutral-300, #b3b3b3);',
  'neutral-400': 'var(--tib-color-neutral-400, #999999);',
  'neutral-500': 'var(--tib-color-neutral-500, #808080);',
  'neutral-600': 'var(--tib-color-neutral-600, #666666);',
  'neutral-700': 'var(--tib-color-neutral-700, #4d4d4d);',
  'neutral-800': 'var(--tib-color-neutral-800, #333333);',
  'neutral-900': 'var(--tib-color-neutral-900, #191919);',
  'surface-primary-default': 'var(--tib-semantic-color-surface-primary-default, var(--tib-color-primary-600));',
  'surface-primary-hover': 'var(--tib-semantic-color-surface-primary-hover, var(--tib-color-primary-700));',
  'surface-primary-disabled': 'var(--tib-semantic-color-surface-primary-disabled, var(--tib-color-neutral-100));',
  'surface-secondary-default': 'var(--tib-semantic-color-surface-secondary-default, var(--tib-color-secondary-800));',
  'surface-secondary-subtle': 'var(--tib-semantic-color-surface-secondary-subtle, var(--tib-color-secondary-50));',
  'surface-accent-default': 'var(--tib-semantic-color-surface-accent-default, var(--tib-color-accent-500));',
  'surface-accent-hover': 'var(--tib-semantic-color-surface-accent-hover, var(--tib-color-accent-600));',
  'surface-accent-subtle': 'var(--tib-semantic-color-surface-accent-subtle, var(--tib-color-accent-50));',
  'surface-accent-disabled': 'var(--tib-semantic-color-surface-accent-disabled, var(--tib-color-neutral-100));',
  'surface-error-default': 'var(--tib-semantic-color-surface-error-default, var(--tib-color-error-600));',
  'surface-error-hover': 'var(--tib-semantic-color-surface-error-hover, var(--tib-color-error-700));',
  'surface-error-subtle': 'var(--tib-semantic-color-surface-error-subtle, var(--tib-color-error-50));',
  'surface-warning-default': 'var(--tib-semantic-color-surface-warning-default, var(--tib-color-warning-500));',
  'surface-warning-hover': 'var(--tib-semantic-color-surface-warning-hover, var(--tib-color-warning-600));',
  'surface-warning-subtle': 'var(--tib-semantic-color-surface-warning-subtle, var(--tib-color-warning-50));',
  'surface-success-default': 'var(--tib-semantic-color-surface-success-default, var(--tib-color-success-600));',
  'surface-success-hover': 'var(--tib-semantic-color-surface-success-hover, var(--tib-color-success-700));',
  'surface-success-subtle': 'var(--tib-semantic-color-surface-success-subtle, var(--tib-color-success-50));',
  'surface-neutral-default': 'var(--tib-semantic-color-surface-neutral-default, var(--tib-color-neutral-0));',
  'surface-neutral-hover': 'var(--tib-semantic-color-surface-neutral-hover, var(--tib-color-neutral-50));',
  'surface-neutral-subtle': 'var(--tib-semantic-color-surface-neutral-subtle, var(--tib-color-neutral-50));',
  'text-primary-default': 'var(--tib-semantic-color-text-primary-default, var(--tib-color-primary-600));',
  'text-primary-hover': 'var(--tib-semantic-color-text-primary-hover, var(--tib-color-primary-700));',
  'text-primary-disabled': 'var(--tib-semantic-color-text-primary-disabled, var(--tib-color-neutral-500));',
  'text-secondary-default': 'var(--tib-semantic-color-text-secondary-default, var(--tib-color-secondary-800));',
  'text-secondary-subtle': 'var(--tib-semantic-color-text-secondary-subtle, var(--tib-color-secondary-50));',
  'text-accent-default': 'var(--tib-semantic-color-text-accent-default, var(--tib-color-accent-500));',
  'text-accent-hover': 'var(--tib-semantic-color-text-accent-hover, var(--tib-color-accent-600));',
  'text-inverse-default': 'var(--tib-semantic-color-text-inverse-default, var(--tib-color-neutral-0));',
  'text-accent-disabled': 'var(--tib-semantic-color-text-accent-disabled, var(--tib-color-neutral-500));',
  'text-inverse-subtle': 'var(--tib-semantic-color-text-inverse-subtle, var(--tib-color-neutral-100));',
  'text-error-default': 'var(--tib-semantic-color-text-error-default, var(--tib-color-error-600));',
  'text-error-hover': 'var(--tib-semantic-color-text-error-hover, var(--tib-color-error-700));',
  'text-warning-default': 'var(--tib-semantic-color-text-warning-default, var(--tib-color-warning-500));',
  'text-warning-hover': 'var(--tib-semantic-color-text-warning-hover, var(--tib-color-warning-600));',
  'text-success-default': 'var(--tib-semantic-color-text-success-default, var(--tib-color-success-600));',
  'text-success-hover': 'var(--tib-semantic-color-text-success-hover, var(--tib-color-success-800));',
  'text-neutral-default': 'var(--tib-semantic-color-text-neutral-default, var(--tib-color-neutral-900));',
  'text-neutral-subtle': 'var(--tib-semantic-color-text-neutral-subtle, var(--tib-color-neutral-500));',
  'text-neutral-disabled': 'var(--tib-semantic-color-text-neutral-disabled, var(--tib-color-neutral-200));',
  'icon-primary-default': 'var(--tib-semantic-color-icon-primary-default, var(--tib-color-primary-600));',
  'icon-primary-hover': 'var(--tib-semantic-color-icon-primary-hover, var(--tib-color-primary-700));',
  'icon-primary-disabled': 'var(--tib-semantic-color-icon-primary-disabled, var(--tib-color-neutral-500));',
  'icon-secondary-default': 'var(--tib-semantic-color-icon-secondary-default, var(--tib-color-secondary-800));',
  'icon-secondary-disabled': 'var(--tib-semantic-color-icon-secondary-disabled, var(--tib-color-neutral-500));',
  'icon-accent-default': 'var(--tib-semantic-color-icon-accent-default, var(--tib-color-accent-500));',
  'icon-accent-hover': 'var(--tib-semantic-color-icon-accent-hover, var(--tib-color-accent-600));',
  'icon-accent-disabled': 'var(--tib-semantic-color-icon-accent-disabled, var(--tib-color-neutral-500));',
  'icon-inverse-default': 'var(--tib-semantic-color-icon-inverse-default, var(--tib-color-neutral-0));',
  'icon-inverse-subtle': 'var(--tib-semantic-color-icon-inverse-subtle, var(--tib-color-neutral-100));',
  'icon-error-default': 'var(--tib-semantic-color-icon-error-default, var(--tib-color-error-600));',
  'icon-error-hover': 'var(--tib-semantic-color-icon-error-hover, var(--tib-color-error-700));',
  'icon-warning-default': 'var(--tib-semantic-color-icon-warning-default, var(--tib-color-warning-500));',
  'icon-warning-hover': 'var(--tib-semantic-color-icon-warning-hover, var(--tib-color-warning-600));',
  'icon-success-default': 'var(--tib-semantic-color-icon-success-default, var(--tib-color-success-600));',
  'icon-success-hover': 'var(--tib-semantic-color-icon-success-hover, var(--tib-color-success-700));',
  'icon-neutral-default': 'var(--tib-semantic-color-icon-neutral-default, var(--tib-color-neutral-900));',
  'icon-neutral-subtle': 'var(--tib-semantic-color-icon-neutral-subtle, var(--tib-color-neutral-500));',
  'icon-neutral-disabled': 'var(--tib-semantic-color-icon-neutral-disabled, var(--tib-color-neutral-200));',
  'border-primary-default': 'var(--tib-semantic-color-border-primary-default, var(--tib-color-primary-600));',
  'border-primary-hover': 'var(--tib-semantic-color-border-primary-hover, var(--tib-color-primary-700));',
  'border-primary-disabled': 'var(--tib-semantic-color-border-primary-disabled, var(--tib-color-neutral-200));',
  'border-secondary-default': 'var(--tib-semantic-color-border-secondary-default, var(--tib-color-secondary-800));',
  'border-accent-default': 'var(--tib-semantic-color-border-accent-default, var(--tib-color-accent-500));',
  'border-accent-hover': 'var(--tib-semantic-color-border-accent-hover, var(--tib-color-accent-600));',
  'border-accent-disabled': 'var(--tib-semantic-color-border-accent-disabled, var(--tib-color-neutral-200));',
  'border-error-default': 'var(--tib-semantic-color-border-error-default, var(--tib-color-error-600));',
  'border-error-hover': 'var(--tib-semantic-color-border-error-hover, var(--tib-color-error-700));',
  'border-warning-default': 'var(--tib-semantic-color-border-warning-default, var(--tib-color-warning-500));',
  'border-warning-hover': 'var(--tib-semantic-color-border-warning-hover, var(--tib-color-warning-600));',
  'border-success-default': 'var(--tib-semantic-color-border-success-default, var(--tib-color-success-600));',
  'border-success-hover': 'var(--tib-semantic-color-border-success-hover, var(--tib-color-success-800));',
  'background-default': 'var(--tib-semantic-color-background-default, var(--tib-color-theme-0));',
  'border-neutral-default': 'var(--tib-semantic-color-border-neutral-default, var(--tib-color-neutral-0));',
  'border-neutral-subtle': 'var(--tib-semantic-color-border-neutral-subtle, var(--tib-color-neutral-100));',
  'background-subtle': 'var(--tib-semantic-color-background-subtle, var(--tib-color-theme-100));',
  'border-neutral-emphasis': 'var(--tib-semantic-color-border-neutral-emphasis, var(--tib-color-neutral-500));',
  'text-selected-default': 'var(--tib-semantic-selected-text-default, var(--tib-semantic-color-text-secondary-default))',
  'icon-selected-default': 'var(--tib-semantic-selected-icon-default, var(--tib-semantic-color-icon-secondary-default))',
  'border-selected-default': 'var(--tib-semantic-selected-border-default, var(--tib-semantic-color-border-secondary-default))',
  'surface-selected-default': 'var(--tib-semantic-selected-surface-default, var(--tib-semantic-color-surface-secondary-subtle))'
};

const width = {
  full: '100%',
  auto: 'auto',
  0: '0rem',
  96: '24rem',
  1: 'var(--tib-semantic-sizing-hw-1, 0.25rem);',
  2: 'var(--tib-semantic-sizing-hw-2, 0.5rem);',
  3: 'var(--tib-semantic-sizing-hw-3, 0.75rem);',
  4: 'var(--tib-semantic-sizing-hw-4, 1rem);',
  5: 'var(--tib-semantic-sizing-hw-5, 1.25rem);',
  6: 'var(--tib-semantic-sizing-hw-6, 1.5rem);',
  7: 'var(--tib-semantic-sizing-hw-7, 1.75rem);',
  8: 'var(--tib-semantic-sizing-hw-8, 2rem);',
  9: 'var(--tib-semantic-sizing-hw-9, 2.25rem);',
  10: 'var(--tib-semantic-sizing-hw-10, 2.5rem);',
  12: 'var(--tib-semantic-sizing-hw-12, 3rem);',
  13: 'var(--tib-semantic-sizing-hw-13, 3.5rem);',
  14: 'var(--tib-semantic-sizing-hw-14, 4rem);',
  15: 'var(--tib-semantic-sizing-hw-15, 4.5rem);',
  16: 'var(--tib-semantic-sizing-hw-16, 5.25rem);',
  17: 'var(--tib-semantic-sizing-hw-17, 6rem);',
  27: 'var(--tib-semantic-sizing-hw-27, 6.75rem);',
  30: 'var(--tib-semantic-sizing-hw-30, 7.5rem);',
  36: 'var(--tib-semantic-sizing-hw-36, 9rem);',
  40: 'var(--tib-semantic-sizing-hw-40, 10rem);',
  60: 'var(--tib-semantic-sizing-hw-60, 15rem);',
  80: 'var(--tib-semantic-sizing-hw-80, 20rem);',
  82: 'var(--tib-semantic-sizing-hw-82, 20.5rem);',
  100: 'var(--tib-semantic-sizing-hw-100, 25rem);',
  'icon-xs': 'var(--tib-semantic-sizing-icon-xs, 1rem);',
  'icon-sm': 'var(--tib-semantic-sizing-icon-sm, 1.25rem);',
  'icon-md': 'var(--tib-semantic-sizing-icon-md, 1.5rem);',
  'icon-lg': 'var(--tib-semantic-sizing-icon-lg, 1.75rem);',
  'icon-xl': 'var(--tib-semantic-sizing-icon-xl, 2rem);',
  'icon-2xl': 'var(--tib-semantic-sizing-icon-2xl, 2.25rem);',
  'icon-3xl': 'var(--tib-semantic-sizing-icon-3xl, 2.5rem);'
};

const minWidth = {
  0: '0rem',
  96: '24rem',
  full: '100%',
  1: 'var(--tib-semantic-sizing-hw-1, 0.25rem);',
  2: 'var(--tib-semantic-sizing-hw-2, 0.5rem);',
  3: 'var(--tib-semantic-sizing-hw-3, 0.75rem);',
  4: 'var(--tib-semantic-sizing-hw-4, 1rem);',
  5: 'var(--tib-semantic-sizing-hw-5, 1.25rem);',
  6: 'var(--tib-semantic-sizing-hw-6, 1.5rem);',
  7: 'var(--tib-semantic-sizing-hw-7, 1.75rem);',
  8: 'var(--tib-semantic-sizing-hw-8, 2rem);',
  9: 'var(--tib-semantic-sizing-hw-9, 2.25rem);',
  10: 'var(--tib-semantic-sizing-hw-10, 2.5rem);',
  12: 'var(--tib-semantic-sizing-hw-12, 3rem);',
  13: 'var(--tib-semantic-sizing-hw-13, 3.5rem);',
  14: 'var(--tib-semantic-sizing-hw-14, 4rem);',
  15: 'var(--tib-semantic-sizing-hw-15, 4.5rem);',
  16: 'var(--tib-semantic-sizing-hw-16, 5.25rem);',
  17: 'var(--tib-semantic-sizing-hw-17, 6rem);',
  27: 'var(--tib-semantic-sizing-hw-27, 6.75rem);',
  30: 'var(--tib-semantic-sizing-hw-30, 7.5rem);',
  36: 'var(--tib-semantic-sizing-hw-36, 9rem);',
  40: 'var(--tib-semantic-sizing-hw-40, 10rem);',
  60: 'var(--tib-semantic-sizing-hw-60, 15rem);',
  80: 'var(--tib-semantic-sizing-hw-80, 20rem);',
  82: 'var(--tib-semantic-sizing-hw-82, 20.5rem);',
  100: 'var(--tib-semantic-sizing-hw-100, 25rem);',
  'icon-xs': 'var(--tib-semantic-sizing-icon-xs, 1rem);',
  'icon-sm': 'var(--tib-semantic-sizing-icon-sm, 1.25rem);',
  'icon-md': 'var(--tib-semantic-sizing-icon-md, 1.5rem);',
  'icon-lg': 'var(--tib-semantic-sizing-icon-lg, 1.75rem);',
  'icon-xl': 'var(--tib-semantic-sizing-icon-xl, 2rem);',
  'icon-2xl': 'var(--tib-semantic-sizing-icon-2xl, 2.25rem);',
  'icon-3xl': 'var(--tib-semantic-sizing-icon-3xl, 2.5rem);'
};

const maxWidth = {
  0: '0rem',
  96: '24rem',
  full: '100%',
  1: 'var(--tib-semantic-sizing-hw-1, 0.25rem);',
  2: 'var(--tib-semantic-sizing-hw-2, 0.5rem);',
  3: 'var(--tib-semantic-sizing-hw-3, 0.75rem);',
  4: 'var(--tib-semantic-sizing-hw-4, 1rem);',
  5: 'var(--tib-semantic-sizing-hw-5, 1.25rem);',
  6: 'var(--tib-semantic-sizing-hw-6, 1.5rem);',
  7: 'var(--tib-semantic-sizing-hw-7, 1.75rem);',
  8: 'var(--tib-semantic-sizing-hw-8, 2rem);',
  9: 'var(--tib-semantic-sizing-hw-9, 2.25rem);',
  10: 'var(--tib-semantic-sizing-hw-10, 2.5rem);',
  12: 'var(--tib-semantic-sizing-hw-12, 3rem);',
  13: 'var(--tib-semantic-sizing-hw-13, 3.5rem);',
  14: 'var(--tib-semantic-sizing-hw-14, 4rem);',
  15: 'var(--tib-semantic-sizing-hw-15, 4.5rem);',
  16: 'var(--tib-semantic-sizing-hw-16, 5.25rem);',
  17: 'var(--tib-semantic-sizing-hw-17, 6rem);',
  27: 'var(--tib-semantic-sizing-hw-27, 6.75rem);',
  30: 'var(--tib-semantic-sizing-hw-30, 7.5rem);',
  36: 'var(--tib-semantic-sizing-hw-36, 9rem);',
  40: 'var(--tib-semantic-sizing-hw-40, 10rem);',
  60: 'var(--tib-semantic-sizing-hw-60, 15rem);',
  80: 'var(--tib-semantic-sizing-hw-80, 20rem);',
  82: 'var(--tib-semantic-sizing-hw-82, 20.5rem);',
  100: 'var(--tib-semantic-sizing-hw-100, 25rem);',
  'icon-xs': 'var(--tib-semantic-sizing-icon-xs, 1rem);',
  'icon-sm': 'var(--tib-semantic-sizing-icon-sm, 1.25rem);',
  'icon-md': 'var(--tib-semantic-sizing-icon-md, 1.5rem);',
  'icon-lg': 'var(--tib-semantic-sizing-icon-lg, 1.75rem);',
  'icon-xl': 'var(--tib-semantic-sizing-icon-xl, 2rem);',
  'icon-2xl': 'var(--tib-semantic-sizing-icon-2xl, 2.25rem);',
  'icon-3xl': 'var(--tib-semantic-sizing-icon-3xl, 2.5rem);'
};

const height = {
  full: '100%',
  auto: 'auto',
  0: '0rem',
  96: '24rem',
  1: 'var(--tib-semantic-sizing-hw-1, 0.25rem);',
  2: 'var(--tib-semantic-sizing-hw-2, 0.5rem);',
  3: 'var(--tib-semantic-sizing-hw-3, 0.75rem);',
  4: 'var(--tib-semantic-sizing-hw-4, 1rem);',
  5: 'var(--tib-semantic-sizing-hw-5, 1.25rem);',
  6: 'var(--tib-semantic-sizing-hw-6, 1.5rem);',
  7: 'var(--tib-semantic-sizing-hw-7, 1.75rem);',
  8: 'var(--tib-semantic-sizing-hw-8, 2rem);',
  9: 'var(--tib-semantic-sizing-hw-9, 2.25rem);',
  10: 'var(--tib-semantic-sizing-hw-10, 2.5rem);',
  12: 'var(--tib-semantic-sizing-hw-12, 3rem);',
  13: 'var(--tib-semantic-sizing-hw-13, 3.5rem);',
  14: 'var(--tib-semantic-sizing-hw-14, 4rem);',
  15: 'var(--tib-semantic-sizing-hw-15, 4.5rem);',
  16: 'var(--tib-semantic-sizing-hw-16, 5.25rem);',
  17: 'var(--tib-semantic-sizing-hw-17, 6rem);',
  27: 'var(--tib-semantic-sizing-hw-27, 6.75rem);',
  30: 'var(--tib-semantic-sizing-hw-30, 7.5rem);',
  36: 'var(--tib-semantic-sizing-hw-36, 9rem);',
  40: 'var(--tib-semantic-sizing-hw-40, 10rem);',
  60: 'var(--tib-semantic-sizing-hw-60, 15rem);',
  80: 'var(--tib-semantic-sizing-hw-80, 20rem);',
  82: 'var(--tib-semantic-sizing-hw-82, 20.5rem);',
  100: 'var(--tib-semantic-sizing-hw-100, 25rem);',
  'icon-xs': 'var(--tib-semantic-sizing-icon-xs, 1rem);',
  'icon-sm': 'var(--tib-semantic-sizing-icon-sm, 1.25rem);',
  'icon-md': 'var(--tib-semantic-sizing-icon-md, 1.5rem);',
  'icon-lg': 'var(--tib-semantic-sizing-icon-lg, 1.75rem);',
  'icon-xl': 'var(--tib-semantic-sizing-icon-xl, 2rem);',
  'icon-2xl': 'var(--tib-semantic-sizing-icon-2xl, 2.25rem);',
  'icon-3xl': 'var(--tib-semantic-sizing-icon-3xl, 2.5rem);'
};

const minHeight = {
  0: '0rem',
  96: '24rem',
  full: '100%',
  1: 'var(--tib-semantic-sizing-hw-1, 0.25rem);',
  2: 'var(--tib-semantic-sizing-hw-2, 0.5rem);',
  3: 'var(--tib-semantic-sizing-hw-3, 0.75rem);',
  4: 'var(--tib-semantic-sizing-hw-4, 1rem);',
  5: 'var(--tib-semantic-sizing-hw-5, 1.25rem);',
  6: 'var(--tib-semantic-sizing-hw-6, 1.5rem);',
  7: 'var(--tib-semantic-sizing-hw-7, 1.75rem);',
  8: 'var(--tib-semantic-sizing-hw-8, 2rem);',
  9: 'var(--tib-semantic-sizing-hw-9, 2.25rem);',
  10: 'var(--tib-semantic-sizing-hw-10, 2.5rem);',
  12: 'var(--tib-semantic-sizing-hw-12, 3rem);',
  13: 'var(--tib-semantic-sizing-hw-13, 3.5rem);',
  14: 'var(--tib-semantic-sizing-hw-14, 4rem);',
  15: 'var(--tib-semantic-sizing-hw-15, 4.5rem);',
  16: 'var(--tib-semantic-sizing-hw-16, 5.25rem);',
  17: 'var(--tib-semantic-sizing-hw-17, 6rem);',
  27: 'var(--tib-semantic-sizing-hw-27, 6.75rem);',
  30: 'var(--tib-semantic-sizing-hw-30, 7.5rem);',
  36: 'var(--tib-semantic-sizing-hw-36, 9rem);',
  40: 'var(--tib-semantic-sizing-hw-40, 10rem);',
  60: 'var(--tib-semantic-sizing-hw-60, 15rem);',
  80: 'var(--tib-semantic-sizing-hw-80, 20rem);',
  82: 'var(--tib-semantic-sizing-hw-82, 20.5rem);',
  100: 'var(--tib-semantic-sizing-hw-100, 25rem);',
  'icon-xs': 'var(--tib-semantic-sizing-icon-xs, 1rem);',
  'icon-sm': 'var(--tib-semantic-sizing-icon-sm, 1.25rem);',
  'icon-md': 'var(--tib-semantic-sizing-icon-md, 1.5rem);',
  'icon-lg': 'var(--tib-semantic-sizing-icon-lg, 1.75rem);',
  'icon-xl': 'var(--tib-semantic-sizing-icon-xl, 2rem);',
  'icon-2xl': 'var(--tib-semantic-sizing-icon-2xl, 2.25rem);',
  'icon-3xl': 'var(--tib-semantic-sizing-icon-3xl, 2.5rem);'
};

const maxHeight = {
  0: '0rem',
  96: '24rem',
  full: '100%',
  1: 'var(--tib-semantic-sizing-hw-1, 0.25rem);',
  2: 'var(--tib-semantic-sizing-hw-2, 0.5rem);',
  3: 'var(--tib-semantic-sizing-hw-3, 0.75rem);',
  4: 'var(--tib-semantic-sizing-hw-4, 1rem);',
  5: 'var(--tib-semantic-sizing-hw-5, 1.25rem);',
  6: 'var(--tib-semantic-sizing-hw-6, 1.5rem);',
  7: 'var(--tib-semantic-sizing-hw-7, 1.75rem);',
  8: 'var(--tib-semantic-sizing-hw-8, 2rem);',
  9: 'var(--tib-semantic-sizing-hw-9, 2.25rem);',
  10: 'var(--tib-semantic-sizing-hw-10, 2.5rem);',
  12: 'var(--tib-semantic-sizing-hw-12, 3rem);',
  13: 'var(--tib-semantic-sizing-hw-13, 3.5rem);',
  14: 'var(--tib-semantic-sizing-hw-14, 4rem);',
  15: 'var(--tib-semantic-sizing-hw-15, 4.5rem);',
  16: 'var(--tib-semantic-sizing-hw-16, 5.25rem);',
  17: 'var(--tib-semantic-sizing-hw-17, 6rem);',
  27: 'var(--tib-semantic-sizing-hw-27, 6.75rem);',
  30: 'var(--tib-semantic-sizing-hw-30, 7.5rem);',
  36: 'var(--tib-semantic-sizing-hw-36, 9rem);',
  40: 'var(--tib-semantic-sizing-hw-40, 10rem);',
  60: 'var(--tib-semantic-sizing-hw-60, 15rem);',
  80: 'var(--tib-semantic-sizing-hw-80, 20rem);',
  82: 'var(--tib-semantic-sizing-hw-82, 20.5rem);',
  100: 'var(--tib-semantic-sizing-hw-100, 25rem);',
  'icon-xs': 'var(--tib-semantic-sizing-icon-xs, 1rem);',
  'icon-sm': 'var(--tib-semantic-sizing-icon-sm, 1.25rem);',
  'icon-md': 'var(--tib-semantic-sizing-icon-md, 1.5rem);',
  'icon-lg': 'var(--tib-semantic-sizing-icon-lg, 1.75rem);',
  'icon-xl': 'var(--tib-semantic-sizing-icon-xl, 2rem);',
  'icon-2xl': 'var(--tib-semantic-sizing-icon-2xl, 2.25rem);',
  'icon-3xl': 'var(--tib-semantic-sizing-icon-3xl, 2.5rem);'
};

const padding = {
  'p-none': 'var(--tib-semantic-padding-px-none, 0rem);',
  'p-xxxs': 'var(--tib-semantic-padding-px-xxxs, 0.125rem);',
  'p-xxs': 'var(--tib-semantic-padding-px-xxs, 0.25rem);',
  'p-xs': 'var(--tib-semantic-padding-px-xs, 0.5rem);',
  'p-sm': 'var(--tib-semantic-padding-px-sm, 0.75rem);',
  'p-md': 'var(--tib-semantic-padding-px-md, 1rem);',
  'p-lg': 'var(--tib-semantic-padding-px-lg, 1.25rem);',
  'p-xl': 'var(--tib-semantic-padding-px-xl, 1.5rem);',
  'p-2xl': 'var(--tib-semantic-padding-px-2xl, 1.75rem);',
  'p-3xl': 'var(--tib-semantic-padding-px-3xl, 2rem);',
  'p-4xl': 'var(--tib-semantic-padding-px-4xl, 3rem);',
  'px-2xl': 'var(--tib-semantic-padding-px-2xl, 1.75rem);',
  'px-3xl': 'var(--tib-semantic-padding-px-3xl, 2rem);',
  'px-4xl': 'var(--tib-semantic-padding-px-4xl, 3rem);',
  'px-lg': 'var(--tib-semantic-padding-px-lg, 1.25rem);',
  'px-md': 'var(--tib-semantic-padding-px-md, 1rem);',
  'px-none': 'var(--tib-semantic-padding-px-none, 0rem);',
  'px-sm': 'var(--tib-semantic-padding-px-sm, 0.75rem);',
  'px-xl': 'var(--tib-semantic-padding-px-xl, 1.5rem);',
  'px-xs': 'var(--tib-semantic-padding-px-xs, 0.5rem);',
  'px-xxs': 'var(--tib-semantic-padding-px-xxs, 0.25rem);',
  'px-xxxs': 'var(--tib-semantic-padding-px-xxxs, 0.125rem);',
  'py-2xl': 'var(--tib-semantic-padding-py-2xl, 1.75rem);',
  'py-3xl': 'var(--tib-semantic-padding-py-3xl, 2rem);',
  'py-4xl': 'var(--tib-semantic-padding-py-4xl, 3rem);',
  'py-lg': 'var(--tib-semantic-padding-py-lg, 1.25rem);',
  'py-md': 'var(--tib-semantic-padding-py-md, 1rem);',
  'py-none': 'var(--tib-semantic-padding-py-none, 0rem);',
  'py-sm': 'var(--tib-semantic-padding-py-sm, 0.75rem);',
  'py-xl': 'var(--tib-semantic-padding-py-xl, 1.5rem);',
  'py-xs': 'var(--tib-semantic-padding-py-xs, 0.5rem);',
  'py-xxs': 'var(--tib-semantic-padding-py-xxs, 0.25rem);',
  'py-xxxs': 'var(--tib-semantic-padding-py-xxxs, 0.125rem);'
};

const spacing = {
  none: 'var(--tib-semantic-spacing-spc-none, 0rem);',
  xxxs: 'var(--tib-semantic-spacing-spc-xxxs, 0.125rem);',
  xxs: 'var(--tib-semantic-spacing-spc-xxs, 0.25rem);',
  xs: 'var(--tib-semantic-spacing-spc-xs, 0.5rem);',
  sm: 'var(--tib-semantic-spacing-spc-sm, 0.75rem);',
  md: 'var(--tib-semantic-spacing-spc-md, 1rem);',
  lg: 'var(--tib-semantic-spacing-spc-lg, 1.25rem);',
  xl: 'var(--tib-semantic-spacing-spc-xl, 1.5rem);',
  '2xl': 'var(--tib-semantic-spacing-spc-2xl, 1.75rem);',
  '3xl': 'var(--tib-semantic-spacing-spc-3xl, 2rem);'
};

const margin = {
  'm-none': 'var(--tib-semantic-spacing-spc-none, 0rem);',
  'm-xxxs': 'var(--tib-semantic-spacing-spc-xxxs, 0.125rem);',
  'm-xxs': 'var(--tib-semantic-spacing-spc-xxs, 0.25rem);',
  'm-xs': 'var(--tib-semantic-spacing-spc-xs, 0.5rem);',
  'm-sm': 'var(--tib-semantic-spacing-spc-sm, 0.75rem);',
  'm-md': 'var(--tib-semantic-spacing-spc-md, 1rem);',
  'm-lg': 'var(--tib-semantic-spacing-spc-lg, 1.25rem);',
  'm-xl': 'var(--tib-semantic-spacing-spc-xl, 1.5rem);',
  'm-2xl': 'var(--tib-semantic-spacing-spc-2xl, 1.75rem);',
  'm-3xl': 'var(--tib-semantic-spacing-spc-3xl, 2rem);',
  'mx-none': 'var(--tib-semantic-spacing-spc-none, 0rem);',
  'mx-xxxs': 'var(--tib-semantic-spacing-spc-xxxs, 0.125rem);',
  'mx-xxs': 'var(--tib-semantic-spacing-spc-xxs, 0.25rem);',
  'mx-xs': 'var(--tib-semantic-spacing-spc-xs, 0.5rem);',
  'mx-sm': 'var(--tib-semantic-spacing-spc-sm, 0.75rem);',
  'mx-md': 'var(--tib-semantic-spacing-spc-md, 1rem);',
  'mx-lg': 'var(--tib-semantic-spacing-spc-lg, 1.25rem);',
  'mx-xl': 'var(--tib-semantic-spacing-spc-xl, 1.5rem);',
  'mx-2xl': 'var(--tib-semantic-spacing-spc-2xl, 1.75rem);',
  'mx-3xl': 'var(--tib-semantic-spacing-spc-3xl, 2rem);',
  'my-none': 'var(--tib-semantic-spacing-spc-none, 0rem);',
  'my-xxxs': 'var(--tib-semantic-spacing-spc-xxxs, 0.125rem);',
  'my-xxs': 'var(--tib-semantic-spacing-spc-xxs, 0.25rem);',
  'my-xs': 'var(--tib-semantic-spacing-spc-xs, 0.5rem);',
  'my-sm': 'var(--tib-semantic-spacing-spc-sm, 0.75rem);',
  'my-md': 'var(--tib-semantic-spacing-spc-md, 1rem);',
  'my-lg': 'var(--tib-semantic-spacing-spc-lg, 1.25rem);',
  'my-xl': 'var(--tib-semantic-spacing-spc-xl, 1.5rem);',
  'my-2xl': 'var(--tib-semantic-spacing-spc-2xl, 1.75rem);',
  'my-3xl': 'var(--tib-semantic-spacing-spc-3xl, 2rem);'
};

const borderRadius = {
  'br-none': 'var(--tib-semantic-border-radius-br-none, 0rem);',
  'br-xs': 'var(--tib-semantic-border-radius-br-xs, 0.125rem);',
  'br-sm': 'var(--tib-semantic-border-radius-br-sm, 0.25rem);',
  'br-md': 'var(--tib-semantic-border-radius-br-md, 0.5rem);',
  'br-lg': 'var(--tib-semantic-border-radius-br-lg, 0.75rem);',
  'br-xl': 'var(--tib-semantic-border-radius-br-xl, 1rem);',
  'br-circle': 'var(--tib-semantic-border-radius-br-circle, 50%);',
  'br-pill': 'var(--tib-semantic-border-radius-br-pill, 9999rem);'
};

const lineHeight = {
  // "line-height-100": "var(--tib-core-line-height-100, 0.0625rem);",
  // "line-height-125": "var(--tib-core-line-height-125, 0.078125rem);",
  // "line-height-150": "var(--tib-core-line-height-150, 0.09375rem);",
  'line-height-title-lg': 'var(--tib-base-line-height-title-lg, 1.5rem);',
  'line-height-title-xl': 'var(--tib-base-line-height-title-xl, 1.875rem);',
  'line-height-title-2xl': 'var(--tib-base-line-height-title-2xl, 2.25rem);',
  'line-height-title-3xl': 'var(--tib-base-line-height-title-3xl, 2.5rem);',
  'line-height-title-4xl': 'var(--tib-base-line-height-title-4xl, 3.75rem);',
  'line-height-title-5xl': 'var(--tib-base-line-height-title-5xl, 5rem);',
  'line-height-body-sm': 'var(--tib-base-line-height-body-sm, 1.25rem);',
  'line-height-body-md': 'var(--tib-base-line-height-body-md, 1.5rem);',
  'line-height-label-xs': 'var(--tib-base-line-height-label-xs, 1.125rem);'
};

const fontSize = {
  // "REM": "var(--tib-core-font-size-rem, 1rem);",
  // "scaled-50": "var(--tib-core-font-size-scaled-50, 0.5rem);",
  // "scaled-62": "var(--tib-core-font-size-scaled-62, 0.625rem);",
  // "scaled-75": "var(--tib-core-font-size-scaled-75, 0.75rem);",
  // "scaled-87": "var(--tib-core-font-size-scaled-87, 0.875rem);",
  // "scaled-100": "var(--tib-core-font-size-scaled-100, 1rem);",
  // "scaled-125": "var(--tib-core-font-size-scaled-125, 1.25rem);",
  // "scaled-150": "var(--tib-core-font-size-scaled-150, 1.5rem);",
  // "scaled-175": "var(--tib-core-font-size-scaled-175, 1.75rem);",
  // "scaled-200": "var(--tib-core-font-size-scaled-200, 2rem);",
  // "scaled-225": "var(--tib-core-font-size-scaled-225, 2.25rem);",
  // "scaled-250": "var(--tib-core-font-size-scaled-250, 2.5rem);",
  // "scaled-275": "var(--tib-core-font-size-scaled-275, 2.75rem);",
  // "scaled-300": "var(--tib-core-font-size-scaled-300, 3rem);",
  // "scaled-400": "var(--tib-core-font-size-scaled-400, 4rem);",
  // "scaled-base": "var(--tib-core-font-size-scaled-base, 0.01rem);",
  xs: 'var(--tib-base-font-size-xs, 0.75rem);',
  sm: 'var(--tib-base-font-size-sm, 0.875rem);',
  md: 'var(--tib-base-font-size-md, 1rem);',
  lg: 'var(--tib-base-font-size-lg, 1.25rem);',
  xl: 'var(--tib-base-font-size-xl, 1.5rem);',
  '2xl': 'var(--tib-base-font-size-2xl, 1.75rem);',
  '3xl': 'var(--tib-base-font-size-3xl, 2rem);',
  '4xl': 'var(--tib-base-font-size-4xl, 3rem);',
  '5xl': 'var(--tib-base-font-size-5xl, 4rem);'
};

const sizing = { 'size-SCALE': 'var(--tib-core-size-scale, 16);' };

const boxShadow = {
  // "blur-0": "var(--tib-core-shadow-blur-0, 0 0 0 0 #000000);",
  // "blur-1": "var(--tib-core-shadow-blur-1, 0 1px 3px 0 #CCCCCC);",
  // "blur-2": "var(--tib-core-shadow-blur-2, 0 2px 4px 0 #CCCCCC);",
  // "blur-3": "var(--tib-core-shadow-blur-3, 0 2px 8px 0 #CCCCCC);",
  // "blur-4": "var(--tib-core-shadow-blur-4, 0 2px 12px 0 #CCCCCC);",
  // "blur-5": "var(--tib-core-shadow-blur-5, 0 2px 16px 0 #CCCCCC);",
  // "blur-6": "var(--tib-core-shadow-blur-6, 0 2px 20px 0 #CCCCCC);",
  'focus-border': 'var(--tib-base-shadow-focus-border, 0 0 0 2px #CCCCCC);',
  xs: 'var(--tib-base-shadow-xs, 0 1px 3px 0 #CCCCCC);',
  sm: 'var(--tib-base-shadow-sm, 0 2px 4px 0 #CCCCCC);',
  md: 'var(--tib-base-shadow-md, 0 2px 8px 0 #CCCCCC);',
  lg: 'var(--tib-base-shadow-lg, 0 2px 12px 0 #CCCCCC);',
  xl: 'var(--tib-base-shadow-xl, 0 2px 16px 0 #CCCCCC);',
  '2xl': 'var(--tib-base-shadow-2xl, 0 2px 20px 0 #CCCCCC);'
};

const opacity = {
  0: 'var(--tib-core-opacity-0, 0);',
  1: 'var(--tib-core-opacity-1, 0.1);',
  2: 'var(--tib-core-opacity-2, 0.2);',
  3: 'var(--tib-core-opacity-3, 0.3);',
  4: 'var(--tib-core-opacity-4, 0.4);',
  5: 'var(--tib-core-opacity-5, 0.5);',
  6: 'var(--tib-core-opacity-6, 0.6);',
  7: 'var(--tib-core-opacity-7, 0.7);',
  8: 'var(--tib-core-opacity-8, 0.8);',
  9: 'var(--tib-core-opacity-9, 0.9);',
  10: 'var(--tib-core-opacity-10, 1);'
};

const borderWidth = {
  // "0": "var(--tib-core-border-width-0, 0rem);",
  // "10": "var(--tib-core-border-width-10, 0.0625rem);",
  // "20": "var(--tib-core-border-width-20, 0.125rem);",
  // "40": "var(--tib-core-border-width-40, 0.25rem);",
  // "80": "var(--tib-core-border-width-80, 0.5rem);",
  1: 'var(--tib-base-border-width-1, 0.0625rem);',
  2: 'var(--tib-base-border-width-2, 0.125rem);',
  4: 'var(--tib-base-border-width-4, 0.25rem);',
  none: 'var(--tib-base-border-width-none, 0rem);'
};

const fontFamily = {
  'font-family-title': "var(--tib-base-font-family-title, 'Source Sans Pro');",
  'font-family-body': "var(--tib-base-font-family-body, 'Source Sans Pro');",
  'font-family-body-semibold': "var(--tib-base-font-family-body-semibold, 'Source Sans Pro-Semibold');"
};

const fontWeight = {
  light: 'var(--tib-base-font-weight-light, 300);',
  regular: 'var(--tib-base-font-weight-regular, 400);',
  semibold: 'var(--tib-base-font-weight-semibold, 600);',
  bold: 'var(--tib-base-font-weight-bold, 700);'
};

module.exports = {
  colors,
  width,
  minWidth,
  maxWidth,
  height,
  minHeight,
  maxHeight,
  padding,
  spacing,
  margin,
  borderRadius,
  lineHeight,
  fontSize,
  sizing,
  boxShadow,
  opacity,
  borderWidth,
  fontFamily,
  fontWeight
};
