import { css } from "lit";

export default css`
  :root,
  :host,
  .twc-theme-light {
    --tib-color-theme-0: #ffffff;
    --tib-color-theme-100: #f2f2f2;
    --tib-color-primary-50: #e5f6ff;
    --tib-color-primary-100: #ccecff;
    --tib-color-primary-200: #99daff;
    --tib-color-primary-300: #66c7ff;
    --tib-color-primary-400: #33b5ff;
    --tib-color-primary-500: #00a2ff;
    --tib-color-primary-600: #0081cb;
    --tib-color-primary-700: #006199;
    --tib-color-primary-800: #004166;
    --tib-color-primary-900: #00314d;
    --tib-color-secondary-50: #e5efff;
    --tib-color-secondary-100: #ccdeff;
    --tib-color-secondary-200: #99bdff;
    --tib-color-secondary-300: #669dff;
    --tib-color-secondary-400: #337cff;
    --tib-color-secondary-500: #005bff;
    --tib-color-secondary-600: #0049cc;
    --tib-color-secondary-700: #003799;
    --tib-color-secondary-800: #002d7e;
    --tib-color-secondary-900: #001b4d;
    --tib-color-accent-50: #fff2e5;
    --tib-color-accent-100: #ffe4cc;
    --tib-color-accent-200: #ffc999;
    --tib-color-accent-300: #ffae66;
    --tib-color-accent-400: #ff9333;
    --tib-color-accent-500: #ff7800;
    --tib-color-accent-600: #cc6000;
    --tib-color-accent-700: #994800;
    --tib-color-accent-800: #803c00;
    --tib-color-accent-900: #4d2400;
    --tib-color-error-50: #ffe5eb;
    --tib-color-error-100: #ffccd6;
    --tib-color-error-200: #ff99ae;
    --tib-color-error-300: #ff6685;
    --tib-color-error-400: #ff335d;
    --tib-color-error-500: #ff0034;
    --tib-color-error-600: #c90029;
    --tib-color-error-700: #99001f;
    --tib-color-error-800: #80001a;
    --tib-color-error-900: #4d0010;
    --tib-color-success-50: #e5fff1;
    --tib-color-success-100: #ccffe2;
    --tib-color-success-200: #99ffc6;
    --tib-color-success-300: #66ffa9;
    --tib-color-success-400: #33ff8c;
    --tib-color-success-500: #00ff70;
    --tib-color-success-600: #00cb59;
    --tib-color-success-700: #009943;
    --tib-color-success-800: #008038;
    --tib-color-success-900: #004d22;
    --tib-color-warning-50: #fff8e5;
    --tib-color-warning-100: #fff1cc;
    --tib-color-warning-200: #ffe299;
    --tib-color-warning-300: #ffd466;
    --tib-color-warning-400: #ffc533;
    --tib-color-warning-500: #ffb700;
    --tib-color-warning-600: #cb9100;
    --tib-color-warning-700: #996e00;
    --tib-color-warning-800: #805b00;
    --tib-color-warning-900: #4d3700;
    --tib-color-neutral-0: #ffffff;
    --tib-color-neutral-50: #f2f2f2;
    --tib-color-neutral-100: #e6e6e6;
    --tib-color-neutral-200: #cccccc;
    --tib-color-neutral-300: #b3b3b3;
    --tib-color-neutral-400: #999999;
    --tib-color-neutral-500: #808080;
    --tib-color-neutral-600: #666666;
    --tib-color-neutral-700: #4d4d4d;
    --tib-color-neutral-800: #333333;
    --tib-color-neutral-900: #191919;
    --tib-semantic-color-surface-primary-default: var(--tib-color-primary-600);
    --tib-semantic-color-surface-primary-hover: var(--tib-color-primary-700);
    --tib-semantic-color-surface-primary-disabled: var(--tib-color-neutral-100);
    --tib-semantic-color-surface-secondary-default: var(
      --tib-color-secondary-800
    );
    --tib-semantic-color-surface-secondary-subtle: var(
      --tib-color-secondary-50
    );
    --tib-semantic-color-surface-accent-default: var(--tib-color-accent-500);
    --tib-semantic-color-surface-accent-hover: var(--tib-color-accent-600);
    --tib-semantic-color-surface-accent-subtle: var(--tib-color-accent-50);
    --tib-semantic-color-surface-accent-disabled: var(--tib-color-neutral-100);
    --tib-semantic-color-surface-error-default: var(--tib-color-error-600);
    --tib-semantic-color-surface-error-hover: var(--tib-color-error-700);
    --tib-semantic-color-surface-error-subtle: var(--tib-color-error-50);
    --tib-semantic-color-surface-warning-default: var(--tib-color-warning-500);
    --tib-semantic-color-surface-warning-hover: var(--tib-color-warning-600);
    --tib-semantic-color-surface-warning-subtle: var(--tib-color-warning-50);
    --tib-semantic-color-surface-success-default: var(--tib-color-success-600);
    --tib-semantic-color-surface-success-hover: var(--tib-color-success-700);
    --tib-semantic-color-surface-success-subtle: var(--tib-color-success-50);
    --tib-semantic-color-surface-neutral-default: var(--tib-color-neutral-0);
    --tib-semantic-color-surface-neutral-hover: var(--tib-color-neutral-50);
    --tib-semantic-color-surface-neutral-subtle: var(--tib-color-neutral-50);
    --tib-semantic-color-text-primary-default: var(--tib-color-primary-600);
    --tib-semantic-color-text-primary-hover: var(--tib-color-primary-700);
    --tib-semantic-color-text-primary-disabled: var(--tib-color-neutral-500);
    --tib-semantic-color-text-secondary-default: var(--tib-color-secondary-800);
    --tib-semantic-color-text-secondary-subtle: var(--tib-color-secondary-50);
    --tib-semantic-color-text-accent-default: var(--tib-color-accent-500);
    --tib-semantic-color-text-accent-hover: var(--tib-color-accent-600);
    --tib-semantic-color-text-inverse-default: var(--tib-color-neutral-0);
    --tib-semantic-color-text-accent-disabled: var(--tib-color-neutral-500);
    --tib-semantic-color-text-inverse-subtle: var(--tib-color-neutral-100);
    --tib-semantic-color-text-error-default: var(--tib-color-error-600);
    --tib-semantic-color-text-error-hover: var(--tib-color-error-700);
    --tib-semantic-color-text-warning-default: var(--tib-color-warning-500);
    --tib-semantic-color-text-warning-hover: var(--tib-color-warning-600);
    --tib-semantic-color-text-success-default: var(--tib-color-success-600);
    --tib-semantic-color-text-success-hover: var(--tib-color-success-800);
    --tib-semantic-color-text-neutral-default: var(--tib-color-neutral-900);
    --tib-semantic-color-text-neutral-subtle: var(--tib-color-neutral-500);
    --tib-semantic-color-text-neutral-disabled: var(--tib-color-neutral-200);
    --tib-semantic-color-icon-primary-default: var(--tib-color-primary-600);
    --tib-semantic-color-icon-primary-hover: var(--tib-color-primary-700);
    --tib-semantic-color-icon-primary-disabled: var(--tib-color-neutral-500);
    --tib-semantic-color-icon-secondary-default: var(--tib-color-secondary-800);
    --tib-semantic-color-icon-secondary-disabled: var(--tib-color-neutral-500);
    --tib-semantic-color-icon-accent-default: var(--tib-color-accent-500);
    --tib-semantic-color-icon-accent-hover: var(--tib-color-accent-600);
    --tib-semantic-color-icon-accent-disabled: var(--tib-color-neutral-500);
    --tib-semantic-color-icon-inverse-default: var(--tib-color-neutral-0);
    --tib-semantic-color-icon-inverse-subtle: var(--tib-color-neutral-100);
    --tib-semantic-color-icon-error-default: var(--tib-color-error-600);
    --tib-semantic-color-icon-error-hover: var(--tib-color-error-700);
    --tib-semantic-color-icon-warning-default: var(--tib-color-warning-500);
    --tib-semantic-color-icon-warning-hover: var(--tib-color-warning-600);
    --tib-semantic-color-icon-success-default: var(--tib-color-success-600);
    --tib-semantic-color-icon-success-hover: var(--tib-color-success-700);
    --tib-semantic-color-icon-neutral-default: var(--tib-color-neutral-900);
    --tib-semantic-color-icon-neutral-subtle: var(--tib-color-neutral-500);
    --tib-semantic-color-icon-neutral-disabled: var(--tib-color-neutral-200);
    --tib-semantic-color-border-primary-default: var(--tib-color-primary-600);
    --tib-semantic-color-border-primary-hover: var(--tib-color-primary-700);
    --tib-semantic-color-border-primary-disabled: var(--tib-color-neutral-200);
    --tib-semantic-color-border-secondary-default: var(
      --tib-color-secondary-800
    );
    --tib-semantic-color-border-accent-default: var(--tib-color-accent-500);
    --tib-semantic-color-border-accent-hover: var(--tib-color-accent-600);
    --tib-semantic-color-border-accent-disabled: var(--tib-color-neutral-200);
    --tib-semantic-color-border-error-default: var(--tib-color-error-600);
    --tib-semantic-color-border-error-hover: var(--tib-color-error-700);
    --tib-semantic-color-border-warning-default: var(--tib-color-warning-500);
    --tib-semantic-color-border-warning-hover: var(--tib-color-warning-600);
    --tib-semantic-color-border-success-default: var(--tib-color-success-600);
    --tib-semantic-color-border-success-hover: var(--tib-color-success-800);
    --tib-semantic-color-background-default: var(--tib-color-theme-0);
    --tib-semantic-color-border-neutral-default: var(--tib-color-neutral-0);
    --tib-semantic-color-border-neutral-subtle: var(--tib-color-neutral-100);
    --tib-semantic-color-background-subtle: var(--tib-color-theme-100);
    --tib-semantic-color-border-neutral-emphasis: var(--tib-color-neutral-500);
    --tib-semantic-sizing-hw-1: 0.25rem;
    --tib-semantic-sizing-hw-2: 0.5rem;
    --tib-semantic-sizing-hw-3: 0.75rem;
    --tib-semantic-sizing-hw-4: 1rem;
    --tib-semantic-sizing-hw-5: 1.25rem;
    --tib-semantic-sizing-hw-6: 1.5rem;
    --tib-semantic-sizing-hw-7: 1.75rem;
    --tib-semantic-sizing-hw-8: 2rem;
    --tib-semantic-sizing-hw-9: 2.25rem;
    --tib-semantic-sizing-hw-10: 2.5rem;
    --tib-semantic-sizing-hw-12: 3rem;
    --tib-semantic-sizing-hw-13: 3.5rem;
    --tib-semantic-sizing-hw-14: 4rem;
    --tib-semantic-sizing-hw-15: 4.5rem;
    --tib-semantic-sizing-hw-16: 5.25rem;
    --tib-semantic-sizing-hw-17: 6rem;
    --tib-semantic-sizing-hw-27: 6.75rem;
    --tib-semantic-sizing-hw-30: 7.5rem;
    --tib-semantic-sizing-hw-36: 9rem;
    --tib-semantic-sizing-hw-40: 10rem;
    --tib-semantic-sizing-hw-60: 15rem;
    --tib-semantic-sizing-hw-80: 20rem;
    --tib-semantic-sizing-hw-82: 20.5rem;
    --tib-semantic-sizing-hw-100: 25rem;
    --tib-semantic-sizing-icon-xs: 1rem;
    --tib-semantic-sizing-icon-sm: 1.25rem;
    --tib-semantic-sizing-icon-md: 1.5rem;
    --tib-semantic-sizing-icon-lg: 1.75rem;
    --tib-semantic-sizing-icon-xl: 2rem;
    --tib-semantic-sizing-icon-2xl: 2.25rem;
    --tib-semantic-sizing-icon-3xl: 2.5rem;
    --tib-semantic-padding-px-none: 0rem;
    --tib-semantic-padding-px-xxxs: 0.125rem;
    --tib-semantic-padding-px-xxs: 0.25rem;
    --tib-semantic-padding-px-xs: 0.5rem;
    --tib-semantic-padding-px-sm: 0.75rem;
    --tib-semantic-padding-px-md: 1rem;
    --tib-semantic-padding-px-lg: 1.25rem;
    --tib-semantic-padding-px-xl: 1.5rem;
    --tib-semantic-padding-px-2xl: 1.75rem;
    --tib-semantic-padding-px-3xl: 2rem;
    --tib-semantic-padding-px-p-mdxl: 3rem;
    --tib-semantic-padding-py-none: 0rem;
    --tib-semantic-padding-py-xxxs: 0.125rem;
    --tib-semantic-padding-py-xxs: 0.25rem;
    --tib-semantic-padding-py-xs: 0.5rem;
    --tib-semantic-padding-py-sm: 0.75rem;
    --tib-semantic-padding-py-md: 1rem;
    --tib-semantic-padding-py-lg: 1.25rem;
    --tib-semantic-padding-py-xl: 1.5rem;
    --tib-semantic-padding-py-p-xsxl: 1.75rem;
    --tib-semantic-padding-py-3xl: 2rem;
    --tib-semantic-padding-py-4xl: 3rem;
    --tib-semantic-spacing-spc-none: 0rem;
    --tib-semantic-spacing-spc-xxxs: 0.125rem;
    --tib-semantic-spacing-spc-xxs: 0.25rem;
    --tib-semantic-spacing-spc-xs: 0.5rem;
    --tib-semantic-spacing-spc-sm: 0.75rem;
    --tib-semantic-spacing-spc-md: 1rem;
    --tib-semantic-spacing-spc-lg: 1.25rem;
    --tib-semantic-spacing-spc-xl: 1.5rem;
    --tib-semantic-spacing-spc-2xl: 1.75rem;
    --tib-semantic-spacing-spc-3xl: 2rem;
    --tib-semantic-border-radius-br-none: 0rem;
    --tib-semantic-border-radius-br-xs: 0.125rem;
    --tib-semantic-border-radius-br-sm: 0.25rem;
    --tib-semantic-border-radius-br-md: 0.5rem;
    --tib-semantic-border-radius-br-lg: 0.75rem;
    --tib-semantic-border-radius-br-xl: 1rem;
    --tib-semantic-border-radius-br-circle: 50%;
    --tib-semantic-border-radius-br-pill: 9999rem;
    --tib-semantic-toggle-visibility-show: 0rem;
    --tib-semantic-toggle-visibility-hide: 0.0625rem;
    --tib-core-line-height-100: 0.0625rem;
    --tib-core-line-height-125: 0.078125rem;
    --tib-core-line-height-150: 0.09375rem;
    --tib-core-font-size-rem: 1rem;
    --tib-core-font-size-scaled-50: 0.5rem;
    --tib-core-font-size-scaled-62: 0.625rem;
    --tib-core-font-size-scaled-75: 0.75rem;
    --tib-core-font-size-scaled-87: 0.875rem;
    --tib-core-font-size-scaled-100: 1rem;
    --tib-core-font-size-scaled-125: 1.25rem;
    --tib-core-font-size-scaled-150: 1.5rem;
    --tib-core-font-size-scaled-175: 1.75rem;
    --tib-core-font-size-scaled-200: 2rem;
    --tib-core-font-size-scaled-225: 2.25rem;
    --tib-core-font-size-scaled-250: 2.5rem;
    --tib-core-font-size-scaled-275: 2.75rem;
    --tib-core-font-size-scaled-300: 3rem;
    --tib-core-font-size-scaled-400: 4rem;
    --tib-core-font-size-scaled-base: 0.01rem;
    --tib-core-size-scale: 16;
    --tib-core-shadow-blur-0: 0 0 0 0 #000000;
    --tib-core-shadow-blur-1: 0 1px 3px 0 #cccccc;
    --tib-core-shadow-blur-2: 0 2px 4px 0 #cccccc;
    --tib-core-shadow-blur-3: 0 2px 8px 0 #cccccc;
    --tib-core-shadow-blur-4: 0 2px 12px 0 #cccccc;
    --tib-core-shadow-blur-5: 0 2px 16px 0 #cccccc;
    --tib-core-shadow-blur-6: 0 2px 20px 0 #cccccc;
    --tib-core-opacity-0: 0;
    --tib-core-opacity-1: 0.1;
    --tib-core-opacity-2: 0.2;
    --tib-core-opacity-3: 0.3;
    --tib-core-opacity-4: 0.4;
    --tib-core-opacity-5: 0.5;
    --tib-core-opacity-6: 0.6;
    --tib-core-opacity-7: 0.7;
    --tib-core-opacity-8: 0.8;
    --tib-core-opacity-9: 0.9;
    --tib-core-opacity-10: 1;
    --tib-core-border-width-0: 0rem;
    --tib-core-border-width-10: 0.0625rem;
    --tib-core-border-width-20: 0.125rem;
    --tib-core-border-width-40: 0.25rem;
    --tib-core-border-width-80: 0.5rem;
    --tib-base-shadow-focus-border: 0 0 0 2px #cccccc;
    --tib-base-shadow-xs: 0 1px 3px 0 #cccccc;
    --tib-base-shadow-sm: 0 2px 4px 0 #cccccc;
    --tib-base-shadow-md: 0 2px 8px 0 #cccccc;
    --tib-base-shadow-lg: 0 2px 12px 0 #cccccc;
    --tib-base-shadow-xl: 0 2px 16px 0 #cccccc;
    --tib-base-shadow-2xl: 0 2px 20px 0 #cccccc;
    --tib-base-border-width-1: 0.0625rem;
    --tib-base-border-width-2: 0.125rem;
    --tib-base-border-width-4: 0.25rem;
    --tib-base-border-width-none: 0rem;
    --tib-base-font-family-title: "Source Sans Pro";
    --tib-base-font-family-body: "Source Sans Pro";
    --tib-base-font-family-body-semibold: "Source Sans Pro-Semibold";
    --tib-base-font-weight-light: 300;
    --tib-base-font-weight-regular: 400;
    --tib-base-font-weight-semibold: 600;
    --tib-base-font-weight-bold: 700;
    --tib-base-font-size-xs: 0.75rem;
    --tib-base-font-size-sm: 0.875rem;
    --tib-base-font-size-md: 1rem;
    --tib-base-font-size-lg: 1.25rem;
    --tib-base-font-size-xl: 1.5rem;
    --tib-base-font-size-2xl: 1.75rem;
    --tib-base-font-size-3xl: 2rem;
    --tib-base-font-size-4xl: 3rem;
    --tib-base-font-size-5xl: 4rem;
    --tib-base-line-height-title-lg: 1.5rem;
    --tib-base-line-height-title-xl: 1.875rem;
    --tib-base-line-height-title-2xl: 2.25rem;
    --tib-base-line-height-title-3xl: 2.5rem;
    --tib-base-line-height-title-4xl: 3.75rem;
    --tib-base-line-height-title-5xl: 5rem;
    --tib-base-line-height-body-sm: 1.25rem;
    --tib-base-line-height-body-md: 1.5rem;
    --tib-base-line-height-label-xs: 1.125rem;

    --tib-transition-x-slow: 1000ms;
    --tib-transition-slow: 500ms;
    --tib-transition-medium: 250ms;
    --tib-transition-fast: 150ms;
    --tib-transition-x-fast: 50ms;

    --tib-focus-ring-alpha: 40%;
    --tib-focus-ring-width: 3px;
    --tib-focus-ring: 0 0 0 var(--tib-focus-ring-width)
      hsl(198.6 88.7% 48.4% / var(--tib-focus-ring-alpha));

    --tib-overlay-background-color: hsl(240 3.8% 46.1% / 33%);

    --tib-z-index-drawer: 700;
    --tib-z-index-dialog: 800;
    --tib-z-index-dropdown: 900;
    --tib-z-index-toast: 950;
    --tib-z-index-tooltip: 1000;

    --tib-letter-spacing-denser: -0.03em;
    --tib-letter-spacing-dense: -0.015em;
    --tib-letter-spacing-normal: normal;
    --tib-letter-spacing-loose: 0.075em;
    --tib-letter-spacing-looser: 0.15em;
  }
`;
