import { css } from "lit";

export default css`
  :root,
  :host,
  .twc-theme-light {
    --button-primary-default-background: #0081cb;
    --button-primary-default-line-height: 20;
    --button-primary-default-text: 16;
    --button-primary-default-text-color: #ffffff;
    --color-tibco-accent-400: #ff9333;
    --color-tibco-accent-500: #ff7800;
    --color-tibco-accent-600: #cc6000;
    --color-tibco-error-100: #ffe5e9;
    --color-tibco-error-500: #c90029;
    --color-tibco-error-600: #a60005;
    --color-tibco-primary-400: #00a3ff;
    --color-tibco-primary-500: #0081cb;
    --color-tibco-primary-600: #00629e;
    --color-tibco-secondary-100: #e4eeff;
    --color-tibco-secondary-400: #005afd;
    --color-tibco-secondary-500: #002d7e;
    --color-tibco-secondary-600: #002d7e;
    --color-tibco-slate-100: #f7f7f7;
    --color-tibco-slate-1000: #121212;
    --color-tibco-slate-200: #e9e9e9;
    --color-tibco-slate-50: #ffffff;
    --color-tibco-slate-600: #999999;
    --color-tibco-slate-700: #444444;
    --color-tibco-slate-800: #272727;
    --color-tibco-slate-900: #1d1d1d;
    --color-tibco-success-100: #e0fff1;
    --color-tibco-success-500: #00cb59;
    --color-tibco-success-600: #009843;
    --color-tibco-warning-100: #fff9e3;
    --color-tibco-warning-500: #efac00;
    --color-tibco-warning-600: #ba8600;
    --color-font-tibco-accent-400: #ff9333;
    --color-font-tibco-accent-500: #ff7800;
    --color-font-tibco-accent-600: #cc6000;
    --color-font-tibco-error-100: #ffe5e9;
    --color-font-tibco-error-500: #c90029;
    --color-font-tibco-error-600: #a60005;
    --color-font-tibco-primary-400: #00a3ff;
    --color-font-tibco-primary-500: #0081cb;
    --color-font-tibco-primary-600: #00629e;
    --color-font-tibco-secondary-100: #e4eeff;
    --color-font-tibco-secondary-400: #005afd;
    --color-font-tibco-secondary-500: #002d7e;
    --color-font-tibco-slate-100: #f7f7f7;
    --color-font-tibco-slate-1000: #121212;
    --color-font-tibco-slate-200: #e9e9e9;
    --color-font-tibco-slate-50: #ffffff;
    --color-font-tibco-slate-600: #999999;
    --color-font-tibco-slate-700: #444444;
    --color-font-tibco-slate-800: #272727;
    --color-font-tibco-slate-900: #1d1d1d;
    --color-font-tibco-success-100: #e0fff1;
    --color-font-tibco-success-500: #00cb59;
    --color-font-tibco-success-600: #009843;
    --color-font-tibco-warning-100: #fff9e3;
    --color-font-tibco-warning-500: #efac00;
    --color-font-tibco-warning-600: #ba8600;
    --utilities-spacer-spacing-01: 2;
    --utilities-spacer-spacing-02: 4;
    --utilities-spacer-spacing-03: 8;
    --utilities-spacer-spacing-04: 12;
    --utilities-spacer-spacing-05: 16;
    --utilities-spacer-spacing-06: 24;
    --utilities-spacer-spacing-07: 32;
    --utilities-spacer-spacing-08: 40;
    --utilities-spacer-spacing-09: 48;
    --utilities-spacer-spacing-10: 64;
    --font-center-text-align: center;
    --font-left-text-align: left;
    --font-right-text-align: right;
    --font-font-family: "Source Sans Pro";
    --font-large-2-xl-font-size: 36;
    --font-large-2-xl-line-height: 44;
    --font-large-3-xl-font-size: 48;
    --font-large-3-xl-line-height: 60;
    --font-large-4-xl-font-size: 64;
    --font-large-4-xl-line-height: 80;
    --font-large-lg-font-size: 20;
    --font-large-lg-line-height: 24;
    --font-large-xl-font-size: 28;
    --font-large-xl-line-height: 36;
    --font-medium-base-font-size: 16;
    --font-medium-base-line-height: 20;
    --font-small-sm-font-size: 14;
    --font-small-sm-line-height: 18;
    --font-small-xs-font-size: 12;
    --font-small-xs-line-height: 16;
    --font-light-font-weight: 300;
    --font-regular-font-weight: 400;
    --font-semibold-font-weight: 600;
    --border-1-px-tibco-accent-400-border: 1px solid rgb(255, 147, 51);
    --border-1-px-tibco-accent-500-border: 1px solid rgb(255, 120, 0);
    --border-1-px-tibco-accent-600-border: 1px solid rgb(204, 96, 0);
    --border-1-px-tibco-error-500-border: 1px solid rgb(201, 0, 41);
    --border-1-px-tibco-primary-400-border: 1px solid rgb(0, 163, 255);
    --border-1-px-tibco-primary-500-border: 1px solid rgb(0, 129, 203);
    --border-1-px-tibco-primary-600-border: 1px solid rgb(0, 98, 158);
    --border-1-px-tibco-secondary-100-border: 1px solid rgb(228, 238, 255);
    --border-1-px-tibco-secondary-400-border: 1px solid rgb(0, 90, 253);
    --border-1-px-tibco-secondary-500-border: 1px solid rgb(0, 45, 126);
    --border-1-px-tibco-slate-100-border: 1px solid rgb(247, 247, 247);
    --border-1-px-tibco-slate-200-border: 1px solid rgb(233, 233, 233);
    --border-1-px-tibco-slate-600-border: 1px solid rgb(153, 153, 153);
    --border-1-px-tibco-slate-700-border: 1px solid rgb(68, 68, 68);
    --border-1-px-tibco-slate-800-border: 1px solid rgb(39, 39, 39);
    --border-1-px-tibco-slate-900-border: 1px solid rgb(29, 29, 29);
    --border-1-px-tibco-success-500-border: 1px solid rgb(0, 203, 89);
    --border-1-px-tibco-warning-500-border: 1px solid rgb(239, 172, 0);
    --border-2-px-tibco-error-500-border: 2px solid rgb(201, 0, 41);
    --border-2-px-tibco-primary-500-border: 2px solid rgb(0, 129, 203);
    --border-2-px-tibco-slate-100-border: 2px solid rgb(247, 247, 247);
    --border-2-px-tibco-slate-200-border: 2px solid rgb(233, 233, 233);
    --border-2-px-tibco-slate-600-border: 2px solid rgb(153, 153, 153);
    --border-2-px-tibco-slate-700-border: 2px solid rgb(68, 68, 68);
    --border-2-px-tibco-slate-800-border: 2px solid rgb(39, 39, 39);
    --elevation-shadow-high-shadow: 0px 0px 20px 0px #3333331f;
    --elevation-shadow-low-shadow: 0px 1px 3px 0px #33333352;
    --elevation-shadow-header: 0 3px 6px 0 rgba(204, 204, 204, 0.5);
    --elevation-shadow-editor: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
    --fill-tibco-accent-400-background: #ff9333;
    --fill-tibco-accent-500-background: #ff7800;
    --fill-tibco-accent-600-background: #cc6000;
    --fill-tibco-error-100-background: #ffe5e9;
    --fill-tibco-error-500-background: #c90029;
    --fill-tibco-error-600-background: #a60005;
    --fill-tibco-primary-400-background: #00a3ff;
    --fill-tibco-primary-500-background: #0081cb;
    --fill-tibco-primary-600-background: #00629e;
    --fill-tibco-secondary-100-background: #e4eeff;
    --fill-tibco-secondary-400-background: #005afd;
    --fill-tibco-secondary-500-background: #002d7e;
    --fill-tibco-slate-100-background: #f7f7f7;
    --fill-tibco-slate-1000-background: #121212;
    --fill-tibco-slate-200-background: #e9e9e9;
    --fill-tibco-slate-50-background: #ffffff;
    --fill-tibco-slate-600-background: #999999;
    --fill-tibco-slate-700-background: #444444;
    --fill-tibco-slate-800-background: #272727;
    --fill-tibco-slate-900-background: #1d1d1d;
    --fill-tibco-success-100-background: #e0fff1;
    --fill-tibco-success-500-background: #00cb59;
    --fill-tibco-success-600-background: #009843;
    --fill-tibco-warning-100-background: #fff9e3;
    --fill-tibco-warning-500-background: #efac00;
    --fill-tibco-warning-600-background: #ba8600;
    --heading-h-4-default-semibold-left-color: rgb(247, 247, 247);
    --heading-h-4-default-semibold-left-font-family: "Source Sans Pro";
    --heading-h-4-default-semibold-left-font-size: 28;
    --heading-h-4-default-semibold-left-font-style: normal;
    --heading-h-4-default-semibold-left-font-weight: 600;
  }

  :host,
  .twc-theme-dark {
    --button-primary-default-background: #0081cb;
    --button-primary-default-line-height: 20;
    --button-primary-default-text: 16;
    --button-primary-default-text-color: #ffffff;
    --color-tibco-accent-400: #ff9333;
    --color-tibco-accent-500: #ff7800;
    --color-tibco-accent-600: #cc6000;
    --color-tibco-error-100: #ffe5e9;
    --color-tibco-error-500: #c90029;
    --color-tibco-error-600: #a60005;
    --color-tibco-primary-400: #00a3ff;
    --color-tibco-primary-500: #0081cb;
    --color-tibco-primary-600: #00629e;
    --color-tibco-slate-600: #999999;
    --color-tibco-success-100: #e0fff1;
    --color-tibco-success-500: #00cb59;
    --color-tibco-success-600: #009843;
    --color-tibco-warning-100: #fff9e3;
    --color-tibco-warning-500: #efac00;
    --color-tibco-warning-600: #ba8600;
    --color-font-tibco-accent-400: #ff9333;
    --color-font-tibco-accent-500: #ff7800;
    --color-font-tibco-accent-600: #cc6000;
    --color-font-tibco-error-100: #ffe5e9;
    --color-font-tibco-error-500: #c90029;
    --color-font-tibco-error-600: #a60005;
    --color-font-tibco-primary-400: #00a3ff;
    --color-font-tibco-primary-500: #0081cb;
    --color-font-tibco-primary-600: #00629e;
    --color-font-tibco-secondary-100: #e4eeff;
    --color-font-tibco-secondary-400: #005afd;
    --color-font-tibco-secondary-500: #002d7e;
    --color-font-tibco-slate-100: #f7f7f7;
    --color-font-tibco-slate-1000: #121212;
    --color-font-tibco-slate-200: #e9e9e9;
    --color-font-tibco-slate-50: #ffffff;
    --color-font-tibco-slate-600: #999999;
    --color-font-tibco-slate-700: #444444;
    --color-font-tibco-slate-800: #272727;
    --color-font-tibco-slate-900: #1d1d1d;
    --color-font-tibco-success-100: #e0fff1;
    --color-font-tibco-success-500: #00cb59;
    --color-font-tibco-success-600: #009843;
    --color-font-tibco-warning-100: #fff9e3;
    --color-font-tibco-warning-500: #efac00;
    --color-font-tibco-warning-600: #ba8600;
    --utilities-spacer-spacing-01: 2;
    --utilities-spacer-spacing-02: 4;
    --utilities-spacer-spacing-03: 8;
    --utilities-spacer-spacing-04: 12;
    --utilities-spacer-spacing-05: 16;
    --utilities-spacer-spacing-06: 24;
    --utilities-spacer-spacing-07: 32;
    --utilities-spacer-spacing-08: 40;
    --utilities-spacer-spacing-09: 48;
    --utilities-spacer-spacing-10: 64;
    --font-center-text-align: center;
    --font-left-text-align: left;
    --font-right-text-align: right;
    --font-font-family: "Source Sans Pro";
    --font-large-2-xl-font-size: 36;
    --font-large-2-xl-line-height: 44;
    --font-large-3-xl-font-size: 48;
    --font-large-3-xl-line-height: 60;
    --font-large-4-xl-font-size: 64;
    --font-large-4-xl-line-height: 80;
    --font-large-lg-font-size: 20;
    --font-large-lg-line-height: 24;
    --font-large-xl-font-size: 28;
    --font-large-xl-line-height: 36;
    --font-medium-base-font-size: 16;
    --font-medium-base-line-height: 20;
    --font-small-sm-font-size: 14;
    --font-small-sm-line-height: 18;
    --font-small-xs-font-size: 12;
    --font-small-xs-line-height: 16;
    --font-light-font-weight: 300;
    --font-regular-font-weight: 400;
    --font-semibold-font-weight: 600;
    --border-1-px-tibco-accent-400-border: 1px solid rgb(255, 147, 51);
    --border-1-px-tibco-accent-500-border: 1px solid rgb(255, 120, 0);
    --border-1-px-tibco-accent-600-border: 1px solid rgb(204, 96, 0);
    --border-1-px-tibco-error-500-border: 1px solid rgb(201, 0, 41);
    --border-1-px-tibco-primary-400-border: 1px solid rgb(0, 163, 255);
    --border-1-px-tibco-primary-500-border: 1px solid rgb(0, 129, 203);
    --border-1-px-tibco-primary-600-border: 1px solid rgb(0, 98, 158);
    --border-1-px-tibco-secondary-100-border: 1px solid rgb(228, 238, 255);
    --border-1-px-tibco-secondary-400-border: 1px solid rgb(0, 90, 253);
    --border-1-px-tibco-secondary-500-border: 1px solid rgb(0, 45, 126);
    --border-1-px-tibco-slate-100-border: 1px solid rgb(247, 247, 247);
    --border-1-px-tibco-slate-200-border: 1px solid rgb(233, 233, 233);
    --border-1-px-tibco-slate-600-border: 1px solid rgb(153, 153, 153);
    --border-1-px-tibco-slate-700-border: 1px solid rgb(68, 68, 68);
    --border-1-px-tibco-slate-800-border: 1px solid rgb(39, 39, 39);
    --border-1-px-tibco-slate-900-border: 1px solid rgb(29, 29, 29);
    --border-1-px-tibco-success-500-border: 1px solid rgb(0, 203, 89);
    --border-1-px-tibco-warning-500-border: 1px solid rgb(239, 172, 0);
    --border-2-px-tibco-error-500-border: 2px solid rgb(201, 0, 41);
    --border-2-px-tibco-primary-500-border: 2px solid rgb(0, 129, 203);
    --border-2-px-tibco-slate-100-border: 2px solid rgb(247, 247, 247);
    --border-2-px-tibco-slate-200-border: 2px solid rgb(233, 233, 233);
    --border-2-px-tibco-slate-600-border: 2px solid rgb(153, 153, 153);
    --border-2-px-tibco-slate-700-border: 2px solid rgb(68, 68, 68);
    --border-2-px-tibco-slate-800-border: 2px solid rgb(39, 39, 39);
    --elevation-shadow-high-shadow: 0px 0px 20px 0px #3333331f;
    --elevation-shadow-low-shadow: 0px 1px 3px 0px #33333352;
    --elevation-shadow-header: 0 3px 6px 0 rgba(204, 204, 204, 0.5);
    --elevation-shadow-editor: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
    --fill-tibco-accent-400-background: #ff9333;
    --fill-tibco-accent-500-background: #ff7800;
    --fill-tibco-accent-600-background: #cc6000;
    --fill-tibco-error-100-background: #ffe5e9;
    --fill-tibco-error-500-background: #c90029;
    --fill-tibco-error-600-background: #a60005;
    --fill-tibco-primary-400-background: #00a3ff;
    --fill-tibco-primary-500-background: #0081cb;
    --fill-tibco-primary-600-background: #00629e;
    --fill-tibco-secondary-100-background: #e4eeff;
    --fill-tibco-secondary-400-background: #005afd;
    --fill-tibco-secondary-500-background: #002d7e;
    --fill-tibco-slate-100-background: #f7f7f7;
    --fill-tibco-slate-1000-background: #121212;
    --fill-tibco-slate-200-background: #e9e9e9;
    --fill-tibco-slate-50-background: #ffffff;
    --fill-tibco-slate-600-background: #999999;
    --fill-tibco-slate-700-background: #444444;
    --fill-tibco-slate-800-background: #272727;
    --fill-tibco-slate-900-background: #1d1d1d;
    --fill-tibco-success-100-background: #e0fff1;
    --fill-tibco-success-500-background: #00cb59;
    --fill-tibco-success-600-background: #009843;
    --fill-tibco-warning-100-background: #fff9e3;
    --fill-tibco-warning-500-background: #efac00;
    --fill-tibco-warning-600-background: #ba8600;
    --heading-h-4-default-semibold-left-color: rgb(247, 247, 247);
    --heading-h-4-default-semibold-left-font-family: "Source Sans Pro";
    --heading-h-4-default-semibold-left-font-size: 28;
    --heading-h-4-default-semibold-left-font-style: normal;
    --heading-h-4-default-semibold-left-font-weight: 600;

    --color-tibco-secondary-100: #444444;
    --color-tibco-secondary-400: #005afd;
    --color-tibco-secondary-500: #00a3ff;
    --color-tibco-secondary-600: #00629e;
    --color-tibco-slate-50: #1d1d1d;
    --color-tibco-slate-100: #121212;
    --color-tibco-slate-200: #444444;
    --color-tibco-slate-700: #444444;
    --color-tibco-slate-800: #272727;
    --color-tibco-slate-900: #f7f7f7;
    --color-tibco-slate-1000: #f7f7f7;
    --elevation-shadow-header: 0 3px 6px 0 rgba(248, 245, 245, 0.5);
    --elevation-shadow-editor: 0 2px 4px 0 rgba(248, 245, 245, 0.5);
    --elevation-shadow-high-shadow: 0px 0px 20px 0px #121212;
  }
`;
