const { setupWorker, rest, http, HttpResponse  } = MockServiceWorker;

const auditData = [
    {
        "eventId": "13543",
        "messageCategory": "WorkItem",
        "messageId": "BRM_WORKITEM_OPENED",
        "message": "Opened Work Item.",
        "severity": "Audit",
        "creationTime": "2024-07-30T07:03:33.677Z",
        "managedObjectId": "602",
        "principalId": "tibco-admin",
        "principalName": "tibco-admin",
        "managedObjectVersion": "3",
        "managedObjectStatus": "OPENED",
        "parentObjectId": "p:0a20cn",
        "applicationName": "OrderBPMProjectProcess",
        "entities": "[{\"OrgEntGuid\":\"tibco-admin\",\"OrgEntVersion\":-1,\"OrgEntType\":7}]",
        "workItemPriority": 50,
        "resourceId": "tibco-admin",
        "resourceName": "tibco-admin",
        "applicationActivityName": "UserTask2",
        "applicationActivityInstanceId": "t:002gcn.2px",
        "caseReferences": [
            "27-com.example.orderbdsproject.MyAdditionalOrder-1-0",
            "26-com.example.orderbdsproject.MyOrder-1-0"
        ],
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "BRM"
            },
            {
                "name": "workTypeId",
                "value": "WT__75QAgEMwEe-VneMPo0lf5w"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.n2.brm.services.impl.WorkItemManagementServiceImpl"
            },
            {
                "name": "methodId",
                "value": "allocateAndOpenWorkItem"
            },
            {
                "name": "methodName",
                "value": "allocateAndOpenWorkItem"
            },
            {
                "name": "contextId",
                "value": "2337d039_cbb0_4a86_91b2_bf68e00f17f4"
            },
            {
                "name": "workModelId",
                "value": "543"
            },
            {
                "name": "simpleClassName",
                "value": "WorkItemManagementServiceImpl"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "1933c552_741e_43c4_8a88_321d0099b838"
            },
            {
                "name": "threadName",
                "value": "qtp1723093634-892"
            },
            {
                "name": "threadId",
                "value": "892"
            },
            {
                "name": "actingUser",
                "value": "tibco-admin"
            },
            {
                "name": "workTypeDesc",
                "value": "UserTask2"
            },
            {
                "name": "workTypeVersion",
                "value": "1.0.0.20240716100002819"
            },
            {
                "name": "correlationId",
                "value": "06ca0b28_7f3b_4d49_908a_96d2b56550f8"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            },
            {
                "name": "applicationId",
                "value": "_HbGgcNYcEeqwEr75ETCvoQ"
            }
        ]
    },
    {
        "eventId": "13499",
        "messageCategory": "WorkItem",
        "messageId": "BRM_WORKITEM_OPENED",
        "message": "Opened Work Item.",
        "severity": "Audit",
        "creationTime": "2024-07-30T06:58:54.020Z",
        "managedObjectId": "602",
        "principalId": "tibco-admin",
        "principalName": "tibco-admin",
        "managedObjectVersion": "2",
        "managedObjectStatus": "OPENED",
        "parentObjectId": "p:0a20cn",
        "applicationName": "OrderBPMProjectProcess",
        "entities": "[{\"OrgEntGuid\":\"tibco-admin\",\"OrgEntVersion\":-1,\"OrgEntType\":7}]",
        "workItemPriority": 50,
        "resourceId": "tibco-admin",
        "resourceName": "tibco-admin",
        "applicationActivityName": "UserTask2",
        "applicationActivityInstanceId": "t:002gcn.2px",
        "caseReferences": [
            "27-com.example.orderbdsproject.MyAdditionalOrder-1-0",
            "26-com.example.orderbdsproject.MyOrder-1-0"
        ],
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "BRM"
            },
            {
                "name": "workTypeId",
                "value": "WT__75QAgEMwEe-VneMPo0lf5w"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.n2.brm.services.impl.WorkItemManagementServiceImpl"
            },
            {
                "name": "methodId",
                "value": "allocateAndOpenWorkItem"
            },
            {
                "name": "methodName",
                "value": "allocateAndOpenWorkItem"
            },
            {
                "name": "contextId",
                "value": "5335f341_a011_40b1_b201_dff353962234"
            },
            {
                "name": "workModelId",
                "value": "543"
            },
            {
                "name": "simpleClassName",
                "value": "WorkItemManagementServiceImpl"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "5d750f2f_b82f_49cd_9dcb_9f758689010f"
            },
            {
                "name": "threadName",
                "value": "qtp1723093634-865"
            },
            {
                "name": "threadId",
                "value": "865"
            },
            {
                "name": "actingUser",
                "value": "tibco-admin"
            },
            {
                "name": "workTypeDesc",
                "value": "UserTask2"
            },
            {
                "name": "workTypeVersion",
                "value": "1.0.0.20240716100002819"
            },
            {
                "name": "correlationId",
                "value": "4aa32269_3cf3_4f0b_a48d_2b2d64e66cda"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            },
            {
                "name": "applicationId",
                "value": "_HbGgcNYcEeqwEr75ETCvoQ"
            }
        ]
    },
    {
        "eventId": "13493",
        "messageCategory": "WorkItem",
        "messageId": "BRM_WORKITEM_ALLOCATE",
        "message": "Allocated Work Item.",
        "severity": "Audit",
        "creationTime": "2024-07-30T06:56:58.174Z",
        "managedObjectId": "602",
        "principalId": "tibco-admin",
        "principalName": "tibco-admin",
        "managedObjectVersion": "1",
        "managedObjectStatus": "ALLOCATED",
        "parentObjectId": "p:0a20cn",
        "applicationName": "OrderBPMProjectProcess",
        "entities": "[{\"OrgEntGuid\":\"tibco-admin\",\"OrgEntVersion\":-1,\"OrgEntType\":7}]",
        "workItemPriority": 50,
        "resourceId": "tibco-admin",
        "resourceName": "tibco-admin",
        "applicationActivityName": "UserTask2",
        "applicationActivityInstanceId": "t:002gcn.2px",
        "caseReferences": [
            "27-com.example.orderbdsproject.MyAdditionalOrder-1-0",
            "26-com.example.orderbdsproject.MyOrder-1-0"
        ],
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "BRM"
            },
            {
                "name": "workTypeId",
                "value": "WT__75QAgEMwEe-VneMPo0lf5w"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.n2.brm.services.impl.WorkItemManagementServiceImpl"
            },
            {
                "name": "methodId",
                "value": "allocateWorkItem"
            },
            {
                "name": "methodName",
                "value": "allocateWorkItem"
            },
            {
                "name": "contextId",
                "value": "a48d399d_2f7a_4c3d_b0e2_d19030f97e7c"
            },
            {
                "name": "workModelId",
                "value": "543"
            },
            {
                "name": "simpleClassName",
                "value": "WorkItemManagementServiceImpl"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "9460d2b7_3675_4c4b_a67f_f08a98f23c35"
            },
            {
                "name": "threadName",
                "value": "qtp1723093634-864"
            },
            {
                "name": "threadId",
                "value": "864"
            },
            {
                "name": "workTypeDesc",
                "value": "UserTask2"
            },
            {
                "name": "workTypeVersion",
                "value": "1.0.0.20240716100002819"
            },
            {
                "name": "correlationId",
                "value": "08cd22a0_c54a_4a9c_ae30_01dc8fa17035"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            },
            {
                "name": "applicationId",
                "value": "_HbGgcNYcEeqwEr75ETCvoQ"
            }
        ]
    },
    {
        "eventId": "13285",
        "messageCategory": "WorkItem",
        "messageId": "BRM_WORKITEM_SCHEDULED",
        "message": "New Work Item Schedule.",
        "severity": "Audit",
        "creationTime": "2024-07-30T04:54:18.255Z",
        "managedObjectId": "602",
        "principalId": "tibco-admin",
        "managedObjectVersion": "0",
        "managedObjectStatus": "OFFERED",
        "parentObjectId": "p:0a20cn",
        "applicationName": "OrderBPMProjectProcess",
        "workItemScheduleStart": "2024-07-30T04:54:18.227Z",
        "entities": "[{\"OrgEntGuid\":\"Undelivered\",\"OrgEntName\":\"Undelivered\",\"OrgEntVersion\":0,\"OrgEntType\":3}]",
        "workItemPriority": 50,
        "applicationActivityName": "UserTask2",
        "applicationActivityInstanceId": "t:002gcn.2px",
        "caseReferences": [
            "27-com.example.orderbdsproject.MyAdditionalOrder-1-0",
            "26-com.example.orderbdsproject.MyOrder-1-0"
        ],
        "additionalAttributes": [
            {
                "name": "hostName",
                "value": "bpm"
            },
            {
                "name": "componentId",
                "value": "BRM"
            },
            {
                "name": "workTypeId",
                "value": "WT__75QAgEMwEe-VneMPo0lf5w"
            },
            {
                "name": "componentClassName",
                "value": "com.tibco.n2.brm.services.impl.WorkItemSchedulerBase"
            },
            {
                "name": "procId",
                "value": "367"
            },
            {
                "name": "procInstanceId",
                "value": "455"
            },
            {
                "name": "methodId",
                "value": "privScheduleWorkItem"
            },
            {
                "name": "methodName",
                "value": "privScheduleWorkItem"
            },
            {
                "name": "contextId",
                "value": "9f6332a2_2f43_474d_aa60_caf779338b0c"
            },
            {
                "name": "workModelId",
                "value": "543"
            },
            {
                "name": "simpleClassName",
                "value": "WorkItemSchedulerBase"
            },
            {
                "name": "eventType",
                "value": "MESSAGE"
            },
            {
                "name": "uuid",
                "value": "11a99b27_d520_45d9_ad4a_34c6bf771a5a"
            },
            {
                "name": "threadName",
                "value": "ce_8"
            },
            {
                "name": "threadId",
                "value": "510"
            },
            {
                "name": "workTypeDesc",
                "value": "UserTask2"
            },
            {
                "name": "parentContextId",
                "value": "9874cb32_aede_41ae_a6c9_805e1b665edd"
            },
            {
                "name": "workTypeVersion",
                "value": "1.0.0.20240716100002819"
            },
            {
                "name": "correlationId",
                "value": "67a83ecc_d371_4b99_af9a_9795d5309023"
            },
            {
                "name": "hostAddress",
                "value": "172.18.0.5"
            },
            {
                "name": "applicationId",
                "value": "_HbGgcNYcEeqwEr75ETCvoQ"
            }
        ]
    }
]

const workItemsList = [
    {
        "workItemId": 620,
        "processInstanceId": "p:0a20d0",
        "processTemplate": "OrderBPMProjectProcess",
        "processTemplateId": "p:0a21a6",
        "activityName": "UserTask2",
        "activityInstanceId": "t:002gd0.2tm",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T06:06:30.731Z",
        "firstOfferTime": "2024-07-31T06:06:30.751Z",
        "firstOpenTime": "2024-07-31T06:07:08.817Z",
        "lastOpenTime": "2024-07-31T06:07:08.835Z",
        "completionTime": "2024-07-31T06:07:11.909Z",
        "activeDuration": 41158,
        "waitDuration": 38066,
        "actionDuration": 3092,
        "workingTimeDuration": 3074,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T06:07:11.909Z",
        "priority": 50,
        "caseReferences": [
            "27-com.example.orderbdsproject.MyOrder-1-0",
            "28-com.example.orderbdsproject.MyAdditionalOrder-1-0"
        ],
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 619,
        "processInstanceId": "p:0a20cz",
        "processTemplate": "OrderBPMProjectProcess",
        "processTemplateId": "p:0a21a6",
        "activityName": "UserTask2",
        "activityInstanceId": "t:002gcz.2t2",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T06:06:29.141Z",
        "firstOfferTime": "2024-07-31T06:06:29.162Z",
        "firstOpenTime": "2024-07-31T06:06:53.133Z",
        "lastOpenTime": "2024-07-31T06:06:53.149Z",
        "completionTime": "2024-07-31T06:06:57.200Z",
        "activeDuration": 28038,
        "waitDuration": 23971,
        "actionDuration": 4067,
        "workingTimeDuration": 4051,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T06:06:57.200Z",
        "priority": 50,
        "caseReferences": [
            "25-com.example.orderbdsproject.MyOrder-1-0",
            "26-com.example.orderbdsproject.MyAdditionalOrder-1-0"
        ],
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 618,
        "processInstanceId": "p:0a20cy",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcy.2sh",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T06:01:02.467Z",
        "firstOfferTime": "2024-07-31T06:01:02.484Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "ALLOCATED",
        "statusChanged": "2024-07-31T06:09:55.760Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 617,
        "processInstanceId": "p:0a20cx",
        "processTemplate": "UserTask",
        "processTemplateId": "p:0a21a4",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gcx.2sa",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "completingUserResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T05:51:23.659Z",
        "scheduleEnd": "2024-08-14T09:00:00.000Z",
        "firstOfferTime": "2024-07-31T05:51:23.671Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "CANCELLED",
        "statusChanged": "2024-07-31T06:08:36.615Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 616,
        "processInstanceId": "p:0a20cv",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcv.2s0",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T05:20:14.351Z",
        "firstOfferTime": "2024-07-31T05:20:14.369Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "ALLOCATED",
        "statusChanged": "2024-07-31T05:20:45.227Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 615,
        "processInstanceId": "p:0a20cu",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcu.2rr",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T05:16:30.572Z",
        "firstOfferTime": "2024-07-31T05:16:30.587Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "ALLOCATED",
        "statusChanged": "2024-07-31T05:16:59.319Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 614,
        "processInstanceId": "p:0a20ct",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gct.2ri",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T05:12:56.216Z",
        "firstOfferTime": "2024-07-31T05:12:56.244Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "ALLOCATED",
        "statusChanged": "2024-07-31T05:13:43.317Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 613,
        "processInstanceId": "p:0a20cs",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcs.2r9",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T05:09:15.601Z",
        "firstOfferTime": "2024-07-31T05:09:15.618Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "ALLOCATED",
        "statusChanged": "2024-07-31T05:09:38.633Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 612,
        "processInstanceId": "p:0a20cr",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcr.2r0",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "completingUserResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T05:07:50.932Z",
        "firstOfferTime": "2024-07-31T05:07:50.950Z",
        "firstOpenTime": "2024-07-31T06:18:19.095Z",
        "lastOpenTime": "2024-07-31T06:18:19.095Z",
        "completionTime": "2024-07-31T06:18:27.907Z",
        "activeDuration": 4236957,
        "waitDuration": 4228145,
        "actionDuration": 8812,
        "workingTimeDuration": 8812,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T06:18:27.907Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 611,
        "processInstanceId": "p:0a20cq",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcq.2qr",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "completingUserResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:54:02.876Z",
        "firstOfferTime": "2024-07-31T04:54:02.889Z",
        "firstOpenTime": "2024-07-31T06:12:41.417Z",
        "lastOpenTime": "2024-07-31T06:12:41.417Z",
        "completionTime": "2024-07-31T06:12:52.358Z",
        "activeDuration": 4729469,
        "waitDuration": 4718528,
        "actionDuration": 10941,
        "workingTimeDuration": 10941,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T06:12:52.358Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 610,
        "processInstanceId": "p:0a20cp",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User6Step1",
        "activityInstanceId": "t:002gcp.2qf",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:52:57.980Z",
        "firstOfferTime": "2024-07-31T04:52:58.001Z",
        "firstOpenTime": "2024-07-31T04:53:03.012Z",
        "lastOpenTime": "2024-07-31T04:53:03.012Z",
        "completionTime": "2024-07-31T04:53:05.608Z",
        "activeDuration": 7607,
        "waitDuration": 5011,
        "actionDuration": 2596,
        "workingTimeDuration": 2596,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T04:53:05.608Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 609,
        "processInstanceId": "p:0a20cp",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step2",
        "activityInstanceId": "t:002gcp.2qk",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:52:50.356Z",
        "firstOfferTime": "2024-07-31T04:52:50.371Z",
        "firstOpenTime": "2024-07-31T04:52:55.660Z",
        "lastOpenTime": "2024-07-31T04:52:55.660Z",
        "completionTime": "2024-07-31T04:52:57.900Z",
        "activeDuration": 7529,
        "waitDuration": 5289,
        "actionDuration": 2240,
        "workingTimeDuration": 2240,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T04:52:57.900Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 608,
        "processInstanceId": "p:0a20cn",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User6Step1",
        "activityInstanceId": "t:002gcn.2px",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:52:34.959Z",
        "firstOfferTime": "2024-07-31T04:52:34.973Z",
        "firstOpenTime": "2024-07-31T04:52:40.025Z",
        "lastOpenTime": "2024-07-31T04:52:40.025Z",
        "completionTime": "2024-07-31T04:52:42.572Z",
        "activeDuration": 7599,
        "waitDuration": 5052,
        "actionDuration": 2547,
        "workingTimeDuration": 2547,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T04:52:42.572Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 607,
        "processInstanceId": "p:0a20cn",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step2",
        "activityInstanceId": "t:002gcn.2q2",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:52:26.741Z",
        "firstOfferTime": "2024-07-31T04:52:26.763Z",
        "firstOpenTime": "2024-07-31T04:52:32.737Z",
        "lastOpenTime": "2024-07-31T04:52:32.737Z",
        "completionTime": "2024-07-31T04:52:34.842Z",
        "activeDuration": 8079,
        "waitDuration": 5974,
        "actionDuration": 2105,
        "workingTimeDuration": 2105,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T04:52:34.842Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 606,
        "processInstanceId": "p:0a20cp",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcp.2qi",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:52:07.078Z",
        "firstOfferTime": "2024-07-31T04:52:07.100Z",
        "firstOpenTime": "2024-07-31T04:52:48.399Z",
        "lastOpenTime": "2024-07-31T04:52:48.399Z",
        "completionTime": "2024-07-31T04:52:50.309Z",
        "activeDuration": 43209,
        "waitDuration": 41299,
        "actionDuration": 1910,
        "workingTimeDuration": 1910,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T04:52:50.309Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 605,
        "processInstanceId": "p:0a20co",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gco.2q9",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "completingUserResourceId": "BB40B96B-79C0-4842-AFB2-2CCF3B4CF40C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:51:44.165Z",
        "firstOfferTime": "2024-07-31T04:51:44.183Z",
        "firstOpenTime": "2024-07-31T06:10:15.105Z",
        "lastOpenTime": "2024-07-31T06:10:15.105Z",
        "completionTime": "2024-07-31T06:10:24.919Z",
        "activeDuration": 4720736,
        "waitDuration": 4710922,
        "actionDuration": 9814,
        "workingTimeDuration": 9814,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T06:10:24.919Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 604,
        "processInstanceId": "p:0a20cn",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcn.2q0",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:51:41.726Z",
        "firstOfferTime": "2024-07-31T04:51:41.740Z",
        "firstOpenTime": "2024-07-31T04:52:23.516Z",
        "lastOpenTime": "2024-07-31T04:52:23.516Z",
        "completionTime": "2024-07-31T04:52:26.622Z",
        "activeDuration": 44882,
        "waitDuration": 41776,
        "actionDuration": 3106,
        "workingTimeDuration": 3106,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T04:52:26.622Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 603,
        "processInstanceId": "p:0a20cm",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcm.2pr",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:51:05.041Z",
        "firstOfferTime": "2024-07-31T04:51:05.066Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "SUSPENDED",
        "statusChanged": "2024-07-31T05:23:06.010Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 602,
        "processInstanceId": "p:0a20cl",
        "processTemplate": "Array001",
        "processTemplateId": "p:0a21a3",
        "activityName": "User1Step1",
        "activityInstanceId": "t:002gcl.2pi",
        "orgEntities": [
            {
                "id": "116FB73D-CD88-4FF1-A51E-58ED99471023",
                "type": "22",
                "version": "2"
            }
        ],
        "userResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T04:47:10.674Z",
        "firstOfferTime": "2024-07-31T04:47:10.692Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "SUSPENDED",
        "statusChanged": "2024-07-31T05:23:06.032Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 601,
        "processInstanceId": "p:0a20ci",
        "processTemplate": "Process_CaseTest_AutoProcess",
        "processTemplateId": "p:0a219z",
        "activityName": "CaseUserTask2",
        "activityInstanceId": "t:002gci.2pa",
        "orgEntities": [
            {
                "id": "_bB_HEC1pEeu_beAEvBOEXg",
                "type": "4",
                "version": "1"
            }
        ],
        "userResourceId": "0D98CA07-A26F-47F3-9786-503DBFA8DB0C",
        "completingUserResourceId": "0D98CA07-A26F-47F3-9786-503DBFA8DB0C",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:20:06.813Z",
        "firstOfferTime": "2024-07-31T03:20:06.829Z",
        "firstOpenTime": "2024-07-31T03:21:23.815Z",
        "lastOpenTime": "2024-07-31T03:21:23.826Z",
        "completionTime": "2024-07-31T03:21:26.380Z",
        "activeDuration": 79551,
        "waitDuration": 76986,
        "actionDuration": 2565,
        "workingTimeDuration": 2554,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:21:26.380Z",
        "priority": 50,
        "caseReferences": [
            "24-com.example.casetest_auto.CaseTest1-1-0"
        ],
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 600,
        "processInstanceId": "p:0a20ci",
        "processTemplate": "Process_CaseTest_AutoProcess",
        "processTemplateId": "p:0a219z",
        "activityName": "CaseUserTask1",
        "activityInstanceId": "t:002gci.2p8",
        "orgEntities": [
            {
                "id": "_YvzpEC1pEeu_beAEvBOEXg",
                "type": "4",
                "version": "1"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:20:06.790Z",
        "firstOfferTime": "2024-07-31T03:20:06.800Z",
        "firstOpenTime": "2024-07-31T03:20:41.635Z",
        "lastOpenTime": "2024-07-31T03:20:41.646Z",
        "completionTime": "2024-07-31T03:20:44.246Z",
        "activeDuration": 37446,
        "waitDuration": 34835,
        "actionDuration": 2611,
        "workingTimeDuration": 2600,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:20:44.246Z",
        "priority": 50,
        "caseReferences": [
            "24-com.example.casetest_auto.CaseTest1-1-0"
        ],
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 599,
        "processInstanceId": "p:0a20ch",
        "processTemplate": "Process_EmailTask_AutoProcess",
        "processTemplateId": "p:0a219x",
        "activityName": "AfterEmailTask",
        "activityInstanceId": "t:002gch.2p2",
        "orgEntities": [
            {
                "id": "_S_Mf4C1qEeu_beAEvBOEXg",
                "type": "3",
                "version": "1"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:19:31.916Z",
        "firstOfferTime": "2024-07-31T03:19:31.932Z",
        "firstOpenTime": "2024-07-31T03:19:45.830Z",
        "lastOpenTime": "2024-07-31T03:19:45.843Z",
        "completionTime": "2024-07-31T03:19:48.299Z",
        "activeDuration": 16367,
        "waitDuration": 13898,
        "actionDuration": 2469,
        "workingTimeDuration": 2456,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:19:48.299Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 598,
        "processInstanceId": "p:0a20ci",
        "processTemplate": "Process_CaseTest_AutoProcess",
        "processTemplateId": "p:0a219z",
        "activityName": "EnterCaseID",
        "activityInstanceId": "t:002gci.2p6",
        "orgEntities": [
            {
                "id": "_YvzpEC1pEeu_beAEvBOEXg",
                "type": "4",
                "version": "1"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:19:22.559Z",
        "firstOfferTime": "2024-07-31T03:19:22.567Z",
        "firstOpenTime": "2024-07-31T03:19:58.182Z",
        "lastOpenTime": "2024-07-31T03:19:58.193Z",
        "completionTime": "2024-07-31T03:20:06.611Z",
        "activeDuration": 44044,
        "waitDuration": 35615,
        "actionDuration": 8429,
        "workingTimeDuration": 8418,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:20:06.611Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 597,
        "processInstanceId": "p:0a20ch",
        "processTemplate": "Process_EmailTask_AutoProcess",
        "processTemplateId": "p:0a219x",
        "activityName": "BeforeEmailTask",
        "activityInstanceId": "t:002gch.2p0",
        "orgEntities": [
            {
                "id": "_S_Mf4C1qEeu_beAEvBOEXg",
                "type": "3",
                "version": "1"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:19:07.450Z",
        "firstOfferTime": "2024-07-31T03:19:07.459Z",
        "firstOpenTime": "2024-07-31T03:19:29.474Z",
        "lastOpenTime": "2024-07-31T03:19:29.485Z",
        "completionTime": "2024-07-31T03:19:31.848Z",
        "activeDuration": 24389,
        "waitDuration": 22015,
        "actionDuration": 2374,
        "workingTimeDuration": 2363,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:19:31.848Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 596,
        "processInstanceId": "p:0a20cd",
        "processTemplate": "BPMTestProjectProcess4",
        "processTemplateId": "p:0a219o",
        "activityName": "UserTask2",
        "activityInstanceId": "t:002gcd.2ou",
        "orgEntities": [
            {
                "id": "DC3AEF7F-96F3-435B-8C78-BC714A0A2248",
                "type": "22",
                "version": "0"
            }
        ],
        "userResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "completingUserResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:15:22.824Z",
        "firstOfferTime": "2024-07-31T03:15:22.838Z",
        "firstOpenTime": "2024-07-31T03:15:27.207Z",
        "lastOpenTime": "2024-07-31T03:15:27.222Z",
        "completionTime": "2024-07-31T03:15:27.781Z",
        "activeDuration": 4943,
        "waitDuration": 4369,
        "actionDuration": 574,
        "workingTimeDuration": 559,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:15:27.781Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 595,
        "processInstanceId": "p:0a20cd",
        "processTemplate": "BPMTestProjectProcess4",
        "processTemplateId": "p:0a219o",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gcd.2ot",
        "orgEntities": [
            {
                "id": "DC3AEF7F-96F3-435B-8C78-BC714A0A2248",
                "type": "22",
                "version": "0"
            }
        ],
        "userResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "completingUserResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:15:16.026Z",
        "firstOfferTime": "2024-07-31T03:15:16.037Z",
        "firstOpenTime": "2024-07-31T03:15:20.272Z",
        "lastOpenTime": "2024-07-31T03:15:20.283Z",
        "completionTime": "2024-07-31T03:15:22.696Z",
        "activeDuration": 6659,
        "waitDuration": 4235,
        "actionDuration": 2424,
        "workingTimeDuration": 2413,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:15:22.696Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 594,
        "processInstanceId": "p:0a20cd",
        "processTemplate": "BPMTestProjectProcess4",
        "processTemplateId": "p:0a219o",
        "activityName": "UserTask3",
        "activityInstanceId": "t:002gcd.2ov",
        "orgEntities": [
            {
                "id": "DC3AEF7F-96F3-435B-8C78-BC714A0A2248",
                "type": "22",
                "version": "0"
            }
        ],
        "userResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "completingUserResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:15:09.658Z",
        "firstOfferTime": "2024-07-31T03:15:09.678Z",
        "firstOpenTime": "2024-07-31T03:15:15.314Z",
        "lastOpenTime": "2024-07-31T03:15:15.326Z",
        "completionTime": "2024-07-31T03:15:15.904Z",
        "activeDuration": 6226,
        "waitDuration": 5636,
        "actionDuration": 590,
        "workingTimeDuration": 578,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:15:15.904Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 593,
        "processInstanceId": "p:0a20cb",
        "processTemplate": "BPMTestProjectProcess6",
        "processTemplateId": "p:0a219n",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gcb.2oo",
        "orgEntities": [
            {
                "id": "DC3AEF7F-96F3-435B-8C78-BC714A0A2248",
                "type": "22",
                "version": "0"
            }
        ],
        "userResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "completingUserResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:14:59.015Z",
        "firstOfferTime": "2024-07-31T03:14:59.033Z",
        "firstOpenTime": "2024-07-31T03:15:04.738Z",
        "lastOpenTime": "2024-07-31T03:15:04.752Z",
        "completionTime": "2024-07-31T03:15:05.342Z",
        "activeDuration": 6309,
        "waitDuration": 5705,
        "actionDuration": 604,
        "workingTimeDuration": 590,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:15:05.342Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 592,
        "processInstanceId": "p:0a20c7",
        "processTemplate": "BPMTestProjectProcess",
        "processTemplateId": "p:0a219p",
        "activityName": "UserTask3",
        "activityInstanceId": "t:002gc7.2oj",
        "orgEntities": [
            {
                "id": "DC3AEF7F-96F3-435B-8C78-BC714A0A2248",
                "type": "22",
                "version": "0"
            }
        ],
        "userResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "completingUserResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:14:49.796Z",
        "firstOfferTime": "2024-07-31T03:14:49.809Z",
        "firstOpenTime": "2024-07-31T03:14:54.092Z",
        "lastOpenTime": "2024-07-31T03:14:54.098Z",
        "completionTime": "2024-07-31T03:14:54.676Z",
        "activeDuration": 4867,
        "waitDuration": 4283,
        "actionDuration": 584,
        "workingTimeDuration": 578,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:14:54.676Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 591,
        "processInstanceId": "p:0a20c7",
        "processTemplate": "BPMTestProjectProcess",
        "processTemplateId": "p:0a219p",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gc7.2og",
        "orgEntities": [
            {
                "id": "DC3AEF7F-96F3-435B-8C78-BC714A0A2248",
                "type": "22",
                "version": "0"
            }
        ],
        "userResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "completingUserResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:14:40.354Z",
        "firstOfferTime": "2024-07-31T03:14:40.373Z",
        "firstOpenTime": "2024-07-31T03:14:47.934Z",
        "lastOpenTime": "2024-07-31T03:14:47.946Z",
        "completionTime": "2024-07-31T03:14:49.691Z",
        "activeDuration": 9318,
        "waitDuration": 7561,
        "actionDuration": 1757,
        "workingTimeDuration": 1745,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:14:49.691Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 590,
        "processInstanceId": "p:0a20c7",
        "processTemplate": "BPMTestProjectProcess",
        "processTemplateId": "p:0a219p",
        "activityName": "UserTask2",
        "activityInstanceId": "t:002gc7.2oi",
        "orgEntities": [
            {
                "id": "DC3AEF7F-96F3-435B-8C78-BC714A0A2248",
                "type": "22",
                "version": "0"
            }
        ],
        "userResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "completingUserResourceId": "37910C0A-56BA-4814-8787-12950F3DD183",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:14:30.619Z",
        "firstOfferTime": "2024-07-31T03:14:30.631Z",
        "firstOpenTime": "2024-07-31T03:14:37.447Z",
        "lastOpenTime": "2024-07-31T03:14:37.461Z",
        "completionTime": "2024-07-31T03:14:40.325Z",
        "activeDuration": 9694,
        "waitDuration": 6816,
        "actionDuration": 2878,
        "workingTimeDuration": 2864,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:14:40.325Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 589,
        "processInstanceId": "p:0a20c5",
        "processTemplate": "BoundaryEvent2Process",
        "processTemplateId": "p:0a2196",
        "activityName": "UserTask3",
        "activityInstanceId": "t:002gc5.2o5",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:13:37.109Z",
        "firstOfferTime": "2024-07-31T03:13:37.119Z",
        "firstOpenTime": "2024-07-31T03:13:42.015Z",
        "lastOpenTime": "2024-07-31T03:13:42.024Z",
        "completionTime": "2024-07-31T03:13:42.831Z",
        "activeDuration": 5712,
        "waitDuration": 4896,
        "actionDuration": 816,
        "workingTimeDuration": 807,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:13:42.831Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 588,
        "processInstanceId": "p:0a20c5",
        "processTemplate": "BoundaryEvent2Process",
        "processTemplateId": "p:0a2196",
        "activityName": "UserTask2",
        "activityInstanceId": "t:002gc5.2o9",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "completingUserResourceId": "Undelivered",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:13:27.736Z",
        "firstOfferTime": "2024-07-31T03:13:27.747Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "CANCELLED",
        "statusChanged": "2024-07-31T03:13:37.059Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 587,
        "processInstanceId": "p:0a20c5",
        "processTemplate": "BoundaryEvent2Process",
        "processTemplateId": "p:0a2196",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gc5.2o4",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:13:21.962Z",
        "firstOfferTime": "2024-07-31T03:13:21.980Z",
        "firstOpenTime": "2024-07-31T03:13:26.816Z",
        "lastOpenTime": "2024-07-31T03:13:26.830Z",
        "completionTime": "2024-07-31T03:13:27.627Z",
        "activeDuration": 5647,
        "waitDuration": 4836,
        "actionDuration": 811,
        "workingTimeDuration": 797,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:13:27.627Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 586,
        "processInstanceId": "p:0a20c4",
        "processTemplate": "TimeDatatypesCatchGlobalSignalProcess",
        "processTemplateId": "p:0a218y",
        "activityName": "TimeCatchUserTask",
        "activityInstanceId": "t:002gc4.2nz",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:12:13.225Z",
        "firstOfferTime": "2024-07-31T03:12:13.243Z",
        "firstOpenTime": "2024-07-31T03:12:18.234Z",
        "lastOpenTime": "2024-07-31T03:12:18.249Z",
        "completionTime": "2024-07-31T03:12:19.155Z",
        "activeDuration": 5912,
        "waitDuration": 4991,
        "actionDuration": 921,
        "workingTimeDuration": 906,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:12:19.155Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 585,
        "processInstanceId": "p:0a20c4",
        "processTemplate": "TimeDatatypesCatchGlobalSignalProcess",
        "processTemplateId": "p:0a218y",
        "activityName": "TimeUserTask2",
        "activityInstanceId": "t:002gc4.2nu",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:12:07.090Z",
        "firstOfferTime": "2024-07-31T03:12:07.098Z",
        "firstOpenTime": "2024-07-31T03:12:24.335Z",
        "lastOpenTime": "2024-07-31T03:12:24.342Z",
        "completionTime": "2024-07-31T03:12:25.185Z",
        "activeDuration": 18087,
        "waitDuration": 17237,
        "actionDuration": 850,
        "workingTimeDuration": 843,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:12:25.185Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 584,
        "processInstanceId": "p:0a20c4",
        "processTemplate": "TimeDatatypesCatchGlobalSignalProcess",
        "processTemplateId": "p:0a218y",
        "activityName": "TimeUserTask",
        "activityInstanceId": "t:002gc4.2nt",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:12:01.061Z",
        "firstOfferTime": "2024-07-31T03:12:01.074Z",
        "firstOpenTime": "2024-07-31T03:12:06.096Z",
        "lastOpenTime": "2024-07-31T03:12:06.110Z",
        "completionTime": "2024-07-31T03:12:07.012Z",
        "activeDuration": 5938,
        "waitDuration": 5022,
        "actionDuration": 916,
        "workingTimeDuration": 902,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:12:07.012Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 583,
        "processInstanceId": "p:0a20c3",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "TimeUserTask",
        "activityInstanceId": "t:002gc3.2na",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:11:59.272Z",
        "firstOfferTime": "2024-07-31T03:11:59.282Z",
        "firstOpenTime": "2024-07-31T03:12:12.142Z",
        "lastOpenTime": "2024-07-31T03:12:12.156Z",
        "completionTime": "2024-07-31T03:12:13.056Z",
        "activeDuration": 13774,
        "waitDuration": 12860,
        "actionDuration": 914,
        "workingTimeDuration": 900,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:12:13.056Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 582,
        "processInstanceId": "p:0a20c3",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gc3.2n7",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:11:53.268Z",
        "firstOfferTime": "2024-07-31T03:11:53.282Z",
        "firstOpenTime": "2024-07-31T03:11:58.269Z",
        "lastOpenTime": "2024-07-31T03:11:58.276Z",
        "completionTime": "2024-07-31T03:11:59.186Z",
        "activeDuration": 5904,
        "waitDuration": 4987,
        "actionDuration": 917,
        "workingTimeDuration": 910,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:11:59.186Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 581,
        "processInstanceId": "p:0a20c2",
        "processTemplate": "TimezoneDatatypesCatchGlobalSignalProcessProcess",
        "processTemplateId": "p:0a2190",
        "activityName": "TimezoneCatchUserTask",
        "activityInstanceId": "t:002gc2.2n2",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:11:31.173Z",
        "firstOfferTime": "2024-07-31T03:11:31.193Z",
        "firstOpenTime": "2024-07-31T03:11:36.085Z",
        "lastOpenTime": "2024-07-31T03:11:36.094Z",
        "completionTime": "2024-07-31T03:11:36.941Z",
        "activeDuration": 5748,
        "waitDuration": 4892,
        "actionDuration": 856,
        "workingTimeDuration": 847,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:11:36.941Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 580,
        "processInstanceId": "p:0a20c2",
        "processTemplate": "TimezoneDatatypesCatchGlobalSignalProcessProcess",
        "processTemplateId": "p:0a2190",
        "activityName": "TimezoneUserTask2",
        "activityInstanceId": "t:002gc2.2mx",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:11:25.053Z",
        "firstOfferTime": "2024-07-31T03:11:25.067Z",
        "firstOpenTime": "2024-07-31T03:11:42.055Z",
        "lastOpenTime": "2024-07-31T03:11:42.068Z",
        "completionTime": "2024-07-31T03:11:42.882Z",
        "activeDuration": 17815,
        "waitDuration": 16988,
        "actionDuration": 827,
        "workingTimeDuration": 814,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:11:42.882Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 579,
        "processInstanceId": "p:0a20c2",
        "processTemplate": "TimezoneDatatypesCatchGlobalSignalProcessProcess",
        "processTemplateId": "p:0a2190",
        "activityName": "TimezoneUserTask",
        "activityInstanceId": "t:002gc2.2mw",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:11:19.000Z",
        "firstOfferTime": "2024-07-31T03:11:19.016Z",
        "firstOpenTime": "2024-07-31T03:11:24.100Z",
        "lastOpenTime": "2024-07-31T03:11:24.106Z",
        "completionTime": "2024-07-31T03:11:24.938Z",
        "activeDuration": 5922,
        "waitDuration": 5084,
        "actionDuration": 838,
        "workingTimeDuration": 832,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:11:24.938Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 578,
        "processInstanceId": "p:0a20c1",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "TimezoneUserTask",
        "activityInstanceId": "t:002gc1.2mh",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:11:17.418Z",
        "firstOfferTime": "2024-07-31T03:11:17.432Z",
        "firstOpenTime": "2024-07-31T03:11:30.030Z",
        "lastOpenTime": "2024-07-31T03:11:30.037Z",
        "completionTime": "2024-07-31T03:11:30.947Z",
        "activeDuration": 13515,
        "waitDuration": 12598,
        "actionDuration": 917,
        "workingTimeDuration": 910,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:11:30.947Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 577,
        "processInstanceId": "p:0a20c1",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gc1.2ma",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:11:11.391Z",
        "firstOfferTime": "2024-07-31T03:11:11.409Z",
        "firstOpenTime": "2024-07-31T03:11:16.427Z",
        "lastOpenTime": "2024-07-31T03:11:16.442Z",
        "completionTime": "2024-07-31T03:11:17.318Z",
        "activeDuration": 5909,
        "waitDuration": 5018,
        "actionDuration": 891,
        "workingTimeDuration": 876,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:11:17.318Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 576,
        "processInstanceId": "p:0a20c0",
        "processTemplate": "DecimalIntegerDatatypesCatchGlobalSignalProcessProcess",
        "processTemplateId": "p:0a2193",
        "activityName": "DecimalIntegerCatchUserTask",
        "activityInstanceId": "t:002gc0.2m5",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:10:43.895Z",
        "firstOfferTime": "2024-07-31T03:10:43.909Z",
        "firstOpenTime": "2024-07-31T03:10:48.651Z",
        "lastOpenTime": "2024-07-31T03:10:48.664Z",
        "completionTime": "2024-07-31T03:10:49.403Z",
        "activeDuration": 5494,
        "waitDuration": 4742,
        "actionDuration": 752,
        "workingTimeDuration": 739,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:10:49.403Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 575,
        "processInstanceId": "p:0a20c0",
        "processTemplate": "DecimalIntegerDatatypesCatchGlobalSignalProcessProcess",
        "processTemplateId": "p:0a2193",
        "activityName": "DecimalIntegerUserTask2",
        "activityInstanceId": "t:002gc0.2m0",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:10:38.104Z",
        "firstOfferTime": "2024-07-31T03:10:38.118Z",
        "firstOpenTime": "2024-07-31T03:10:54.299Z",
        "lastOpenTime": "2024-07-31T03:10:54.305Z",
        "completionTime": "2024-07-31T03:10:56.782Z",
        "activeDuration": 18664,
        "waitDuration": 16181,
        "actionDuration": 2483,
        "workingTimeDuration": 2477,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:10:56.782Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 574,
        "processInstanceId": "p:0a20c0",
        "processTemplate": "DecimalIntegerDatatypesCatchGlobalSignalProcessProcess",
        "processTemplateId": "p:0a2193",
        "activityName": "DecimalIntegerUserTask",
        "activityInstanceId": "t:002gc0.2lz",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:10:32.348Z",
        "firstOfferTime": "2024-07-31T03:10:32.357Z",
        "firstOpenTime": "2024-07-31T03:10:37.224Z",
        "lastOpenTime": "2024-07-31T03:10:37.239Z",
        "completionTime": "2024-07-31T03:10:37.990Z",
        "activeDuration": 5633,
        "waitDuration": 4867,
        "actionDuration": 766,
        "workingTimeDuration": 751,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:10:37.990Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 573,
        "processInstanceId": "p:0a20bz",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "DecimalIntegerUserTask",
        "activityInstanceId": "t:002gbz.2lp",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:10:30.903Z",
        "firstOfferTime": "2024-07-31T03:10:30.922Z",
        "firstOpenTime": "2024-07-31T03:10:42.898Z",
        "lastOpenTime": "2024-07-31T03:10:42.904Z",
        "completionTime": "2024-07-31T03:10:43.727Z",
        "activeDuration": 12805,
        "waitDuration": 11976,
        "actionDuration": 829,
        "workingTimeDuration": 823,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:10:43.727Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 572,
        "processInstanceId": "p:0a20bz",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gbz.2ld",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:10:25.151Z",
        "firstOfferTime": "2024-07-31T03:10:25.166Z",
        "firstOpenTime": "2024-07-31T03:10:29.981Z",
        "lastOpenTime": "2024-07-31T03:10:29.987Z",
        "completionTime": "2024-07-31T03:10:30.753Z",
        "activeDuration": 5587,
        "waitDuration": 4815,
        "actionDuration": 772,
        "workingTimeDuration": 766,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:10:30.753Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 571,
        "processInstanceId": "p:0a20by",
        "processTemplate": "TextDatatypeCatchGlobalSignalProcess",
        "processTemplateId": "p:0a2195",
        "activityName": "TextCatchUserTask3",
        "activityInstanceId": "t:002gby.2l8",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:10:03.826Z",
        "firstOfferTime": "2024-07-31T03:10:03.848Z",
        "firstOpenTime": "2024-07-31T03:10:08.619Z",
        "lastOpenTime": "2024-07-31T03:10:08.625Z",
        "completionTime": "2024-07-31T03:10:09.451Z",
        "activeDuration": 5603,
        "waitDuration": 4771,
        "actionDuration": 832,
        "workingTimeDuration": 826,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:10:09.451Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 570,
        "processInstanceId": "p:0a20by",
        "processTemplate": "TextDatatypeCatchGlobalSignalProcess",
        "processTemplateId": "p:0a2195",
        "activityName": "UserTask2",
        "activityInstanceId": "t:002gby.2l3",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:09:57.506Z",
        "firstOfferTime": "2024-07-31T03:09:57.514Z",
        "firstOpenTime": "2024-07-31T03:10:14.311Z",
        "lastOpenTime": "2024-07-31T03:10:14.323Z",
        "completionTime": "2024-07-31T03:10:15.165Z",
        "activeDuration": 17651,
        "waitDuration": 16797,
        "actionDuration": 854,
        "workingTimeDuration": 842,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:10:15.165Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 569,
        "processInstanceId": "p:0a20by",
        "processTemplate": "TextDatatypeCatchGlobalSignalProcess",
        "processTemplateId": "p:0a2195",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gby.2l2",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:09:51.793Z",
        "firstOfferTime": "2024-07-31T03:09:51.808Z",
        "firstOpenTime": "2024-07-31T03:09:56.632Z",
        "lastOpenTime": "2024-07-31T03:09:56.648Z",
        "completionTime": "2024-07-31T03:09:57.395Z",
        "activeDuration": 5587,
        "waitDuration": 4824,
        "actionDuration": 763,
        "workingTimeDuration": 747,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:09:57.395Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 568,
        "processInstanceId": "p:0a20bx",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "TextThrowUT",
        "activityInstanceId": "t:002gbx.2ku",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:09:50.342Z",
        "firstOfferTime": "2024-07-31T03:09:50.352Z",
        "firstOpenTime": "2024-07-31T03:10:02.876Z",
        "lastOpenTime": "2024-07-31T03:10:02.884Z",
        "completionTime": "2024-07-31T03:10:03.657Z",
        "activeDuration": 13305,
        "waitDuration": 12524,
        "actionDuration": 781,
        "workingTimeDuration": 773,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:10:03.657Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 567,
        "processInstanceId": "p:0a20bx",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gbx.2kg",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:09:44.586Z",
        "firstOfferTime": "2024-07-31T03:09:44.594Z",
        "firstOpenTime": "2024-07-31T03:09:49.430Z",
        "lastOpenTime": "2024-07-31T03:09:49.436Z",
        "completionTime": "2024-07-31T03:09:50.183Z",
        "activeDuration": 5589,
        "waitDuration": 4836,
        "actionDuration": 753,
        "workingTimeDuration": 747,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:09:50.183Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 566,
        "processInstanceId": "p:0a20bw",
        "processTemplate": "URIDatatypeCatchGlobalSignalProcessProcess",
        "processTemplateId": "p:0a2194",
        "activityName": "URICatchUserTask3",
        "activityInstanceId": "t:002gbw.2kb",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:09:23.498Z",
        "firstOfferTime": "2024-07-31T03:09:23.516Z",
        "firstOpenTime": "2024-07-31T03:09:28.155Z",
        "lastOpenTime": "2024-07-31T03:09:28.165Z",
        "completionTime": "2024-07-31T03:09:28.996Z",
        "activeDuration": 5480,
        "waitDuration": 4639,
        "actionDuration": 841,
        "workingTimeDuration": 831,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:09:28.996Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 565,
        "processInstanceId": "p:0a20bw",
        "processTemplate": "URIDatatypeCatchGlobalSignalProcessProcess",
        "processTemplateId": "p:0a2194",
        "activityName": "URIUserTask2",
        "activityInstanceId": "t:002gbw.2k6",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:09:17.665Z",
        "firstOfferTime": "2024-07-31T03:09:17.674Z",
        "firstOpenTime": "2024-07-31T03:09:33.873Z",
        "lastOpenTime": "2024-07-31T03:09:33.881Z",
        "completionTime": "2024-07-31T03:09:34.708Z",
        "activeDuration": 17034,
        "waitDuration": 16199,
        "actionDuration": 835,
        "workingTimeDuration": 827,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:09:34.708Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 564,
        "processInstanceId": "p:0a20bw",
        "processTemplate": "URIDatatypeCatchGlobalSignalProcessProcess",
        "processTemplateId": "p:0a2194",
        "activityName": "URIUserTask",
        "activityInstanceId": "t:002gbw.2k5",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:09:11.948Z",
        "firstOfferTime": "2024-07-31T03:09:11.963Z",
        "firstOpenTime": "2024-07-31T03:09:16.752Z",
        "lastOpenTime": "2024-07-31T03:09:16.760Z",
        "completionTime": "2024-07-31T03:09:17.538Z",
        "activeDuration": 5575,
        "waitDuration": 4789,
        "actionDuration": 786,
        "workingTimeDuration": 778,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:09:17.538Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 563,
        "processInstanceId": "p:0a20bv",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "URIUserTask",
        "activityInstanceId": "t:002gbv.2jp",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:09:06.938Z",
        "firstOfferTime": "2024-07-31T03:09:06.947Z",
        "firstOpenTime": "2024-07-31T03:09:22.444Z",
        "lastOpenTime": "2024-07-31T03:09:22.457Z",
        "completionTime": "2024-07-31T03:09:23.283Z",
        "activeDuration": 16336,
        "waitDuration": 15497,
        "actionDuration": 839,
        "workingTimeDuration": 826,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:09:23.283Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 562,
        "processInstanceId": "p:0a20bv",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gbv.2jj",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:09:01.197Z",
        "firstOfferTime": "2024-07-31T03:09:01.206Z",
        "firstOpenTime": "2024-07-31T03:09:06.059Z",
        "lastOpenTime": "2024-07-31T03:09:06.073Z",
        "completionTime": "2024-07-31T03:09:06.846Z",
        "activeDuration": 5640,
        "waitDuration": 4853,
        "actionDuration": 787,
        "workingTimeDuration": 773,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:09:06.846Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 561,
        "processInstanceId": "p:0a20bu",
        "processTemplate": "DateDatatypesCatchGlobalSignalProcess",
        "processTemplateId": "p:0a218z",
        "activityName": "DateCatchUserTask",
        "activityInstanceId": "t:002gbu.2je",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:08:39.951Z",
        "firstOfferTime": "2024-07-31T03:08:39.968Z",
        "firstOpenTime": "2024-07-31T03:08:44.620Z",
        "lastOpenTime": "2024-07-31T03:08:44.629Z",
        "completionTime": "2024-07-31T03:08:45.494Z",
        "activeDuration": 5526,
        "waitDuration": 4652,
        "actionDuration": 874,
        "workingTimeDuration": 865,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:08:45.494Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 560,
        "processInstanceId": "p:0a20bu",
        "processTemplate": "DateDatatypesCatchGlobalSignalProcess",
        "processTemplateId": "p:0a218z",
        "activityName": "DateUserTask2",
        "activityInstanceId": "t:002gbu.2j9",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:08:34.105Z",
        "firstOfferTime": "2024-07-31T03:08:34.120Z",
        "firstOpenTime": "2024-07-31T03:08:50.433Z",
        "lastOpenTime": "2024-07-31T03:08:50.446Z",
        "completionTime": "2024-07-31T03:08:51.210Z",
        "activeDuration": 17090,
        "waitDuration": 16313,
        "actionDuration": 777,
        "workingTimeDuration": 764,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:08:51.210Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 559,
        "processInstanceId": "p:0a20bu",
        "processTemplate": "DateDatatypesCatchGlobalSignalProcess",
        "processTemplateId": "p:0a218z",
        "activityName": "DateUserTask",
        "activityInstanceId": "t:002gbu.2j8",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:08:28.362Z",
        "firstOfferTime": "2024-07-31T03:08:28.381Z",
        "firstOpenTime": "2024-07-31T03:08:33.169Z",
        "lastOpenTime": "2024-07-31T03:08:33.177Z",
        "completionTime": "2024-07-31T03:08:33.960Z",
        "activeDuration": 5579,
        "waitDuration": 4788,
        "actionDuration": 791,
        "workingTimeDuration": 783,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:08:33.960Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 558,
        "processInstanceId": "p:0a20bt",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "DateUserTask",
        "activityInstanceId": "t:002gbt.2iu",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:08:26.981Z",
        "firstOfferTime": "2024-07-31T03:08:26.992Z",
        "firstOpenTime": "2024-07-31T03:08:38.983Z",
        "lastOpenTime": "2024-07-31T03:08:38.990Z",
        "completionTime": "2024-07-31T03:08:39.752Z",
        "activeDuration": 12760,
        "waitDuration": 11991,
        "actionDuration": 769,
        "workingTimeDuration": 762,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:08:39.752Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 557,
        "processInstanceId": "p:0a20bt",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gbt.2im",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:08:21.360Z",
        "firstOfferTime": "2024-07-31T03:08:21.370Z",
        "firstOpenTime": "2024-07-31T03:08:26.087Z",
        "lastOpenTime": "2024-07-31T03:08:26.101Z",
        "completionTime": "2024-07-31T03:08:26.858Z",
        "activeDuration": 5488,
        "waitDuration": 4717,
        "actionDuration": 771,
        "workingTimeDuration": 757,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:08:26.858Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 556,
        "processInstanceId": "p:0a20bs",
        "processTemplate": "BooleanDatatypeCatchGlobalSignalProcess",
        "processTemplateId": "p:0a2192",
        "activityName": "BooleanCatchUserTask",
        "activityInstanceId": "t:002gbs.2ih",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:07:58.618Z",
        "firstOfferTime": "2024-07-31T03:07:58.636Z",
        "firstOpenTime": "2024-07-31T03:08:05.079Z",
        "lastOpenTime": "2024-07-31T03:08:05.092Z",
        "completionTime": "2024-07-31T03:08:05.867Z",
        "activeDuration": 7231,
        "waitDuration": 6443,
        "actionDuration": 788,
        "workingTimeDuration": 775,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:08:05.867Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 555,
        "processInstanceId": "p:0a20bs",
        "processTemplate": "BooleanDatatypeCatchGlobalSignalProcess",
        "processTemplateId": "p:0a2192",
        "activityName": "BooleanUserTask3",
        "activityInstanceId": "t:002gbs.2ic",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:07:52.722Z",
        "firstOfferTime": "2024-07-31T03:07:52.736Z",
        "firstOpenTime": "2024-07-31T03:08:10.748Z",
        "lastOpenTime": "2024-07-31T03:08:10.761Z",
        "completionTime": "2024-07-31T03:08:11.546Z",
        "activeDuration": 18810,
        "waitDuration": 18012,
        "actionDuration": 798,
        "workingTimeDuration": 785,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:08:11.546Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 554,
        "processInstanceId": "p:0a20bs",
        "processTemplate": "BooleanDatatypeCatchGlobalSignalProcess",
        "processTemplateId": "p:0a2192",
        "activityName": "BooleanUserTask2",
        "activityInstanceId": "t:002gbs.2ib",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:07:47.101Z",
        "firstOfferTime": "2024-07-31T03:07:47.111Z",
        "firstOpenTime": "2024-07-31T03:07:51.857Z",
        "lastOpenTime": "2024-07-31T03:07:51.871Z",
        "completionTime": "2024-07-31T03:07:52.627Z",
        "activeDuration": 5516,
        "waitDuration": 4746,
        "actionDuration": 770,
        "workingTimeDuration": 756,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:07:52.627Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 553,
        "processInstanceId": "p:0a20br",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "BooleanUserTask",
        "activityInstanceId": "t:002gbr.2hr",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:07:45.646Z",
        "firstOfferTime": "2024-07-31T03:07:45.664Z",
        "firstOpenTime": "2024-07-31T03:07:57.573Z",
        "lastOpenTime": "2024-07-31T03:07:57.581Z",
        "completionTime": "2024-07-31T03:07:58.345Z",
        "activeDuration": 12681,
        "waitDuration": 11909,
        "actionDuration": 772,
        "workingTimeDuration": 764,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:07:58.345Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 552,
        "processInstanceId": "p:0a20br",
        "processTemplate": "DataTypesGlobalSignalThrowProcessProcess",
        "processTemplateId": "p:0a218x",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gbr.2hp",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:07:39.796Z",
        "firstOfferTime": "2024-07-31T03:07:39.805Z",
        "firstOpenTime": "2024-07-31T03:07:44.740Z",
        "lastOpenTime": "2024-07-31T03:07:44.754Z",
        "completionTime": "2024-07-31T03:07:45.516Z",
        "activeDuration": 5711,
        "waitDuration": 4935,
        "actionDuration": 776,
        "workingTimeDuration": 762,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:07:45.516Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 551,
        "processInstanceId": "p:0a20bq",
        "processTemplate": "NewProjectProcess",
        "processTemplateId": "p:0a218w",
        "activityName": "UserTask4",
        "activityInstanceId": "t:002gbq.2hd",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:06:55.594Z",
        "firstOfferTime": "2024-07-31T03:06:55.609Z",
        "firstOpenTime": "2024-07-31T03:07:04.572Z",
        "lastOpenTime": "2024-07-31T03:07:04.584Z",
        "completionTime": "2024-07-31T03:07:05.359Z",
        "activeDuration": 9750,
        "waitDuration": 8963,
        "actionDuration": 787,
        "workingTimeDuration": 775,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:07:05.359Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 550,
        "processInstanceId": "p:0a20bq",
        "processTemplate": "NewProjectProcess",
        "processTemplateId": "p:0a218w",
        "activityName": "UserTask5",
        "activityInstanceId": "t:002gbq.2h8",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:06:41.101Z",
        "firstOfferTime": "2024-07-31T03:06:41.114Z",
        "firstOpenTime": "2024-07-31T03:06:46.337Z",
        "lastOpenTime": "2024-07-31T03:06:46.348Z",
        "completionTime": "2024-07-31T03:06:47.078Z",
        "activeDuration": 5964,
        "waitDuration": 5223,
        "actionDuration": 741,
        "workingTimeDuration": 730,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:06:47.078Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 549,
        "processInstanceId": "p:0a20bq",
        "processTemplate": "NewProjectProcess",
        "processTemplateId": "p:0a218w",
        "activityName": "UserTask2",
        "activityInstanceId": "t:002gbq.2gr",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:06:31.163Z",
        "firstOfferTime": "2024-07-31T03:06:31.184Z",
        "firstOpenTime": "2024-07-31T03:06:35.942Z",
        "lastOpenTime": "2024-07-31T03:06:35.955Z",
        "completionTime": "2024-07-31T03:06:36.718Z",
        "activeDuration": 5534,
        "waitDuration": 4758,
        "actionDuration": 776,
        "workingTimeDuration": 763,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:06:36.718Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 548,
        "processInstanceId": "p:0a20bq",
        "processTemplate": "NewProjectProcess",
        "processTemplateId": "p:0a218w",
        "activityName": "UserTask3",
        "activityInstanceId": "t:002gbq.2gu",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:06:21.237Z",
        "firstOfferTime": "2024-07-31T03:06:21.246Z",
        "firstOpenTime": "2024-07-31T03:06:26.035Z",
        "lastOpenTime": "2024-07-31T03:06:26.047Z",
        "completionTime": "2024-07-31T03:06:26.819Z",
        "activeDuration": 5573,
        "waitDuration": 4789,
        "actionDuration": 784,
        "workingTimeDuration": 772,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:06:26.819Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 547,
        "processInstanceId": "p:0a20bp",
        "processTemplate": "RetainFamiliar005",
        "processTemplateId": "p:0a218v",
        "activityName": "UT3RetainFamiliarMultipleInstanceSequentialOfferToQAN2",
        "activityInstanceId": "t:002gbp.2gg",
        "orgEntities": [
            {
                "id": "_rBVBMGrmEd6mVJGSU5KFOw",
                "type": "3",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:04:46.651Z",
        "firstOfferTime": "2024-07-31T03:04:46.658Z",
        "firstOpenTime": "2024-07-31T03:04:52.706Z",
        "lastOpenTime": "2024-07-31T03:04:52.706Z",
        "completionTime": "2024-07-31T03:04:53.235Z",
        "activeDuration": 6577,
        "waitDuration": 6048,
        "actionDuration": 529,
        "workingTimeDuration": 529,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:04:53.235Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 546,
        "processInstanceId": "p:0a20bp",
        "processTemplate": "RetainFamiliar005",
        "processTemplateId": "p:0a218v",
        "activityName": "UT3RetainFamiliarMultipleInstanceSequentialOfferToQAN2",
        "activityInstanceId": "t:002gbp.2gd",
        "orgEntities": [
            {
                "id": "_rBVBMGrmEd6mVJGSU5KFOw",
                "type": "3",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:04:39.977Z",
        "firstOfferTime": "2024-07-31T03:04:39.990Z",
        "firstOpenTime": "2024-07-31T03:04:45.995Z",
        "lastOpenTime": "2024-07-31T03:04:45.995Z",
        "completionTime": "2024-07-31T03:04:46.545Z",
        "activeDuration": 6555,
        "waitDuration": 6005,
        "actionDuration": 550,
        "workingTimeDuration": 550,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:04:46.545Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 545,
        "processInstanceId": "p:0a20bp",
        "processTemplate": "RetainFamiliar005",
        "processTemplateId": "p:0a218v",
        "activityName": "UT3RetainFamiliarMultipleInstanceSequentialOfferToQAN2",
        "activityInstanceId": "t:002gbp.2ga",
        "orgEntities": [
            {
                "id": "_rBVBMGrmEd6mVJGSU5KFOw",
                "type": "3",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:04:29.626Z",
        "firstOfferTime": "2024-07-31T03:04:29.633Z",
        "firstOpenTime": "2024-07-31T03:04:39.306Z",
        "lastOpenTime": "2024-07-31T03:04:39.306Z",
        "completionTime": "2024-07-31T03:04:39.846Z",
        "activeDuration": 10213,
        "waitDuration": 9673,
        "actionDuration": 540,
        "workingTimeDuration": 540,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:04:39.846Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 544,
        "processInstanceId": "p:0a20bp",
        "processTemplate": "RetainFamiliar005",
        "processTemplateId": "p:0a218v",
        "activityName": "UT2MultipleInstanceParallelRetainFamiliarOfferToQAN2",
        "activityInstanceId": "t:002gbp.2g8",
        "orgEntities": [
            {
                "id": "_rBVBMGrmEd6mVJGSU5KFOw",
                "type": "3",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:04:09.205Z",
        "firstOfferTime": "2024-07-31T03:04:09.211Z",
        "firstOpenTime": "2024-07-31T03:04:29.003Z",
        "lastOpenTime": "2024-07-31T03:04:29.003Z",
        "completionTime": "2024-07-31T03:04:29.525Z",
        "activeDuration": 20314,
        "waitDuration": 19792,
        "actionDuration": 522,
        "workingTimeDuration": 522,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:04:29.525Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 543,
        "processInstanceId": "p:0a20bp",
        "processTemplate": "RetainFamiliar005",
        "processTemplateId": "p:0a218v",
        "activityName": "UT2MultipleInstanceParallelRetainFamiliarOfferToQAN2",
        "activityInstanceId": "t:002gbp.2g7",
        "orgEntities": [
            {
                "id": "_rBVBMGrmEd6mVJGSU5KFOw",
                "type": "3",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:04:09.185Z",
        "firstOfferTime": "2024-07-31T03:04:09.190Z",
        "firstOpenTime": "2024-07-31T03:04:22.303Z",
        "lastOpenTime": "2024-07-31T03:04:22.303Z",
        "completionTime": "2024-07-31T03:04:22.821Z",
        "activeDuration": 13631,
        "waitDuration": 13113,
        "actionDuration": 518,
        "workingTimeDuration": 518,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:04:22.821Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 542,
        "processInstanceId": "p:0a20bp",
        "processTemplate": "RetainFamiliar005",
        "processTemplateId": "p:0a218v",
        "activityName": "UT2MultipleInstanceParallelRetainFamiliarOfferToQAN2",
        "activityInstanceId": "t:002gbp.2g6",
        "orgEntities": [
            {
                "id": "_rBVBMGrmEd6mVJGSU5KFOw",
                "type": "3",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:04:09.157Z",
        "firstOfferTime": "2024-07-31T03:04:09.168Z",
        "firstOpenTime": "2024-07-31T03:04:15.613Z",
        "lastOpenTime": "2024-07-31T03:04:15.613Z",
        "completionTime": "2024-07-31T03:04:16.125Z",
        "activeDuration": 6957,
        "waitDuration": 6445,
        "actionDuration": 512,
        "workingTimeDuration": 512,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:04:16.125Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 541,
        "processInstanceId": "p:0a20bp",
        "processTemplate": "RetainFamiliar005",
        "processTemplateId": "p:0a218v",
        "activityName": "UT1RetainFamiliarOfferToQAN2",
        "activityInstanceId": "t:002gbp.2fw",
        "orgEntities": [
            {
                "id": "_rBVBMGrmEd6mVJGSU5KFOw",
                "type": "3",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:04:03.880Z",
        "firstOfferTime": "2024-07-31T03:04:03.895Z",
        "firstOpenTime": "2024-07-31T03:04:08.521Z",
        "lastOpenTime": "2024-07-31T03:04:08.541Z",
        "completionTime": "2024-07-31T03:04:09.067Z",
        "activeDuration": 5172,
        "waitDuration": 4626,
        "actionDuration": 546,
        "workingTimeDuration": 526,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:04:09.067Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 540,
        "processInstanceId": "p:0a20bo",
        "processTemplate": "RetainFamiliar004",
        "processTemplateId": "p:0a218u",
        "activityName": "UT3RetainFamiliarOfferToOU",
        "activityInstanceId": "t:002gbo.2fr",
        "orgEntities": [
            {
                "id": "_nvPv8GrnEd6mVJGSU5KFOw",
                "type": "2",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:03:44.311Z",
        "firstOfferTime": "2024-07-31T03:03:44.318Z",
        "firstOpenTime": "2024-07-31T03:03:48.824Z",
        "lastOpenTime": "2024-07-31T03:03:48.824Z",
        "completionTime": "2024-07-31T03:03:49.334Z",
        "activeDuration": 5016,
        "waitDuration": 4506,
        "actionDuration": 510,
        "workingTimeDuration": 510,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:03:49.334Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 539,
        "processInstanceId": "p:0a20bo",
        "processTemplate": "RetainFamiliar004",
        "processTemplateId": "p:0a218u",
        "activityName": "UT2RetainFamiliarOfferToPosition",
        "activityInstanceId": "t:002gbo.2fq",
        "orgEntities": [
            {
                "id": "_s6pd0GrnEd6mVJGSU5KFOw",
                "type": "4",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:03:36.003Z",
        "firstOfferTime": "2024-07-31T03:03:36.015Z",
        "firstOpenTime": "2024-07-31T03:03:43.697Z",
        "lastOpenTime": "2024-07-31T03:03:43.697Z",
        "completionTime": "2024-07-31T03:03:44.244Z",
        "activeDuration": 8229,
        "waitDuration": 7682,
        "actionDuration": 547,
        "workingTimeDuration": 547,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:03:44.244Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 538,
        "processInstanceId": "p:0a20bo",
        "processTemplate": "RetainFamiliar004",
        "processTemplateId": "p:0a218u",
        "activityName": "UT1RetainFamiliarOfferToGroup",
        "activityInstanceId": "t:002gbo.2fp",
        "orgEntities": [
            {
                "id": "_rBVBMGrmEd6mVJGSU5KFOw",
                "type": "3",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:03:33.974Z",
        "firstOfferTime": "2024-07-31T03:03:33.983Z",
        "firstOpenTime": "2024-07-31T03:03:35.307Z",
        "lastOpenTime": "2024-07-31T03:03:35.344Z",
        "completionTime": "2024-07-31T03:03:35.893Z",
        "activeDuration": 1910,
        "waitDuration": 1324,
        "actionDuration": 586,
        "workingTimeDuration": 549,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:03:35.893Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 537,
        "processInstanceId": "p:0a20bn",
        "processTemplate": "RetainFamiliar003",
        "processTemplateId": "p:0a218t",
        "activityName": "UT6RetainFamiliarOfferToQAN2",
        "activityInstanceId": "t:002gbn.2fj",
        "orgEntities": [
            {
                "id": "_rBVBMGrmEd6mVJGSU5KFOw",
                "type": "3",
                "version": "2"
            }
        ],
        "userResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "completingUserResourceId": "8187826B-1867-4248-86C1-6D568D8105BA",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T03:03:08.434Z",
        "firstOfferTime": "2024-07-31T03:03:08.439Z",
        "firstOpenTime": "2024-07-31T03:03:13.525Z",
        "lastOpenTime": "2024-07-31T03:03:13.525Z",
        "completionTime": "2024-07-31T03:03:14.062Z",
        "activeDuration": 5623,
        "waitDuration": 5086,
        "actionDuration": 537,
        "workingTimeDuration": 537,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T03:03:14.062Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    }
]

const workItemItemData = [
    {
        "workItemId": 626,
        "processInstanceId": "p:0a20d0",
        "processTemplate": "OrderBPMProjectProcess",
        "processTemplateId": "p:0a21a6",
        "activityName": "UserTask",
        "activityInstanceId": "t:002gd0.2tn",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "completingUserResourceId": "Undelivered",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T06:07:12.212Z",
        "firstOfferTime": "2024-07-31T06:07:12.231Z",
        "activeDuration": 0,
        "waitDuration": 0,
        "actionDuration": 0,
        "workingTimeDuration": 0,
        "status": "CANCELLED",
        "statusChanged": "2024-07-31T06:08:56.580Z",
        "priority": 50,
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    },
    {
        "workItemId": 620,
        "processInstanceId": "p:0a20d0",
        "processTemplate": "OrderBPMProjectProcess",
        "processTemplateId": "p:0a21a6",
        "activityName": "UserTask2",
        "activityInstanceId": "t:002gd0.2tm",
        "orgEntities": [
            {
                "id": "Undelivered",
                "type": "3",
                "version": "0"
            }
        ],
        "userResourceId": "tibco-admin",
        "completingUserResourceId": "tibco-admin",
        "workGroupId": 0,
        "scheduleStart": "2024-07-31T06:06:30.731Z",
        "firstOfferTime": "2024-07-31T06:06:30.751Z",
        "firstOpenTime": "2024-07-31T06:07:08.817Z",
        "lastOpenTime": "2024-07-31T06:07:08.835Z",
        "completionTime": "2024-07-31T06:07:11.909Z",
        "activeDuration": 41158,
        "waitDuration": 38066,
        "actionDuration": 3092,
        "workingTimeDuration": 3074,
        "status": "COMPLETED",
        "statusChanged": "2024-07-31T06:07:11.909Z",
        "priority": 50,
        "caseReferences": [
            "27-com.example.orderbdsproject.MyOrder-1-0",
            "28-com.example.orderbdsproject.MyAdditionalOrder-1-0"
        ],
        "genericAttributes": [
            {
                "name": "attribute1",
                "type": "Long"
            },
            {
                "name": "attribute2",
                "type": "String"
            },
            {
                "name": "attribute3",
                "type": "String"
            },
            {
                "name": "attribute4",
                "type": "String"
            },
            {
                "name": "attribute5",
                "type": "BigDecimal"
            },
            {
                "name": "attribute6",
                "type": "Date"
            },
            {
                "name": "attribute7",
                "type": "Date"
            },
            {
                "name": "attribute8",
                "type": "String"
            },
            {
                "name": "attribute9",
                "type": "String"
            },
            {
                "name": "attribute10",
                "type": "String"
            },
            {
                "name": "attribute11",
                "type": "String"
            },
            {
                "name": "attribute12",
                "type": "String"
            },
            {
                "name": "attribute13",
                "type": "String"
            },
            {
                "name": "attribute14",
                "type": "String"
            },
            {
                "name": "attribute15",
                "type": "Long"
            },
            {
                "name": "attribute16",
                "type": "BigDecimal"
            },
            {
                "name": "attribute17",
                "type": "BigDecimal"
            },
            {
                "name": "attribute18",
                "type": "BigDecimal"
            },
            {
                "name": "attribute19",
                "type": "Date"
            },
            {
                "name": "attribute20",
                "type": "Date"
            },
            {
                "name": "attribute21",
                "type": "String"
            },
            {
                "name": "attribute22",
                "type": "String"
            },
            {
                "name": "attribute23",
                "type": "String"
            },
            {
                "name": "attribute24",
                "type": "String"
            },
            {
                "name": "attribute25",
                "type": "String"
            },
            {
                "name": "attribute26",
                "type": "String"
            },
            {
                "name": "attribute27",
                "type": "String"
            },
            {
                "name": "attribute28",
                "type": "String"
            },
            {
                "name": "attribute29",
                "type": "String"
            },
            {
                "name": "attribute30",
                "type": "String"
            },
            {
                "name": "attribute31",
                "type": "String"
            },
            {
                "name": "attribute32",
                "type": "String"
            },
            {
                "name": "attribute33",
                "type": "String"
            },
            {
                "name": "attribute34",
                "type": "String"
            },
            {
                "name": "attribute35",
                "type": "String"
            },
            {
                "name": "attribute36",
                "type": "String"
            },
            {
                "name": "attribute37",
                "type": "String"
            },
            {
                "name": "attribute38",
                "type": "String"
            },
            {
                "name": "attribute39",
                "type": "String"
            },
            {
                "name": "attribute40",
                "type": "String"
            }
        ]
    }
]

const typesData = [
    {
        "name": "MyAdditionalOrder",
        "label": "MyAdditionalOrder",
        "isCase": true,
        "namespace": "com.example.orderbdsproject",
        "applicationId": "com.example.orderbdsproject",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "additionalOrderState",
                "label": "AdditionalOrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "additionalProduct",
                "label": "AdditionalProduct",
                "type": "Text",
                "constraints": {
                    "length": 50
                }
            }
        ],
        "summaryAttributes": [
            {
                "name": "additionalOrderID",
                "label": "AdditionalOrderID",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "additionalOrderState",
                "label": "AdditionalOrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Created",
                "value": "CREATED"
            },
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Dispatched",
                "value": "DISPATCHED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "order",
                "label": "Order",
                "type": "MyOrder"
            }
        ]
    },
    {
        "name": "MyOrder",
        "label": "MyOrder",
        "isCase": true,
        "namespace": "com.example.orderbdsproject",
        "applicationId": "com.example.orderbdsproject",
        "applicationMajorVersion": 1,
        "attributes": [
            {
                "name": "orderId",
                "label": "OrderId",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "customerName",
                "label": "CustomerName",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "product",
                "label": "Product",
                "type": "Text",
                "isSearchable": true,
                "constraints": {
                    "length": 50
                }
            },
            {
                "name": "quantity",
                "label": "Quantity",
                "type": "FixedPointNumber",
                "isSearchable": true,
                "constraints": {
                    "length": 10,
                    "decimalPlaces": 0
                }
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "datetime",
                "label": "datetime",
                "type": "DateTimeTZ",
                "isSearchable": true
            },
            {
                "name": "time",
                "label": "time",
                "type": "Time",
                "isSearchable": true
            },
            {
                "name": "number",
                "label": "number",
                "type": "Number",
                "isSearchable": true
            }
        ],
        "summaryAttributes": [
            {
                "name": "orderId",
                "label": "OrderId",
                "type": "Text",
                "isIdentifier": true,
                "isAutoIdentifier": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            },
            {
                "name": "orderState",
                "label": "OrderState",
                "type": "Text",
                "isState": true,
                "isMandatory": true,
                "isSearchable": true,
                "isSummary": true
            }
        ],
        "states": [
            {
                "label": "Created",
                "value": "CREATED"
            },
            {
                "label": "Picked",
                "value": "PICKED"
            },
            {
                "label": "Packed",
                "value": "PACKED"
            },
            {
                "label": "Dispatched",
                "value": "DISPATCHED"
            },
            {
                "label": "Delivered",
                "value": "DELIVERED",
                "isTerminal": true
            }
        ],
        "links": [
            {
                "name": "additionalOrder",
                "label": "AdditionalOrder",
                "type": "MyAdditionalOrder"
            }
        ]
    }
]

const casesData = [
    {
        "caseReference": "27-com.example.orderbdsproject.MyOrder-1-1",
        "casedata": "{\"time\": \"06:38:16\", \"number\": 45, \"orderId\": \"Perf2Case\", \"product\": \"Product1-Updated\", \"datetime\": \"2024-07-12T06:38:16.000Z\", \"quantity\": 1, \"orderState\": \"PICKED\", \"customerName\": \"Customer1-Updated\"}",
        "summary": "{\"orderId\":\"Perf2Case\",\"orderState\":\"PICKED\"}",
        "metadata": {
            "createdBy": "tibco-admin",
            "creationTimestamp": "2024-07-31T06:06:30.635Z",
            "modifiedBy": "tibco-admin",
            "modificationTimestamp": "2024-07-31T06:07:12.154Z"
        }
    },
    {
        "caseReference": "28-com.example.orderbdsproject.MyAdditionalOrder-1-1",
        "casedata": "{\"additionalOrderID\": \"Perf2Case\", \"additionalProduct\": \"AdditionalProduct1-Updated\", \"additionalOrderState\": \"PICKED\"}",
        "summary": "{\"additionalOrderID\":\"Perf2Case\",\"additionalOrderState\":\"PICKED\"}",
        "metadata": {
            "createdBy": "tibco-admin",
            "creationTimestamp": "2024-07-31T06:06:30.635Z",
            "modifiedBy": "tibco-admin",
            "modificationTimestamp": "2024-07-31T06:07:12.197Z"
        }
    }
]

const linkedCases = [
    {
        "name": "additionalOrder",
        "caseReference": "28-com.example.orderbdsproject.MyAdditionalOrder-1-1"
    }
]

const referCases = [
    {
        "caseReference": "28-com.example.orderbdsproject.MyAdditionalOrder-1-1",
        "summary": "{\"additionalOrderID\":\"Perf2Case\",\"additionalOrderState\":\"PICKED\"}"
    }
]
export const handlers = [
    http.get('../../bpm/audit/v1/workItems/602?%24skip=0&%24top=100&%24orderby=creationTime+desc', (req, res, ctx) => {
        return HttpResponse.json(
            auditData,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get('../../bpm/status/v1/workItems?%24skip=0&%24top=100&%24orderby=firstOfferTime+desc&%24filter=', (req, res, ctx) => {
        return HttpResponse.json(
            workItemsList,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get('../../bpm/status/v1/processInstances/p%3A0a20d0/workItems?%24skip=0&%24top=100&%24orderby=firstOfferTime+desc&%24filter=', (req, res, ctx) => {
        return HttpResponse.json(
            workItemItemData,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get('../../bpm/case/v1/types?%24filter=isCase+eq+TRUE&%24skip=0&%24top=1000', (req, res, ctx) => {
        return HttpResponse.json(
            typesData,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get('../../bpm/case/v1/cases?%24filter=caseReference+in%28%2727-com.example.orderbdsproject.MyOrder-1-0%27%2C%2728-com.example.orderbdsproject.MyAdditionalOrder-1-0%27%2C%29', (req, res, ctx) => {
        return HttpResponse.json(
            casesData,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get('../../bpm/case/v1/cases/27-com.example.orderbdsproject.MyOrder-1-1/links?%24filter=&%24skip=0&%24top=100', (req, res, ctx) => {
        return HttpResponse.json(
            linkedCases,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get('../../bpm/case/v1/cases?%24filter=caseReference+in%28%2728-com.example.orderbdsproject.MyAdditionalOrder-1-1%27%29&%24select=cr%2C+s', (req, res, ctx) => {
        return HttpResponse.json(
            referCases,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      

]