const { setupWorker, rest, http, HttpResponse } = MockServiceWorker;

const settings = [
  {
    "id": "2",
    "name": "__BPME_CONFIGURATION__",
    "scope": "__CONFIGURATION__",
    "type": "PRIVATE",
    "value": "[{\"name\":\"work-manager-app\",\"label\":{\"default\":\"Work manager\",\"localeKey\":\"settings_work_manager\"},\"type\":\"APPLICATION\",\"description\":{\"default\":\"Work manager application\",\"localeKey\":\"settings_work_manager_description\"},\"version\":10,\"settings\":[{\"name\":\"case-details\",\"label\":{\"default\":\"Case details\",\"localeKey\":\"case_details\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case details component\",\"localeKey\":\"case_details_description\"},\"property\":[{\"name\":\"show-adhoc-tasks\",\"label\":{\"default\":\"Show adhoc tasks\",\"localeKey\":\"settings_adhoc_tasks\"},\"description\":{\"default\":\"Show an option to open list of adhoc tasks.\",\"localeKey\":\"settings_adhoc_tasks_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-details-refresh\",\"label\":{\"default\":\"Show case details refresh\",\"localeKey\":\"settings_case_details_refresh\"},\"description\":{\"default\":\"Show an option to refresh case details.\",\"localeKey\":\"settings_case_details_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-state-component\",\"label\":{\"default\":\"Show case state component\",\"localeKey\":\"settings_case_state_component\"},\"description\":{\"default\":\"Show case progress state component.\",\"localeKey\":\"settings_case_state_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-actions-component\",\"label\":{\"default\":\"Show case actions component\",\"localeKey\":\"settings_case_actions_component\"},\"description\":{\"default\":\"Show case actions component.\",\"localeKey\":\"settings_case_actions_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-data-component\",\"label\":{\"default\":\"Show case data component\",\"localeKey\":\"settings_case_data_component\"},\"description\":{\"default\":\"Show case data component.\",\"localeKey\":\"settings_case_data_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-work-items-component\",\"label\":{\"default\":\"Show case work items component\",\"localeKey\":\"settings_case_work_items_component\"},\"description\":{\"default\":\"Show widget to open sidebar with case work items component.\",\"localeKey\":\"settings_case_work_items_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-linked-cases-component\",\"label\":{\"default\":\"Show linked cases component\",\"localeKey\":\"settings_case_state_component\"},\"description\":{\"default\":\"Show widget to open sidebar with linked cases component.\",\"localeKey\":\"settings_linked_cases_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-document-component\",\"label\":{\"default\":\"Show case document component\",\"localeKey\":\"settings_case_document_component\"},\"description\":{\"default\":\"Show widget to open sidebar with case document component.\",\"localeKey\":\"settings_case_document_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-audit-component\",\"label\":{\"default\":\"Show case audit component\",\"localeKey\":\"settings_case_audit_component\"},\"description\":{\"default\":\"Show widget to open sidebar with case audit component.\",\"localeKey\":\"settings_case_audit_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"case-documents\",\"label\":{\"default\":\"Case documents\",\"localeKey\":\"case_documents\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case documents component\",\"localeKey\":\"case_documents_description\"},\"property\":[{\"name\":\"show-case-documents-delete\",\"label\":{\"default\":\"Show case documents delete\",\"localeKey\":\"settings_case_documents_delete\"},\"description\":{\"default\":\"Show an option to delete case documents.\",\"localeKey\":\"settings_case_documents_delete_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-documents-download\",\"label\":{\"default\":\"Show case documents download\",\"localeKey\":\"settings_case_documents_download\"},\"description\":{\"default\":\"Show an option to download case documents.\",\"localeKey\":\"settings_case_documents_download_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"case-documents-viewer\",\"label\":{\"default\":\"Case documents viewer\",\"localeKey\":\"case_documents_viewer\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case documents viewer component\",\"localeKey\":\"case_documents_viewer_description\"},\"property\":[{\"name\":\"show-case-documents-description-container\",\"label\":{\"default\":\"Show case documents description container\",\"localeKey\":\"settings_case_documents_description_container\"},\"description\":{\"default\":\"Show an option to hide case documents description container.\",\"localeKey\":\"settings_case_documents_description_container_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"case-types\",\"label\":{\"default\":\"Case types\",\"localeKey\":\"case_type\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case types component\",\"localeKey\":\"case_type_description\"},\"property\":[{\"name\":\"show-case-types-refresh\",\"label\":{\"default\":\"Show case types refresh\",\"localeKey\":\"settings_case_types_refresh\"},\"description\":{\"default\":\"Show an option to refresh case types.\",\"localeKey\":\"settings_case_types_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-name\",\"label\":{\"default\":\"Show case name\",\"localeKey\":\"settings_case_name\"},\"description\":{\"default\":\"Show case name.\",\"localeKey\":\"settings_case_name_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-applicationMajorVersion\",\"label\":{\"default\":\"Show applicationMajorVersion\",\"localeKey\":\"settings_applicationMajorVersion\"},\"description\":{\"default\":\"Show applicationMajorVersion.\",\"localeKey\":\"settings_applicationMajorVersion_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"cases\",\"label\":{\"default\":\"Cases\",\"localeKey\":\"bpme.case.cases\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Cases component\",\"localeKey\":\"bpme.case.casesDescription\"},\"property\":[{\"name\":\"show-cases-search\",\"label\":{\"default\":\"Show cases search\",\"localeKey\":\"bpme.case.search\"},\"description\":{\"default\":\"Show an option to search cases.\",\"localeKey\":\"bpme.case.searchDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cases-filter\",\"label\":{\"default\":\"Show cases filter\",\"localeKey\":\"bpme.case.filter\"},\"description\":{\"default\":\"Show cases filter.\",\"localeKey\":\"bpme.case.filterDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cases-columns-selector\",\"label\":{\"default\":\"Show cases columns selector\",\"localeKey\":\"bpme.case.columns\"},\"description\":{\"default\":\"Show cases columns selector.\",\"localeKey\":\"bpme.case.columnsDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cases-refresh\",\"label\":{\"default\":\"Show cases refresh\",\"localeKey\":\"bpme.case.refresh\"},\"description\":{\"default\":\"Show an option to refresh cases.\",\"localeKey\":\"bpme.case.refreshDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"audit\",\"label\":{\"default\":\"Audit\",\"localeKey\":\"bpme.commonAudit.audit\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Audit component\",\"localeKey\":\"bpme.commonAudit.auditDescription\"},\"property\":[{\"name\":\"show-filter\",\"label\":{\"default\":\"Show filter\",\"localeKey\":\"bpme.commonAudit.showFilterLabel\"},\"description\":{\"default\":\"Show option to show filter of the audit.\",\"localeKey\":\"bpme.commonAudit.showFilterDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-table\",\"label\":{\"default\":\"Show table\",\"localeKey\":\"bpme.commonAudit.showTableLabel\"},\"description\":{\"default\":\"Show option to show table of the audit.\",\"localeKey\":\"bpme.commonAudit.showTableDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"navbarHeader\",\"label\":{\"default\":\"Navbar header\",\"localeKey\":\"bpme.navbarHeader.header\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Global header\",\"localeKey\":\"bpme.navbarHeader.compDescription\"},\"property\":[{\"name\":\"logURL\",\"label\":{\"default\":\"Header logo\",\"localeKey\":\"bpme.navbarHeader.logoLabel\"},\"description\":{\"default\":\"Header logo image URL\",\"localeKey\":\"bpme.navbarHeader.logoDescription\"},\"type\":\"string\",\"value\":\"/apps/web-cdn/icons/Vector.svg\",\"defaultValue\":\"/apps/web-cdn/icons/Vector.svg\"},{\"name\":\"appTitle\",\"label\":{\"default\":\"Application title\",\"localeKey\":\"bpme.navbarHeader.appTitle\"},\"description\":{\"default\":\"Text after logo\",\"localeKey\":\"bpme.navbarHeader.textAfterLogo\"},\"type\":\"string\",\"value\":\"BPME web components\",\"defaultValue\":\"BPME web components\"}]},{\"name\":\"navbarHeaderTools\",\"label\":{\"default\":\"Navbar header tools\",\"localeKey\":\"bpme.navbarHeaderTools.headerTools\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Global header tools\",\"localeKey\":\"bpme.navbarHeaderTools.compDescription\"},\"property\":[{\"name\":\"showApplicationSwitcher\",\"label\":{\"default\":\"Show application switcher\",\"localeKey\":\"bpme.navbarHeaderTools.appSwitcher\"},\"description\":{\"default\":\"Shows applications list in the workspace\",\"localeKey\":\"bpme.navbarHeaderTools.switcherDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"showProfile\",\"label\":{\"default\":\"Show user profile\",\"localeKey\":\"bpme.navbarHeaderTools.userProfile\"},\"description\":{\"default\":\"User details\",\"localeKey\":\"bpme.navbarHeaderTools.userProfileDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"signOutURL\",\"label\":{\"default\":\"Sign out url\",\"localeKey\":\"bpme.navbarHeaderTools.logoutURL\"},\"description\":{\"default\":\"Provide url for sign out else default url will be used\",\"localeKey\":\"bpme.navbarHeaderTools.logoutURLDescription\"},\"type\":\"string\",\"value\":\"\",\"defaultValue\":\"\"}]},{\"name\":\"userProfile\",\"label\":{\"default\":\"User profile\",\"localeKey\":\"bpme.userProfile.profile\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"User profile component\",\"localeKey\":\"bpme.userProfile.profileDescription\"},\"property\":[{\"name\":\"show-themes\",\"label\":{\"default\":\"Show themes switcher\",\"localeKey\":\"bpme.userProfile.showThemes\"},\"description\":{\"default\":\"Show an option to switch themes\",\"localeKey\":\"bpme.userProfile.showThemesDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-languages\",\"label\":{\"default\":\"Show languages switcher\",\"localeKey\":\"bpme.userProfile.languagesSwitcher\"},\"description\":{\"default\":\"Show an option to switch languages.\",\"localeKey\":\"bpme.userProfile.languagesSwitcherDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-sign-out\",\"label\":{\"default\":\"Show sign out\",\"localeKey\":\"bpme.userProfile.settingSignout\"},\"description\":{\"default\":\"Show an option to sign out.\",\"localeKey\":\"bpme.userProfile.settingSignoutDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-product-version\",\"label\":{\"default\":\"Show product name and version\",\"localeKey\":\"bpme.userProfile.productName\"},\"description\":{\"default\":\"Show an option to display product information.\",\"localeKey\":\"bpme.userProfile.productNameDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-copy-right\",\"label\":{\"default\":\"Show product copy right\",\"localeKey\":\"bpme.userProfile.settingCopy\"},\"description\":{\"default\":\"Show an option to display copy right text.\",\"localeKey\":\"bpme.userProfile.settingCopyDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"work-list\",\"label\":{\"default\":\"Work list\",\"localeKey\":\"settings_work_list\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Work list component\",\"localeKey\":\"settings_work_list_description\"},\"property\":[{\"name\":\"show-auto-refresh\",\"label\":{\"default\":\"Show auto refresh\",\"localeKey\":\"settings_auto_refresh\"},\"description\":{\"default\":\"Show option to auto refresh the work list.\",\"localeKey\":\"settings_auto_refresh_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-allocate-to-self\",\"label\":{\"default\":\"Show allocate to self\",\"localeKey\":\"settings_allocate_self\"},\"type\":\"boolean\",\"description\":{\"default\":\"Show the option to allocate the work item to self (logged in user).\",\"localeKey\":\"settings_allocate_self_description\"},\"value\":true,\"defaultValue\":true},{\"name\":\"show-pend\",\"label\":{\"default\":\"Show pend\",\"localeKey\":\"settings_pend\"},\"description\":{\"default\":\"Show option to pend the work item.\",\"localeKey\":\"settings_pend_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-auto-repeat\",\"label\":{\"default\":\"Show auto repeat\",\"localeKey\":\"settings_auto_repeat\"},\"description\":{\"default\":\"Show the option to automatically repeat opening of the work item.\",\"localeKey\":\"settings_auto_repeat_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-filter\",\"label\":{\"default\":\"Show filter\",\"localeKey\":\"settings_filter\"},\"description\":{\"default\":\"Show filter option to filter the work list.\",\"localeKey\":\"settings_filter_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-sort\",\"label\":{\"default\":\"Show sort\",\"localeKey\":\"settings_sort\"},\"description\":{\"default\":\"Show option to sort the work items in the work list.\",\"localeKey\":\"settings_sort_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-refresh\",\"label\":{\"default\":\"Show refresh\",\"localeKey\":\"settings_refresh\"},\"description\":{\"default\":\"Show option to refresh the work list.\",\"localeKey\":\"settings_refresh_refresh\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cancel\",\"label\":{\"default\":\"Show cancel\",\"localeKey\":\"settings_cancel\"},\"description\":{\"default\":\"Show an option to cancel the selected work item.\",\"localeKey\":\"settings_cancel_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-reallocate-to-world\",\"label\":{\"default\":\"Show reallocate to world\",\"localeKey\":\"settings_reallocate_world\"},\"description\":{\"default\":\"Show an option to re allocate the selected work items to any one in the organization.\",\"localeKey\":\"settings_reallocate_world_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-reoffer\",\"label\":{\"default\":\"Show reoffer\",\"localeKey\":\"settings_reoffer\"},\"description\":{\"default\":\"Show an option to reoffer the work item to the initial offerset.\",\"localeKey\":\"settings_reoffer_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-adhoc-tasks\",\"label\":{\"default\":\"Show adhoc tasks\",\"localeKey\":\"settings_adhoc_tasks\"},\"description\":{\"default\":\"Show adhoc tasks list.\",\"localeKey\":\"settings_adhoc_tasks_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-skip\",\"label\":{\"default\":\"Show skip\",\"localeKey\":\"settings_skip\"},\"description\":{\"default\":\"Show option to skip the selected work item.\",\"localeKey\":\"settings_skip_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-actions\",\"label\":{\"default\":\"Show work list actions\",\"localeKey\":\"settings_work_list_actions\"},\"description\":{\"default\":\"Display the options of the list of actions that can be performs on multiple work items in the work list.\",\"localeKey\":\"settings_work_list_actions_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-item-actions\",\"label\":{\"default\":\"Show work item actions\",\"localeKey\":\"settings_work_item_actions\"},\"description\":{\"default\":\"Display the options of the list of actions that can be performs on selected work item in the work list.\",\"localeKey\":\"settings_work_item_actions_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-table-actions-column\",\"label\":{\"default\":\"Show work list table actions column\",\"localeKey\":\"settings_table_actions_column\"},\"description\":{\"default\":\"Display the list of columns in the work list table.\",\"localeKey\":\"settings_table_actions_column_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-table-open-action-button\",\"label\":{\"default\":\"Show work list table open action button\",\"localeKey\":\"settings_work_list_open_button\"},\"description\":{\"default\":\"Show the option to open form for the selected item in the table.\",\"localeKey\":\"settings_work_list_open_button_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-table-menu-action-ellipsis\",\"label\":{\"default\":\"Show work list table menu action ellipsis\",\"localeKey\":\"settings_table_action_ellipsis\"},\"description\":{\"default\":\"Show option that displays more work item specific actions.\",\"localeKey\":\"settings_table_action_ellipsis_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-priority\",\"label\":{\"default\":\"Show priority\",\"localeKey\":\"settings_priority\"},\"description\":{\"default\":\"Show a dialog that user can change the priority of the selected work item.\",\"localeKey\":\"settings_priority_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-open-next\",\"label\":{\"default\":\"Show open next\",\"localeKey\":\"settings_open_next\"},\"description\":{\"default\":\"Show an option to open next work item in the work list.\",\"localeKey\":\"settings_open_next_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"work-view\",\"label\":{\"default\":\"Work view\",\"localeKey\":\"work_view\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Work views\",\"localeKey\":\"work_view_description\"},\"property\":[{\"name\":\"show-work-view-types\",\"label\":{\"default\":\"Show work view types\",\"localeKey\":\"settings_work_view_types\"},\"description\":{\"default\":\"Show list of different work view types.\",\"localeKey\":\"settings_work_view_types_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-edit-work-view\",\"label\":{\"default\":\"Show Edit work view\",\"localeKey\":\"settings_edit_work_view\"},\"description\":{\"default\":\"Show an option to edit the current view.\",\"localeKey\":\"settings_edit_work_view_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-delete-work-view\",\"label\":{\"default\":\"Show Delete work view\",\"localeKey\":\"settings_delete_work_view\"},\"description\":{\"default\":\"some description about the property\",\"localeKey\":\"settings_delete_work_view_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-view-filter\",\"label\":{\"default\":\"Show work view filter\",\"localeKey\":\"settings_work_view_filter\"},\"description\":{\"default\":\"Show option to filter the list of work views.\",\"localeKey\":\"settings_work_view_filter_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-create-view\",\"label\":{\"default\":\"Show create view\",\"localeKey\":\"settings_create_view\"},\"description\":{\"default\":\"Show the option to create new work views.\",\"localeKey\":\"settings_create_view_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]}]}]",
    "owner": "tibco-admin",
    "creationDate": "2024-11-11T04:11:48.476+0000",
    "lastModifiedDate": "2024-11-11T04:46:04.424+0000",
    "lastModifiedBy": "tibco-admin"
},
{
  "id": "3",
  "name": "__BPME_LANGUAGE_CONFIGURATION__",
  "scope": "__LANGUAGE_CONFIGURATION__",
  "type": "PRIVATE",
  "value": "{\"language\":\"en-US\",\"languageData\":{\"bpme.adhoctasks.searchForTasksPlaceholder\":\"Search for tasks\",\"bpme.adhoctasks.filter\":\"Filters\",\"bpme.adhoctasks.noTasks\":\"There are no Ad-hoc activities\",\"bpme.adhoctasks.manual\":\"Manual\",\"bpme.adhoctasks.automatic\":\"Automatic\",\"bpme.adhoctasks.status\":\"Status:\",\"bpme.adhoctasks.inprogress\":\"In progress\",\"bpme.adhoctasks.notstarted\":\"Not yet started\",\"bpme.adhoctasks.multipletimes\":\"Can be started multiple times\",\"bpme.adhoctasks.completed\":\"Completed\",\"bpme.adhoctasks.neverexecuted\":\"Never executed\",\"bpme.adhoctasks.executedonce\":\"Executed once\",\"bpme.adhoctasks.executedtwice\":\"Executed twice\",\"bpme.adhoctasks.executed\":\"Executed\",\"bpme.adhoctasks.times\":\"times\",\"bpme.adhoctasks.disabled\":\"Disabled\",\"bpme.adhoctasks.cancel\":\"Cancel\",\"bpme.adhoctasks.start\":\"Start\",\"bpme.adhoctasks.processID\":\"Process instance:\",\"bpme.adhoctasks.caseReference\":\"Case reference:\",\"bpme.adhoctasks.refresh\":\"Refresh\",\"bpme.adhoctasks.title\":\"Ad-hoc tasks\",\"bpme.adhoctasks.processName\":\"Process name:\",\"bpme.adhoctasks.showAutomatic\":\"Show automatic\",\"bpme.adhoctasks.showDisabled\":\"Show disabled\",\"bpme.applicationsSwitcher.applications\":\"Applications\",\"bpme.applicationsSwitcher.appName\":\"Tibco BPME Enterprise\",\"bpme.caseAudit.noViewMsg\":\"No Audit messages\",\"bpme.caseAudit.createdCase\":\"created case\",\"bpme.caseAudit.inState\":\"in state\",\"bpme.caseAudit.caseStateChanged\":\"case state changed\",\"bpme.caseAudit.newStateIs\":\"new state is\",\"bpme.caseAudit.on\":\"on\",\"bpme.caseAudit.updatedCase\":\"updated case\",\"bpme.caseAudit.linkedCaseTo\":\"linked case to\",\"bpme.caseAudit.hasErrorAt\":\"has error at\",\"bpme.caseAudit.hasWarningAt\":\"has warning at\",\"bpme.caseDetails.caseActionsHeaderPrefix\":\"data\",\"bpme.caseDetails.workItemsLabel\":\"Work items\",\"bpme.caseDetails.linkedCasesLabel\":\"Linked cases\",\"bpme.caseDetails.documentsLabel\":\"Documents\",\"bpme.caseDetails.auditLabel\":\"Audit\",\"bpme.caseDocuments.uploadDocument\":\"Upload\",\"bpme.caseDocuments.uploadCancel\":\"Cancel\",\"bpme.caseDocuments.yesDelete\":\"Yes, Delete\",\"bpme.caseDocuments.noViewMsg\":\"No documents\",\"bpme.caseDocuments.noDocumentFoundNameContaining\":\"No document found name containing\",\"bpme.caseDocuments.deleteDocument\":\"Delete document\",\"bpme.caseDocuments.areYouSureYouWantToDelete\":\"Are you sure you want to delete\",\"bpme.caseDocuments.lastUpdatedBy\":\"Last updated by\",\"bpme.caseDocuments.on\":\"on\",\"bpme.caseDocuments.version\":\"Version\",\"bpme.caseDocumentsViewer.download\":\"Download\",\"bpme.caseDocumentsViewer.documentInformation\":\"Document information\",\"bpme.caseDocumentsViewer.description\":\"Description\",\"bpme.caseDocumentsViewer.lastUpdate\":\"Last update\",\"bpme.caseDocumentsViewer.on\":\"on\",\"bpme.caseDocumentsViewer.lastUpdatedBy\":\"Last updated by\",\"bpme.caseLinkedCases.noViewMsg\":\"No linked cases\",\"bpme.caseStates.moreStates\":\"More States\",\"bpme.caseType.noViewLabel\":\"No View Available\",\"bpme.caseType.header\":\"Case Types\",\"bpme.caseType.settings\":\"Case types\",\"bpme.caseType.settingsDescription\":\"Case types component\",\"bpme.caseWorkItems.noViewMsg\":\"No case work items\",\"bpme.case.headerSubTitle\":\"Active Cases\",\"bpme.case.searchCasePlaceholder\":\"Search for cases\",\"bpme.case.filterTooltip\":\"Filter\",\"bpme.case.filterCardHeader\":\"Filter cases\",\"bpme.case.filterCardClose\":\"Close\",\"bpme.case.filterSelectByState\":\"Filter By State\",\"bpme.case.filterCancel\":\"Cancel\",\"bpme.case.filterApply\":\"Apply\",\"bpme.case.columnsLabel\":\"Columns\",\"bpme.case.refreshLabel\":\"Refresh\",\"bpme.case.state\":\"State\",\"bpme.case.modifiedOnOrBefore\":\"Modified on or before\",\"bpme.case.clearAllFilter\":\"Clear all filters\",\"bpme.case.emptyCaseListLabel\":\"No active cases\",\"bpme.case.emptyCaseListOnFilterAndSearch\":\"No cases found matching the filter and search criteria\",\"bpme.case.emptyCaseListOnFilter\":\"No cases found matching the filter criteria\",\"bpme.case.emptyCaseListOnSearch\":\"No cases found matching the search criteria\",\"bpme.case.emptyCaseListLabelAfterFilter\":\"You have filtered out all the columns, please select at least one to see the data.\",\"bpme.case.cases\":\"Cases\",\"bpme.case.casesDescription\":\"Cases component\",\"bpme.case.search\":\"Show cases search\",\"bpme.case.searchDescription\":\"Show an option to search cases.\",\"bpme.case.filter\":\"Show cases filter\",\"bpme.case.filterDescription\":\"Show cases filter.\",\"bpme.case.columns\":\"Show cases columns selector\",\"bpme.case.columnsDescription\":\"Show cases columns selector.\",\"bpme.case.refresh\":\"Show cases refresh\",\"bpme.case.refreshDescription\":\"Show an option to refresh cases.\",\"bpme.configuration.config\":\"Configuration\",\"bpme.configuration.scope\":\"Scope\",\"bpme.configuration.application\":\"Application\",\"bpme.configuration.user\":\"User\",\"bpme.configuration.workspace\":\"Workspace\",\"bpme.configComponents.components\":\"Components\",\"bpme.configurationProperties.save\":\"Save\",\"bpme.configurationProperties.cancel\":\"Cancel\",\"bpme.configurationProperties.saveAs\":\"Save as\",\"bpme.workViewDialogConfig.createWorkViewTitle\":\"Create work view\",\"bpme.workViewDialogConfig.editWorkViewTitle\":\"Edit work view\",\"bpme.workViewDialogConfig.detailsTitle\":\"Details\",\"bpme.workViewDialogConfig.targetTitle\":\"Target\",\"bpme.workViewDialogConfig.filterTitle\":\"Filter\",\"bpme.workViewDialogConfig.sortTitle\":\"Sort\",\"bpme.workViewDialogConfig.columnsTitle\":\"Columns\",\"bpme.workViewDialogConfig.usersTitle\":\"Users\",\"bpme.workViewDialogConfig.authorsTitle\":\"Authors\",\"bpme.workViewDialogConfig.summaryTitle\":\"Summary\",\"bpme.workViewDialogConfig.nameLabel\":\"Name\",\"bpme.workViewDialogConfig.descriptionLabel\":\"Description\",\"bpme.workViewDialogConfig.makeViewPublicLabel\":\"Make this view public\",\"bpme.workViewDialogConfig.typeOfViewLabel\":\"Type of view\",\"bpme.workViewDialogConfig.mineOptionLabel\":\"Tasks in my worklist\",\"bpme.workViewDialogConfig.noneOptionLabel\":\"An entity in the org model\",\"bpme.workViewDialogConfig.allOptionLabel\":\"All work items\",\"bpme.workViewDialogConfig.noAuthError\":\"The view is set to view an Entity in the Org Model but you are not authorized to change it\",\"bpme.workViewDialogConfig.typeOfWorkitemsLabel\":\"Type of work items\",\"bpme.workViewDialogConfig.noFilterError\":\"No filter applied. To get started, add rules.\",\"bpme.workViewDialogConfig.noPermissionForUsersError\":\"You do not have permission to view the Organizational Model, you cannot add Users to your View\",\"bpme.workViewDialogConfig.noPermissionForAuthorsError\":\"You do not have permission to view the Organizational Model, you cannot add Authors to your View\",\"bpme.workViewDialogConfig.nextButtonTitle\":\"Next\",\"bpme.workViewDialogConfig.backButtonTitle\":\"Back\",\"bpme.workViewDialogConfig.cancelButtonTitle\":\"Cancel\",\"bpme.workViewDialogConfig.saveButtonTitle\":\"Save\",\"bpme.workViewDialogConfig.resetButtonTitle\":\"Reset\",\"bpme.workViewDialogConfig.createButtonTitle\":\"Create\",\"bpme.workViewDialogConfig.createAndExitButtonTitle\":\"Finish\",\"bpme.workViewDialogConfig.saveAndExitButtonTitle\":\"Save & exit\",\"bpme.workViewDialogConfig.emptyMessage\":\"A ruleset cannot be empty. Please add a rule or remove the ruleset.\",\"bpme.workViewDialogConfig.createViewMessage\":\"Work view created successfully. To see it, select My work views or Editable work views.\",\"bpme.workViewDialogConfig.createPublicViewMessage\":\"Work view created successfully. To see it, select the Public view.\",\"bpme.workViewDialogConfig.usersViewErrorLabel\":\"The following users are not allowed to view the\",\"bpme.workViewDialogConfig.usersNotAuthorizedLabel\":\"Users not authorized\",\"bpme.workViewDialogConfig.charactersLabel\":\"characters\",\"bpme.workViewDialogConfig.allocatedLabel\":\"Allocated\",\"bpme.workViewDialogConfig.offeredLabel\":\"Offered\",\"bpme.language.languages\":\"Languages fr-FR\",\"bpme.language.addNew\":\"Add new fr-FR\",\"bpme.language.default\":\"Default\",\"bpme.language.selectLang\":\"Select language\",\"bpme.language.listHelpText\":\"Choose a variant of the French language to modify locale values for individual components fr-FR\",\"bpme.languageComponents.components\":\"Components\",\"bpme.languageKeys.components\":\"Components\",\"bpme.languageKeys.save\":\"Save\",\"bpme.languageKeys.cancel\":\"Cancel\",\"bpme.languageKeys.saveAs\":\"Save as\",\"bpme.languageKeys.localeNamePlaceholder\":\"Enter locale to be saved\",\"bpme.languageSwitcher.languages\":\"Languages\",\"bpme.loginConfig.authenticationFailedLabel\":\"Authentication failed. Invalid username or password.\",\"bpme.loginConfig.loginHeader\":\"Sign in to your account\",\"bpme.loginConfig.loginError\":\"Please enter correct username and password\",\"bpme.loginConfig.SSOError\":\"Please enter correct credentials and try again.\",\"bpme.loginConfig.usernameLabel\":\"Username\",\"bpme.loginConfig.usernamePlaceholder\":\"Enter username\",\"bpme.loginConfig.passwordPlaceholder\":\"Password\",\"bpme.loginConfig.loginBtnLabel\":\"Sign in\",\"bpme.loginConfig.orLabel\":\"OR\",\"bpme.loginConfig.loginWithSSOBtnLabel\":\"Sign in with SSO\",\"bpme.loginConfig.copyrightLabel\":\"Copyright B) 2024 Cloud Software Group, Inc. All rights reserved\",\"bpme.loginConfig.privacyPolicyLabel\":\"Privacy Policy\",\"bpme.loginConfig.termsOfUseLabel\":\"Terms of use\",\"bpme.loginConfig.tradeMarksLabel\":\"Trademarks\",\"bpme.loginConfig.eulaLabel\":\"EUA\",\"bpme.loginConfig.faqLabel\":\"FAQ\",\"bpme.loginConfig.contactUsLabel\":\"Contact us\",\"bpme.loginConfig.signInTitleLabel\":\"TIBCO BPM Enterprise\",\"bpme.processInstances.filter\":\"Filters\",\"bpme.settingsList.configuration\":\"Configuration\",\"bpme.settingsList.languages\":\"Languages\",\"bpme.settingsList.themes\":\"Themes\",\"bpme.settingsList.select\":\"Select settings\",\"bpme.settingsList.optionLabel\":\"Settings\",\"bpme.themeSwitcher.themes\":\"Themes\",\"bpme.uploadLanguage\":{},\"bpme.workItemFormConfig.saveFormMsg\":\"Work item submitted successfully.\",\"bpme.workItemFormConfig.closeFormMsg\":\"Work item saved successfully.\",\"bpme.workItemFormConfig.errorFormMsg\":\"Error while loading the form.\",\"bpme.workItemFormConfig.dataOutOfSyncMsg\":\"Data out of sync\",\"bpme.workItemFormConfig.showAdhocTasks\":\"Show Ad-hoc tasks\",\"bpme.workItemPreviewForm.nextButtonTitle\":\"Next\",\"bpme.workItemPreviewForm.previousButtonTitle\":\"Previous\",\"bpme.workItemPreviewForm.closeButtonTitle\":\"Close\",\"bpme.workItemPreviewForm.noPreviewMsg\":\"No preview data available\",\"bpme.workListTable.workListTableHeader\":\"Worklist\",\"bpme.workListTable.autoRepeatTitle\":\"Auto-repeat\",\"bpme.workListTable.autoRepeatTooltip\":\"Auto-repeat open work item\",\"bpme.workListTable.columnsTitle\":\"Columns\",\"bpme.workListTable.sortTitle\":\"Sort\",\"bpme.workListTable.filterTitle\":\"Filter\",\"bpme.workListTable.refreshTitle\":\"Refresh\",\"bpme.workListTable.searchTitle\":\"Search\",\"bpme.workListTable.previousTitle\":\"Previous\",\"bpme.workListTable.nextTitle\":\"Next\",\"bpme.workListTable.noPreviewMsg\":\"No preview data available\",\"bpme.workListTable.offerSetTitle\":\"Offer set\",\"bpme.workListTable.worldTitle\":\"World\",\"bpme.workListTable.openNextTitle\":\"Open next\",\"bpme.workListTable.cancelTitle\":\"Cancel\",\"bpme.workListTable.cancelBtnLabel\":\"Cancel\",\"bpme.workListTable.allocateToSelfTitle\":\"Allocate to self\",\"bpme.workListTable.reOfferTitle\":\"Re-offer\",\"bpme.workListTable.skipTitle\":\"Skip\",\"bpme.workListTable.reallocateToTitle\":\"Reallocate to\",\"bpme.workListTable.reallocateToWorldTitle\":\"Reallocate to world\",\"bpme.workListTable.reallocateBtnLabel\":\"Reallocate\",\"bpme.workListTable.pendingTitle\":\"Pend\",\"bpme.workListTable.changePriorityTitle\":\"Change priority\",\"bpme.workListTable.openTitle\":\"Open\",\"bpme.workListTable.noWorkitemsTitle\":\"No work items\",\"bpme.workListTable.autoRefreshTitle\":\"Auto-refresh\",\"bpme.workListTable.autoRefreshInProgress\":\"Auto-refresh in progress....\",\"bpme.workListTable.autoRefreshMiniumIntervalLabel\":\"Minimum auto-refresh limit is 30 seconds\",\"bpme.workListTable.saveSettingsDisabledLabel\":\"The settings will only be saved in the current session\",\"bpme.workListTable.revertDataLabel\":\"Revert data\",\"bpme.workListTable.showAdhocTasks\":\"Show Ad-hoc tasks\",\"bpme.workListTable.columnLabelActions\":\"Actions\",\"bpme.workListTable.settingsLabel\":\"Settings\",\"bpme.workListTable.reallocateToOfferSetTitle\":\"Reallocate to offer set\",\"bpme.workListTable.noWorkitemsLabel\":\"No work items available for selected view\",\"bpme.workListTable.reallocateDialogTitle\":\"Workitem reallocate\",\"bpme.systemActions.errorMessage\":\"You do not have access to this item\",\"bpme.adhocTasksDialog.closeButtonTitle\":\"Close\",\"bpme.workListReallocateOfferSetDialog.reallocateDialogTitle\":\"Workitem reallocate\",\"bpme.workListReallocateOfferSetDialog.revertDataTitle\":\"Revert data\",\"bpme.workListReallocateOfferSetDialog.reallocateButtonTitle\":\"Reallocate\",\"bpme.workListReallocateOfferSetDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workListReallocateOfferSetDialog.reallocateNote\":\"Please select a resource to reallocate:\",\"bpme.workListColumnDialogConfig.availableColumnsTitle\":\"Available columns\",\"bpme.workListColumnDialogConfig.selectedColumnsTitle\":\"Selected columns\",\"bpme.workListColumnDialogConfig.moveSelectionRightTitle\":\"Move selected item right\",\"bpme.workListColumnDialogConfig.moveSelectionLeftTitle\":\"Move selected item left\",\"bpme.workListColumnDialogConfig.moveSelectionUpTitle\":\"Move selected item up\",\"bpme.workListColumnDialogConfig.moveSelectionDownTitle\":\"Move selected item down\",\"bpme.workListColumnDialogConfig.ascendingTitle\":\"Ascending\",\"bpme.workListColumnDialogConfig.descendingTitle\":\"Descending\",\"bpme.workListColumnDialogConfig.attributeLabel\":\"Attribute{$attribIndex}\",\"bpme.workListColumnDialogConfig.workListColumnDialogTitle\":\"Worklist column selector\",\"bpme.workListColumnDialogConfig.saveButtonTitle\":\"Apply\",\"bpme.workListColumnDialogConfig.resetButtonTitle\":\"Reset\",\"bpme.workListColumnDialogConfig.cancelButtonTitle\":\"Cancel\",\"bpme.workListFilterDialog.filterDialogTitle\":\"Worklist filter\",\"bpme.workListFilterDialog.noFilterAppliedLabel\":\"No filter applied. To get started, add rules.\",\"bpme.workListFilterDialog.filterLabel\":\"Filter\",\"bpme.workListFilterDialog.saveButtonTitle\":\"Save\",\"bpme.workListFilterDialog.resetButtonTitle\":\"Reset\",\"bpme.workListFilterDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workListFilterDialog.emptyMessage\":\"A ruleset cannot be empty. Please add a rule or remove the ruleset.\",\"bpme.workItemPend.pendWorkItemTitle\":\"Pend work item\",\"bpme.workItemPend.selectTimeOptionLabel\":\"Select any one time option to pend work item\",\"bpme.workItemPend.restoreLabel\":\"You can restore a PENDHIDDEN item by entering a Pend Duration of 0.\",\"bpme.workItemPend.dateTimeOption\":\"Date time\",\"bpme.workItemPend.timeOffsetOption\":\"Time offset\",\"bpme.workItemPend.chooseDatePlaceholder\":\"Choose date time\",\"bpme.workItemPend.yearsLabel\":\"Years\",\"bpme.workItemPend.monthsLabel\":\"Months\",\"bpme.workItemPend.weeksLabel\":\"Weeks\",\"bpme.workItemPend.daysLabel\":\"Days\",\"bpme.workItemPend.hoursLabel\":\"Hours\",\"bpme.workItemPend.minutesLabel\":\"Minutes\",\"bpme.workItemPend.cancelBtnLabel\":\"Cancel\",\"bpme.workItemPend.pendBtnLabel\":\"Pend\",\"bpme.workItemPend.dateTimeNoteInfo\":\"Note: Value should be later than current date and time.\",\"bpme.workItemPend.offsetNoteInfo\":\"Note: Value should be more than 0.\",\"bpme.workListPriorityDialog.changePriorityTitle\":\"Change priority for workitem\",\"bpme.workListPriorityDialog.setPriorityTitle\":\"Set priority as: \",\"bpme.workListPriorityDialog.absolutePriorityTitle\":\"Absolute\",\"bpme.workListPriorityDialog.offsetPriorityTitle\":\"Offset\",\"bpme.workListPriorityDialog.priorityLabel\":\"Priority\",\"bpme.workListPriorityDialog.valueLabel\":\"value:\",\"bpme.workListPriorityDialog.absoluteLabel\":\"absolute\",\"bpme.workListPriorityDialog.offsetLabel\":\"offset\",\"bpme.workListPriorityDialog.absolutePriorityValue\":\"Priority absolute value: \",\"bpme.workListPriorityDialog.offsetPriorityValue\":\"Priority offset value: \",\"bpme.workListPriorityDialog.invalidPriorityLabel\":\"Valid priority value is between 0 to 100.\",\"bpme.workListPriorityDialog.priorityAfterOffsetLabel\":\"Priority after applying offset\",\"bpme.workListPriorityDialog.okButtonTitle\":\"OK\",\"bpme.workListPriorityDialog.resetButtonTitle\":\"Reset\",\"bpme.workListPriorityDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueTitle\":\"Auto-refresh\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueEnableLabel\":\"Enable auto-refresh\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueRefreshLabel\":\"Refresh interval\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueTimeLabel\":\"seconds\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueCancelButton\":\"Cancel\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueApplyButton\":\"Apply\",\"bpme.workListAutoRefreshDialog.saveThisSettings\":\"Save this setting for future sessions\",\"bpme.workListAutoRefreshDialog.autoRefreshInProgress\":\"Auto-refresh in progress....\",\"bpme.workListAutoRefreshDialog.autoRefreshMiniumIntervalLabel\":\"Minimum auto-refresh limit is 30 seconds\",\"bpme.workListAutoRefreshDialog.saveSettingsDisabledLabel\":\"The settings will only be saved in the current session\",\"bpme.workListSortConfig.workListSortDialogTitle\":\"Worklist sort\",\"bpme.workListSortConfig.saveButtonTitle\":\"Save\",\"bpme.workListSortConfig.resetButtonTitle\":\"Reset\",\"bpme.workListSortConfig.cancelButtonTitle\":\"Cancel\",\"bpme.workViewDialog.createWorkViewTitle\":\"Create work view\",\"bpme.workViewDialog.editWorkViewTitle\":\"Edit work view\",\"bpme.workViewDialog.detailsTitle\":\"Details\",\"bpme.workViewDialog.targetTitle\":\"Target\",\"bpme.workViewDialog.filterTitle\":\"Filter\",\"bpme.workViewDialog.sortTitle\":\"Sort\",\"bpme.workViewDialog.columnsTitle\":\"Columns\",\"bpme.workViewDialog.usersTitle\":\"Users\",\"bpme.workViewDialog.authorsTitle\":\"Authors\",\"bpme.workViewDialog.summaryTitle\":\"Summary\",\"bpme.workViewDialog.nameLabel\":\"Name\",\"bpme.workViewDialog.descriptionLabel\":\"Description\",\"bpme.workViewDialog.makeViewPublicLabel\":\"Make this view public\",\"bpme.workViewDialog.typeOfViewLabel\":\"Type of view\",\"bpme.workViewDialog.mineOptionLabel\":\"Tasks in my worklist\",\"bpme.workViewDialog.noneOptionLabel\":\"An entity in the org model\",\"bpme.workViewDialog.allOptionLabel\":\"All work items\",\"bpme.workViewDialog.noAuthError\":\"The view is set to view an Entity in the Org Model but you are not authorized to change it\",\"bpme.workViewDialog.typeOfWorkitemsLabel\":\"Type of work items\",\"bpme.workViewDialog.noFilterError\":\"No filter applied. To get started, add rules.\",\"bpme.workViewDialog.noPermissionForUsersError\":\"You do not have permission to view the Organizational Model, you cannot add Users to your View\",\"bpme.workViewDialog.noPermissionForAuthorsError\":\"You do not have permission to view the Organizational Model, you cannot add Authors to your View\",\"bpme.workViewDialog.nextButtonTitle\":\"Next\",\"bpme.workViewDialog.backButtonTitle\":\"Back\",\"bpme.workViewDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workViewDialog.saveButtonTitle\":\"Save\",\"bpme.workViewDialog.resetButtonTitle\":\"Reset\",\"bpme.workViewDialog.createButtonTitle\":\"Create\",\"bpme.workViewDialog.createAndExitButtonTitle\":\"Finish\",\"bpme.workViewDialog.saveAndExitButtonTitle\":\"Save & exit\",\"bpme.workViewDialog.emptyMessage\":\"A ruleset cannot be empty. Please add a rule or remove the ruleset.\",\"bpme.workViewDialog.createViewMessage\":\"Work view created successfully. To see it, select My work views or Editable work views.\",\"bpme.workViewDialog.createPublicViewMessage\":\"Work view created successfully. To see it, select the Public view.\",\"bpme.workViewDialog.applyButtonTitle\":\"Apply\",\"bpme.workViews.workViewsHeader\":\"Show\",\"bpme.workViews.publicLabel\":\"Public work views\",\"bpme.workViews.editableLabel\":\"Editable work views\",\"bpme.workViews.mineLabel\":\"My work views\",\"bpme.workViews.publicTooltip\":\"Everyone can view\",\"bpme.workViews.editableTooltip\":\"Selected people, including me, can view and edit\",\"bpme.workViews.mineTooltip\":\"I can view and process items in the worklist\",\"bpme.workViews.refreshLabel\":\"Refresh\",\"bpme.workViews.createLabel\":\"Create\",\"bpme.workViews.workViewInfo\":\"To edit or delete, select the Editable view.\",\"bpme.workViews.editTitle\":\"Edit\",\"bpme.workViews.deleteTitle\":\"Delete\",\"bpme.workViews.deleteConfirmMsg\":\"Are you sure you want to do this?\",\"bpme.workViews.deleteDialogTitle\":\"Delete work view\",\"bpme.workViews.toastSuccessMsg\":\"Work view created successfully\",\"bpme.workViews.workViewsTitle\":\"Work Views\",\"bpme.workViews.savedViewsTitle\":\"Saved views\",\"bpme.workViews.noTitle\":\"No\",\"bpme.workViews.yesTitle\":\"Yes\",\"bpme.workViews.createViewTitle\":\"Create View\",\"bpme.workViews.noViewMsg\":\"No View Available\",\"bpme.workViewFilterDialog.filterDialogTitle\":\"Work view filter\",\"bpme.workViewFilterDialog.noFilterAppliedLabel\":\"No filter applied. To get started, add rules.\",\"bpme.workViewFilterDialog.filterLabel\":\"Filter\",\"bpme.workViewFilterDialog.saveButtonTitle\":\"Save\",\"bpme.workViewFilterDialog.resetButtonTitle\":\"Reset\",\"bpme.workViewFilterDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workViewFilterDialog.emptyMessage\":\"A ruleset cannot be empty. Please add a rule or remove the ruleset.\",\"bpme.loggedInUserConfig.loggedUserLabel\":\"Logged User:\",\"bpme.loggedInUserConfig.pleaseLoginLabel\":\"Please login.\",\"bpme.loggedInUserConfig.loginLabel\":\"Login\",\"bpme.miniOrgBrowser.versionLabel\":\"Version\",\"bpme.miniOrgBrowser.orgLabel\":\"Organizations\",\"bpme.miniOrgBrowser.noOrgForVersionError\":\"No organizations or groups available for the selected version, please select a different version and try again\",\"bpme.miniOrgBrowser.resourcesLabel\":\"Resources\",\"bpme.miniOrgBrowser.selectOptionLabel\":\"Select an organization to view resources\",\"bpme.miniOrgBrowser.noResourcesLabel\":\"No available resources\",\"bpme.miniOrgBrowser.noResourcesSelectedError\":\"None selected\",\"bpme.miniOrgBrowser.addSelectedLabel\":\"Add to selected\",\"bpme.miniOrgBrowser.removeSelectedLabel\":\"Remove from selected\",\"bpme.miniOrgBrowser.reallocateLabel\":\"Please select a resource to reallocate:\",\"bpme.miniOrgBrowser.criteriaLabel\":\"Criteria\",\"bpme.miniOrgBrowser.selectCriteriaLabel\":\"Select Criteria\",\"bpme.miniOrgBrowser.searchLabel\":\"Search\",\"bpme.miniOrgBrowser.showEntityNamesLabel\":\"Show entity names\",\"bpme.miniOrgBrowser.selectedUsersLabel\":\"Selected users\",\"bpme.miniOrgBrowser.addSelectedEntityLabel\":\"Add selected entity\",\"bpme.miniOrgBrowser.addSelectedResourceLabel\":\"Add selected resource\",\"errorConfig.CDM_API_TOP_MANDATORY_TITLE\":\"Missing required parameter\",\"errorConfig.CC_SETTING_UNIQUE_TITLE\":\"Duplicate name\",\"errorConfig.CDM_API_TOP_MANDATORY\":\"Please provide '$top' for rest call as a parameter\",\"errorConfig.CC_SETTING_UNIQUE\":\"Filter already exists, please provide unique name\",\"errorConfig.WP_OPEN_WORK_ITEM_ERROR\":\"Failed to open the work item\",\"errorConfig.WR_ARTIFACT_CREATE_ERROR_INVALID_PATH\":\"FilePath cannot start with /\",\"errorConfig.CC_ATTRIBUTE_UNIQUE\":\"Failed to create attribute, attribute already exists, the combination of name and settingId must be unique\",\"errorConfig.WR_APP_BAD_COUNT\":\"$count cannot be used with $top, $skip, $orderby or $select\",\"errorConfig.WP_OPEN_WORK_ITEM_INVALID_ERROR\":\"Failed to open the work item as it's invalid\",\"errorConfig.WR_APP_BAD_PURGE\":\"Invalid $purge option, should be true or false\",\"errorConfig.AUTH_AUTHERROR\":\"Authentication failed, please check your credentials and try again\",\"errorConfig.CC_INVALID_TYPE\":\"Invalid type specified, must be PRIVATE or PUBLIC\",\"errorConfig.WR_UNKNOWN_ERROR\":\"Something went wrong, please contact your administrator\",\"errorConfig.AUTH_SSO_UNAVAILABLE\":\"SSO is not configured. Please check your administrator configurations.\",\"errorConfig.WR_INVALID_SUBSCRIPTION\":\"$subscriptionId must be supplied\",\"errorConfig.WP_UNKNOWN_ERROR\":\"Something went wrong, please contact your administrator\",\"errorConfig.WR_FOLDER_CREATE_ERROR_NO_FILENAME\":\"No filename specified - cannot create\",\"errorConfig.AUTH_UNKNOWN_ERROR\":\"Something went wrong, please contact your administrator\",\"errorConfig.WP_OPEN_WORK_ITEM_INVALID_ENTITY_ERROR\":\"You cannot open this work item as it is not in your worklist.\",\"errorConfig.WR_SUBLIMIT_EXCEEDED\":\"The current document upload would have exceeded your subscription limit of  {$limit} MB for your plan, please check with your administrator\",\"errorConfig.WR_APP_CREATE_ERROR_ALREADY_EXISTS\":\"Application [{$appName}] already exists\",\"errorConfig.WR_SUBLIMIT_PERSIST_ERROR\":\"Failed to update subscription limit for sub [{$subscriptionId}], key [{$key}], value [{$value}]\",\"errorConfig.WR_APP_BAD_SELECT\":\"Invalid value specified for $select [{$suppliedValue}] options are [{$validValues}]\",\"errorConfig.WR_AUTHERROR\":\"The requested operation is not allowed\",\"errorConfig.WR_APP_LOCKED\":\"Application is locked by another user, please try again later\",\"errorConfig.WR_APP_DOES_NOT_EXIST\":\"Application does not exist\",\"errorConfig.WR_FOLDER_INVALID_NAME\":\"Invalid name specified for Folder\",\"errorConfig.WP_CONNECTION_ERROR\":\"Failed to connect to Database\",\"errorConfig.WR_APP_ARCHIVE_LATER_ALREADY_DEPLOYED\":\"Later version of Application [{$appName}] has already been deployed existing checksum [{$existingChecksum}] new checksum [{$newChecksum}] - skipping\",\"errorConfig.WP_INVALID_FILTER\":\"Invalid filter supplied [{$invalid}]\",\"errorConfig.WP_DEPLOY_NO_WP_CONTENT_IN_RASC_ERROR\":\"Failed to get the WP content from the RASC\",\"errorConfig.WR_APPVERSION_DOES_NOT_EXIST\":\"Version not found\",\"errorConfig.WP_OPEN_WORK_ITEM_LIMIT_ERROR\":\"Failed to open the work item as limit is reached\",\"errorConfig.WP_OPEN_NEXT_WORK_ITEM_INVALID_VERSION_ERROR\":\"Failed to open the next work item due to invalid version\",\"errorConfig.WR_APP_INVALID_DESCRIPTOR\":\"Failed to parse app descriptor file - app NOT DEPLOYED\",\"errorConfig.WP_AUTHERROR\":\"The requested operation is not allowed\",\"errorConfig.WR_FOLDER_BAD_COUNT\":\"$count cannot be used with $top, $skip or $orderby\",\"errorConfig.WR_APP_ARCHIVE_ALREADY_DEPLOYED\":\"Application [{$appName}] has already been deployed from matching archive with checksum [{$existingChecksum}] new checksum [{$newChecksum}] - skipping\",\"errorConfig.WR_ARTIFACT_CREATE_ERROR\":\"Error creating artifacts for app [{$appName}]\",\"errorConfig.WP_CLOSE_WORK_ITEM_ERROR\":\"Failed to close the work item\",\"errorConfig.CC_ATTRIBUTE_SETTING_DOES_NOT_EXIST\":\"Failed to create attribute, specified settingId does not exist\",\"errorConfig.WP_OPEN_NEXT_WORK_ITEM_ERROR\":\"Failed to open the next work item\",\"errorConfig.CC_AUTHERROR\":\"The requested operation is not allowed\",\"errorConfig.WP_COMPLETE_WORK_ITEM_INVALID_WORK_ITEM_ERROR\":\"Failed to complete the work item as it's invalid\",\"errorConfig.CC_DOES_NOT_EXIST\":\"Setting not found\",\"errorConfig.CC_CONNECTION_ERROR\":\"Failed to connect to Database\",\"errorConfig.WR_SUBLIMIT_DELETE_ERROR\":\"Failed to delete subscription limit records for sub [{$subscriptionId}]\",\"errorConfig.WP_UNDEPLOY_DELETE_RECORDS_ERROR\":\"Failed to delete the records in the database during undeployment\",\"errorConfig.WR_FOLDER_INVALID_PAGINATION\":\"Invalid value specified for $top or $skip, must be number > 0 and <= {max}\",\"errorConfig.WR_FOLDER_DOES_NOT_EXIST\":\"Folder does not exist\",\"errorConfig.WR_FOLDER_INVALID_SORTFIELD\":\"Invalid sort field specified, valid fields are [{$fields}] with asc or desc order\",\"errorConfig.WR_ARTIFACT_BAD_SELECT\":\"Invalid value specified for $select [{$suppliedValue}] options are [{$validValues}]\",\"errorConfig.AUTH_INVALID_AUTHENTICATION\":\"Authentication failed, please check your credentials and try again.\",\"errorConfig.WR_CONNECTION_ERROR\":\"Failed to connect to Database\",\"errorConfig.WR_APP_INVALID_PAGINATION\":\"Invalid value specified for $top or $skip, must be number > 0 and <= {max}\",\"errorConfig.WR_APP_INVALID_SORTFIELD\":\"Invalid sort field specified, valid fields are [{$fields}] with asc or desc order\",\"errorConfig.WP_OPEN_WORK_ITEM_INVALID_VERSION_ERROR\":\"Failed to open the work item due to invalid version\",\"errorConfig.CC_INVALID_FILTER\":\"Invalid filter supplied [{$invalid}]\",\"errorConfig.WP_COMPLETE_WORK_ITEM_INVALID_VERSION_ERROR\":\"Failed to complete the work item due to invalid version\",\"errorConfig.WR_ARTIFACT_SELECT_NOT_ALLOWED\":\"$select cannot be specified with $top or $skip\",\"errorConfig.WR_FOLDER_CREATE_ERROR_ALREADY_EXISTS\":\"Cannot create empty folder [{$folderName}] as it already exists\",\"errorConfig.WR_ARTIFACT_CREATE_ERROR_NO_SIZE_IN_ZIP\":\"Error creating artifact [{$artifact}], file has no size specified in the ZIP [{$size}] - please ZIP the application again and retry\",\"errorConfig.WR_ARTIFACT_RENAME_ALREADY_EXISTS\":\"Destinations artifact [{$artifact}] already exists\",\"errorConfig.WR_BUCKET_DOES_NOT_EXIST\":\"Specified S3 bucket does not exist\",\"errorConfig.WP_CLOSE_WORK_ITEM_INVALID_VERSION_ERROR\":\"Failed to close the work item due to invalid version\",\"errorConfig.CC_ATTRIBUTE_DOES_NOT_EXIST\":\"Attribute not found\",\"errorConfig.WR_ARTIFACT_BAD_UPDATE_DATA\":\"Update information supplied was not valid\",\"errorConfig.WR_ARTIFACT_CREATE_ERROR_NO_FILENAME\":\"No filename specified - cannot create\",\"errorConfig.CC_BAD_UPDATE_DATA\":\"Update information supplied was not valid\",\"errorConfig.WP_COMPLETE_WORK_ITEM_ERROR\":\"Failed to complete the work item\",\"errorConfig.CC_UNKNOWN_ERROR\":\"Something went wrong, please contact your administrator\",\"errorConfig.WP_OPEN_NEXT_WORK_ITEM_INVALID_ERROR\":\"Failed to complete the work item as it's invalid\",\"errorConfig.WR_FOLDER_INVALID_SANDBOX\":\"No valid sandbox specified - must be a valid number\",\"errorConfig.WR_ARTIFACT_DOES_NOT_EXIST\":\"Artifact not found, please check the application, version and artifact names are correct\",\"errorConfig.WR_APPVERSION_BAD_UPDATE_DATA\":\"Update information supplied was not valid\",\"errorConfig.WP_CLOSE_WORK_ITEM_INVALID_WORK_ITEM_ERROR\":\"Failed to close the work item as it's invalid\",\"errorConfig.WR_APP_BAD_UPDATE_DATA\":\"Update information supplied was not valid\",\"errorConfig.WR_ARTIFACT_RENAME_INVALID_PATH\":\"New name should not be same as previous name\",\"errorConfig.WP_WORK_ITEM_RESCHEDULED_ERROR\":\"The work item has been modified by an external application\",\"errorConfig.WP_DEPLOY_CREATE_APP_ERROR\":\"Failed to create application in the database\",\"errorConfig.WR_FOLDER_LOCKED\":\"Folder is locked by another user, please try again later\",\"errorConfig.WR_APP_INVALID_NAME\":\"Invalid name specified for Application\",\"errorConfig.WP_CANCEL_WORK_ITEM_ERROR\":\"Failed to cancel the work item\",\"errorConfig.WR_SUBLIMIT_READ_ERROR\":\"Failed to read subscription limit for sub [{$subscriptionId}] key [{$key}]\",\"errorConfig.WR_APP_BAD_ZIP\":\"No artifacts found in ZIP / Corrupt ZIP\",\"errorConfig.CC_INVALID_PAGINATION\":\"Invalid value specified for $top or $skip, must be number > 0 and <= {max}\",\"errorConfig.WR_FOLDER_CREATE_ERROR_EXTENSION_NOT_ALLOWED\":\"Upload of artifact with the specified extension is not allowed\",\"errorConfig.WR_INVALID_FILTER\":\"Invalid filter supplied [{$invalid}]\",\"errorConfig.WR_ARTIFACT_DELETE_ERROR_INVALID_PATH\":\"Invalid artifactName for delete, check it is valid and does not start with /\",\"$code\":\"en-US\",\"$name\":\"English\",\"$dir\":\"ltr\"},\"registeredLanguages\":[\"en\",\"en-US\",\"fr-CA\",\"fr-FR\"]}",
  "owner": "tibco-admin",
  "creationDate": "2024-11-08T03:57:23.306+0000",
  "lastModifiedDate": "2024-11-08T06:12:53.047+0000",
  "lastModifiedBy": "tibco-admin"
},
{
  "id": "1",
  "name": "__BPME_CONFIGURATION__",
  "scope": "__CONFIGURATION__",
  "type": "PRIVATE",
  "value": "[{\"name\":\"work-manager-app\",\"label\":{\"default\":\"Work manager\",\"localeKey\":\"settings_work_manager\"},\"type\":\"APPLICATION\",\"description\":{\"default\":\"Work manager application\",\"localeKey\":\"settings_work_manager_description\"},\"version\":10,\"settings\":[{\"name\":\"case-details\",\"label\":{\"default\":\"Case details\",\"localeKey\":\"case_details\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case details component\",\"localeKey\":\"case_details_description\"},\"property\":[{\"name\":\"show-adhoc-tasks\",\"label\":{\"default\":\"Show adhoc tasks\",\"localeKey\":\"settings_adhoc_tasks\"},\"description\":{\"default\":\"Show an option to open list of adhoc tasks.\",\"localeKey\":\"settings_adhoc_tasks_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-details-refresh\",\"label\":{\"default\":\"Show case details refresh\",\"localeKey\":\"settings_case_details_refresh\"},\"description\":{\"default\":\"Show an option to refresh case details.\",\"localeKey\":\"settings_case_details_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-state-component\",\"label\":{\"default\":\"Show case state component\",\"localeKey\":\"settings_case_state_component\"},\"description\":{\"default\":\"Show case progress state component.\",\"localeKey\":\"settings_case_state_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-actions-component\",\"label\":{\"default\":\"Show case actions component\",\"localeKey\":\"settings_case_actions_component\"},\"description\":{\"default\":\"Show case actions component.\",\"localeKey\":\"settings_case_actions_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-data-component\",\"label\":{\"default\":\"Show case data component\",\"localeKey\":\"settings_case_data_component\"},\"description\":{\"default\":\"Show case data component.\",\"localeKey\":\"settings_case_data_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-work-items-component\",\"label\":{\"default\":\"Show case work items component\",\"localeKey\":\"settings_case_work_items_component\"},\"description\":{\"default\":\"Show widget to open sidebar with case work items component.\",\"localeKey\":\"settings_case_work_items_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-linked-cases-component\",\"label\":{\"default\":\"Show linked cases component\",\"localeKey\":\"settings_case_state_component\"},\"description\":{\"default\":\"Show widget to open sidebar with linked cases component.\",\"localeKey\":\"settings_linked_cases_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-document-component\",\"label\":{\"default\":\"Show case document component\",\"localeKey\":\"settings_case_document_component\"},\"description\":{\"default\":\"Show widget to open sidebar with case document component.\",\"localeKey\":\"settings_case_document_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-audit-component\",\"label\":{\"default\":\"Show case audit component\",\"localeKey\":\"settings_case_audit_component\"},\"description\":{\"default\":\"Show widget to open sidebar with case audit component.\",\"localeKey\":\"settings_case_audit_component\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"case-documents\",\"label\":{\"default\":\"Case documents\",\"localeKey\":\"case_documents\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case documents component\",\"localeKey\":\"case_documents_description\"},\"property\":[{\"name\":\"show-case-documents-delete\",\"label\":{\"default\":\"Show case documents delete\",\"localeKey\":\"settings_case_documents_delete\"},\"description\":{\"default\":\"Show an option to delete case documents.\",\"localeKey\":\"settings_case_documents_delete_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-documents-download\",\"label\":{\"default\":\"Show case documents download\",\"localeKey\":\"settings_case_documents_download\"},\"description\":{\"default\":\"Show an option to download case documents.\",\"localeKey\":\"settings_case_documents_download_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"case-documents-viewer\",\"label\":{\"default\":\"Case documents viewer\",\"localeKey\":\"case_documents_viewer\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case documents viewer component\",\"localeKey\":\"case_documents_viewer_description\"},\"property\":[{\"name\":\"show-case-documents-description-container\",\"label\":{\"default\":\"Show case documents description container\",\"localeKey\":\"settings_case_documents_description_container\"},\"description\":{\"default\":\"Show an option to hide case documents description container.\",\"localeKey\":\"settings_case_documents_description_container_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"case-types\",\"label\":{\"default\":\"Case types\",\"localeKey\":\"case_type\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Case types component\",\"localeKey\":\"case_type_description\"},\"property\":[{\"name\":\"show-case-types-refresh\",\"label\":{\"default\":\"Show case types refresh\",\"localeKey\":\"settings_case_types_refresh\"},\"description\":{\"default\":\"Show an option to refresh case types.\",\"localeKey\":\"settings_case_types_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-case-name\",\"label\":{\"default\":\"Show case name\",\"localeKey\":\"settings_case_name\"},\"description\":{\"default\":\"Show case name.\",\"localeKey\":\"settings_case_name_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-applicationMajorVersion\",\"label\":{\"default\":\"Show applicationMajorVersion\",\"localeKey\":\"settings_applicationMajorVersion\"},\"description\":{\"default\":\"Show applicationMajorVersion.\",\"localeKey\":\"settings_applicationMajorVersion_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"cases\",\"label\":{\"default\":\"Cases\",\"localeKey\":\"bpme.case.cases\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Cases component\",\"localeKey\":\"bpme.case.casesDescription\"},\"property\":[{\"name\":\"show-cases-search\",\"label\":{\"default\":\"Show cases search\",\"localeKey\":\"bpme.case.search\"},\"description\":{\"default\":\"Show an option to search cases.\",\"localeKey\":\"bpme.case.searchDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cases-filter\",\"label\":{\"default\":\"Show cases filter\",\"localeKey\":\"bpme.case.filter\"},\"description\":{\"default\":\"Show cases filter.\",\"localeKey\":\"bpme.case.filterDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cases-columns-selector\",\"label\":{\"default\":\"Show cases columns selector\",\"localeKey\":\"bpme.case.columns\"},\"description\":{\"default\":\"Show cases columns selector.\",\"localeKey\":\"bpme.case.columnsDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cases-refresh\",\"label\":{\"default\":\"Show cases refresh\",\"localeKey\":\"bpme.case.refresh\"},\"description\":{\"default\":\"Show an option to refresh cases.\",\"localeKey\":\"bpme.case.refreshDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"audit\",\"label\":{\"default\":\"Audit\",\"localeKey\":\"bpme.commonAudit.audit\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Audit component\",\"localeKey\":\"bpme.commonAudit.auditDescription\"},\"property\":[{\"name\":\"show-filter\",\"label\":{\"default\":\"Show filter\",\"localeKey\":\"bpme.commonAudit.showFilterLabel\"},\"description\":{\"default\":\"Show option to show filter of the audit.\",\"localeKey\":\"bpme.commonAudit.showFilterDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-table\",\"label\":{\"default\":\"Show table\",\"localeKey\":\"bpme.commonAudit.showTableLabel\"},\"description\":{\"default\":\"Show option to show table of the audit.\",\"localeKey\":\"bpme.commonAudit.showTableDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"navbarHeader\",\"label\":{\"default\":\"Navbar header\",\"localeKey\":\"bpme.navbarHeader.header\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Global header\",\"localeKey\":\"bpme.navbarHeader.compDescription\"},\"property\":[{\"name\":\"logURL\",\"label\":{\"default\":\"Header logo\",\"localeKey\":\"bpme.navbarHeader.logoLabel\"},\"description\":{\"default\":\"Header logo image URL\",\"localeKey\":\"bpme.navbarHeader.logoDescription\"},\"type\":\"string\",\"value\":\"/apps/web-cdn/icons/Vector.svg\",\"defaultValue\":\"/apps/web-cdn/icons/Vector.svg\"},{\"name\":\"appTitle\",\"label\":{\"default\":\"Application title\",\"localeKey\":\"bpme.navbarHeader.appTitle\"},\"description\":{\"default\":\"Text after logo\",\"localeKey\":\"bpme.navbarHeader.textAfterLogo\"},\"type\":\"string\",\"value\":\"BPME web components\",\"defaultValue\":\"BPME web components\"}]},{\"name\":\"navbarHeaderTools\",\"label\":{\"default\":\"Navbar header tools\",\"localeKey\":\"bpme.navbarHeaderTools.headerTools\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Global header tools\",\"localeKey\":\"bpme.navbarHeaderTools.compDescription\"},\"property\":[{\"name\":\"showApplicationSwitcher\",\"label\":{\"default\":\"Show application switcher\",\"localeKey\":\"bpme.navbarHeaderTools.appSwitcher\"},\"description\":{\"default\":\"Shows applications list in the workspace\",\"localeKey\":\"bpme.navbarHeaderTools.switcherDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"showProfile\",\"label\":{\"default\":\"Show user profile\",\"localeKey\":\"bpme.navbarHeaderTools.userProfile\"},\"description\":{\"default\":\"User details\",\"localeKey\":\"bpme.navbarHeaderTools.userProfileDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"signOutURL\",\"label\":{\"default\":\"Sign out url\",\"localeKey\":\"bpme.navbarHeaderTools.logoutURL\"},\"description\":{\"default\":\"Provide url for sign out else default url will be used\",\"localeKey\":\"bpme.navbarHeaderTools.logoutURLDescription\"},\"type\":\"string\",\"value\":\"\",\"defaultValue\":\"\"}]},{\"name\":\"userProfile\",\"label\":{\"default\":\"User profile\",\"localeKey\":\"bpme.userProfile.profile\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"User profile component\",\"localeKey\":\"bpme.userProfile.profileDescription\"},\"property\":[{\"name\":\"show-themes\",\"label\":{\"default\":\"Show themes switcher\",\"localeKey\":\"bpme.userProfile.showThemes\"},\"description\":{\"default\":\"Show an option to switch themes\",\"localeKey\":\"bpme.userProfile.showThemesDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-languages\",\"label\":{\"default\":\"Show languages switcher\",\"localeKey\":\"bpme.userProfile.languagesSwitcher\"},\"description\":{\"default\":\"Show an option to switch languages.\",\"localeKey\":\"bpme.userProfile.languagesSwitcherDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-sign-out\",\"label\":{\"default\":\"Show sign out\",\"localeKey\":\"bpme.userProfile.settingSignout\"},\"description\":{\"default\":\"Show an option to sign out.\",\"localeKey\":\"bpme.userProfile.settingSignoutDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-product-version\",\"label\":{\"default\":\"Show product name and version\",\"localeKey\":\"bpme.userProfile.productName\"},\"description\":{\"default\":\"Show an option to display product information.\",\"localeKey\":\"bpme.userProfile.productNameDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-copy-right\",\"label\":{\"default\":\"Show product copy right\",\"localeKey\":\"bpme.userProfile.settingCopy\"},\"description\":{\"default\":\"Show an option to display copy right text.\",\"localeKey\":\"bpme.userProfile.settingCopyDescription\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"work-list\",\"label\":{\"default\":\"Work list\",\"localeKey\":\"settings_work_list\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Work list component\",\"localeKey\":\"settings_work_list_description\"},\"property\":[{\"name\":\"show-auto-refresh\",\"label\":{\"default\":\"Show auto refresh\",\"localeKey\":\"settings_auto_refresh\"},\"description\":{\"default\":\"Show option to auto refresh the work list.\",\"localeKey\":\"settings_auto_refresh_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-allocate-to-self\",\"label\":{\"default\":\"Show allocate to self\",\"localeKey\":\"settings_allocate_self\"},\"type\":\"boolean\",\"description\":{\"default\":\"Show the option to allocate the work item to self (logged in user).\",\"localeKey\":\"settings_allocate_self_description\"},\"value\":true,\"defaultValue\":true},{\"name\":\"show-pend\",\"label\":{\"default\":\"Show pend\",\"localeKey\":\"settings_pend\"},\"description\":{\"default\":\"Show option to pend the work item.\",\"localeKey\":\"settings_pend_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-auto-repeat\",\"label\":{\"default\":\"Show auto repeat\",\"localeKey\":\"settings_auto_repeat\"},\"description\":{\"default\":\"Show the option to automatically repeat opening of the work item.\",\"localeKey\":\"settings_auto_repeat_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-filter\",\"label\":{\"default\":\"Show filter\",\"localeKey\":\"settings_filter\"},\"description\":{\"default\":\"Show filter option to filter the work list.\",\"localeKey\":\"settings_filter_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-sort\",\"label\":{\"default\":\"Show sort\",\"localeKey\":\"settings_sort\"},\"description\":{\"default\":\"Show option to sort the work items in the work list.\",\"localeKey\":\"settings_sort_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-refresh\",\"label\":{\"default\":\"Show refresh\",\"localeKey\":\"settings_refresh\"},\"description\":{\"default\":\"Show option to refresh the work list.\",\"localeKey\":\"settings_refresh_refresh\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-cancel\",\"label\":{\"default\":\"Show cancel\",\"localeKey\":\"settings_cancel\"},\"description\":{\"default\":\"Show an option to cancel the selected work item.\",\"localeKey\":\"settings_cancel_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-reallocate-to-world\",\"label\":{\"default\":\"Show reallocate to world\",\"localeKey\":\"settings_reallocate_world\"},\"description\":{\"default\":\"Show an option to re allocate the selected work items to any one in the organization.\",\"localeKey\":\"settings_reallocate_world_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-reoffer\",\"label\":{\"default\":\"Show reoffer\",\"localeKey\":\"settings_reoffer\"},\"description\":{\"default\":\"Show an option to reoffer the work item to the initial offerset.\",\"localeKey\":\"settings_reoffer_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-adhoc-tasks\",\"label\":{\"default\":\"Show adhoc tasks\",\"localeKey\":\"settings_adhoc_tasks\"},\"description\":{\"default\":\"Show adhoc tasks list.\",\"localeKey\":\"settings_adhoc_tasks_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-skip\",\"label\":{\"default\":\"Show skip\",\"localeKey\":\"settings_skip\"},\"description\":{\"default\":\"Show option to skip the selected work item.\",\"localeKey\":\"settings_skip_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-actions\",\"label\":{\"default\":\"Show work list actions\",\"localeKey\":\"settings_work_list_actions\"},\"description\":{\"default\":\"Display the options of the list of actions that can be performs on multiple work items in the work list.\",\"localeKey\":\"settings_work_list_actions_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-item-actions\",\"label\":{\"default\":\"Show work item actions\",\"localeKey\":\"settings_work_item_actions\"},\"description\":{\"default\":\"Display the options of the list of actions that can be performs on selected work item in the work list.\",\"localeKey\":\"settings_work_item_actions_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-table-actions-column\",\"label\":{\"default\":\"Show work list table actions column\",\"localeKey\":\"settings_table_actions_column\"},\"description\":{\"default\":\"Display the list of columns in the work list table.\",\"localeKey\":\"settings_table_actions_column_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-table-open-action-button\",\"label\":{\"default\":\"Show work list table open action button\",\"localeKey\":\"settings_work_list_open_button\"},\"description\":{\"default\":\"Show the option to open form for the selected item in the table.\",\"localeKey\":\"settings_work_list_open_button_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-list-table-menu-action-ellipsis\",\"label\":{\"default\":\"Show work list table menu action ellipsis\",\"localeKey\":\"settings_table_action_ellipsis\"},\"description\":{\"default\":\"Show option that displays more work item specific actions.\",\"localeKey\":\"settings_table_action_ellipsis_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-priority\",\"label\":{\"default\":\"Show priority\",\"localeKey\":\"settings_priority\"},\"description\":{\"default\":\"Show a dialog that user can change the priority of the selected work item.\",\"localeKey\":\"settings_priority_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-open-next\",\"label\":{\"default\":\"Show open next\",\"localeKey\":\"settings_open_next\"},\"description\":{\"default\":\"Show an option to open next work item in the work list.\",\"localeKey\":\"settings_open_next_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]},{\"name\":\"work-view\",\"label\":{\"default\":\"Work view\",\"localeKey\":\"work_view\"},\"type\":\"COMPONENT\",\"description\":{\"default\":\"Work views\",\"localeKey\":\"work_view_description\"},\"property\":[{\"name\":\"show-work-view-types\",\"label\":{\"default\":\"Show work view types\",\"localeKey\":\"settings_work_view_types\"},\"description\":{\"default\":\"Show list of different work view types.\",\"localeKey\":\"settings_work_view_types_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-edit-work-view\",\"label\":{\"default\":\"Show Edit work view\",\"localeKey\":\"settings_edit_work_view\"},\"description\":{\"default\":\"Show an option to edit the current view.\",\"localeKey\":\"settings_edit_work_view_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-delete-work-view\",\"label\":{\"default\":\"Show Delete work view\",\"localeKey\":\"settings_delete_work_view\"},\"description\":{\"default\":\"some description about the property\",\"localeKey\":\"settings_delete_work_view_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-work-view-filter\",\"label\":{\"default\":\"Show work view filter\",\"localeKey\":\"settings_work_view_filter\"},\"description\":{\"default\":\"Show option to filter the list of work views.\",\"localeKey\":\"settings_work_view_filter_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true},{\"name\":\"show-create-view\",\"label\":{\"default\":\"Show create view\",\"localeKey\":\"settings_create_view\"},\"description\":{\"default\":\"Show the option to create new work views.\",\"localeKey\":\"settings_create_view_description\"},\"type\":\"boolean\",\"value\":true,\"defaultValue\":true}]}]}]",
  "owner": "tibco-admin",
  "creationDate": "2024-11-11T04:11:48.476+0000",
  "lastModifiedDate": "2024-11-11T04:46:04.424+0000",
  "lastModifiedBy": "tibco-admin"
},
  {
      "id": "7",
      "name": "tib_contribution_app",
      "scope": "tib_contribution_app_services",
      "type": "PRIVATE",
      "value": "[]",
      "owner": "tibco-admin",
      "creationDate": "2024-05-09T08:10:30.734+0000",
      "lastModifiedDate": "2024-05-09T08:10:30.734+0000",
      "lastModifiedBy": "tibco-admin"
  },
  {
      "id": "6",
      "name": "tib_deployment_filter",
      "scope": "tib_filter_service",
      "type": "PRIVATE",
      "value": "status eq 'Deployed'",
      "owner": "tibco-admin",
      "creationDate": "2024-05-09T08:10:04.718+0000",
      "lastModifiedDate": "2024-05-09T08:10:04.718+0000",
      "lastModifiedBy": "tibco-admin"
  },
  {
      "id": "4",
      "name": "tib_recent_workItem",
      "scope": "tib_recent_workManager",
      "type": "PRIVATE",
      "value": "[{\"id\":\"3\",\"version\":\"0\",\"header\":{\"distributionStrategy\":{\"stringKey\":\"WMdsOffer\",\"description\":\"Offer\"},\"priority\":50,\"startDate\":\"2024-05-09T06:59:33.485Z\",\"name\":\"UserTask\",\"description\":\"User Task\",\"flags\":{\"scheduleStatus\":{\"stringKey\":\"WMschedStatusDuring\",\"description\":\"During\"}},\"itemContext\":{\"activityId\":\"t:002g3.j\",\"activityName\":\"UserTask\",\"appInstance\":\"p:0a203\",\"appName\":\"AddtwoNumProcess\",\"appId\":\"_P9D0AAuBEe-pKsYIkJ8tnQ\"}},\"state\":{\"stringKey\":\"WMstateOffered\",\"description\":\"Offered\"},\"attributes\":{},\"visible\":true,\"headerInitialsName\":\"U\"},{\"id\":\"1\",\"version\":\"3\",\"header\":{\"distributionStrategy\":{\"stringKey\":\"WMdsOffer\",\"description\":\"Offer\"},\"priority\":50,\"startDate\":\"2024-05-09T06:31:40.339Z\",\"name\":\"User\",\"description\":\"TextResult\",\"flags\":{\"scheduleStatus\":{\"stringKey\":\"WMschedStatusDuring\",\"description\":\"During\"}},\"itemContext\":{\"activityId\":\"t:002g2.d\",\"activityName\":\"User\",\"appInstance\":\"p:0a202\",\"appName\":\"AddtwoNumProcess2\",\"appId\":\"_CNM5AA0GEe-RC7pkOf3mCQ\"}},\"state\":{\"stringKey\":\"WMstateOpened\",\"description\":\"Opened\"},\"attributes\":{},\"visible\":true,\"headerInitialsName\":\"U\"}]",
      "owner": "tibco-admin",
      "creationDate": "2024-05-09T06:36:34.787+0000",
      "lastModifiedDate": "2024-05-09T08:56:37.581+0000",
      "lastModifiedBy": "tibco-admin"
  }
]

export const handlers = [

  http.get('../../bpm/config/v1/settings/', (req, res, ctx) => {
  return HttpResponse.json(
		settings,
		{
		  message: 'Mocked response',
		},
		{
		  status: 200,
		}
	  )
  })
]		
