const { setupWorker, rest, http, HttpResponse  } = MockServiceWorker;

const langInfo = {"English":["en","en-US"],"French":["fr-FR","fr-CA"]};
const ccOutPut = [
  {
      "id": "3",
      "name": "__BPME_LANGUAGE_CONFIGURATION__",
      "scope": "__LANGUAGE_CONFIGURATION__",
      "type": "PRIVATE",
      "value": "{\"language\":\"en-US\",\"languageData\":{\"bpme.adhoctasks.searchForTasksPlaceholder\":\"Search for tasks\",\"bpme.adhoctasks.filter\":\"Filters\",\"bpme.adhoctasks.noTasks\":\"There are no Ad-hoc activities\",\"bpme.adhoctasks.manual\":\"Manual\",\"bpme.adhoctasks.automatic\":\"Automatic\",\"bpme.adhoctasks.status\":\"Status:\",\"bpme.adhoctasks.inprogress\":\"In progress\",\"bpme.adhoctasks.notstarted\":\"Not yet started\",\"bpme.adhoctasks.multipletimes\":\"Can be started multiple times\",\"bpme.adhoctasks.completed\":\"Completed\",\"bpme.adhoctasks.neverexecuted\":\"Never executed\",\"bpme.adhoctasks.executedonce\":\"Executed once\",\"bpme.adhoctasks.executedtwice\":\"Executed twice\",\"bpme.adhoctasks.executed\":\"Executed\",\"bpme.adhoctasks.times\":\"times\",\"bpme.adhoctasks.disabled\":\"Disabled\",\"bpme.adhoctasks.cancel\":\"Cancel\",\"bpme.adhoctasks.start\":\"Start\",\"bpme.adhoctasks.processID\":\"Process instance:\",\"bpme.adhoctasks.caseReference\":\"Case reference:\",\"bpme.adhoctasks.refresh\":\"Refresh\",\"bpme.adhoctasks.title\":\"Ad-hoc tasks\",\"bpme.adhoctasks.processName\":\"Process name:\",\"bpme.adhoctasks.showAutomatic\":\"Show automatic\",\"bpme.adhoctasks.showDisabled\":\"Show disabled\",\"bpme.applicationsSwitcher.applications\":\"Applications\",\"bpme.applicationsSwitcher.appName\":\"Tibco BPME Enterprise\",\"bpme.caseAudit.noViewMsg\":\"No Audit messages\",\"bpme.caseAudit.createdCase\":\"created case\",\"bpme.caseAudit.inState\":\"in state\",\"bpme.caseAudit.caseStateChanged\":\"case state changed\",\"bpme.caseAudit.newStateIs\":\"new state is\",\"bpme.caseAudit.on\":\"on\",\"bpme.caseAudit.updatedCase\":\"updated case\",\"bpme.caseAudit.linkedCaseTo\":\"linked case to\",\"bpme.caseAudit.hasErrorAt\":\"has error at\",\"bpme.caseAudit.hasWarningAt\":\"has warning at\",\"bpme.caseDetails.caseActionsHeaderPrefix\":\"data\",\"bpme.caseDetails.workItemsLabel\":\"Work items\",\"bpme.caseDetails.linkedCasesLabel\":\"Linked cases\",\"bpme.caseDetails.documentsLabel\":\"Documents\",\"bpme.caseDetails.auditLabel\":\"Audit\",\"bpme.caseDocuments.uploadDocument\":\"Upload\",\"bpme.caseDocuments.uploadCancel\":\"Cancel\",\"bpme.caseDocuments.yesDelete\":\"Yes, Delete\",\"bpme.caseDocuments.noViewMsg\":\"No documents\",\"bpme.caseDocuments.noDocumentFoundNameContaining\":\"No document found name containing\",\"bpme.caseDocuments.deleteDocument\":\"Delete document\",\"bpme.caseDocuments.areYouSureYouWantToDelete\":\"Are you sure you want to delete\",\"bpme.caseDocuments.lastUpdatedBy\":\"Last updated by\",\"bpme.caseDocuments.on\":\"on\",\"bpme.caseDocuments.version\":\"Version\",\"bpme.caseDocumentsViewer.download\":\"Download\",\"bpme.caseDocumentsViewer.documentInformation\":\"Document information\",\"bpme.caseDocumentsViewer.description\":\"Description\",\"bpme.caseDocumentsViewer.lastUpdate\":\"Last update\",\"bpme.caseDocumentsViewer.on\":\"on\",\"bpme.caseDocumentsViewer.lastUpdatedBy\":\"Last updated by\",\"bpme.caseLinkedCases.noViewMsg\":\"No linked cases\",\"bpme.caseStates.moreStates\":\"More States\",\"bpme.caseType.noViewLabel\":\"No View Available\",\"bpme.caseType.header\":\"Case Types\",\"bpme.caseType.settings\":\"Case types\",\"bpme.caseType.settingsDescription\":\"Case types component\",\"bpme.caseWorkItems.noViewMsg\":\"No case work items\",\"bpme.case.headerSubTitle\":\"Active Cases\",\"bpme.case.searchCasePlaceholder\":\"Search for cases\",\"bpme.case.filterTooltip\":\"Filter\",\"bpme.case.filterCardHeader\":\"Filter cases\",\"bpme.case.filterCardClose\":\"Close\",\"bpme.case.filterSelectByState\":\"Filter By State\",\"bpme.case.filterCancel\":\"Cancel\",\"bpme.case.filterApply\":\"Apply\",\"bpme.case.columnsLabel\":\"Columns\",\"bpme.case.refreshLabel\":\"Refresh\",\"bpme.case.state\":\"State\",\"bpme.case.modifiedOnOrBefore\":\"Modified on or before\",\"bpme.case.clearAllFilter\":\"Clear all filters\",\"bpme.case.emptyCaseListLabel\":\"No active cases\",\"bpme.case.emptyCaseListOnFilterAndSearch\":\"No cases found matching the filter and search criteria\",\"bpme.case.emptyCaseListOnFilter\":\"No cases found matching the filter criteria\",\"bpme.case.emptyCaseListOnSearch\":\"No cases found matching the search criteria\",\"bpme.case.emptyCaseListLabelAfterFilter\":\"You have filtered out all the columns, please select at least one to see the data.\",\"bpme.case.cases\":\"Cases\",\"bpme.case.casesDescription\":\"Cases component\",\"bpme.case.search\":\"Show cases search\",\"bpme.case.searchDescription\":\"Show an option to search cases.\",\"bpme.case.filter\":\"Show cases filter\",\"bpme.case.filterDescription\":\"Show cases filter.\",\"bpme.case.columns\":\"Show cases columns selector\",\"bpme.case.columnsDescription\":\"Show cases columns selector.\",\"bpme.case.refresh\":\"Show cases refresh\",\"bpme.case.refreshDescription\":\"Show an option to refresh cases.\",\"bpme.configuration.config\":\"Configuration\",\"bpme.configuration.scope\":\"Scope\",\"bpme.configuration.application\":\"Application\",\"bpme.configuration.user\":\"User\",\"bpme.configuration.workspace\":\"Workspace\",\"bpme.configComponents.components\":\"Components\",\"bpme.configurationProperties.save\":\"Save\",\"bpme.configurationProperties.cancel\":\"Cancel\",\"bpme.configurationProperties.saveAs\":\"Save as\",\"bpme.workViewDialogConfig.createWorkViewTitle\":\"Create work view\",\"bpme.workViewDialogConfig.editWorkViewTitle\":\"Edit work view\",\"bpme.workViewDialogConfig.detailsTitle\":\"Details\",\"bpme.workViewDialogConfig.targetTitle\":\"Target\",\"bpme.workViewDialogConfig.filterTitle\":\"Filter\",\"bpme.workViewDialogConfig.sortTitle\":\"Sort\",\"bpme.workViewDialogConfig.columnsTitle\":\"Columns\",\"bpme.workViewDialogConfig.usersTitle\":\"Users\",\"bpme.workViewDialogConfig.authorsTitle\":\"Authors\",\"bpme.workViewDialogConfig.summaryTitle\":\"Summary\",\"bpme.workViewDialogConfig.nameLabel\":\"Name\",\"bpme.workViewDialogConfig.descriptionLabel\":\"Description\",\"bpme.workViewDialogConfig.makeViewPublicLabel\":\"Make this view public\",\"bpme.workViewDialogConfig.typeOfViewLabel\":\"Type of view\",\"bpme.workViewDialogConfig.mineOptionLabel\":\"Tasks in my worklist\",\"bpme.workViewDialogConfig.noneOptionLabel\":\"An entity in the org model\",\"bpme.workViewDialogConfig.allOptionLabel\":\"All work items\",\"bpme.workViewDialogConfig.noAuthError\":\"The view is set to view an Entity in the Org Model but you are not authorized to change it\",\"bpme.workViewDialogConfig.typeOfWorkitemsLabel\":\"Type of work items\",\"bpme.workViewDialogConfig.noFilterError\":\"No filter applied. To get started, add rules.\",\"bpme.workViewDialogConfig.noPermissionForUsersError\":\"You do not have permission to view the Organizational Model, you cannot add Users to your View\",\"bpme.workViewDialogConfig.noPermissionForAuthorsError\":\"You do not have permission to view the Organizational Model, you cannot add Authors to your View\",\"bpme.workViewDialogConfig.nextButtonTitle\":\"Next\",\"bpme.workViewDialogConfig.backButtonTitle\":\"Back\",\"bpme.workViewDialogConfig.cancelButtonTitle\":\"Cancel\",\"bpme.workViewDialogConfig.saveButtonTitle\":\"Save\",\"bpme.workViewDialogConfig.resetButtonTitle\":\"Reset\",\"bpme.workViewDialogConfig.createButtonTitle\":\"Create\",\"bpme.workViewDialogConfig.createAndExitButtonTitle\":\"Finish\",\"bpme.workViewDialogConfig.saveAndExitButtonTitle\":\"Save & exit\",\"bpme.workViewDialogConfig.emptyMessage\":\"A ruleset cannot be empty. Please add a rule or remove the ruleset.\",\"bpme.workViewDialogConfig.createViewMessage\":\"Work view created successfully. To see it, select My work views or Editable work views.\",\"bpme.workViewDialogConfig.createPublicViewMessage\":\"Work view created successfully. To see it, select the Public view.\",\"bpme.workViewDialogConfig.usersViewErrorLabel\":\"The following users are not allowed to view the\",\"bpme.workViewDialogConfig.usersNotAuthorizedLabel\":\"Users not authorized\",\"bpme.workViewDialogConfig.charactersLabel\":\"characters\",\"bpme.workViewDialogConfig.allocatedLabel\":\"Allocated\",\"bpme.workViewDialogConfig.offeredLabel\":\"Offered\",\"bpme.language.languages\":\"Languages fr-FR\",\"bpme.language.addNew\":\"Add new fr-FR\",\"bpme.language.default\":\"Default\",\"bpme.language.selectLang\":\"Select language\",\"bpme.language.listHelpText\":\"Choose a variant of the French language to modify locale values for individual components fr-FR\",\"bpme.languageComponents.components\":\"Components\",\"bpme.languageKeys.components\":\"Components\",\"bpme.languageKeys.save\":\"Save\",\"bpme.languageKeys.cancel\":\"Cancel\",\"bpme.languageKeys.saveAs\":\"Save as\",\"bpme.languageKeys.localeNamePlaceholder\":\"Enter locale to be saved\",\"bpme.languageSwitcher.languages\":\"Languages\",\"bpme.loginConfig.authenticationFailedLabel\":\"Authentication failed. Invalid username or password.\",\"bpme.loginConfig.loginHeader\":\"Sign in to your account\",\"bpme.loginConfig.loginError\":\"Please enter correct username and password\",\"bpme.loginConfig.SSOError\":\"Please enter correct credentials and try again.\",\"bpme.loginConfig.usernameLabel\":\"Username\",\"bpme.loginConfig.usernamePlaceholder\":\"Enter username\",\"bpme.loginConfig.passwordPlaceholder\":\"Password\",\"bpme.loginConfig.loginBtnLabel\":\"Sign in\",\"bpme.loginConfig.orLabel\":\"OR\",\"bpme.loginConfig.loginWithSSOBtnLabel\":\"Sign in with SSO\",\"bpme.loginConfig.copyrightLabel\":\"Copyright B) 2024 Cloud Software Group, Inc. All rights reserved\",\"bpme.loginConfig.privacyPolicyLabel\":\"Privacy Policy\",\"bpme.loginConfig.termsOfUseLabel\":\"Terms of use\",\"bpme.loginConfig.tradeMarksLabel\":\"Trademarks\",\"bpme.loginConfig.eulaLabel\":\"EUA\",\"bpme.loginConfig.faqLabel\":\"FAQ\",\"bpme.loginConfig.contactUsLabel\":\"Contact us\",\"bpme.loginConfig.signInTitleLabel\":\"TIBCO BPM Enterprise\",\"bpme.processInstances.filter\":\"Filters\",\"bpme.settingsList.configuration\":\"Configuration\",\"bpme.settingsList.languages\":\"Languages\",\"bpme.settingsList.themes\":\"Themes\",\"bpme.settingsList.select\":\"Select settings\",\"bpme.settingsList.optionLabel\":\"Settings\",\"bpme.themeSwitcher.themes\":\"Themes\",\"bpme.uploadLanguage\":{},\"bpme.workItemFormConfig.saveFormMsg\":\"Work item submitted successfully.\",\"bpme.workItemFormConfig.closeFormMsg\":\"Work item saved successfully.\",\"bpme.workItemFormConfig.errorFormMsg\":\"Error while loading the form.\",\"bpme.workItemFormConfig.dataOutOfSyncMsg\":\"Data out of sync\",\"bpme.workItemFormConfig.showAdhocTasks\":\"Show Ad-hoc tasks\",\"bpme.workItemPreviewForm.nextButtonTitle\":\"Next\",\"bpme.workItemPreviewForm.previousButtonTitle\":\"Previous\",\"bpme.workItemPreviewForm.closeButtonTitle\":\"Close\",\"bpme.workItemPreviewForm.noPreviewMsg\":\"No preview data available\",\"bpme.workListTable.workListTableHeader\":\"Worklist\",\"bpme.workListTable.autoRepeatTitle\":\"Auto-repeat\",\"bpme.workListTable.autoRepeatTooltip\":\"Auto-repeat open work item\",\"bpme.workListTable.columnsTitle\":\"Columns\",\"bpme.workListTable.sortTitle\":\"Sort\",\"bpme.workListTable.filterTitle\":\"Filter\",\"bpme.workListTable.refreshTitle\":\"Refresh\",\"bpme.workListTable.searchTitle\":\"Search\",\"bpme.workListTable.previousTitle\":\"Previous\",\"bpme.workListTable.nextTitle\":\"Next\",\"bpme.workListTable.noPreviewMsg\":\"No preview data available\",\"bpme.workListTable.offerSetTitle\":\"Offer set\",\"bpme.workListTable.worldTitle\":\"World\",\"bpme.workListTable.openNextTitle\":\"Open next\",\"bpme.workListTable.cancelTitle\":\"Cancel\",\"bpme.workListTable.cancelBtnLabel\":\"Cancel\",\"bpme.workListTable.allocateToSelfTitle\":\"Allocate to self\",\"bpme.workListTable.reOfferTitle\":\"Re-offer\",\"bpme.workListTable.skipTitle\":\"Skip\",\"bpme.workListTable.reallocateToTitle\":\"Reallocate to\",\"bpme.workListTable.reallocateToWorldTitle\":\"Reallocate to world\",\"bpme.workListTable.reallocateBtnLabel\":\"Reallocate\",\"bpme.workListTable.pendingTitle\":\"Pend\",\"bpme.workListTable.changePriorityTitle\":\"Change priority\",\"bpme.workListTable.openTitle\":\"Open\",\"bpme.workListTable.noWorkitemsTitle\":\"No work items\",\"bpme.workListTable.autoRefreshTitle\":\"Auto-refresh\",\"bpme.workListTable.autoRefreshInProgress\":\"Auto-refresh in progress....\",\"bpme.workListTable.autoRefreshMiniumIntervalLabel\":\"Minimum auto-refresh limit is 30 seconds\",\"bpme.workListTable.saveSettingsDisabledLabel\":\"The settings will only be saved in the current session\",\"bpme.workListTable.revertDataLabel\":\"Revert data\",\"bpme.workListTable.showAdhocTasks\":\"Show Ad-hoc tasks\",\"bpme.workListTable.columnLabelActions\":\"Actions\",\"bpme.workListTable.settingsLabel\":\"Settings\",\"bpme.workListTable.reallocateToOfferSetTitle\":\"Reallocate to offer set\",\"bpme.workListTable.noWorkitemsLabel\":\"No work items available for selected view\",\"bpme.workListTable.reallocateDialogTitle\":\"Workitem reallocate\",\"bpme.systemActions.errorMessage\":\"You do not have access to this item\",\"bpme.adhocTasksDialog.closeButtonTitle\":\"Close\",\"bpme.workListReallocateOfferSetDialog.reallocateDialogTitle\":\"Workitem reallocate\",\"bpme.workListReallocateOfferSetDialog.revertDataTitle\":\"Revert data\",\"bpme.workListReallocateOfferSetDialog.reallocateButtonTitle\":\"Reallocate\",\"bpme.workListReallocateOfferSetDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workListReallocateOfferSetDialog.reallocateNote\":\"Please select a resource to reallocate:\",\"bpme.workListColumnDialogConfig.availableColumnsTitle\":\"Available columns\",\"bpme.workListColumnDialogConfig.selectedColumnsTitle\":\"Selected columns\",\"bpme.workListColumnDialogConfig.moveSelectionRightTitle\":\"Move selected item right\",\"bpme.workListColumnDialogConfig.moveSelectionLeftTitle\":\"Move selected item left\",\"bpme.workListColumnDialogConfig.moveSelectionUpTitle\":\"Move selected item up\",\"bpme.workListColumnDialogConfig.moveSelectionDownTitle\":\"Move selected item down\",\"bpme.workListColumnDialogConfig.ascendingTitle\":\"Ascending\",\"bpme.workListColumnDialogConfig.descendingTitle\":\"Descending\",\"bpme.workListColumnDialogConfig.attributeLabel\":\"Attribute{$attribIndex}\",\"bpme.workListColumnDialogConfig.workListColumnDialogTitle\":\"Worklist column selector\",\"bpme.workListColumnDialogConfig.saveButtonTitle\":\"Apply\",\"bpme.workListColumnDialogConfig.resetButtonTitle\":\"Reset\",\"bpme.workListColumnDialogConfig.cancelButtonTitle\":\"Cancel\",\"bpme.workListFilterDialog.filterDialogTitle\":\"Worklist filter\",\"bpme.workListFilterDialog.noFilterAppliedLabel\":\"No filter applied. To get started, add rules.\",\"bpme.workListFilterDialog.filterLabel\":\"Filter\",\"bpme.workListFilterDialog.saveButtonTitle\":\"Save\",\"bpme.workListFilterDialog.resetButtonTitle\":\"Reset\",\"bpme.workListFilterDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workListFilterDialog.emptyMessage\":\"A ruleset cannot be empty. Please add a rule or remove the ruleset.\",\"bpme.workItemPend.pendWorkItemTitle\":\"Pend work item\",\"bpme.workItemPend.selectTimeOptionLabel\":\"Select any one time option to pend work item\",\"bpme.workItemPend.restoreLabel\":\"You can restore a PENDHIDDEN item by entering a Pend Duration of 0.\",\"bpme.workItemPend.dateTimeOption\":\"Date time\",\"bpme.workItemPend.timeOffsetOption\":\"Time offset\",\"bpme.workItemPend.chooseDatePlaceholder\":\"Choose date time\",\"bpme.workItemPend.yearsLabel\":\"Years\",\"bpme.workItemPend.monthsLabel\":\"Months\",\"bpme.workItemPend.weeksLabel\":\"Weeks\",\"bpme.workItemPend.daysLabel\":\"Days\",\"bpme.workItemPend.hoursLabel\":\"Hours\",\"bpme.workItemPend.minutesLabel\":\"Minutes\",\"bpme.workItemPend.cancelBtnLabel\":\"Cancel\",\"bpme.workItemPend.pendBtnLabel\":\"Pend\",\"bpme.workItemPend.dateTimeNoteInfo\":\"Note: Value should be later than current date and time.\",\"bpme.workItemPend.offsetNoteInfo\":\"Note: Value should be more than 0.\",\"bpme.workListPriorityDialog.changePriorityTitle\":\"Change priority for workitem\",\"bpme.workListPriorityDialog.setPriorityTitle\":\"Set priority as: \",\"bpme.workListPriorityDialog.absolutePriorityTitle\":\"Absolute\",\"bpme.workListPriorityDialog.offsetPriorityTitle\":\"Offset\",\"bpme.workListPriorityDialog.priorityLabel\":\"Priority\",\"bpme.workListPriorityDialog.valueLabel\":\"value:\",\"bpme.workListPriorityDialog.absoluteLabel\":\"absolute\",\"bpme.workListPriorityDialog.offsetLabel\":\"offset\",\"bpme.workListPriorityDialog.absolutePriorityValue\":\"Priority absolute value: \",\"bpme.workListPriorityDialog.offsetPriorityValue\":\"Priority offset value: \",\"bpme.workListPriorityDialog.invalidPriorityLabel\":\"Valid priority value is between 0 to 100.\",\"bpme.workListPriorityDialog.priorityAfterOffsetLabel\":\"Priority after applying offset\",\"bpme.workListPriorityDialog.okButtonTitle\":\"OK\",\"bpme.workListPriorityDialog.resetButtonTitle\":\"Reset\",\"bpme.workListPriorityDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueTitle\":\"Auto-refresh\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueEnableLabel\":\"Enable auto-refresh\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueRefreshLabel\":\"Refresh interval\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueTimeLabel\":\"seconds\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueCancelButton\":\"Cancel\",\"bpme.workListAutoRefreshDialog.autoRefreshDialogueApplyButton\":\"Apply\",\"bpme.workListAutoRefreshDialog.saveThisSettings\":\"Save this setting for future sessions\",\"bpme.workListAutoRefreshDialog.autoRefreshInProgress\":\"Auto-refresh in progress....\",\"bpme.workListAutoRefreshDialog.autoRefreshMiniumIntervalLabel\":\"Minimum auto-refresh limit is 30 seconds\",\"bpme.workListAutoRefreshDialog.saveSettingsDisabledLabel\":\"The settings will only be saved in the current session\",\"bpme.workListSortConfig.workListSortDialogTitle\":\"Worklist sort\",\"bpme.workListSortConfig.saveButtonTitle\":\"Save\",\"bpme.workListSortConfig.resetButtonTitle\":\"Reset\",\"bpme.workListSortConfig.cancelButtonTitle\":\"Cancel\",\"bpme.workViewDialog.createWorkViewTitle\":\"Create work view\",\"bpme.workViewDialog.editWorkViewTitle\":\"Edit work view\",\"bpme.workViewDialog.detailsTitle\":\"Details\",\"bpme.workViewDialog.targetTitle\":\"Target\",\"bpme.workViewDialog.filterTitle\":\"Filter\",\"bpme.workViewDialog.sortTitle\":\"Sort\",\"bpme.workViewDialog.columnsTitle\":\"Columns\",\"bpme.workViewDialog.usersTitle\":\"Users\",\"bpme.workViewDialog.authorsTitle\":\"Authors\",\"bpme.workViewDialog.summaryTitle\":\"Summary\",\"bpme.workViewDialog.nameLabel\":\"Name\",\"bpme.workViewDialog.descriptionLabel\":\"Description\",\"bpme.workViewDialog.makeViewPublicLabel\":\"Make this view public\",\"bpme.workViewDialog.typeOfViewLabel\":\"Type of view\",\"bpme.workViewDialog.mineOptionLabel\":\"Tasks in my worklist\",\"bpme.workViewDialog.noneOptionLabel\":\"An entity in the org model\",\"bpme.workViewDialog.allOptionLabel\":\"All work items\",\"bpme.workViewDialog.noAuthError\":\"The view is set to view an Entity in the Org Model but you are not authorized to change it\",\"bpme.workViewDialog.typeOfWorkitemsLabel\":\"Type of work items\",\"bpme.workViewDialog.noFilterError\":\"No filter applied. To get started, add rules.\",\"bpme.workViewDialog.noPermissionForUsersError\":\"You do not have permission to view the Organizational Model, you cannot add Users to your View\",\"bpme.workViewDialog.noPermissionForAuthorsError\":\"You do not have permission to view the Organizational Model, you cannot add Authors to your View\",\"bpme.workViewDialog.nextButtonTitle\":\"Next\",\"bpme.workViewDialog.backButtonTitle\":\"Back\",\"bpme.workViewDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workViewDialog.saveButtonTitle\":\"Save\",\"bpme.workViewDialog.resetButtonTitle\":\"Reset\",\"bpme.workViewDialog.createButtonTitle\":\"Create\",\"bpme.workViewDialog.createAndExitButtonTitle\":\"Finish\",\"bpme.workViewDialog.saveAndExitButtonTitle\":\"Save & exit\",\"bpme.workViewDialog.emptyMessage\":\"A ruleset cannot be empty. Please add a rule or remove the ruleset.\",\"bpme.workViewDialog.createViewMessage\":\"Work view created successfully. To see it, select My work views or Editable work views.\",\"bpme.workViewDialog.createPublicViewMessage\":\"Work view created successfully. To see it, select the Public view.\",\"bpme.workViewDialog.applyButtonTitle\":\"Apply\",\"bpme.workViews.workViewsHeader\":\"Show\",\"bpme.workViews.publicLabel\":\"Public work views\",\"bpme.workViews.editableLabel\":\"Editable work views\",\"bpme.workViews.mineLabel\":\"My work views\",\"bpme.workViews.publicTooltip\":\"Everyone can view\",\"bpme.workViews.editableTooltip\":\"Selected people, including me, can view and edit\",\"bpme.workViews.mineTooltip\":\"I can view and process items in the worklist\",\"bpme.workViews.refreshLabel\":\"Refresh\",\"bpme.workViews.createLabel\":\"Create\",\"bpme.workViews.workViewInfo\":\"To edit or delete, select the Editable view.\",\"bpme.workViews.editTitle\":\"Edit\",\"bpme.workViews.deleteTitle\":\"Delete\",\"bpme.workViews.deleteConfirmMsg\":\"Are you sure you want to do this?\",\"bpme.workViews.deleteDialogTitle\":\"Delete work view\",\"bpme.workViews.toastSuccessMsg\":\"Work view created successfully\",\"bpme.workViews.workViewsTitle\":\"Work Views\",\"bpme.workViews.savedViewsTitle\":\"Saved views\",\"bpme.workViews.noTitle\":\"No\",\"bpme.workViews.yesTitle\":\"Yes\",\"bpme.workViews.createViewTitle\":\"Create View\",\"bpme.workViews.noViewMsg\":\"No View Available\",\"bpme.workViewFilterDialog.filterDialogTitle\":\"Work view filter\",\"bpme.workViewFilterDialog.noFilterAppliedLabel\":\"No filter applied. To get started, add rules.\",\"bpme.workViewFilterDialog.filterLabel\":\"Filter\",\"bpme.workViewFilterDialog.saveButtonTitle\":\"Save\",\"bpme.workViewFilterDialog.resetButtonTitle\":\"Reset\",\"bpme.workViewFilterDialog.cancelButtonTitle\":\"Cancel\",\"bpme.workViewFilterDialog.emptyMessage\":\"A ruleset cannot be empty. Please add a rule or remove the ruleset.\",\"bpme.loggedInUserConfig.loggedUserLabel\":\"Logged User:\",\"bpme.loggedInUserConfig.pleaseLoginLabel\":\"Please login.\",\"bpme.loggedInUserConfig.loginLabel\":\"Login\",\"bpme.miniOrgBrowser.versionLabel\":\"Version\",\"bpme.miniOrgBrowser.orgLabel\":\"Organizations\",\"bpme.miniOrgBrowser.noOrgForVersionError\":\"No organizations or groups available for the selected version, please select a different version and try again\",\"bpme.miniOrgBrowser.resourcesLabel\":\"Resources\",\"bpme.miniOrgBrowser.selectOptionLabel\":\"Select an organization to view resources\",\"bpme.miniOrgBrowser.noResourcesLabel\":\"No available resources\",\"bpme.miniOrgBrowser.noResourcesSelectedError\":\"None selected\",\"bpme.miniOrgBrowser.addSelectedLabel\":\"Add to selected\",\"bpme.miniOrgBrowser.removeSelectedLabel\":\"Remove from selected\",\"bpme.miniOrgBrowser.reallocateLabel\":\"Please select a resource to reallocate:\",\"bpme.miniOrgBrowser.criteriaLabel\":\"Criteria\",\"bpme.miniOrgBrowser.selectCriteriaLabel\":\"Select Criteria\",\"bpme.miniOrgBrowser.searchLabel\":\"Search\",\"bpme.miniOrgBrowser.showEntityNamesLabel\":\"Show entity names\",\"bpme.miniOrgBrowser.selectedUsersLabel\":\"Selected users\",\"bpme.miniOrgBrowser.addSelectedEntityLabel\":\"Add selected entity\",\"bpme.miniOrgBrowser.addSelectedResourceLabel\":\"Add selected resource\",\"errorConfig.CDM_API_TOP_MANDATORY_TITLE\":\"Missing required parameter\",\"errorConfig.CC_SETTING_UNIQUE_TITLE\":\"Duplicate name\",\"errorConfig.CDM_API_TOP_MANDATORY\":\"Please provide '$top' for rest call as a parameter\",\"errorConfig.CC_SETTING_UNIQUE\":\"Filter already exists, please provide unique name\",\"errorConfig.WP_OPEN_WORK_ITEM_ERROR\":\"Failed to open the work item\",\"errorConfig.WR_ARTIFACT_CREATE_ERROR_INVALID_PATH\":\"FilePath cannot start with /\",\"errorConfig.CC_ATTRIBUTE_UNIQUE\":\"Failed to create attribute, attribute already exists, the combination of name and settingId must be unique\",\"errorConfig.WR_APP_BAD_COUNT\":\"$count cannot be used with $top, $skip, $orderby or $select\",\"errorConfig.WP_OPEN_WORK_ITEM_INVALID_ERROR\":\"Failed to open the work item as it's invalid\",\"errorConfig.WR_APP_BAD_PURGE\":\"Invalid $purge option, should be true or false\",\"errorConfig.AUTH_AUTHERROR\":\"Authentication failed, please check your credentials and try again\",\"errorConfig.CC_INVALID_TYPE\":\"Invalid type specified, must be PRIVATE or PUBLIC\",\"errorConfig.WR_UNKNOWN_ERROR\":\"Something went wrong, please contact your administrator\",\"errorConfig.AUTH_SSO_UNAVAILABLE\":\"SSO is not configured. Please check your administrator configurations.\",\"errorConfig.WR_INVALID_SUBSCRIPTION\":\"$subscriptionId must be supplied\",\"errorConfig.WP_UNKNOWN_ERROR\":\"Something went wrong, please contact your administrator\",\"errorConfig.WR_FOLDER_CREATE_ERROR_NO_FILENAME\":\"No filename specified - cannot create\",\"errorConfig.AUTH_UNKNOWN_ERROR\":\"Something went wrong, please contact your administrator\",\"errorConfig.WP_OPEN_WORK_ITEM_INVALID_ENTITY_ERROR\":\"You cannot open this work item as it is not in your worklist.\",\"errorConfig.WR_SUBLIMIT_EXCEEDED\":\"The current document upload would have exceeded your subscription limit of  {$limit} MB for your plan, please check with your administrator\",\"errorConfig.WR_APP_CREATE_ERROR_ALREADY_EXISTS\":\"Application [{$appName}] already exists\",\"errorConfig.WR_SUBLIMIT_PERSIST_ERROR\":\"Failed to update subscription limit for sub [{$subscriptionId}], key [{$key}], value [{$value}]\",\"errorConfig.WR_APP_BAD_SELECT\":\"Invalid value specified for $select [{$suppliedValue}] options are [{$validValues}]\",\"errorConfig.WR_AUTHERROR\":\"The requested operation is not allowed\",\"errorConfig.WR_APP_LOCKED\":\"Application is locked by another user, please try again later\",\"errorConfig.WR_APP_DOES_NOT_EXIST\":\"Application does not exist\",\"errorConfig.WR_FOLDER_INVALID_NAME\":\"Invalid name specified for Folder\",\"errorConfig.WP_CONNECTION_ERROR\":\"Failed to connect to Database\",\"errorConfig.WR_APP_ARCHIVE_LATER_ALREADY_DEPLOYED\":\"Later version of Application [{$appName}] has already been deployed existing checksum [{$existingChecksum}] new checksum [{$newChecksum}] - skipping\",\"errorConfig.WP_INVALID_FILTER\":\"Invalid filter supplied [{$invalid}]\",\"errorConfig.WP_DEPLOY_NO_WP_CONTENT_IN_RASC_ERROR\":\"Failed to get the WP content from the RASC\",\"errorConfig.WR_APPVERSION_DOES_NOT_EXIST\":\"Version not found\",\"errorConfig.WP_OPEN_WORK_ITEM_LIMIT_ERROR\":\"Failed to open the work item as limit is reached\",\"errorConfig.WP_OPEN_NEXT_WORK_ITEM_INVALID_VERSION_ERROR\":\"Failed to open the next work item due to invalid version\",\"errorConfig.WR_APP_INVALID_DESCRIPTOR\":\"Failed to parse app descriptor file - app NOT DEPLOYED\",\"errorConfig.WP_AUTHERROR\":\"The requested operation is not allowed\",\"errorConfig.WR_FOLDER_BAD_COUNT\":\"$count cannot be used with $top, $skip or $orderby\",\"errorConfig.WR_APP_ARCHIVE_ALREADY_DEPLOYED\":\"Application [{$appName}] has already been deployed from matching archive with checksum [{$existingChecksum}] new checksum [{$newChecksum}] - skipping\",\"errorConfig.WR_ARTIFACT_CREATE_ERROR\":\"Error creating artifacts for app [{$appName}]\",\"errorConfig.WP_CLOSE_WORK_ITEM_ERROR\":\"Failed to close the work item\",\"errorConfig.CC_ATTRIBUTE_SETTING_DOES_NOT_EXIST\":\"Failed to create attribute, specified settingId does not exist\",\"errorConfig.WP_OPEN_NEXT_WORK_ITEM_ERROR\":\"Failed to open the next work item\",\"errorConfig.CC_AUTHERROR\":\"The requested operation is not allowed\",\"errorConfig.WP_COMPLETE_WORK_ITEM_INVALID_WORK_ITEM_ERROR\":\"Failed to complete the work item as it's invalid\",\"errorConfig.CC_DOES_NOT_EXIST\":\"Setting not found\",\"errorConfig.CC_CONNECTION_ERROR\":\"Failed to connect to Database\",\"errorConfig.WR_SUBLIMIT_DELETE_ERROR\":\"Failed to delete subscription limit records for sub [{$subscriptionId}]\",\"errorConfig.WP_UNDEPLOY_DELETE_RECORDS_ERROR\":\"Failed to delete the records in the database during undeployment\",\"errorConfig.WR_FOLDER_INVALID_PAGINATION\":\"Invalid value specified for $top or $skip, must be number > 0 and <= {max}\",\"errorConfig.WR_FOLDER_DOES_NOT_EXIST\":\"Folder does not exist\",\"errorConfig.WR_FOLDER_INVALID_SORTFIELD\":\"Invalid sort field specified, valid fields are [{$fields}] with asc or desc order\",\"errorConfig.WR_ARTIFACT_BAD_SELECT\":\"Invalid value specified for $select [{$suppliedValue}] options are [{$validValues}]\",\"errorConfig.AUTH_INVALID_AUTHENTICATION\":\"Authentication failed, please check your credentials and try again.\",\"errorConfig.WR_CONNECTION_ERROR\":\"Failed to connect to Database\",\"errorConfig.WR_APP_INVALID_PAGINATION\":\"Invalid value specified for $top or $skip, must be number > 0 and <= {max}\",\"errorConfig.WR_APP_INVALID_SORTFIELD\":\"Invalid sort field specified, valid fields are [{$fields}] with asc or desc order\",\"errorConfig.WP_OPEN_WORK_ITEM_INVALID_VERSION_ERROR\":\"Failed to open the work item due to invalid version\",\"errorConfig.CC_INVALID_FILTER\":\"Invalid filter supplied [{$invalid}]\",\"errorConfig.WP_COMPLETE_WORK_ITEM_INVALID_VERSION_ERROR\":\"Failed to complete the work item due to invalid version\",\"errorConfig.WR_ARTIFACT_SELECT_NOT_ALLOWED\":\"$select cannot be specified with $top or $skip\",\"errorConfig.WR_FOLDER_CREATE_ERROR_ALREADY_EXISTS\":\"Cannot create empty folder [{$folderName}] as it already exists\",\"errorConfig.WR_ARTIFACT_CREATE_ERROR_NO_SIZE_IN_ZIP\":\"Error creating artifact [{$artifact}], file has no size specified in the ZIP [{$size}] - please ZIP the application again and retry\",\"errorConfig.WR_ARTIFACT_RENAME_ALREADY_EXISTS\":\"Destinations artifact [{$artifact}] already exists\",\"errorConfig.WR_BUCKET_DOES_NOT_EXIST\":\"Specified S3 bucket does not exist\",\"errorConfig.WP_CLOSE_WORK_ITEM_INVALID_VERSION_ERROR\":\"Failed to close the work item due to invalid version\",\"errorConfig.CC_ATTRIBUTE_DOES_NOT_EXIST\":\"Attribute not found\",\"errorConfig.WR_ARTIFACT_BAD_UPDATE_DATA\":\"Update information supplied was not valid\",\"errorConfig.WR_ARTIFACT_CREATE_ERROR_NO_FILENAME\":\"No filename specified - cannot create\",\"errorConfig.CC_BAD_UPDATE_DATA\":\"Update information supplied was not valid\",\"errorConfig.WP_COMPLETE_WORK_ITEM_ERROR\":\"Failed to complete the work item\",\"errorConfig.CC_UNKNOWN_ERROR\":\"Something went wrong, please contact your administrator\",\"errorConfig.WP_OPEN_NEXT_WORK_ITEM_INVALID_ERROR\":\"Failed to complete the work item as it's invalid\",\"errorConfig.WR_FOLDER_INVALID_SANDBOX\":\"No valid sandbox specified - must be a valid number\",\"errorConfig.WR_ARTIFACT_DOES_NOT_EXIST\":\"Artifact not found, please check the application, version and artifact names are correct\",\"errorConfig.WR_APPVERSION_BAD_UPDATE_DATA\":\"Update information supplied was not valid\",\"errorConfig.WP_CLOSE_WORK_ITEM_INVALID_WORK_ITEM_ERROR\":\"Failed to close the work item as it's invalid\",\"errorConfig.WR_APP_BAD_UPDATE_DATA\":\"Update information supplied was not valid\",\"errorConfig.WR_ARTIFACT_RENAME_INVALID_PATH\":\"New name should not be same as previous name\",\"errorConfig.WP_WORK_ITEM_RESCHEDULED_ERROR\":\"The work item has been modified by an external application\",\"errorConfig.WP_DEPLOY_CREATE_APP_ERROR\":\"Failed to create application in the database\",\"errorConfig.WR_FOLDER_LOCKED\":\"Folder is locked by another user, please try again later\",\"errorConfig.WR_APP_INVALID_NAME\":\"Invalid name specified for Application\",\"errorConfig.WP_CANCEL_WORK_ITEM_ERROR\":\"Failed to cancel the work item\",\"errorConfig.WR_SUBLIMIT_READ_ERROR\":\"Failed to read subscription limit for sub [{$subscriptionId}] key [{$key}]\",\"errorConfig.WR_APP_BAD_ZIP\":\"No artifacts found in ZIP / Corrupt ZIP\",\"errorConfig.CC_INVALID_PAGINATION\":\"Invalid value specified for $top or $skip, must be number > 0 and <= {max}\",\"errorConfig.WR_FOLDER_CREATE_ERROR_EXTENSION_NOT_ALLOWED\":\"Upload of artifact with the specified extension is not allowed\",\"errorConfig.WR_INVALID_FILTER\":\"Invalid filter supplied [{$invalid}]\",\"errorConfig.WR_ARTIFACT_DELETE_ERROR_INVALID_PATH\":\"Invalid artifactName for delete, check it is valid and does not start with /\",\"$code\":\"en-US\",\"$name\":\"English\",\"$dir\":\"ltr\"},\"registeredLanguages\":[\"en\",\"en-US\",\"fr-CA\",\"fr-FR\"]}",
      "owner": "tibco-admin",
      "creationDate": "2024-11-08T03:57:23.306+0000",
      "lastModifiedDate": "2024-11-08T06:12:53.047+0000",
      "lastModifiedBy": "tibco-admin"
  }
];

const frFRDetails = {"bpme":{"adhoctasks":{"searchForTasksPlaceholder":"Search for tasks","filter":"Filters","noTasks":"There are no Ad-hoc activities","manual":"Manual","automatic":"Automatic","status":"Status:","inprogress":"In progress","notstarted":"Not yet started","multipletimes":"Can be started multiple times","completed":"Completed","neverexecuted":"Never executed","executedonce":"Executed once","executedtwice":"Executed twice","executed":"Executed","times":"times","disabled":"Disabled","cancel":"Cancel","start":"Start","processID":"Process instance:","caseReference":"Case reference:","refresh":"Refresh","title":"Ad-hoc tasks","processName":"Process name:","showAutomatic":"Show automatic","showDisabled":"Show disabled"},"applicationsSwitcher":{"applications":"Applications","appName":"Tibco BPME Enterprise"},"caseAudit":{"noViewMsg":"No Audit messages","createdCase":"created case","inState":"in state","caseStateChanged":"case state changed","newStateIs":"new state is","on":"on","updatedCase":"updated case","linkedCaseTo":"linked case to","hasErrorAt":"has error at","hasWarningAt":"has warning at"},"caseDetails":{"caseActionsHeaderPrefix":"data","workItemsLabel":"Work items","linkedCasesLabel":"Linked cases","documentsLabel":"Documents","auditLabel":"Audit"},"caseDocuments":{"uploadDocument":"Upload","uploadCancel":"Cancel","yesDelete":"Yes, Delete","noViewMsg":"No documents","noDocumentFoundNameContaining":"No document found name containing","deleteDocument":"Delete document","areYouSureYouWantToDelete":"Are you sure you want to delete","lastUpdatedBy":"Last updated by","on":"on","version":"Version"},"caseDocumentsViewer":{"download":"Download","documentInformation":"Document information","description":"Description","lastUpdate":"Last update","on":"on","lastUpdatedBy":"Last updated by"},"caseLinkedCases":{"noViewMsg":"No linked cases"},"caseStates":{"moreStates":"More States"},"caseType":{"noViewLabel":"No View Available","header":"Case Types","settings":"Case types","settingsDescription":"Case types component"},"caseWorkItems":{"noViewMsg":"No case work items"},"case":{"headerSubTitle":"Active Cases","searchCasePlaceholder":"Search for cases","filterTooltip":"Filter","filterCardHeader":"Filter cases","filterCardClose":"Close","filterSelectByState":"Filter By State","filterCancel":"Cancel","filterApply":"Apply","columnsLabel":"Columns","refreshLabel":"Refresh","state":"State","modifiedOnOrBefore":"Modified on or before","clearAllFilter":"Clear all filters","emptyCaseListLabel":"No active cases","emptyCaseListOnFilterAndSearch":"No cases found matching the filter and search criteria","emptyCaseListOnFilter":"No cases found matching the filter criteria","emptyCaseListOnSearch":"No cases found matching the search criteria","emptyCaseListLabelAfterFilter":"You have filtered out all the columns, please select at least one to see the data.","cases":"Cases","casesDescription":"Cases component","search":"Show cases search","searchDescription":"Show an option to search cases.","filter":"Show cases filter","filterDescription":"Show cases filter.","columns":"Show cases columns selector","columnsDescription":"Show cases columns selector.","refresh":"Show cases refresh","refreshDescription":"Show an option to refresh cases."},"configuration":{"config":"Configuration","scope":"Scope","application":"Application","user":"User","workspace":"Workspace"},"configComponents":{"components":"Components"},"configurationProperties":{"save":"Save","cancel":"Cancel","saveAs":"Save as"},"workViewDialogConfig":{"createWorkViewTitle":"Create work view","editWorkViewTitle":"Edit work view","detailsTitle":"Details","targetTitle":"Target","filterTitle":"Filter","sortTitle":"Sort","columnsTitle":"Columns","usersTitle":"Users","authorsTitle":"Authors","summaryTitle":"Summary","nameLabel":"Name","descriptionLabel":"Description","makeViewPublicLabel":"Make this view public","typeOfViewLabel":"Type of view","mineOptionLabel":"Tasks in my worklist","noneOptionLabel":"An entity in the org model","allOptionLabel":"All work items","noAuthError":"The view is set to view an Entity in the Org Model but you are not authorized to change it","typeOfWorkitemsLabel":"Type of work items","noFilterError":"No filter applied. To get started, add rules.","noPermissionForUsersError":"You do not have permission to view the Organizational Model, you cannot add Users to your View","noPermissionForAuthorsError":"You do not have permission to view the Organizational Model, you cannot add Authors to your View","nextButtonTitle":"Next","backButtonTitle":"Back","cancelButtonTitle":"Cancel","saveButtonTitle":"Save","resetButtonTitle":"Reset","createButtonTitle":"Create","createAndExitButtonTitle":"Finish","saveAndExitButtonTitle":"Save & exit","emptyMessage":"A ruleset cannot be empty. Please add a rule or remove the ruleset.","createViewMessage":"Work view created successfully. To see it, select My work views or Editable work views.","createPublicViewMessage":"Work view created successfully. To see it, select the Public view.","usersViewErrorLabel":"The following users are not allowed to view the","usersNotAuthorizedLabel":"Users not authorized","charactersLabel":"characters","allocatedLabel":"Allocated","offeredLabel":"Offered"},"language":{"languages":"Languages","addNew":"Add new","default":"Default","selectLang":"Select language","listHelpText":"Choose a variant of the English language to modify locale values for individual components"},"languageComponents":{"components":"Components"},"languageKeys":{"components":"Components","save":"Save","cancel":"Cancel","saveAs":"Save as","localeNamePlaceholder":"Enter locale to be saved"},"languageSwitcher":{"languages":"Languages"},"loginConfig":{"authenticationFailedLabel":"Authentication failed. Invalid username or password.","loginHeader":"Sign in to your account","loginError":"Please enter correct username and password","SSOError":"Please enter correct credentials and try again.","usernameLabel":"Username","usernamePlaceholder":"Enter username","passwordPlaceholder":"Password","loginBtnLabel":"Sign in","orLabel":"OR","loginWithSSOBtnLabel":"Sign in with SSO","copyrightLabel":"Copyright B) 2024 Cloud Software Group, Inc. All rights reserved","privacyPolicyLabel":"Privacy Policy","termsOfUseLabel":"Terms of use","tradeMarksLabel":"Trademarks","eulaLabel":"EUA","faqLabel":"FAQ","contactUsLabel":"Contact us","signInTitleLabel":"TIBCO BPM Enterprise"},"processInstances":{"filter":"Filters"},"settingsList":{"configuration":"Configuration","languages":"Languages","themes":"Themes","select":"Select settings","optionLabel":"Settings"},"themeSwitcher":{"themes":"Themes"},"uploadLanguage":{},"workItemFormConfig":{"saveFormMsg":"Work item submitted successfully.","closeFormMsg": "Work item saved successfully.","errorFormMsg":"Error while loading the form.","dataOutOfSyncMsg":"Data out of sync","showAdhocTasks":"Show Ad-hoc tasks"},"workItemPreviewForm":{"nextButtonTitle":"Next","previousButtonTitle":"Previous","closeButtonTitle":"Close","noPreviewMsg":"No preview data available"},"workListTable":{"workListTableHeader":"Worklist","autoRepeatTitle":"Auto-repeat","autoRepeatTooltip":"Auto-repeat open work item","columnsTitle":"Columns","sortTitle":"Sort","filterTitle":"Filter","refreshTitle":"Refresh","searchTitle":"Search","previousTitle":"Previous","nextTitle":"Next","noPreviewMsg":"No preview data available","offerSetTitle":"Offer set","worldTitle":"World","openNextTitle":"Open next","cancelTitle":"Cancel","cancelBtnLabel":"Cancel","allocateToSelfTitle":"Allocate to self","reOfferTitle":"Re-offer","skipTitle":"Skip","reallocateToTitle":"Reallocate to","reallocateToWorldTitle":"Reallocate to world","reallocateBtnLabel":"Reallocate","pendingTitle":"Pend","changePriorityTitle":"Change priority","openTitle":"Open","noWorkitemsTitle":"No work items","autoRefreshTitle":"Auto-refresh","autoRefreshInProgress":"Auto-refresh in progress....","autoRefreshMiniumIntervalLabel":"Minimum auto-refresh limit is 30 seconds","saveSettingsDisabledLabel":"The settings will only be saved in the current session","revertDataLabel":"Revert data","showAdhocTasks":"Show Ad-hoc tasks","columnLabelActions":"Actions","settingsLabel":"Settings","reallocateToOfferSetTitle":"Reallocate to offer set","noWorkitemsLabel":"No work items available for selected view","reallocateDialogTitle":"Workitem reallocate"},"systemActions":{"errorMessage":"You do not have access to this item"},"adhocTasksDialog":{"closeButtonTitle":"Close"},"workListReallocateOfferSetDialog":{"reallocateDialogTitle":"Workitem reallocate","revertDataTitle":"Revert data","reallocateButtonTitle":"Reallocate","cancelButtonTitle":"Cancel","reallocateNote":"Please select a resource to reallocate:"},"workListColumnDialogConfig":{"availableColumnsTitle":"Available columns","selectedColumnsTitle":"Selected columns","moveSelectionRightTitle":"Move selected item right","moveSelectionLeftTitle":"Move selected item left","moveSelectionUpTitle":"Move selected item up","moveSelectionDownTitle":"Move selected item down","ascendingTitle":"Ascending","descendingTitle":"Descending","attributeLabel":"Attribute{$attribIndex}","workListColumnDialogTitle":"Worklist column selector","saveButtonTitle":"Apply","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel"},"workListFilterDialog":{"filterDialogTitle":"Worklist filter","noFilterAppliedLabel":"No filter applied. To get started, add rules.","filterLabel":"Filter","saveButtonTitle":"Save","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel","emptyMessage":"A ruleset cannot be empty. Please add a rule or remove the ruleset."},"workItemPend":{"pendWorkItemTitle":"Pend work item","selectTimeOptionLabel":"Select any one time option to pend work item","restoreLabel":"You can restore a PENDHIDDEN item by entering a Pend Duration of 0.","dateTimeOption":"Date time","timeOffsetOption":"Time offset","chooseDatePlaceholder":"Choose date time","yearsLabel":"Years","monthsLabel":"Months","weeksLabel":"Weeks","daysLabel":"Days","hoursLabel":"Hours","minutesLabel":"Minutes","cancelBtnLabel":"Cancel","pendBtnLabel":"Pend","dateTimeNoteInfo":"Note: Value should be later than current date and time.","offsetNoteInfo":"Note: Value should be more than 0."},"workListPriorityDialog":{"changePriorityTitle":"Change priority for workitem","setPriorityTitle":"Set priority as: ","absolutePriorityTitle":"Absolute","offsetPriorityTitle":"Offset","priorityLabel":"Priority","valueLabel":"value:","absoluteLabel":"absolute","offsetLabel":"offset","absolutePriorityValue":"Priority absolute value: ","offsetPriorityValue":"Priority offset value: ","invalidPriorityLabel":"Valid priority value is between 0 to 100.","priorityAfterOffsetLabel":"Priority after applying offset","okButtonTitle":"OK","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel"},"workListAutoRefreshDialog":{"autoRefreshDialogueTitle":"Auto-refresh","autoRefreshDialogueEnableLabel":"Enable auto-refresh","autoRefreshDialogueRefreshLabel":"Refresh interval","autoRefreshDialogueTimeLabel":"seconds","autoRefreshDialogueCancelButton":"Cancel","autoRefreshDialogueApplyButton":"Apply","saveThisSettings":"Save this setting for future sessions","autoRefreshInProgress":"Auto-refresh in progress....","autoRefreshMiniumIntervalLabel":"Minimum auto-refresh limit is 30 seconds","saveSettingsDisabledLabel":"The settings will only be saved in the current session"},"workListSortConfig":{"workListSortDialogTitle":"Worklist sort","saveButtonTitle":"Save","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel"},"workViewDialog":{"createWorkViewTitle":"Create work view","editWorkViewTitle":"Edit work view","detailsTitle":"Details","targetTitle":"Target","filterTitle":"Filter","sortTitle":"Sort","columnsTitle":"Columns","usersTitle":"Users","authorsTitle":"Authors","summaryTitle":"Summary","nameLabel":"Name","descriptionLabel":"Description","makeViewPublicLabel":"Make this view public","typeOfViewLabel":"Type of view","mineOptionLabel":"Tasks in my worklist","noneOptionLabel":"An entity in the org model","allOptionLabel":"All work items","noAuthError":"The view is set to view an Entity in the Org Model but you are not authorized to change it","typeOfWorkitemsLabel":"Type of work items","noFilterError":"No filter applied. To get started, add rules.","noPermissionForUsersError":"You do not have permission to view the Organizational Model, you cannot add Users to your View","noPermissionForAuthorsError":"You do not have permission to view the Organizational Model, you cannot add Authors to your View","nextButtonTitle":"Next","backButtonTitle":"Back","cancelButtonTitle":"Cancel","saveButtonTitle":"Save","resetButtonTitle":"Reset","createButtonTitle":"Create","createAndExitButtonTitle":"Finish","saveAndExitButtonTitle":"Save & exit","emptyMessage":"A ruleset cannot be empty. Please add a rule or remove the ruleset.","createViewMessage":"Work view created successfully. To see it, select My work views or Editable work views.","createPublicViewMessage":"Work view created successfully. To see it, select the Public view.","applyButtonTitle":"Apply"},"workViews":{"workViewsHeader":"Show","publicLabel":"Public work views","editableLabel":"Editable work views","mineLabel":"My work views","publicTooltip":"Everyone can view","editableTooltip":"Selected people, including me, can view and edit","mineTooltip":"I can view and process items in the worklist","refreshLabel":"Refresh","createLabel":"Create","workViewInfo":"To edit or delete, select the Editable view.","editTitle":"Edit","deleteTitle":"Delete","deleteConfirmMsg":"Are you sure you want to do this?","deleteDialogTitle":"Delete work view","toastSuccessMsg":"Work view created successfully","workViewsTitle":"Work Views","savedViewsTitle":"Saved views","noTitle":"No","yesTitle":"Yes","createViewTitle":"Create View","noViewMsg":"No View Available"},"workViewFilterDialog":{"filterDialogTitle":"Work view filter","noFilterAppliedLabel":"No filter applied. To get started, add rules.","filterLabel":"Filter","saveButtonTitle":"Save","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel","emptyMessage":"A ruleset cannot be empty. Please add a rule or remove the ruleset."},"loggedInUserConfig":{"loggedUserLabel":"Logged User:","pleaseLoginLabel":"Please login.","loginLabel":"Login"},"miniOrgBrowser":{"versionLabel":"Version","orgLabel":"Organizations","noOrgForVersionError":"No organizations or groups available for the selected version, please select a different version and try again","resourcesLabel":"Resources","selectOptionLabel":"Select an organization to view resources","noResourcesLabel":"No available resources","noResourcesSelectedError":"None selected","addSelectedLabel":"Add to selected","removeSelectedLabel":"Remove from selected","reallocateLabel":"Please select a resource to reallocate:","criteriaLabel":"Criteria","selectCriteriaLabel":"Select Criteria","searchLabel":"Search","showEntityNamesLabel":"Show entity names","selectedUsersLabel":"Selected users","addSelectedEntityLabel":"Add selected entity","addSelectedResourceLabel":"Add selected resource"}},"errorConfig":{"CDM_API_TOP_MANDATORY_TITLE":"Missing required parameter","CC_SETTING_UNIQUE_TITLE":"Duplicate name","CDM_API_TOP_MANDATORY":"Please provide '$top' for rest call as a parameter","CC_SETTING_UNIQUE":"Filter already exists, please provide unique name","WP_OPEN_WORK_ITEM_ERROR":"Failed to open the work item","WR_ARTIFACT_CREATE_ERROR_INVALID_PATH":"FilePath cannot start with /","CC_ATTRIBUTE_UNIQUE":"Failed to create attribute, attribute already exists, the combination of name and settingId must be unique","WR_APP_BAD_COUNT":"$count cannot be used with $top, $skip, $orderby or $select","WP_OPEN_WORK_ITEM_INVALID_ERROR":"Failed to open the work item as it's invalid","WR_APP_BAD_PURGE":"Invalid $purge option, should be true or false","AUTH_AUTHERROR":"Authentication failed, please check your credentials and try again","CC_INVALID_TYPE":"Invalid type specified, must be PRIVATE or PUBLIC","WR_UNKNOWN_ERROR":"Something went wrong, please contact your administrator","AUTH_SSO_UNAVAILABLE":"SSO is not configured. Please check your administrator configurations.","WR_INVALID_SUBSCRIPTION":"$subscriptionId must be supplied","WP_UNKNOWN_ERROR":"Something went wrong, please contact your administrator","WR_FOLDER_CREATE_ERROR_NO_FILENAME":"No filename specified - cannot create","AUTH_UNKNOWN_ERROR":"Something went wrong, please contact your administrator","WP_OPEN_WORK_ITEM_INVALID_ENTITY_ERROR":"You cannot open this work item as it is not in your worklist.","WR_SUBLIMIT_EXCEEDED":"The current document upload would have exceeded your subscription limit of  {$limit} MB for your plan, please check with your administrator","WR_APP_CREATE_ERROR_ALREADY_EXISTS":"Application [{$appName}] already exists","WR_SUBLIMIT_PERSIST_ERROR":"Failed to update subscription limit for sub [{$subscriptionId}], key [{$key}], value [{$value}]","WR_APP_BAD_SELECT":"Invalid value specified for $select [{$suppliedValue}] options are [{$validValues}]","WR_AUTHERROR":"The requested operation is not allowed","WR_APP_LOCKED":"Application is locked by another user, please try again later","WR_APP_DOES_NOT_EXIST":"Application does not exist","WR_FOLDER_INVALID_NAME":"Invalid name specified for Folder","WP_CONNECTION_ERROR":"Failed to connect to Database","WR_APP_ARCHIVE_LATER_ALREADY_DEPLOYED":"Later version of Application [{$appName}] has already been deployed existing checksum [{$existingChecksum}] new checksum [{$newChecksum}] - skipping","WP_INVALID_FILTER":"Invalid filter supplied [{$invalid}]","WP_DEPLOY_NO_WP_CONTENT_IN_RASC_ERROR":"Failed to get the WP content from the RASC","WR_APPVERSION_DOES_NOT_EXIST":"Version not found","WP_OPEN_WORK_ITEM_LIMIT_ERROR":"Failed to open the work item as limit is reached","WP_OPEN_NEXT_WORK_ITEM_INVALID_VERSION_ERROR":"Failed to open the next work item due to invalid version","WR_APP_INVALID_DESCRIPTOR":"Failed to parse app descriptor file - app NOT DEPLOYED","WP_AUTHERROR":"The requested operation is not allowed","WR_FOLDER_BAD_COUNT":"$count cannot be used with $top, $skip or $orderby","WR_APP_ARCHIVE_ALREADY_DEPLOYED":"Application [{$appName}] has already been deployed from matching archive with checksum [{$existingChecksum}] new checksum [{$newChecksum}] - skipping","WR_ARTIFACT_CREATE_ERROR":"Error creating artifacts for app [{$appName}]","WP_CLOSE_WORK_ITEM_ERROR":"Failed to close the work item","CC_ATTRIBUTE_SETTING_DOES_NOT_EXIST":"Failed to create attribute, specified settingId does not exist","WP_OPEN_NEXT_WORK_ITEM_ERROR":"Failed to open the next work item","CC_AUTHERROR":"The requested operation is not allowed","WP_COMPLETE_WORK_ITEM_INVALID_WORK_ITEM_ERROR":"Failed to complete the work item as it's invalid","CC_DOES_NOT_EXIST":"Setting not found","CC_CONNECTION_ERROR":"Failed to connect to Database","WR_SUBLIMIT_DELETE_ERROR":"Failed to delete subscription limit records for sub [{$subscriptionId}]","WP_UNDEPLOY_DELETE_RECORDS_ERROR":"Failed to delete the records in the database during undeployment","WR_FOLDER_INVALID_PAGINATION":"Invalid value specified for $top or $skip, must be number > 0 and <= {max}","WR_FOLDER_DOES_NOT_EXIST":"Folder does not exist","WR_FOLDER_INVALID_SORTFIELD":"Invalid sort field specified, valid fields are [{$fields}] with asc or desc order","WR_ARTIFACT_BAD_SELECT":"Invalid value specified for $select [{$suppliedValue}] options are [{$validValues}]","AUTH_INVALID_AUTHENTICATION":"Authentication failed, please check your credentials and try again.","WR_CONNECTION_ERROR":"Failed to connect to Database","WR_APP_INVALID_PAGINATION":"Invalid value specified for $top or $skip, must be number > 0 and <= {max}","WR_APP_INVALID_SORTFIELD":"Invalid sort field specified, valid fields are [{$fields}] with asc or desc order","WP_OPEN_WORK_ITEM_INVALID_VERSION_ERROR":"Failed to open the work item due to invalid version","CC_INVALID_FILTER":"Invalid filter supplied [{$invalid}]","WP_COMPLETE_WORK_ITEM_INVALID_VERSION_ERROR":"Failed to complete the work item due to invalid version","WR_ARTIFACT_SELECT_NOT_ALLOWED":"$select cannot be specified with $top or $skip","WR_FOLDER_CREATE_ERROR_ALREADY_EXISTS":"Cannot create empty folder [{$folderName}] as it already exists","WR_ARTIFACT_CREATE_ERROR_NO_SIZE_IN_ZIP":"Error creating artifact [{$artifact}], file has no size specified in the ZIP [{$size}] - please ZIP the application again and retry","WR_ARTIFACT_RENAME_ALREADY_EXISTS":"Destinations artifact [{$artifact}] already exists","WR_BUCKET_DOES_NOT_EXIST":"Specified S3 bucket does not exist","WP_CLOSE_WORK_ITEM_INVALID_VERSION_ERROR":"Failed to close the work item due to invalid version","CC_ATTRIBUTE_DOES_NOT_EXIST":"Attribute not found","WR_ARTIFACT_BAD_UPDATE_DATA":"Update information supplied was not valid","WR_ARTIFACT_CREATE_ERROR_NO_FILENAME":"No filename specified - cannot create","CC_BAD_UPDATE_DATA":"Update information supplied was not valid","WP_COMPLETE_WORK_ITEM_ERROR":"Failed to complete the work item","CC_UNKNOWN_ERROR":"Something went wrong, please contact your administrator","WP_OPEN_NEXT_WORK_ITEM_INVALID_ERROR":"Failed to complete the work item as it's invalid","WR_FOLDER_INVALID_SANDBOX":"No valid sandbox specified - must be a valid number","WR_ARTIFACT_DOES_NOT_EXIST":"Artifact not found, please check the application, version and artifact names are correct","WR_APPVERSION_BAD_UPDATE_DATA":"Update information supplied was not valid","WP_CLOSE_WORK_ITEM_INVALID_WORK_ITEM_ERROR":"Failed to close the work item as it's invalid","WR_APP_BAD_UPDATE_DATA":"Update information supplied was not valid","WR_ARTIFACT_RENAME_INVALID_PATH":"New name should not be same as previous name","WP_WORK_ITEM_RESCHEDULED_ERROR":"The work item has been modified by an external application","WP_DEPLOY_CREATE_APP_ERROR":"Failed to create application in the database","WR_FOLDER_LOCKED":"Folder is locked by another user, please try again later","WR_APP_INVALID_NAME":"Invalid name specified for Application","WP_CANCEL_WORK_ITEM_ERROR":"Failed to cancel the work item","WR_SUBLIMIT_READ_ERROR":"Failed to read subscription limit for sub [{$subscriptionId}] key [{$key}]","WR_APP_BAD_ZIP":"No artifacts found in ZIP / Corrupt ZIP","CC_INVALID_PAGINATION":"Invalid value specified for $top or $skip, must be number > 0 and <= {max}","WR_FOLDER_CREATE_ERROR_EXTENSION_NOT_ALLOWED":"Upload of artifact with the specified extension is not allowed","WR_INVALID_FILTER":"Invalid filter supplied [{$invalid}]","WR_ARTIFACT_DELETE_ERROR_INVALID_PATH":"Invalid artifactName for delete, check it is valid and does not start with /"},"$code":"fr-FR","$name":"French","$dir":"ltr"}

const enDetails= {"bpme":{"adhoctasks":{"searchForTasksPlaceholder":"Search for tasks","filter":"Filters","noTasks":"There are no Ad-hoc activities","manual":"Manual","automatic":"Automatic","status":"Status:","inprogress":"In progress","notstarted":"Not yet started","multipletimes":"Can be started multiple times","completed":"Completed","neverexecuted":"Never executed","executedonce":"Executed once","executedtwice":"Executed twice","executed":"Executed","times":"times","disabled":"Disabled","cancel":"Cancel","start":"Start","processID":"Process instance:","caseReference":"Case reference:","refresh":"Refresh","title":"Ad-hoc tasks","processName":"Process name:","showAutomatic":"Show automatic","showDisabled":"Show disabled"},"applicationsSwitcher":{"applications":"Applications","appName":"Tibco BPME Enterprise"},"auditDetailsManagedObjects":{"previous":"Previous","next":"Next","allAttributes":"All Attributes","additionalAttributes":"Additional Attributes","genericAttributes":"Generic Attributes"},"auditListManagedObjects":{"eventDetailsID":"Event Details for ID","close":"Close","refreshTooltip":"Refresh","auditDetailsNotExist":"Audit details does not exist for this ID.","auditDetailsLabel":"Audit details of"},"caseAudit":{"noViewMsg":"No Audit messages","createdCase":"created case","inState":"in state","caseStateChanged":"case state changed","newStateIs":"new state is","on":"on","updatedCase":"updated case","linkedCaseTo":"linked case to","hasErrorAt":"has error at","hasWarningAt":"has warning at"},"caseDetails":{"caseActionsHeaderPrefix":"data","workItemsLabel":"Work items","linkedCasesLabel":"Linked cases","documentsLabel":"Documents","auditLabel":"Audit"},"caseDocuments":{"uploadDocument":"Upload","uploadCancel":"Cancel","yesDelete":"Yes, Delete","noViewMsg":"No documents","noDocumentFoundNameContaining":"No document found name containing","deleteDocument":"Delete document","areYouSureYouWantToDelete":"Are you sure you want to delete","lastUpdatedBy":"Last updated by","on":"on","version":"Version"},"caseDocumentsViewer":{"download":"Download","documentInformation":"Document information","description":"Description","lastUpdate":"Last update","on":"on","lastUpdatedBy":"Last updated by"},"caseLinkedCases":{"noViewMsg":"No linked cases"},"caseStates":{"moreStates":"More States"},"caseType":{"noViewLabel":"No View Available","header":"Case Types","settings":"Case types","settingsDescription":"Case types component"},"caseWorkItems":{"noViewMsg":"No case work items"},"case":{"headerSubTitle":"Active Cases","searchCasePlaceholder":"Search for cases","filterTooltip":"Filter","filterCardHeader":"Filter cases","filterCardClose":"Close","filterSelectByState":"Filter By State","filterCancel":"Cancel","filterApply":"Apply","columnsLabel":"Columns","refreshLabel":"Refresh","state":"State","modifiedOnOrBefore":"Modified on or before","clearAllFilter":"Clear all filters","emptyCaseListLabel":"No active cases","emptyCaseListOnFilterAndSearch":"No cases found matching the filter and search criteria","emptyCaseListOnFilter":"No cases found matching the filter criteria","emptyCaseListOnSearch":"No cases found matching the search criteria","emptyCaseListLabelAfterFilter":"You have filtered out all the columns, please select at least one to see the data.","cases":"Cases","casesDescription":"Cases component","search":"Show cases search","searchDescription":"Show an option to search cases.","filter":"Show cases filter","filterDescription":"Show cases filter.","columns":"Show cases columns selector","columnsDescription":"Show cases columns selector.","refresh":"Show cases refresh","refreshDescription":"Show an option to refresh cases."},"colorPicker":{},"commonAudit":{"andLabel":"and","backTo":"Back to","workItemsTitleCase":"Work Items","workItemsNormalCase":"work items","all":"All","processInstancesTitleCase":"Process Instances","processInstancesNormalCase":"Process instances","processTemplatesTitleCase":"Process Templates","processTemplatesNormalCase":"Process templates","usersTitleCase":"Users/Resources","usersNormalCase":"Users/Resources","casesTitleCase":"Cases","casesNormalCase":"Cases","caseNotExist":"Case does not exist","noTypesDeployed":"No types deployed","systemTitleCase":"System","systemNormalCase":"System","applicationsTitleCase":"Applications","applicationsNormalCase":"Applications","noCaseRefAvailable":"No case reference available.","savedFilter":"Saved filter","filterCharError":"Filter name shouldn't be more than 256 characters","eventDetailsId":"Event Details for ID","applyFiltersBtnLabeL":"Apply Filters","resetBtnLabel":"Cancel","saveBtnLabel":"Save filters","cancelBtnLabel":"Cancel","savefilterBtnLabel":"Save","close":"Close","saveAsBtnLabel":"Save as","allFilteredOutlabel":"You have filtered out all the columns, please select at least one to see the data.","audit":"Audit","auditDescription":"Audit component","showFilterLabel":"Show filter","showFilterDescription":"Show option to show filter of the audit.","showTableLabel":"Show table","showTableDescription":"Show option to show table of the audit."},"auditList":{"auditLabel":"Audit"},"auditTableObj":{"attributeName":"Attribute Name","attributeValue":"Attribute Value"},"auditToolbar":{"searchPlaceholder":"Search for cases","searchTooltip":"Search","columnSelectorDialogHeader":"Column Selector","refreshTooltip":"Refresh","cancelButtonTitle":"Cancel","applyButtonTitle":"Apply"},"configuration":{"config":"Configuration","scope":"Scope","application":"Application","user":"User","workspace":"Workspace","listHelpText":"As of now only Application scope is enabled"},"themeBuilder":{},"configComponents":{"components":"Components"},"configurationProperties":{"save":"Save","cancel":"Cancel","saveAs":"Save as"},"workViewDialogConfig":{"createWorkViewTitle":"Create work view","editWorkViewTitle":"Edit work view","detailsTitle":"Details","targetTitle":"Target","filterTitle":"Filter","sortTitle":"Sort","columnsTitle":"Columns","usersTitle":"Users","authorsTitle":"Authors","summaryTitle":"Summary","nameLabel":"Name","descriptionLabel":"Description","makeViewPublicLabel":"Make this view public","typeOfViewLabel":"Type of view","mineOptionLabel":"Tasks in my worklist","noneOptionLabel":"An entity in the org model","allOptionLabel":"All work items","noAuthError":"The view is set to view an Entity in the Org Model but you are not authorized to change it","typeOfWorkitemsLabel":"Type of work items","noFilterError":"No filter applied. To get started, add rules.","noPermissionForUsersError":"You do not have permission to view the Organizational Model, you cannot add Users to your View","noPermissionForAuthorsError":"You do not have permission to view the Organizational Model, you cannot add Authors to your View","nextButtonTitle":"Next","backButtonTitle":"Back","cancelButtonTitle":"Cancel","saveButtonTitle":"Save","resetButtonTitle":"Reset","createButtonTitle":"Create","createAndExitButtonTitle":"Finish","saveAndExitButtonTitle":"Save & exit","emptyMessage":"A ruleset cannot be empty. Please add a rule or remove the ruleset.","createViewMessage":"Work view created successfully. To see it, select My work views or Editable work views.","createPublicViewMessage":"Work view created successfully. To see it, select the Public view.","usersViewErrorLabel":"The following users are not allowed to view the","usersNotAuthorizedLabel":"Users not authorized","charactersLabel":"characters","allocatedLabel":"Allocated","offeredLabel":"Offered","attribute1":"attribute1","attribute2":"attribute2","attribute3":"attribute3","attribute4":"attribute4","attribute5":"attribute5","attribute6":"attribute6","attribute7":"attribute7","attribute8":"attribute8","attribute9":"attribute9","attribute10":"attribute10","attribute11":"attribute11","attribute12":"attribute12","attribute13":"attribute13","attribute14":"attribute14","attribute15":"attribute15","attribute16":"attribute16","attribute17":"attribute17","attribute18":"attribute18","attribute19":"attribute19","attribute20":"attribute20","attribute21":"attribute21","attribute22":"attribute22","attribute23":"attribute23","attribute24":"attribute24","attribute25":"attribute25","attribute26":"attribute26","attribute27":"attribute27","attribute28":"attribute28","attribute29":"attribute29","attribute30":"attribute30","attribute31":"attribute31","attribute32":"attribute32","attribute33":"attribute33","attribute34":"attribute34","attribute35":"attribute35","attribute36":"attribute36","attribute37":"attribute37","attribute38":"attribute38","attribute39":"attribute39","attribute40":"attribute40"},"auditfilter":{"deleteFilterDialogLabel":"Delete filter","deleteConfirmationLabel":"Are you sure you want to delete?","cancelBtn":"Cancel","confirmBtn":"Yes, delete","actionLabel":"This action is permanent and cannot be undone.","createNewFilterLabel":"Create new filter","defaultList":"Default list","savedFilters":"Saved Filters","filterTooltip":"Filter","editFilterListLabel":"Edit filter","deleteFilterListLabel":"Delete filter","noSavedFilters":"No saved filters"},"language":{"languages":"Languages","addNew":"Add new","default":"Default","selectLang":"Select language","listHelpText":"Choose a variant of the language to modify locale values for individual components","setDefault":"Set as default language","moveUp":"Move up","moveDown":"Move down","removeLanguage":"Remove language","clone":"Clone","export":"Export"},"languageClone":{"localeNamePlaceholder":"Enter locale to be saved","saveAs":"Save language as","save":"Save","cancel":"Cancel"},"languageComponents":{"components":"Components"},"languageKeys":{"components":"Components","save":"Save","cancel":"Cancel","saveAs":"Save as","localeNamePlaceholder":"Enter locale to be saved"},"languageSwitcher":{"languages":"Languages"},"loginConfig":{"authenticationFailedLabel":"Authentication failed. Invalid username or password.","loginHeader":"Sign in to your account","loginError":"Please enter correct username and password","SSOError":"Please enter correct credentials and try again.","usernameLabel":"Username","usernamePlaceholder":"Enter username","passwordPlaceholder":"Password","loginBtnLabel":"Sign in","orLabel":"OR","loginWithSSOBtnLabel":"Sign in with SSO","copyrightLabel":"Copyright B) 2024 Cloud Software Group, Inc. All rights reserved","privacyPolicyLabel":"Privacy Policy","termsOfUseLabel":"Terms of use","tradeMarksLabel":"Trademarks","eulaLabel":"EUA","faqLabel":"FAQ","contactUsLabel":"Contact us","signInTitleLabel":"TIBCO BPM Enterprise","noRedirectSuccessLabel":"Login successful, you can now launch your application"},"navbarHeader":{"header":"Navbar header","compDescription":"Global header","logoLabel":"Header logo","logoDescription":"Header logo image url","appTitle":"Application title","textAfterLogo":"Text after logo"},"navbarHeaderTools":{"headerTools":"Navbar header tools","compDescription":"Global header tools","appSwitcher":"Show application switcher","switcherDescription":"Shows applications list in the workspace","userProfile":"Show user profile","userProfileDescription":"User details","logoutURL":"Sign out url","logoutURLDescription":"Provide url for sign out else default url will be used"},"cancelTaskDialog":{"noButtonTitle":"No","yesButtonTitle":"Yes","defaultWarningText":"This action can't be undone!","labelText":"Confirm","bodyText":"Are you sure you want to cancel"},"processInstances":{"filter":"Filters"},"processInstancesFindDialog":{"filterLabel":"Filter instances by:","radioFilterCriteriaLabel":"Filter criteria","packageName":"Package Name","optionEqualLabel":"Equals","optionLessThanLabel":"Less than","optionGreaterThanLabel":"Greater than","processName":"Process Name","versionLabel":"Version","instanceStartedLabel":"Instance Started","optionBeforeLabel":"Before","optionAfterLabel":"After","instanceIdLabel":"Process instance ID","resetButtonLabel":"Reset all fields","searchButtonlabel":"Search"},"fixProcessDialog":{"headerLabel":"Halted process management","retryStatus":"Retry Status","viewStatusText":"View status","inspectDataText":"Inspect data","cancelInstanceButtonText":"Cancel instance","ignoreButtonText":"Ignore & continue","retryButtonText":"Retry","failureStatus":"Failure Status","processInstance":"Process Instance","faultLocation":"Fault Location","causeOfFailure":"Cause of failure","showMoreButtonText":"Show more info","showLessButtonText":"Show less info","unknown":"Unknown","advanced":"Advanced","instanceInfo":"The instance will be updated with the edited data.","noDefAttributes":"No definition attributes","retryText":"Retry request has been submitted successfully.","close":"Close","haltStateText":"Process is still in halted state.","startAgainSteps":"Go through the steps again? click 'Start again' button.","startAgainButtonText":"Start again"},"processInstanceStateFilter":{"filterPlaceholder":"Filter By State"},"processInstanceSummary":{"sidebarLabel":"Instance summary"},"processTableFilter":{"findInstanceButtonText":"Find Instances","showAdhocButtonText":"Show Ad-hoc tasks","cancelButtonText":"Cancel selected instances","resumeButtonText":"Resume","suspendButtonText":"Suspend"},"processTemplates":{"headerLabel":"Process Templates","refreshToolbarContent":"Refresh","filterToolbarContent":"Filter","startButtonText":"Start","noTemplatesText":"No templates to display."},"processTemplateFilterDialog":{"filterLabel":"Process template filter","packageName":"Package Name","optionEqualLabel":"Equals","optionLessThanLabel":"Less than","optionGreaterThanLabel":"Greater than","processName":"Process Name","versionLabel":"Version","cancelButtonLabel":"Cancel","resetButtonLabel":"Reset","saveButtonLabel":"Save"},"settingsList":{"configuration":"Configuration","languages":"Languages","themes":"Themes","select":"Select settings","optionLabel":"Settings"},"themeAdd":{"dragText":"Drop your file here or ","browse":"browse","upload":" to upload","helpText":"File should be in css format with name in the format \"{{themeName}}.theme.css\" and should not exceed 1MB in size","selectType":"Select theme type","dark":"Dark","light":"Light"},"themeAdvancedSettings":{},"themeBasicSettings":{"palletteColors":"Pallette colors","surfaceColors":"Surface colors","textColors":"Text colors","borderColors":"Border colors","fontSize":"Font size","fontFamily":"Font family"},"themeBuilderAdvanced":{},"themesCategoriesList":{},"themesList":{"themes":"Themes","addNew":"Add new","setDefault":"Set as default","duplicate":"Duplicate","addTheme":"Add new theme","duplicateTheme":"Duplicate theme","downloadFile":"Export theme css"},"themeDuplicate":{"dialogHelp":"Provide details for the new theme","themeName":"Theme name","themeLabel":"Theme label","parentName":"Parent name","cancel":"Cancel","save":"Save","themeClass":"Theme css class","categoryLabel":"Theme category label","categoryName":"Theme category name","newCategory":"Create new category","selectCategory":"Select theme category"},"themeGlobalSettings":{"palletteColors":"Pallette colors","surfaceColors":"Surface colors","textColors":"Text colors","borderColors":"Border colors","fontSize":"Font size","fontFamily":"Font family"},"themesOtherSettings":{"selectionColors":"Selection colors","iconColors":"Icon colors","backgroundColors":"Background colors","heightWidth":"Height & width variables","padding":"Padding","spacing":"Spacing","lineHeight":"Line height","iconsSizes":"Icons sizes","shadow":"Shadow","opacity":"Opacity","borderWidth":"Border width","roundBorder":"Round border","fontWeight":"Font weight","transitions":"Transitions","overlay":"Overlay","zIndex":"z-index","letterSpacing":"Letter spacing"},"themesParameters":{"parametersSubheader":"Theming parameters","colors":"Color","sizes":"Size","styles":"Style"},"parametersColor":{},"parametersSize":{},"parametersStyles":{},"themePreview":{"previewLabel":"Theme preview","defaultTooltip":"Select any setting to change the theme"},"themesSettings":{"settingsHeader":"Themes settings","addNew":"Add new","saveAs":"Save theme as","outOfBox":"Out of the box themes can be duplicated but not edited","basic":"Basic","others":"Others"},"themesSettingsAdvanced":{"settingsHeader":"Advanced themes settings","basic":"Global","components":"Components"},"themeSwitcher":{"themes":"Themes","auto":"Auto"},"themeTooltip":{},"uploadLanguage":{"helpText":"File should be in JSON format with name in the format '{{lang}}-{{COUNTRY}}.locale.json' and should not exceed 1MB in size","dragText":"Drop your file here or ","browse":"browse","upload":" to upload"},"userProfile":{"userProfileLabel":"User profile","userProfileDescription":"User profile component.","profile":"User profile","profileLabel":"Icon tooltip","profileDescription":"Icon tooltip to be displaced on icon hover","themes":"Themes","languages":"Languages","signOut":"Sign out","productVersion":"TIBCO BPMe Enterprise 5.6.0","copyRight":"Copyright (C) 2024 Cloud Software Group, Inc. All rights reserved","showThemes":"Show themes switcher","showThemesDescription":"Show an option to switch themes","languagesSwitcher":"Show languages switcher","languagesSwitcherDescription":"Show an option to switch languages.","settingSignout":"Show sign out","settingSignoutDescription":"Show an option to sign out.","productName":"Show product name and version","productNameDescription":"Show an option to display product information.","settingCopy":"Show product copy right","settingCopyDescription":"Show an option to display copy right text."},"workItemFormConfig":{"saveFormMsg":"Work item submitted successfully.","closeFormMsg":"Work item saved successfully.","errorFormMsg":"Error while loading the form.","dataOutOfSyncMsg":"Data out of sync","showAdhocTasks":"Show Ad-hoc tasks","dataOutOfSyncLabel1":"Override work item, Reload or Cancel.","dataOutOfSyncLabel2":"The work item that you are closing or submitting was altered by another user activity. Choose Override to save your changes, replacing any made in altered work item. Choose reload to reopen the work item  without your changes. Or choose Cancel to abort your changes without reopening.","overrideBtnLabel":"Override","reloadBtnLabel":"Reload","cancelBtnLabel":"Cancel"},"workItemPreviewForm":{"nextButtonTitle":"Next","previousButtonTitle":"Previous","closeButtonTitle":"Close","noPreviewMsg":"No preview data available"},"workListTable":{"workListTableHeader":"Worklist","autoRepeatTitle":"Auto-repeat","autoRepeatTooltip":"Auto-repeat open work item","columnsTitle":"Columns","sortTitle":"Sort","filterTitle":"Filter","refreshTitle":"Refresh","searchTitle":"Search","previousTitle":"Previous","nextTitle":"Next","noPreviewMsg":"No preview data available","offerSetTitle":"Offer set","worldTitle":"World","openNextTitle":"Open next","cancelTitle":"Cancel","cancelBtnLabel":"Cancel","allocateToSelfTitle":"Allocate to self","reOfferTitle":"Re-offer","skipTitle":"Skip","reallocateToTitle":"Reallocate to","reallocateToWorldTitle":"Reallocate to world","reallocateBtnLabel":"Reallocate","pendingTitle":"Pend","changePriorityTitle":"Change priority","openTitle":"Open","noWorkitemsTitle":"No work items","autoRefreshTitle":"Auto-refresh","autoRefreshInProgress":"Auto-refresh in progress....","autoRefreshMiniumIntervalLabel":"Minimum auto-refresh limit is 30 seconds","saveSettingsDisabledLabel":"The settings will only be saved in the current session","revertDataLabel":"Revert data","showAdhocTasks":"Show Ad-hoc tasks","columnLabelActions":"Actions","settingsLabel":"Settings","reallocateToOfferSetTitle":"Reallocate to offer set","noWorkitemsLabel":"No work items available for selected view","reallocateDialogTitle":"Workitem reallocate"},"systemActions":{"errorMessage":"You do not have access to this item"},"adhocTasksDialog":{"closeButtonTitle":"Close"},"workListReallocateOfferSetDialog":{"reallocateDialogTitle":"Workitem reallocate","revertDataTitle":"Revert data","reallocateButtonTitle":"Reallocate","cancelButtonTitle":"Cancel","reallocateNote":"Please select a resource to reallocate:"},"workListColumnDialogConfig":{"availableColumnsTitle":"Available columns","selectedColumnsTitle":"Selected columns","moveSelectionRightTitle":"Move selected item right","moveSelectionLeftTitle":"Move selected item left","moveSelectionUpTitle":"Move selected item up","moveSelectionDownTitle":"Move selected item down","ascendingTitle":"Ascending","descendingTitle":"Descending","attributeLabel":"Attribute{$attribIndex}","workListColumnDialogTitle":"Worklist column selector","saveButtonTitle":"Apply","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel"},"workListFilterDialog":{"filterDialogTitle":"Worklist filter","noFilterAppliedLabel":"No filter applied. To get started, add rules.","filterLabel":"Filter","saveButtonTitle":"Save","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel","emptyMessage":"A ruleset cannot be empty. Please add a rule or remove the ruleset.","attribute1":"attribute1","attribute2":"attribute2","attribute3":"attribute3","attribute4":"attribute4","attribute5":"attribute5","attribute6":"attribute6","attribute7":"attribute7","attribute8":"attribute8","attribute9":"attribute9","attribute10":"attribute10","attribute11":"attribute11","attribute12":"attribute12","attribute13":"attribute13","attribute14":"attribute14","attribute15":"attribute15","attribute16":"attribute16","attribute17":"attribute17","attribute18":"attribute18","attribute19":"attribute19","attribute20":"attribute20","attribute21":"attribute21","attribute22":"attribute22","attribute23":"attribute23","attribute24":"attribute24","attribute25":"attribute25","attribute26":"attribute26","attribute27":"attribute27","attribute28":"attribute28","attribute29":"attribute29","attribute30":"attribute30","attribute31":"attribute31","attribute32":"attribute32","attribute33":"attribute33","attribute34":"attribute34","attribute35":"attribute35","attribute36":"attribute36","attribute37":"attribute37","attribute38":"attribute38","attribute39":"attribute39","attribute40":"attribute40"},"workItemPend":{"pendWorkItemTitle":"Pend work item","selectTimeOptionLabel":"Select any one time option to pend work item","restoreLabel":"You can restore a PENDHIDDEN item by entering a Pend Duration of 0.","dateTimeOption":"Date time","timeOffsetOption":"Time offset","chooseDatePlaceholder":"Choose date time","yearsLabel":"Years","monthsLabel":"Months","weeksLabel":"Weeks","daysLabel":"Days","hoursLabel":"Hours","minutesLabel":"Minutes","cancelBtnLabel":"Cancel","pendBtnLabel":"Pend","dateTimeNoteInfo":"Note: Value should be later than current date and time.","offsetNoteInfo":"Note: Value should be more than 0."},"workListPriorityDialog":{"changePriorityTitle":"Change priority for workitem","setPriorityTitle":"Set priority as: ","absolutePriorityTitle":"Absolute","offsetPriorityTitle":"Offset","priorityLabel":"Priority","valueLabel":"value:","absoluteLabel":"absolute","offsetLabel":"offset","absolutePriorityValue":"Priority absolute value: ","offsetPriorityValue":"Priority offset value: ","invalidPriorityLabel":"Valid priority value is between 0 to 100.","priorityAfterOffsetLabel":"Priority after applying offset","okButtonTitle":"OK","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel"},"workListAutoRefreshDialog":{"autoRefreshDialogueTitle":"Auto-refresh","autoRefreshDialogueEnableLabel":"Enable auto-refresh","autoRefreshDialogueRefreshLabel":"Refresh interval","autoRefreshDialogueTimeLabel":"seconds","autoRefreshDialogueCancelButton":"Cancel","autoRefreshDialogueApplyButton":"Apply","saveThisSettings":"Save this setting for future sessions","autoRefreshInProgress":"Auto-refresh in progress....","autoRefreshMiniumIntervalLabel":"Minimum auto-refresh limit is 30 seconds","saveSettingsDisabledLabel":"The settings will only be saved in the current session"},"workListSortConfig":{"workListSortDialogTitle":"Worklist sort","saveButtonTitle":"Save","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel"},"workViewDialog":{"createWorkViewTitle":"Create work view","editWorkViewTitle":"Edit work view","detailsTitle":"Details","targetTitle":"Target","filterTitle":"Filter","sortTitle":"Sort","columnsTitle":"Columns","usersTitle":"Users","authorsTitle":"Authors","summaryTitle":"Summary","nameLabel":"Name","descriptionLabel":"Description","makeViewPublicLabel":"Make this view public","typeOfViewLabel":"Type of view","mineOptionLabel":"Tasks in my worklist","noneOptionLabel":"An entity in the org model","allOptionLabel":"All work items","noAuthError":"The view is set to view an Entity in the Org Model but you are not authorized to change it","typeOfWorkitemsLabel":"Type of work items","noFilterError":"No filter applied. To get started, add rules.","noPermissionForUsersError":"You do not have permission to view the Organizational Model, you cannot add Users to your View","noPermissionForAuthorsError":"You do not have permission to view the Organizational Model, you cannot add Authors to your View","nextButtonTitle":"Next","backButtonTitle":"Back","cancelButtonTitle":"Cancel","saveButtonTitle":"Save","resetButtonTitle":"Reset","createButtonTitle":"Create","createAndExitButtonTitle":"Finish","saveAndExitButtonTitle":"Save & exit","emptyMessage":"A ruleset cannot be empty. Please add a rule or remove the ruleset.","createViewMessage":"Work view created successfully. To see it, select My work views or Editable work views.","createPublicViewMessage":"Work view created successfully. To see it, select the Public view.","applyButtonTitle":"Apply"},"workViews":{"workViewsHeader":"Show","publicLabel":"Public work views","editableLabel":"Editable work views","mineLabel":"My work views","publicTooltip":"Everyone can view","editableTooltip":"Selected people, including me, can view and edit","mineTooltip":"I can view and process items in the worklist","refreshLabel":"Refresh","createLabel":"Create","workViewInfo":"To edit or delete, select the Editable view.","editTitle":"Edit","deleteTitle":"Delete","deleteConfirmMsg":"Are you sure you want to do this?","deleteDialogTitle":"Delete work view","toastSuccessMsg":"Work view created successfully","workViewsTitle":"Work Views","savedViewsTitle":"Saved views","noTitle":"No","yesTitle":"Yes","createViewTitle":"Create View","noViewMsg":"No View Available"},"workViewFilterDialog":{"filterDialogTitle":"Work view filter","noFilterAppliedLabel":"No filter applied. To get started, add rules.","filterLabel":"Filter","saveButtonTitle":"Save","resetButtonTitle":"Reset","cancelButtonTitle":"Cancel","emptyMessage":"A ruleset cannot be empty. Please add a rule or remove the ruleset."},"loggedInUserConfig":{"loggedUserLabel":"Logged User:","pleaseLoginLabel":"Please login.","loginLabel":"Login"},"miniOrgBrowser":{"versionLabel":"Version","orgLabel":"Organizations","noOrgForVersionError":"No organizations or groups available for the selected version, please select a different version and try again","resourcesLabel":"Resources","selectOptionLabel":"Select an organization to view resources","noResourcesLabel":"No available resources","noResourcesSelectedError":"None selected","addSelectedLabel":"Add to selected","removeSelectedLabel":"Remove from selected","reallocateLabel":"Please select a resource to reallocate:","criteriaLabel":"Criteria","selectCriteriaLabel":"Select Criteria","searchLabel":"Search","showEntityNamesLabel":"Show entity names","selectedUsersLabel":"Selected users","addSelectedEntityLabel":"Add selected entity","addSelectedResourceLabel":"Add selected resource"}},"errorConfig":{"CDM_API_TOP_MANDATORY_TITLE":"Missing required parameter","CC_SETTING_UNIQUE_TITLE":"Duplicate name","CDM_API_TOP_MANDATORY":"Please provide '$top' for rest call as a parameter","CC_SETTING_UNIQUE":"Filter already exists, please provide unique name","WP_OPEN_WORK_ITEM_ERROR":"Failed to open the work item","WR_ARTIFACT_CREATE_ERROR_INVALID_PATH":"FilePath cannot start with /","CC_ATTRIBUTE_UNIQUE":"Failed to create attribute, attribute already exists, the combination of name and settingId must be unique","WR_APP_BAD_COUNT":"$count cannot be used with $top, $skip, $orderby or $select","WP_OPEN_WORK_ITEM_INVALID_ERROR":"Failed to open the work item as it's invalid","WR_APP_BAD_PURGE":"Invalid $purge option, should be true or false","AUTH_AUTHERROR":"Authentication failed, please check your credentials and try again","CC_INVALID_TYPE":"Invalid type specified, must be PRIVATE or PUBLIC","WR_UNKNOWN_ERROR":"Something went wrong, please contact your administrator","AUTH_SSO_UNAVAILABLE":"SSO is not configured. Please check your administrator configurations.","WR_INVALID_SUBSCRIPTION":"$subscriptionId must be supplied","WP_UNKNOWN_ERROR":"Something went wrong, please contact your administrator","WR_FOLDER_CREATE_ERROR_NO_FILENAME":"No filename specified - cannot create","AUTH_UNKNOWN_ERROR":"Something went wrong, please contact your administrator","WP_OPEN_WORK_ITEM_INVALID_ENTITY_ERROR":"You cannot open this work item as it is not in your worklist.","WR_SUBLIMIT_EXCEEDED":"The current document upload would have exceeded your subscription limit of  {$limit} MB for your plan, please check with your administrator","WR_APP_CREATE_ERROR_ALREADY_EXISTS":"Application [{$appName}] already exists","WR_SUBLIMIT_PERSIST_ERROR":"Failed to update subscription limit for sub [{$subscriptionId}], key [{$key}], value [{$value}]","WR_APP_BAD_SELECT":"Invalid value specified for $select [{$suppliedValue}] options are [{$validValues}]","WR_AUTHERROR":"The requested operation is not allowed","WR_APP_LOCKED":"Application is locked by another user, please try again later","WR_APP_DOES_NOT_EXIST":"Application does not exist","WR_FOLDER_INVALID_NAME":"Invalid name specified for Folder","WP_CONNECTION_ERROR":"Failed to connect to Database","WR_APP_ARCHIVE_LATER_ALREADY_DEPLOYED":"Later version of Application [{$appName}] has already been deployed existing checksum [{$existingChecksum}] new checksum [{$newChecksum}] - skipping","WP_INVALID_FILTER":"Invalid filter supplied [{$invalid}]","WP_DEPLOY_NO_WP_CONTENT_IN_RASC_ERROR":"Failed to get the WP content from the RASC","WR_APPVERSION_DOES_NOT_EXIST":"Version not found","WP_OPEN_WORK_ITEM_LIMIT_ERROR":"Failed to open the work item as limit is reached","WP_OPEN_NEXT_WORK_ITEM_INVALID_VERSION_ERROR":"Failed to open the next work item due to invalid version","WR_APP_INVALID_DESCRIPTOR":"Failed to parse app descriptor file - app NOT DEPLOYED","WP_AUTHERROR":"The requested operation is not allowed","WR_FOLDER_BAD_COUNT":"$count cannot be used with $top, $skip or $orderby","WR_APP_ARCHIVE_ALREADY_DEPLOYED":"Application [{$appName}] has already been deployed from matching archive with checksum [{$existingChecksum}] new checksum [{$newChecksum}] - skipping","WR_ARTIFACT_CREATE_ERROR":"Error creating artifacts for app [{$appName}]","WP_CLOSE_WORK_ITEM_ERROR":"Failed to close the work item","CC_ATTRIBUTE_SETTING_DOES_NOT_EXIST":"Failed to create attribute, specified settingId does not exist","WP_OPEN_NEXT_WORK_ITEM_ERROR":"Failed to open the next work item","CC_AUTHERROR":"The requested operation is not allowed","WP_COMPLETE_WORK_ITEM_INVALID_WORK_ITEM_ERROR":"Failed to complete the work item as it's invalid","CC_DOES_NOT_EXIST":"Setting not found","CC_CONNECTION_ERROR":"Failed to connect to Database","WR_SUBLIMIT_DELETE_ERROR":"Failed to delete subscription limit records for sub [{$subscriptionId}]","WP_UNDEPLOY_DELETE_RECORDS_ERROR":"Failed to delete the records in the database during undeployment","WR_FOLDER_INVALID_PAGINATION":"Invalid value specified for $top or $skip, must be number > 0 and <= {max}","WR_FOLDER_DOES_NOT_EXIST":"Folder does not exist","WR_FOLDER_INVALID_SORTFIELD":"Invalid sort field specified, valid fields are [{$fields}] with asc or desc order","WR_ARTIFACT_BAD_SELECT":"Invalid value specified for $select [{$suppliedValue}] options are [{$validValues}]","AUTH_INVALID_AUTHENTICATION":"Authentication failed, please check your credentials and try again.","WR_CONNECTION_ERROR":"Failed to connect to Database","WR_APP_INVALID_PAGINATION":"Invalid value specified for $top or $skip, must be number > 0 and <= {max}","WR_APP_INVALID_SORTFIELD":"Invalid sort field specified, valid fields are [{$fields}] with asc or desc order","WP_OPEN_WORK_ITEM_INVALID_VERSION_ERROR":"Failed to open the work item due to invalid version","CC_INVALID_FILTER":"Invalid filter supplied [{$invalid}]","WP_COMPLETE_WORK_ITEM_INVALID_VERSION_ERROR":"Failed to complete the work item due to invalid version","WR_ARTIFACT_SELECT_NOT_ALLOWED":"$select cannot be specified with $top or $skip","WR_FOLDER_CREATE_ERROR_ALREADY_EXISTS":"Cannot create empty folder [{$folderName}] as it already exists","WR_ARTIFACT_CREATE_ERROR_NO_SIZE_IN_ZIP":"Error creating artifact [{$artifact}], file has no size specified in the ZIP [{$size}] - please ZIP the application again and retry","WR_ARTIFACT_RENAME_ALREADY_EXISTS":"Destinations artifact [{$artifact}] already exists","WR_BUCKET_DOES_NOT_EXIST":"Specified S3 bucket does not exist","WP_CLOSE_WORK_ITEM_INVALID_VERSION_ERROR":"Failed to close the work item due to invalid version","CC_ATTRIBUTE_DOES_NOT_EXIST":"Attribute not found","WR_ARTIFACT_BAD_UPDATE_DATA":"Update information supplied was not valid","WR_ARTIFACT_CREATE_ERROR_NO_FILENAME":"No filename specified - cannot create","CC_BAD_UPDATE_DATA":"Update information supplied was not valid","WP_COMPLETE_WORK_ITEM_ERROR":"Failed to complete the work item","CC_UNKNOWN_ERROR":"Something went wrong, please contact your administrator","WP_OPEN_NEXT_WORK_ITEM_INVALID_ERROR":"Failed to complete the work item as it's invalid","WR_FOLDER_INVALID_SANDBOX":"No valid sandbox specified - must be a valid number","WR_ARTIFACT_DOES_NOT_EXIST":"Artifact not found, please check the application, version and artifact names are correct","WR_APPVERSION_BAD_UPDATE_DATA":"Update information supplied was not valid","WP_CLOSE_WORK_ITEM_INVALID_WORK_ITEM_ERROR":"Failed to close the work item as it's invalid","WR_APP_BAD_UPDATE_DATA":"Update information supplied was not valid","WR_ARTIFACT_RENAME_INVALID_PATH":"New name should not be same as previous name","WP_WORK_ITEM_RESCHEDULED_ERROR":"The work item has been modified by an external application","WP_DEPLOY_CREATE_APP_ERROR":"Failed to create application in the database","WR_FOLDER_LOCKED":"Folder is locked by another user, please try again later","WR_APP_INVALID_NAME":"Invalid name specified for Application","WP_CANCEL_WORK_ITEM_ERROR":"Failed to cancel the work item","WR_SUBLIMIT_READ_ERROR":"Failed to read subscription limit for sub [{$subscriptionId}] key [{$key}]","WR_APP_BAD_ZIP":"No artifacts found in ZIP / Corrupt ZIP","CC_INVALID_PAGINATION":"Invalid value specified for $top or $skip, must be number > 0 and <= {max}","WR_FOLDER_CREATE_ERROR_EXTENSION_NOT_ALLOWED":"Upload of artifact with the specified extension is not allowed","WR_INVALID_FILTER":"Invalid filter supplied [{$invalid}]","WR_ARTIFACT_DELETE_ERROR_INVALID_PATH":"Invalid artifactName for delete, check it is valid and does not start with /"},"$code":"en","$name":"English","$dir":"ltr","bpme_descriptions":{"uploadLanguage":{"uploadLanguageLabel":"Upload language","uploadLanguageDescription":"Upload language json file.","helpTextLabel":"Helper text","helpTextDescription":"Upload file help text"}}}
export const handlers = [
    http.get('../../userapps/__NOCACHE__/BPM_LANGUAGE_APPLICATION/localeInfo.locale.json', (req, res, ctx) => {
        return HttpResponse.json(
            langInfo,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get("../../bpm/config/v1/settings/?$filter=contains(name,'__BPME_LANGUAGE_CONFIGURATION__') and type eq PRIVATE", (req, res, ctx) => {
        return HttpResponse.json(
            ccOutPut,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),  
      http.get("../../userapps/__NOCACHE__/BPM_LANGUAGE_APPLICATION/fr-FR.locale.json", (req, res, ctx) => {
        return HttpResponse.json(
            frFRDetails,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get("../../userapps/__NOCACHE__/BPM_LANGUAGE_APPLICATION/fr-CA.locale.json", (req, res, ctx) => {
        return HttpResponse.json(
            frFRDetails,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get("../../userapps/__NOCACHE__/BPM_LANGUAGE_APPLICATION/en-US.locale.json", (req, res, ctx) => {
        return HttpResponse.json(
            enDetails,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      }),
      http.get("../../userapps/__NOCACHE__/BPM_LANGUAGE_APPLICATION/en.locale.json", (req, res, ctx) => {
        return HttpResponse.json(
            enDetails,
          {
            message: 'Mocked response',
          },
          {
            status: 200,
          }
        )
      })     
]