define({"166":{y:0,u:"../administration/creating-an-ldap-con2.htm",l:-1,t:"Creating an LDAP Container",i:0.00454102342978966,a:"You must create at least one LDAP container from which resources can be selected and mapped to groups or positions in the organization model. \n   For each LDAP container that you create, you must specify an \n\t\t  LDAP source (which equates to an LDAP server) from which resources are obtained. \n\t\t The ..."},"167":{y:0,u:"../administration/creating-an-ldap-con.htm",l:-1,t:"Creating an LDAP Container using an LDAP Query",i:0.00726404584789477,a:"If you are using an LDAP query source in the LDAP container definition, all resources in the LDAP source that satisfy the LDAP query are included in the list of candidate resources in the container. \n   Open the Organization Browser (see \n\t\t\t  Accessing the Organization Browser ). \n\t\t   If any LDAP ..."},"168":{y:0,u:"../administration/ldap-query-string-ch.htm",l:-1,t:"LDAP Query String Characters and Examples",i:0.00293235251013064,a:"Special characters can be used in LDAP queries when defining LDAP containers. \n   Examples The following are examples of LDAP query strings:\n\t\t The following query returns all resources that have sn attribute values beginning with “s”: \n\t\t\t  (sn=s*) The following query returns all resources that ..."},"169":{y:0,u:"../administration/creating-an-ldap-con3.htm",l:-1,t:"Creating an LDAP Container using an LDAP Group",i:0.00886544822131925,a:"If you are using an LDAP group source in the LDAP container definition, a group DN is used to identify the directory entry that is the group. When a group DN is specified, a \n\t member attribute is also specified, which holds the collection of member identifiers (DNs). This provides the list of ..."},"170":{y:0,u:"../administration/container-organizati.htm",l:-1,t:"Container Organization Relationships",i:0.00532519860771432,a:" When you are creating or editing an LDAP container, you can specify that the LDAP container has a relationship with one or more organizations. These \n\t organization relationships allow you to prevent users from seeing LDAP containers and organizations they are not intended to see, as well as ..."},"171":{y:0,u:"../administration/organization-relatio.htm",l:-1,t:"Organization Relationship Examples",i:0.00138871124335837,a:"An organization relationship allows you to prevent users from seeing LDAP containers and organizations they are not intended to see, as well as prevent resources from being mapped to positions in organizations they should not be in. \n   The descriptions that follow assume the resource does not have ..."},"172":{y:0,u:"../administration/invalid-mappings-bec.htm",l:-1,t:"Invalid Mappings Because of Organization Relationships",i:0.00138871124335837,a:" If you are logged in as a user who has the \n\t Organization Admin system action, you can see all organizations regardless of the organization relationships that are defined. However, the system does not allow you to map resources to positions in organizations to which the resource is barred because ..."},"173":{y:0,u:"../administration/deleting-ldap-contai.htm",l:-1,t:"Deleting LDAP Containers",i:0.00290358927368793,a:"LDAP containers can be deleted using the Organization Browser. \n   To delete LDAP containers, you must be assigned the \n\t\t  Delete Resource Admin system action and the Delete LDAP Admin system action.\n\t\t  If the container contains BPM resources, those resources are automatically removed from any ..."},"174":{y:0,u:"../administration/resources.htm",l:-1,t:"Resources",i:0.00138871124335837,a:"Resources represent users who log into BPM applications and receive work items that they need to work on. \n   Resources are obtained from \n\t\tLDAP sources, which are separate servers to which the Organization Browser connects to get a list of \n\t\tcandidate resources. Before a resource can log into a ..."},"175":{y:0,u:"../administration/adding-bpm-resources.htm",l:-1,t:"Adding BPM Resources",i:0.00138871124335837,a:" A candidate resource must be \"added\" to become a BPM resource. This results in an entry for that resource being added to the BPM database. Once a resource is a BPM resource, that resource can log into BPM applications. \n   BPM resources can be created in the following ways: \n\t  Map the resource to ..."},"176":{y:0,u:"../administration/mapping-resources.htm",l:-1,t:"Mapping Resources",i:0.00403742495474335,a:"Mapping resources is an administrative task that will typically be performed before users start using BPM applications. \n   Mapping resources can then be performed on an ongoing basis as resources are added or removed from the system, or if the organization model is revised (new positions, groups, ..."},"177":{y:0,u:"../administration/removing-resources-f.htm",l:-1,t:"Removing Resources from Groups or Positions",i:0.00138871124335837,a:"Removing resources from groups or positions prevents the resources from receiving work items destined to the groups or positions. \n   Navigate to the group or position in which the resource is a member.\n\t\t   Select the group or position.\n\t\t   Click  to the right of the resource you want to ..."},"178":{y:0,u:"../administration/viewing-resource-det.htm",l:-1,t:"Viewing Resource Details",i:0.00138871124335837,a:" Resource details include things like groups and positions to which a resource is mapped, privileges held by the resource, and so on. \n   Select the LDAP container that contains the resource whose details you want to view. \n\t\t   Select the desired resource. \n\t\t   Select only BPM resources (resources ..."},"179":{y:0,u:"../administration/renaming-a-resource.htm",l:-1,t:"Renaming a Resource",i:0.00292614170001513,a:"When users log into a BPM application, they must enter their \n\t resource name. Initially, each user’s resource name is established as the value that is stored in an attribute in an LDAP source. The LDAP attribute is specified when you create an LDAP container. \n   After a resource is added to an ..."},"180":{y:0,u:"../administration/deleting-resources.htm",l:-1,t:"Deleting Resources",i:0.00178218465660829,a:"BPM resources can be deleted. After deleting a resource, it becomes a candidate resource again. That resource can no longer log into the BPM application and is removed from any groups and positions the resource is a member. \n   Note that deleting a resource using the Organization Browser does not ..."},"181":{y:0,u:"../administration/managing-deleted-use.htm",l:-1,t:"Managing Deleted Users",i:0.00138871124335837,a:" If a user is deleted from \n\t TIBCO BPM Enterprise, and the deleted user is the principal of an outstanding process instance, that process instance will eventually fail. This will occur because a process instance performs actions on behalf of the principal of the process instance. After a user is ..."},"182":{y:0,u:"../administration/viewing-deleted-user.htm",l:-1,t:"Viewing Deleted Users",i:0.0154186260550182,a:"Using the Organization Browser, you can view a list of resources that have been deleted from \n\t TIBCO BPM Enterprise. \n    From the Organization Browser, select the View admin details.\n\t\t    Select the \n\t\t\t Deleted Resources tab: \n\t\t   From the list of deleted users, you can: \n\t\t View details about ..."},"183":{y:0,u:"../administration/viewing-details-of-d.htm",l:-1,t:"Viewing Details of Deleted Users",i:0.00833463853775547,a:"You can view information about deleted users, such as their GUID, the date they were deleted, and so on. \n   Deleted users can be \n\t\t  purged from the system as well; once purged, their details are no longer available using this procedure - see \n\t\t   Purging Deleted Users . \n\t\t Display the list of ..."},"184":{y:0,u:"../administration/purging-deleted-user.htm",l:-1,t:"Purging Deleted Users",i:0.0118766322963868,a:" After users are deleted from \n\t TIBCO BPM Enterprise, you can also \n\t purge them from the deleted users list. This provides a method of managing the size of the Deleted Users list so that it doesn\u0027t become too large over time. \n   After being purged, the user is still a \n\t\tcandidate resource, and ..."},"185":{y:0,u:"../administration/privileges.htm",l:-1,t:"Privileges",i:0.00388832223055891,a:"Privileges represent authorities. They are used by the BPM application to determine which functions the user can access in the application. Users obtain privileges by being mapped to groups and/or positions to which privileges have been assigned. \n   BPM applications use privileges in conjunction ..."},"186":{y:0,u:"../administration/viewing-a-resources.htm",l:-1,t:"Viewing a Resource\u0027s Privileges",i:0.00249042300743876,a:" A resource is granted privileges by being mapped to groups or positions that have been assigned the privileges in  TIBCO Business Studio - BPM Edition . \n    Select the LDAP container containing the resource whose privileges you want to view. \n\t\t   Select the resource. \n\t\t   In the right pane, the ..."},"187":{y:0,u:"../administration/capabilities.htm",l:-1,t:"Capabilities",i:0.00388832223055891,a:"Capabilities represent skills needed to perform a task, for instance, being bilingual. They can also be further qualified, for instance, by specifying a specific language needed. \n   Capabilities are defined in the organization model using the \n\t\tTIBCO Business Studio - BPM Edition Organization ..."},"188":{y:0,u:"../administration/viewing-and-editing-2.htm",l:-1,t:"Viewing and Editing Resource Capabilities",i:0.00249042300743876,a:"Viewing and editing a resource\u0027s capabilities is done using the Organization Browser. \n    Select the LDAP container containing the resource whose capabilities you want to view or edit. \n\t\t   Select the desired resource. \n\t\t   Select only a BPM resource (a resource that has a \n\t\t\t   icon next to the ..."},"189":{y:0,u:"../administration/resource-attributes.htm",l:-1,t:"Resource Attributes",i:0.00138871124335837,a:"When an organization model is created using the \n\t TIBCO Business Studio - BPM Edition Organization Modeler, \n\t resource attributes can also be created. Resource attributes are used to store information about resources. For example, there may be an “EmailAddress” attribute defined, in which each ..."},"190":{y:0,u:"../administration/viewing-and-editing-.htm",l:-1,t:"Viewing and Editing Resource Attributes",i:0.00221500541118321,a:"Values in the resource attributes for a resource can be modified using the Organization Browser. \n   Select the LDAP container containing the resource whose privileges you want to view. \n\t\t   Select the resource. \n\t\t   In the right pane, the number in parentheses to the right of \"Attributes\" ..."},"191":{y:0,u:"../administration/push-destinations.htm",l:-1,t:"Push Destinations",i:0.00250828113920212,a:"“Pushed” distribution of work items is supported. In a pushed distribution model, when a work item is generated, it is sent to a user as an email. The email contains the URL of the work item, which the user can click to open and process the work item. \n   Generally, work items are “pulled” when a ..."},"192":{y:0,u:"../administration/configuring-organiza.htm",l:-1,t:"Configuring Organizational Entity Push Destinations",i:0.00192173037771994,a:"Work items can be \n\t pushed to an organizational entity, rather than be \n\t pulled from a work item list. The organizational entity push destination defines how, and to where, the work items are pushed. \n   From the Organization Browser, click \n\t\t\t Browse Organization. \n\t\t   Click either: \n\t\t   ..."},"193":{y:0,u:"../administration/configuring-resource.htm",l:-1,t:"Configuring Resource Push Destinations",i:0.00215781442566989,a:"Work items can be \n\t pushed to a resource, rather than be \n\t pulled from a work item list. The resource push destination defines how, and to where, the work items are pushed. \n   Select the LDAP container containing the resource whose privileges you want to view. \n\t\t   Select the desired resource. ..."},"194":{y:0,u:"../administration/dynamic-organization.htm",l:-1,t:"Dynamic Organization Model Extension Points",i:0.00241517813595938,a:" An organization model extension point is a dynamic organization unit that references a dynamic organization template. \n   The extension point configuration is used to dynamically generate instances of the organization model template directly below it. \n\t  The designation of the extension point is a ..."},"195":{y:0,u:"../administration/configuring-dynamic-.htm",l:-1,t:"Configuring Dynamic Organization Model Extension Points",i:0.00315789340956753,a:" An extension point configuration is used to dynamically generate instances of the organization model template directly below it. \n    There must be an organization unit designated with an extension point, as well as an organization model template defined, in the deployed organization model. \n\t   ..."},"196":{y:0,u:"../administration/viewing-a-dynamic-or.htm",l:-1,t:"Viewing a Dynamic Organization Model Template",i:0.00138871124335837,a:" You can see the structure of dynamic organization model templates from the Organization Browser. \n    From the Organization Browser, click \n\t\t\t Organizations, then expand the hierarchy and select the organization unit for which you want to view the dynamic organization model template. \n\t\t   The ..."},"197":{y:0,u:"../administration/populating-dynamic-o.htm",l:-1,t:"Populating Dynamic Organization Models",i:0.00256913148310814,a:"Organization models that are generated dynamically, can also be populated dynamically. \n   This allows you to generate organization units and their positions, and at the same time populate the positions in each instance of the organization unit with only the resources that are appropriate for each ..."},"198":{y:0,u:"../administration/candidate-queries.htm",l:-1,t:"Candidate Queries",i:0.00486767342528616,a:" A candidate query is an LDAP Query assignment to a position or group. The position or group is populated based on the results of the candidate query. \n   An LDAP container must be specified in the candidate query configuration. The primary LDAP source of the LDAP container identifies the LDAP ..."},"199":{y:0,u:"../administration/configuring-candidat.htm",l:-1,t:"Configuring Candidate Queries for Static Organizations",i:0.00138871124335837,a:" This procedure describes how to configure candidate queries for \n\t static organizations, that is, organizations that are not \n\t dynamically generated. \n    You must have an LDAP container defined from which the resource candidates can be obtained. \n\t  From the Organization Browser, click one of the ..."},"200":{y:0,u:"../administration/configuring-candidat2.htm",l:-1,t:"Configuring Candidate Queries for Dynamic Organizations",i:0.00416271497472239,a:"It is possible to construct the Base-DN and LDAP query of a candidate query in such a way that it identifies different resources for each instance of the dynamic organization model. \n   You must have an LDAP container defined from which the resource candidates can be obtained. \n\t\t   There must be an ..."},"201":{y:0,u:"../administration/modifying-existing-c.htm",l:-1,t:"Modifying Existing Candidate Queries for Dynamic Organizations",i:0.00138871124335837,a:" After an organizational unit is dynamically generated, and positions are dynamically populated based on the candidate query, you can modify the candidate query. \n   When you modify an existing candidate query, you can modify it in one of the following ways: \n\t  Modify the candidate query in the ..."},"202":{y:0,u:"../administration/process-manager.htm",l:-1,t:"Process Manager",i:0.00138871124335837,a:"Process Manager displays information about the process templates in your system, such as their name, package, and version number. You can also start instances of your process templates, and perform actions such as suspend, resume or cancel processes. Depending on your privileges, you can also ..."},"203":{y:0,u:"../administration/process-manager-colu.htm",l:-1,t:"Process Manager Columns",i:0.0118766322963868,a:" The following table describes the columns that show you information about the process instances in your list. \n    Not all columns are displayed by default. You can select which columns are displayed by selecting \n\t\t . See \n\t\t Customizing Process Manager Columns  for more information. Note that ..."},"204":{y:0,u:"../administration/customizing-process-.htm",l:-1,t:"Customizing Process Manager Columns",i:0.0118766322963868,a:" You can customize your process list so that only certain columns are displayed, or you can change the order in which the columns are displayed. \n    Select \n\t\t\t  . \n\t\t   Select the columns that you want to display from the dropdown list. See \n\t\t\t  Process Manager Columns . \n\t\t   Click away from the ..."},"205":{y:0,u:"../administration/process-instance-sta.htm",l:-1,t:"Process Instance State",i:0.00138871124335837,a:"The state of a process instance determines what stage that it has reached in the process. A process instance can have various states. The \n\t State column in Process Manager indicates the process instance’s current state. \n   You can also filter your process instances by state, by selecting the ..."},"206":{y:0,u:"../administration/searching-for-proces.htm",l:-1,t:"Searching for Process Instances",i:0.00178218465660829,a:"If you have a large number of process instances in your list, you can use the search feature to search for a specific process template instance. \n   Select the process template for the process instances you want to find. \n\t\t   Select \n\t\t\t  . \n\t\t   You can search on the following: \n\t\t   Select the ..."},"207":{y:0,u:"../administration/specifying-a-filter-.htm",l:-1,t:"Filtering Process Templates",i:0.00138871124335837,a:"Filtering a list of process templates involves entering filter criteria so that only some of the process templates are shown in Process Manager, rather than all of them. \n   This allows you to display only the process templates you are interested in. For example, you may only be interested in ..."},"208":{y:0,u:"../administration/starting-a-process-i.htm",l:-1,t:"Starting a Process Instance",i:0.00138871124335837,a:"When you start a process instance, one or more processes may be started, resulting in processes appearing in the list. \n   Starting an instance of a process results in initiating the first task of the process. This typically results in one or more work items being sent to one or more work lists. \n\t\t ..."},"209":{y:0,u:"../administration/suspending-a-process.htm",l:-1,t:"Suspending a Process Instance",i:0.00138871124335837,a:"You can suspend activity in a process instance, which causes all work items that are associated with that process instance to also become suspended, and the process flow is halted at that point. Work items that are suspended cannot be worked on, for example, they cannot be opened, allocated, ..."},"210":{y:0,u:"../administration/resuming-a-suspended.htm",l:-1,t:"Resuming a Suspended Process Instance",i:0.00256913148310814,a:"Resuming a suspended process instance causes the process to flow as usual. Work items that were suspended because their process instance was suspended can now be opened and processed normally. \n   To resume a suspended process instance, you must have the Resume/Suspend Process instance system ..."},"211":{y:0,u:"../administration/canceling-a-process-.htm",l:-1,t:"Canceling a Process Instance",i:0.00138871124335837,a:"You can cancel a process instance, which stops the process flow and deletes all work items that are associated with that process instance. \n   To cancel a process instance, you must have the \n\t\t  Cancel/Purge Process Instance system action.\n\t\t Work items that are associated with a canceled process ..."},"212":{y:0,u:"../administration/Fixing-a-Process-Instance.htm",l:-1,t:"Fixing a Process Instance",i:0.00138871124335837,a:"When a process encounters a problem, such as, it cannot contact a remote server as part of a REST service activity, it may enter the HALTED state.   In this state, the process flow cannot continue.   You can fix a process in this state through the Process Manager. Using this option, you can inspect ..."},"213":{y:0,u:"../administration/process-instance-mig.htm",l:-1,t:"Process Instance Migration Overview",i:0.00138871124335837,a:" Process migration is the ability to migrate a long-running process from one version to another version of the same process template. Process migration can only occur at specific points in the process template. These points are called migration points. Migration points are automatically identified ..."},"214":{y:0,u:"../administration/how-to-migrate-a-pro.htm",l:-1,t:"How to Migrate a Process Instance",i:0.00138871124335837,a:"If a process has been configured for migration in  TIBCO Business Studio - BPM Edition , you can migrate it in \n\t Process Views.\n   From the process template whose process instances you want to migrate select \n\t\t\t  \u003e \n\t\t\t Migrate. \n\t\t   From the \n\t\t\t Migrate From: panel, select the source process ..."},"215":{y:0,u:"../administration/purging-process-inst.htm",l:-1,t:"Purging Process Instances",i:0.00138871124335837,a:"Process instances that are completed, canceled, or failed are automatically purged from the system. You can also purge process instances that have a state of Active, Halted, or Suspended.\n    You must be logged in as a user who has been assigned the system action, \n\t\tBulk Cancel/Purge Process ..."},"216":{y:0,u:"../administration/contribute-your-app.htm",l:-1,t:"Contribute Your App",i:0.00138871124335837,a:" Contributing your app to \n\t TIBCO BPM Enterprise causes the app to appear in the Work Manager UI. \n    From Administrator, select \n\t\t\t Contribute Your App. \n\t\t   All published applications that you added in Application Development (AppDev) are listed. \n\t\t   Drag and drop your selected app from the ..."},"217":{y:0,u:"../administration/configuration-manage.htm",l:-1,t:" Configuration Management",i:0.00138871124335837,a:" Configuration Management  Each of the individual components in \n\t TIBCO BPM Enterprise can be configured by setting property values in Administrator. These settings can be used for performance and tuning purposes. \n   TIBCO BPM Enterprise properties are configured using Configuration Management: \n\t ..."},"218":{y:0,u:"../administration/authentication-confi.htm",l:-1,t:"Authentication Configuration",i:0.00153626377332709,a:"Authentication Configuration  The Authentication component manages the authentication of \n\t TIBCO BPM Enterprise users. \n   The configurable properties for the Authentication component are:\n\t\t"},"219":{y:0,u:"../administration/case-data-management.htm",l:-1,t:"Case Data Management Configuration",i:0.00153626377332709,a:"Case Data Management Configuration  The Case Data Management component manages the flow of case data. \n   The configurable properties for the Case Data Management component are: \n\t\t"},"220":{y:0,u:"../administration/directory-engine-con.htm",l:-1,t:"Directory Engine Configuration",i:0.00938458217012427,a:"Directory Engine Configuration The Directory Engine component manages resources and organization models. \n   The configurable properties for the Directory Engine component are: \n\t "},"221":{y:0,u:"../administration/event-collector.htm",l:-1,t:"Event Collector",i:0.00389710425282663,a:"Event Collector The Event Collector component collects and stores events that occur during run time. The component controls how and when the audit data is purged. The configurable properties for the Event Collector component are: "},"222":{y:0,u:"../administration/event-publication-co.htm",l:-1,t:"Event Publication Configuration",i:0.00153626377332709,a:" Event Publication table (ep_event) is a database table to which events are published, when the events are properly configured with a set of properties. A broker can then be produced as a microservice that reads and deletes events from this event publication table and publishes them, as required. \n  ..."},"223":{y:0,u:"../administration/Logging.htm",l:-1,t:"Logging",i:0.00138871124335837,a:"Logging refers to the recording of all events generated by TIBCO BPM Enterprise. Logging data can be used for numerous purposes, ranging from debugging within a system, through to storage for non-repudiation logs, and all messaging in between.  This section explains the override property and format ..."},"224":{y:0,u:"../administration/pageflow-engine-conf.htm",l:-1,t:"Pageflow Engine Configuration",i:0.00153626377332709,a:"Pageflow Engine Configuration  The Pageflow Engine component controls the processing of pageflows, which present a sequence of forms to the user for a single work item. \n    The configurable property for the Pageflow Engine component is: \n\t "},"225":{y:0,u:"../administration/process-engine-confi.htm",l:-1,t:"Process Engine Configuration",i:0.00153626377332709,a:"Process Engine Configuration  The Process Engine component manages process templates and process instances. \n    The configurable properties for the Process Engine component are: \n\t "},"226":{y:0,u:"../administration/work-presentation-co.htm",l:-1,t:"Work Presentation Configuration",i:0.00206928290768866,a:"Work Presentation Configuration  The Work Presentation component performs operations on work items, such as opening, closing, canceling, and so on. \n    The configurable properties for the Work Presentation component are: \n\t "},"227":{y:0,u:"../_shared/authentication.htm",l:-1,t:"Authentication",i:0.00138871124335837,a:" An authenticated user is required to access TIBCO BPM Enterprise.  Users must be registered with the \n\t TIBCO BPM Enterprise Directory Engine via the Organization Browser. \n   TIBCO BPM Enterprise supports the following types of authentication: \n\t  Basic Authentication- The credentials used for ..."},"228":{y:0,u:"../developers-guide/saml-web-profile-authentication.htm",l:-1,t:"SAML Web Profile Authentication",i:0.00138871124335837,a:" If your \n\t TIBCO BPM Enterprise application is configured to use SAML Web Profile for authentication, users  can log in with a username  and password issued by an IdP that supports SAML Web Profile. TIBCO BPM Enterprise supports Google and simpleSAMLphp SAML IdP. Ensure that the resource registered ..."},"229":{y:0,u:"../administration/openid-connect-authentication.htm",l:-1,t:"OpenID Connect Authentication",i:0.00138871124335837,a:" If your \n\t  TIBCO BPM Enterprise application is configured to use OpenID Connect, users of your application can log in using a username and password issued by an Identity Provider (IdP) that supports OpenID Connect. TIBCO BPM Enterprise supports Google and PingID® OpenId IdP. Ensure that the ..."},"230":{y:0,u:"../administration/system-actions.htm",l:-1,t:"System Actions",i:0.00138871124335837,a:"System actions are predefined system tasks that users may wish to perform, but which an organization may wish to control access to. \n   System actions provide access to a wide range of functions - for example, work list and work item management, process management, and user administration. The ..."},"231":{y:0,u:"../administration/scope-of-system-acti.htm",l:-1,t:"Scope of System Actions",i:0.00138871124335837,a:"The scope of a system action is defined by where in the organization model the privilege required to perform that system action is assigned: \n   The default scope of a system action is system-wide. (Either any user or no user can perform the system action.) \n\t\t Privileges can be assigned to any ..."},"232":{y:0,u:"../administration/example-of-using-sys.htm",l:-1,t:"Example of using System Actions to Control Users’ Access to System Functions",i:0.00357250485484751,a:"The following example presents a very simple scenario that illustrates how system actions can be used to control users’ access to system functions. \n   The illustration below shows the organization model of the easyAs Insurance company’s Claims Management department. The department contains two ..."},"233":{y:0,u:"../administration/system-actions-and-o.htm",l:-1,t:"System Actions and Organization Model Versions",i:0.00256913148310814,a:"When testing whether a user has the authorization to perform a system action, that is that the user holds the required privileges, all major versions of the organization model are taken into account. \n   The privileges required to perform a system action are applied on a per-major-version basis. ..."},"234":{y:0,u:"../administration/list-of-messages.htm",l:-1,t:"List of Messages",i:0.00138871124335837,a:"List of Messages Messages generated by TIBCO BPM Enterprise events can be audited. Some of the message attributes can have more than one meaning depending on the message category."},"235":{y:0,u:"../administration/auditable-messages.htm",l:-1,t:"Auditable Messages",i:0.00138871124335837,a:"This section lists the auditable Audit, Fatal, and Error messages that are generated by TIBCO BPM Enterprise. For a list of Audit, Warn, and Error messages that may be audited and published, see the Samples and API tab on  https://docs.tibco.com/products/tibco-bpm-enterprise . You can also download ..."},"236":{y:0,u:"../administration/message-categories-a.htm",l:-1,t:"Message Categories and Attribute Contents",i:0.00138871124335837,a:"Several attributes are available for each message category. \n   Standard Attributes The attributes listed are in addition to the following standard attributes that are present for all messages: \n\t\t Attributes and Meanings Note that the meaning of some attributes is affected by the message category. ..."},"237":{y:0,u:"../administration/container-management.htm",l:-1,t:"Container Management",i:0.00138871124335837,a:" The Docker containers that contain \n\t TIBCO BPM Enterprise are managed by a Container Orchestration System - Kubernetes. \n   Kubernetes is used to manage \n\t\tTIBCO BPM Enterprise containers in the following ways: \n\t  Add and remove pods from Kubernetes nodes. Replica Sets of pods across nodes can be ..."},"238":{y:0,u:"../administration/database-support.htm",l:-1,t:"Database Support",i:0.00138871124335837,a:" All Container Orchestration System nodes, and \n\t TIBCO BPM Enterprise containers, use the same database.  For  the list of supported databases, see System Requirements (Kubernetes Profile) of the TIBCO® BPM Enterprise Installation. Scripts are provided to set up the database during installation.   ..."},"239":{y:0,u:"../administration/appendix-utility-com.htm",l:-1,t:"Appendix: Utility Commands",i:0.00138871124335837,a:"Appendix: Utility Commands To use the Utility Commands, see the following table.\n   Usage docker run -it --rm tibco/bpm/utility:5.6.0 utility -options Options:\n\t\t Argument values with spaces should be enclosed in single quotes, for example, \n\t\t  ldapDn=\u0027UID=admin, OU=system\u0027. \n\t\t"},"240":{y:0,u:"../getting-started/introduction-to-tibc.htm",l:-1,t:"Introduction to TIBCO® BPM Enterprise",i:0.00138871124335837,a:"Introduction to TIBCO BPM Enterprise TIBCO® BPM Enterprise is used to develop, deploy, and manage \n\t business process management (BPM) applications. BPM applications are used to collect information, say for an insurance claim, then automate and control the flow of the information through a business ..."},"241":{y:0,u:"../getting-started/developing-tibco-bpm.htm",l:-1,t:"Developing TIBCO BPM Enterprise Applications",i:0.00168381630329581,a:" There are two aspects of creating BPM applications in a \n\t TIBCO BPM Enterprise system: creating \n\t processes using \n\t  TIBCO Business Studio - BPM Edition, and creating BPM client applications using \n\t Application Development. \n   Creating Processes TIBCO Business Studio - BPM Edition is used to ..."},"242":{y:0,u:"../getting-started/deploying-tibco-bpm-.htm",l:-1,t:"Deploying TIBCO BPM Enterprise Applications",i:0.00168381630329581,a:"Following items must be deployed before a \n\t TIBCO BPM Enterprise system can be used. \n   TIBCO Business Studio - BPM Edition  projects - Projects (including processes, organization models, business data models, and so on) that are created in  TIBCO Business Studio - BPM Edition  must be deployed. ..."},"243":{y:0,u:"../getting-started/managing-the-tibco-b.htm",l:-1,t:"Managing the TIBCO BPM Enterprise System",i:0.00168381630329581,a:"A \n\t TIBCO BPM Enterprise system can be managed at two levels: the container orchestration system level and the \n\t TIBCO BPM Enterprise level. \n   Managing \n\t\t  TIBCO BPM Enterprise Using a container orchestration system Administration Features The container orchestration system (Kubernetes) ..."},"244":{y:0,u:"../getting-started/getting-started-usin.htm",l:-1,t:"Getting Started using TIBCO® BPM Enterprise",i:0.00138871124335837,a:"TIBCO BPM Enterprise Tutorial To learn how to start using \n\t TIBCO BPM Enterprise, see the following tutorials. After completing these tutorials, you should be able to create a simple project in \n\t TIBCO Business Studio - BPM Edition, deploy it, and start using the application you have created. \n  "},"245":{y:0,u:"../getting-started/how-to-design-a-simp.htm",l:-1,t:"How To Design a Simple WelcomeUsers Business Service",i:0.02280805553504,a:"This tutorial demonstrates how to use TIBCO Business Studio - BPM Edition to rapidly design a simple business service. \n   When complete, the business service provides the following sections: \n\t\t Display a form to collect a user’s name and phone number. For example, the user may request information ..."},"246":{y:0,u:"../getting-started/create-a-new-project.htm",l:-1,t:"Create a New Project",i:0.00138871124335837,a:"A project is a basic container that stores all the artifacts for the business process. The project you create here contains a basic organizational model. \n   Start TIBCO Business Studio - BPM Edition. \n\t\t   The first time you start TIBCO Business Studio - BPM Edition, a window opens that prompts for ..."},"247":{y:0,u:"../getting-started/add-a-user-task-to-t.htm",l:-1,t:"Add a User Task to the Process",i:0.00138871124335837,a:"Use the Process Editor to create the business process. It includes a Palette that contains tools to create the process. \n   The Process Editor displays the default process for a new project. \n\t\t The \n\t\t  WelcomeUsers-Process contains the following events: \n\t\t The \n\t\t\t Start Event marks the beginning ..."},"248":{y:0,u:"../getting-started/add-data-to-the-proc.htm",l:-1,t:"Add Data to the Process",i:0.00138871124335837,a:"Data inputs for a business process require parameters. User tasks can include data fields to obtain and display data. Script tasks can manipulate data. \n   To add data to the process, first define the required parameters, and then assign the parameters to a start request event. \n\t\t"},"249":{y:0,u:"../getting-started/define-the-input-par.htm",l:-1,t:"Define the Input Parameters",i:0.00138871124335837,a:"Input parameters define the data that the process requires. \n   In \n\t\t\t Project Explorer, drill-down and select \n\t\t\t Parameters under \n\t\t\t WelcomeUsers-Process. \n\t\t   Parameters open in the \n\t\t\t\tProperties pane. \n\t\t\t  Click \n\t\t\t  Add Parameter (INS). \n\t\t   A new parameter has \n\t\t\t Type text, and its ..."},"250":{y:0,u:"../getting-started/define-a-data-field.htm",l:-1,t:"Define a Data Field",i:0.00138871124335837,a:"Data fields identify inputs to and outputs from the user activities. \n   In \n\t\t\t Project Explorer, drill-down and select \n\t\t\t Data Fields under \n\t\t\t WelcomeUsers-Process. \n\t\t   Data Fields opens in the \n\t\t\t\tProperties pane. \n\t\t\t  Click \n\t\t\t  Add Data Field (INS). A new data field has \n\t\t\t Type text, ..."},"251":{y:0,u:"../getting-started/create-a-business-se.htm",l:-1,t:"Create a Business Service",i:0.00138871124335837,a:"Create a Business Service Data inputs for a business process require parameters. A business service sends the parameters to a message start event in the business process. \n  "},"252":{y:0,u:"../getting-started/generate-the-busines.htm",l:-1,t:"Generate the Business Service",i:0.00138871124335837,a:"A business service collects the data required to start the process. \n   From the \n\t\t\t WelcomeUsers-Process pane, right-click the \n\t\t\t Start Event and select \n\t\t\t  Generate \u003e Business Service. \n\t\t   The \n\t\t\t\tWelcomeUsers-Process-Start Event pane opens. It contains \n\t\t\t\tUser Task and \n\t\t\t\tCall ..."},"253":{y:0,u:"../getting-started/define-an-organizati.htm",l:-1,t:"Define an Organization Model for the Process",i:0.00138871124335837,a:"An organization model captures and defines information about the organization of an enterprise. The model represents the different entities in the organization, such as positions, organizational units or groups, their organizational structure, and the relationships between them. \n   The model can ..."},"254":{y:0,u:"../getting-started/add-the-tester-posit.htm",l:-1,t:"Add the Tester Position as a Participant in the Process",i:0.00197892136323325,a:" Add the Tester Position as a Participant in the Process Participants represent the users who perform the work defined by user tasks. \n   Participants must be defined as external references in the organization model. \n\t    Every user task in a process must have a valid participant. \n\t    First, ..."},"255":{y:0,u:"../getting-started/define-a-participant.htm",l:-1,t:"Define a Participant",i:0.00138871124335837,a:"A process can define participants as a group, position, or organization unit (although other types are also allowed). This allows users mapped to the group, position, or organization unit to receive work items. \n   From \n\t\t\t Project Explorer, locate \n\t\t\t Participants inside \n\t\t\t WelcomeUsers. \n\t\t   ..."},"256":{y:0,u:"../getting-started/assign-a-participant.htm",l:-1,t:"Assign a Participant to a User Task",i:0.00138871124335837,a:"A participant is not an individual. A participant defines a set of users. When a process assigns a participant to a user task, the process sends work items associated with the user task to that set of users. \n   Click \n\t\t\t WelcomeUsers-Process in the upper-right pane.\n\t\t   This opens the\n\t\t\t  ..."},"257":{y:0,u:"../getting-started/how-to-implement-and.htm",l:-1,t:"How to Implement and Deploy the WelcomeUsers Application",i:0.0252012006833346,a:"This tutorial demonstrates how to use  TIBCO Business Studio - BPM Edition  to turn the simple WelcomeUsers business service created earlier into an executable model, then how to deploy and execute it. \n   Complete the tutorial: \n\t\t   How To Design a Simple WelcomeUsers Business Service . \n\t\t This ..."},"258":{y:0,u:"../getting-started/implement-the-genera.htm",l:-1,t:"Implement the Generate Message Script",i:0.00138871124335837,a:"Any script in a process must use JavaScript to remove any validation markers before process deployment. \n   Process objects, such as data fields or user tasks, have a \n\t\t  Label and a \n\t\t  Name. A Label can contain spaces or non-alphanumeric characters. TIBCO Business Studio - BPM Edition ..."},"259":{y:0,u:"../getting-started/deploy-the-welcomeus.htm",l:-1,t:"Deploy the WelcomeUsers and Organization Model Projects",i:0.00211664244718808,a:"To make an application available, deploy the associated projects. \n    To be able to deploy the organization model and project, you must have a BPM server running. \n\t\t   Right-click the WelcomeUsers project and select \n\t\t\t  Deployment \u003e Generate Test Artifacts. \n\t\t   Select XYZInsurance ..."},"260":{y:0,u:"../getting-started/how-to-map-users-to-.htm",l:-1,t:"How to Map Users to the WelcomeUsers Organization Model",i:0.00451421385070448,a:"This tutorial demonstrates how to use the Organization Browser to map a user to a position in the organization model. The user can then log in to the WelcomeUsers application and process work items. \n   The \n\t\t\t  How to Implement and Deploy the WelcomeUsers Application  tutorial must be completed. ..."},"261":{y:0,u:"../getting-started/start-the-organizati.htm",l:-1,t:"Start the Organization Browser",i:0.00138871124335837,a:"The Organization Browser is used to map users to groups or positions in an organization model so that those users can log in to an application, and receive work items. \n   To access the Organization Browser in \n\t\t  TIBCO BPM Enterprise, you must follow these steps. \n\t\t Log in to \n\t\t\t TIBCO BPM ..."},"262":{y:0,u:"../getting-started/create-an-ldap-conta.htm",l:-1,t:"Create an LDAP Container",i:0.00256913148310814,a:"LDAP containers are a collection of one or more LDAP sources. An LDAP source represents an LDAP server, which holds information about candidate resources. LDAP resources include users who might need to use or participate in \n\t TIBCO BPM Enterprise applications. \n   The EasyAs LDAP source is included ..."},"263":{y:0,u:"../getting-started/map-a-user-to-the-te.htm",l:-1,t:"Map a User to the Tester Position in the Organization Model",i:0.00211664244718808,a:"TIBCO BPM Enterprise applications generate work items and send them to positions or groups in the organization model. \n    A system administrator maps users to positions or groups in the organization model so that they can receive and process work items sent to those groups or positions. \n\t\t For ..."},"264":{y:0,u:"../getting-started/run-the-welcomeusers.htm",l:-1,t:"Run the WelcomeUsers Application",i:0.00228829759769973,a:"This tutorial demonstrates how to use \n\tTIBCO BPM Enterprise Work Manager as a user to start the WelcomeUsers application, and process work items. \n   The tutorial: \n\t\t   How to Map Users to the WelcomeUsers Organization Model  defines the login credentials for users of the WelcomeUsers application. ..."},"265":{y:0,u:"../getting-started/log-on-to-tibco-bpm-.htm",l:-1,t:"Log on to TIBCO BPM Enterprise Work Manager as a User",i:0.00138871124335837,a:"Log on to \n\t TIBCO BPM Enterprise Work Manager as a User TIBCO BPM Enterprise Work Manager is a web application that allows users to work with applications. For example, to process work items or start business services. \n   Obtain the URL for \n\t\t  TIBCO BPM Enterprise Work Manager from the system ..."},"266":{y:0,u:"../getting-started/start-the-business-s.htm",l:-1,t:"Start the Business Service",i:0.00138871124335837,a:" Users with applicable permissions can start the deployed applications with a business service. The business service displays a form. A user enters the information into that form which the business process requires. \n   The WelcomeUsers business process has assigned the DisplayMessage work item to ..."},"267":{y:0,u:"../getting-started/log-out-of-tibco-bpm.htm",l:-1,t:"Log out of TIBCO BPM Enterprise Work Manager",i:0.00138871124335837,a:"Always log out when work is complete. This prevents others from performing work with your login credentials. \n   Do not close the browser and assume this will log out of an application. \n\t\t  TIBCO BPM Enterprise Work Manager does automatically log users out from an application after a period of ..."},"268":{y:0,u:"../client-users-guide/tibco-bpm-enterprise.htm",l:-1,t:"TIBCO® BPM Enterprise",i:0.00138871124335837,a:"You can connect to \n\t TIBCO® BPM Enterprise and perform the functions you need to complete your daily tasks. \n   For example, you can: \n\t  view the work items in your work list. \n\t\t create work views so that only the desired work items are displayed. \n\t\t open work items and complete and submit the ..."},"269":{y:0,u:"../client-users-guide/user-access.htm",l:-1,t:"User Access",i:0.00138871124335837,a:"By default, all functions, buttons, and menu selections that are available, are displayed, even though you may not be able to use those functions because of your access privileges. \n   Access to functions is controlled by system actions. System actions are modeled in the organization model that is ..."},"270":{y:0,u:"../client-users-guide/accessing-tibco-bpm-.htm",l:-1,t:"Accessing \n\t TIBCO BPM Enterprise Work Manager",i:0.00138871124335837,a:"Accessing TIBCO BPM Enterprise Work Manager To access Work Manager, you must use the login URL. \n   Type the following URL into your browser. \n\t\t   protocol://host:port/apps/login/index.html where: \n\t\t\t  protocol is the communications protocol being used, either \n\t\t\t\t  http or \n\t\t\t\t  https. This was ..."},"271":{y:0,u:"../client-users-guide/business-services.htm",l:-1,t:"Business Services",i:0.00138871124335837,a:"A business service is a set of actions that accomplishes some sort of business function. For example, a business service could be designed to handle an incoming insurance claim. \n    Business services are \n\t\tstateless, meaning that if it consists of many forms, and you enter data into some forms, ..."},"272":{y:0,u:"../client-users-guide/business-services2.htm",l:-1,t:"Business Services",i:0.00138871124335837,a:"Business services enable you to view information about the business services in your list. \n   You can categorize your business services, depending on your requirements. Categories are specified in \n\t\tTIBCO Business Studio - BPM Edition at design-time. \n\t  The business service list that is initially ..."},"273":{y:0,u:"../client-users-guide/categories.htm",l:-1,t:"Categories",i:0.00138871124335837,a:"You can store your business services by category. As the number of business services grows, you can increase the number of categories you have so you can organize your business services as effectively as possible. You can specify a category for a business service in \n\t TIBCO Business Studio - BPM ..."},"274":{y:0,u:"../client-users-guide/starting-a-business-.htm",l:-1,t:"Starting a Business Service",i:0.00138871124335837,a:"The business service does not generate work items. The user who starts the business service provides the information required by the business service and then the business service starts an instance of a process. \n   When you start a business service, the first form in the business service is ..."},"275":{y:0,u:"../client-users-guide/work-views.htm",l:-1,t:"Work Views ",i:0.00138871124335837,a:" Use Work Views to display your work lists and work views. \n   Work List - displays all the work items that you can work on. See \n\t\t   Work Items  for more information. \n\t\t Work Views - Work views allow you to apply filter and/or sort parameters so that only the desired work items are listed in the ..."},"276":{y:0,u:"../client-users-guide/work-view-permission.htm",l:-1,t:"Work View Permissions",i:0.0139499409835751,a:" You can assign permissions to your work view when you create it using the work view wizard. \n   You can make your work views available to, either: \n\t  individual users \n\t\t specific organizational recipients. If you assign an organizational recipient permission to a work view, all the child ..."},"277":{y:0,u:"../client-users-guide/public-work-views.htm",l:-1,t:"Public Work Views",i:0.00536900212288592,a:"Work views can be either public or private. Private work views can only be viewed by you or others you specify. Public work views can be viewed by every \n\t TIBCO BPM Enterprise user. \n   You must also have the \n\t\t  View Work List system action to view a public work view. However, you cannot edit a ..."},"278":{y:0,u:"../client-users-guide/creating-a-work-view.htm",l:-1,t:"Creating a Work View for an Organizational Entity",i:0.00138871124335837,a:" You can create different work views of your work list. However, if you want to create a work view of a work list belonging to a resource in an organization model, you must have the \n\t View Work List system action for the work list you require. \n    Similarly, if you want to grant another user ..."},"279":{y:0,u:"../client-users-guide/accessing-work-views.htm",l:-1,t:"Accessing Work Views",i:0.009365075010271,a:"You can select the types of work view you want to display. \n    From the \n\t\t  Work views dropdown list, select one of the following views: \n\t\t Public work views - To view public work views. For more information, see \n\t\t\t  Public Work Views . \n\t\t\t  To view a public work view, the View Work List ..."},"280":{y:0,u:"../client-users-guide/creating-work-views.htm",l:-1,t:"Creating Work Views",i:0.00959953114739085,a:" The \n\t Create work view wizard enables you to create work views. To start the Create work view wizard, first click  . In this wizard, you can: \n\t\t   Enter the  Enter Work View Details for your work view, for example, the work view name and, optionally, its description. The name field is a mandatory ..."},"281":{y:0,u:"../client-users-guide/enter-work-view-deta.htm",l:-1,t:"Enter Work View Details",i:0.00240869793808386,a:"The \n\t Create work view screen allows you to enter the details for your work view, the work view name and, optionally, its description. \n   (Required) In the \n\t\t\t Name field, type a name for your work view. \n\t\t   (Optional) In the \n\t\t\t Description field, type a description of your work view. \n\t\t   ..."},"282":{y:0,u:"../client-users-guide/choose-a-target.htm",l:-1,t:"Choose a \n\t Target",i:0.00240869793808386,a:"Choose a Target  The Target screen is used to choose the organizational entity or resource whose work items appear in the view. \n   From the \n\t\t\t Type of view dropdown, select one of the following options: \n\t\t\t  Tasks in my worklist. Select this if you are configuring a view of your work list. You ..."},"283":{y:0,u:"../client-users-guide/specify-the-work-ite.htm",l:-1,t:"Specify the Work Item Columns",i:0.0034324211500581,a:"The \n\t Columns screen allows you to specify which work item columns to display. \n   For more information, see \n\t\t   Work Item Columns . \n\t\t The columns that are shown by default in the work item list are listed in \n\t\t  Selected columns. Specify additional columns by moving them from \n\t\t  Available ..."},"284":{y:0,u:"../client-users-guide/configure-work-view-.htm",l:-1,t:"Configure Work View Filter",i:0.00240869793808386,a:" The \n\t Filter screen allows you to specify filter criteria. \n   You can select any of the following criteria: A rule. Select a rule when you are filtering based on one or two criteria. For example, all work items with a specific end date and in a specific state. \n\t\t   A ruleset. You can group ..."},"285":{y:0,u:"../client-users-guide/configure-sorting-or.htm",l:-1,t:"Configure Sorting Order for the Work View",i:0.00240869793808386,a:"The \n\t Sort screen allows you to optionally specify sort criteria for the work view. \n   If you click \n\t\t\t Next without specifying any sort criteria, the data is returned in an arbitrary order from \n\t\t\t TIBCO BPM Enterprise. \n\t\t   From \n\t\t\t Available columns, select the column you want to sort on. ..."},"286":{y:0,u:"../client-users-guide/specify-the-users.htm",l:-1,t:"Specify the Users",i:0.00240869793808386,a:" The \n\t Users screen in the \n\t Create new view wizard is used to optionally specify the users who will have access to the work view. You can choose specific users (resources), or organization units, positions, or groups (in which case, users mapped to those organizational entities will have access ..."},"287":{y:0,u:"../client-users-guide/specify-the-authors.htm",l:-1,t:"Specify the Authors",i:0.00240869793808386,a:" The \n\t Authors screen in the \n\t Create new view wizard allows you to specify the users who will be authors of the work view. You can choose specific users (resources), or an organization unit, position, or group (in which case, users mapped to that organizational entity will be authors of the ..."},"288":{y:0,u:"../client-users-guide/editing-work-views.htm",l:-1,t:"Editing Work Views",i:0.00138871124335837,a:"Editing Work Views  You can edit your work views at any time. \n   Select the work view you want to edit. \n\t\t   Ensure that Editable work views is selected in the \n\t\t\t Work Views pane. \n\t\t   Click   \u003e Edit. \n\t\t  "},"289":{y:0,u:"../client-users-guide/removing-work-views-.htm",l:-1,t:"Removing Work Views from Your Work View List",i:0.00138871124335837,a:"Removing Work Views from Your Work View List  You can remove work views from your work view list. \n   Select a work view. \n\t\t   Ensure that Editable work views is selected in the \n\t\t\t Work Views pane.\n\t\t   Click   \u003e Delete. \n\t\t  "},"290":{y:0,u:"../client-users-guide/manual_ad-hoc.htm",l:-1,t:"Manual Ad-Hoc Task",i:0.00138871124335837,a:"Manual Ad-hoc Task What is an ad-hoc task in BPME? An ad-hoc task is a standalone task in a business process that is performed after the business process instance starts in BPME. You can have several ad-hoc tasks in a process. One ad-hoc task can be executed multiple times. The preconditions for ..."},"291":{y:0,u:"../client-users-guide/work-items.htm",l:-1,t:"Work Items",i:0.00256913148310814,a:" A work item relates to a task in a case. Depending on your work item, you might need to open the work item and enter data on a form, forward the work item to another user or group, save it so you can work on it later, or complete the work item so that you can move the case on to the next task.\n  "},"292":{y:0,u:"../client-users-guide/work-item-columns.htm",l:-1,t:"Work Item Columns",i:0.00647724884663324,a:"Work Item Columns You can view information about your work items, like its status, priority, and target date. \n   You can select which columns are displayed by selecting \t\t . \n\t "},"293":{y:0,u:"../client-users-guide/work-item-state.htm",l:-1,t:"Work Item State",i:0.00414161807988527,a:"Work Item State The status of a work item determines what stage it has reached in the process. A work item can have various states. \n   The following table describes the possible states and their meanings: \n\t "},"294":{y:0,u:"../client-users-guide/changing-work-item-p.htm",l:-1,t:"Changing Work Item Priority",i:0.00414161807988527,a:" All work items have a priority. Setting the work item priority enables you to sort your work list by priority. Also, scripts and processes can check the priority value and therefore perform actions based on a work item’s priority. \n   The priority is a numeric value indicating the relative ..."},"295":{y:0,u:"../client-users-guide/displaying-visible-h.htm",l:-1,t:"Displaying Visible Hidden Work Items",i:0.0258621543037796,a:" You can display hidden items by using the \n\t Worklist Filter dialog. \n   There are two reasons why work items in your work item list may be hidden. \n\t\t They are work items that are associated with a process instance that has been suspended (see \"Suspending a Process Instance\" in the \n\t\t\t  TIBCO® ..."},"296":{y:0,u:"../client-users-guide/filter-criteria.htm",l:-1,t:"Filtering Work Items",i:0.00138871124335837,a:" You can configure filter criteria for work items in your work list. This allows you to filter the list of work items so that only some of the work items are shown. Filtering allows you to display only the work items you are interested in. For example, you may only be interested in work items that ..."},"297":{y:0,u:"../client-users-guide/configure-the-workli.htm",l:-1,t:"Configure a Worklist Filter",i:0.00197892136323325,a:"The \n\t Worklist filter dialog allows you to specify filter criteria. \n    You can select which columns are displayed by selecting \n\t\t  Column. See \n\t\t   Work Item Columns . However, you can further refine the list of work items that are displayed by configuring a work list filter. \n\t\t You can select ..."},"298":{y:0,u:"../client-users-guide/value-data-types.htm",l:-1,t:"Value Data Types",i:0.00297313676387242,a:"Value Data Types  When configuring filter criteria, the value entered in the \n\t Value field must match the data type for the attribute selected. \n   The following describes the valid data types: \n\t "},"299":{y:0,u:"../client-users-guide/datetime-data-types.htm",l:-1,t:"DateTime Data Types",i:0.00550035418956477,a:"DateTime Data Types  When configuring filter criteria for the dates attribute, ensure that you enter dates using the date picker to choose the required date. The selected date will automatically appear in the date field.\n  "},"300":{y:0,u:"../client-users-guide/allocating-work-item2.htm",l:-1,t:"Allocating Work Items Overview",i:0.00178218465660829,a:"A work item can be allocated to a specific user. This means that the work item is supposed to be worked on by that specific user - the work item only appears in your list with a state of Allocated. \n   A work item can be allocated to a specific user by \n\t\tTIBCO BPM Enterprise when the work item is ..."},"301":{y:0,u:"../client-users-guide/allocating-work-item.htm",l:-1,t:"Allocating Work Items To Yourself",i:0.00138871124335837,a:"You can allocate one or more work items to yourself. It changes the work item’s state to Allocated so that only you can work on them. The work items are removed from the lists of all other users. \n   You can only do this if the work items are currently being offered to you; that is, their state is ..."},"302":{y:0,u:"../client-users-guide/re-offering-work-ite.htm",l:-1,t:"Re-Offering Work Items",i:0.00138871124335837,a:"This function allows you to change work items that are currently allocated to you (state = Allocated) back to an Offered state. They are offered to the users to whom they were originally offered. \n   Select one or more work items in the work item list that currently have a state of Allocated or ..."},"303":{y:0,u:"../client-users-guide/reallocating-work-it.htm",l:-1,t:"Reallocating Work Items to Another User",i:0.00138871124335837,a:"This function is used to reallocate a work item, which is currently allocated to you, to another user. It removes the work item from your work item list, then adds it to the Inbox of the user to whom you have reallocated it, with a state of Allocated. \n   You can choose the user to whom you want the ..."},"304":{y:0,u:"../client-users-guide/reallocate-work-ite.htm",l:-1,t:" Reallocate Work Item to Offer Set",i:0.00138871124335837,a:" Reallocate Work Item to Offer Set The Reallocate to Offer Set function is used to reallocate a work item to the original offer set, that is, the group of users to which the work item was originally offered. \n   The work item you want to reallocate must be in your work list with a state of Allocated ..."},"305":{y:0,u:"../client-users-guide/reallocating-work-it2.htm",l:-1,t:"Reallocating Work Items to the World",i:0.00138871124335837,a:" The Reallocate to World function is used to reallocate a work item to any available user. \n   To use this function, you must be logged in as a user with a privilege that has both the \n\t\t  Reallocate WorkItem To World and \n\t\t  Resource Admin system actions assigned to it. \n\t\t Select a work item in ..."},"306":{y:0,u:"../client-users-guide/processing-work-item.htm",l:-1,t:"Processing Work Items Overview",i:0.00296260489635806,a:"A work item represents a task in a business service. Typically, a work item has a form associated with it that must be opened and filled out (some forms only display information and do not have fields to fill out). You can save the work item in your work item list so that it can be opened again and ..."},"307":{y:0,u:"../client-users-guide/opening-work-items.htm",l:-1,t:"Opening Work Items",i:0.00138871124335837,a:" You can open work items in the following ways: \n\t\t From the work item list, double-click the work item you want to open. (Single-clicking shows the work item in a preview pane.) \n\t\t   Click the \n\t\t\t Open link in the \n\t\t\t Actions column. \n\t\t   When you have finished working on a work item, click  \u003e ..."},"308":{y:0,u:"../client-users-guide/auto-repeat.htm",l:-1,t:"Auto-Repeat",i:0.00138871124335837,a:" Work Views provides an auto-repeat feature that causes the next available work item to be automatically opened after you’ve submitted a work item, where “available” means a work item that is not locked or suspended. This allows you to process work items in succession without manually opening each ..."},"309":{y:0,u:"../client-users-guide/piling.htm",l:-1,t:"Piling",i:0.00138871124335837,a:"When a user task is defined in a process template, the designer specifies whether or not work items generated from that user task should be piled. If they are piled, when you submit a work item generated by that user task, \n\t TIBCO BPM Enterprise searches through your work list to see if there are ..."},"310":{y:0,u:"../client-users-guide/filling-in-a-work-it.htm",l:-1,t:"Filling in a Work Item Form",i:0.00138871124335837,a:"The form that appears when you open a work item is specific to your process template. You create forms that relate to your specific business. \n   Your company will instruct you in properly filling out the forms that they have designed. \n\t\t Press \n\t\t  Tab to move from field to field on the form. \n\t\t ..."},"311":{y:0,u:"../client-users-guide/work-item-data-modif.htm",l:-1,t:"Work Item Data Modified By Other Users or System Actions",i:0.00138871124335837,a:"A work item’s data may be modified either by the system or another application. The change made by the system or another application can include changes to data in fields, or other aspects of the work item, such as a deadline date. \n   How the work item is modified depends on: \n\t\t how you have ..."},"312":{y:0,u:"../client-users-guide/saving-work-items.htm",l:-1,t:"Saving Work Items",i:0.00138871124335837,a:" Saving a work item causes any information you have entered to be saved, then the work item is closed (and unlocked) and placed back in the work item list with a state of Pended. The work item is then available to be opened and completed at a later time. \n   To save and close a work item, select \n\t\t ..."},"313":{y:0,u:"../client-users-guide/submitting-work-item.htm",l:-1,t:"Submitting Work Items",i:0.00138871124335837,a:" Submitting a work item means that you have finished with it. If there are any fields designated as “required”, they must be filled in before you can submit the work item. \n   Submitting the work item causes any information you’ve entered to be saved, then the work item is closed (and unlocked) and ..."},"314":{y:0,u:"../client-users-guide/pending-work-items.htm",l:-1,t:"Pending Work Items",i:0.0239614318252886,a:" Work items can be \n\t pended, which causes them to be hidden in the work item list until a specified date/time, or period of time has expired. The work item becomes visible again when the date/time occurs, or the period of time expires. Work items can be pended only if they have a state of ..."},"315":{y:0,u:"../client-users-guide/unpending-work-items.htm",l:-1,t:"Unpending Work Items",i:0.00138871124335837,a:"Unpending Work Items  To unpend work items, first display work items that have a PendHidden state -- see \n\t\t Displaying Visible Hidden Work Items . Then use the \n\t\t Pending Work Items  function to set the pend time offset to 0. \n\t "},"316":{y:0,u:"../client-users-guide/skipping-work-items.htm",l:-1,t:"Skipping Work Items",i:0.00138871124335837,a:"You can select one or more work items in your work item list and \"skip\" them. This marks the work items as complete, removes them from the work item list, and causes the process to advance. It has the same effect as opening the work items and submitting them. \n   To be able to skip a work item, the ..."},"317":{y:0,u:"../client-users-guide/canceling-changes.htm",l:-1,t:"Canceling Changes",i:0.00138871124335837,a:"Once a work item is opened and data is entered or changed, you can cancel those entries/changes and return the work item to the state it was in when the work item was opened. \n   This can be done in two ways: \n\t\t From the work item form - select \n\t\t\t Cancel. The work item is closed and returned to ..."},"318":{y:0,u:"../client-users-guide/openworkitem-1.htm",l:-1,t:"OpenWorkItem Application",i:0.00138871124335837,a:"TIBCO BPM Enterprise provides the \n\t openworkitem application that allows a user to open a work item directly without accessing the UI. You can open a work item using a link by passing specific parameters in the URL, instead of accessing the UI and selecting the relevant options from a list. \n   ..."},"319":{y:0,u:"../client-users-guide/startbiz-app.htm",l:-1,t:" StartBizApp",i:0.00138871124335837,a:" The StartBizApp is available as part of \n\t TIBCO BPM Enterprise. It enables you to start business services by providing the appropriate URL. It can render TIBCO Forms and also supports the complete functionality of static and dynamic sub-processes. It hides all the complexity of the multitude of ..."},"320":{y:0,u:"../client-users-guide/auditing-.htm",l:-1,t:"Auditing ",i:0.00138871124335837,a:" Auditing allows you to view events so that you can see what has occurred with a particular work item, process instance, user, case, process template, and so on. The type of events that are audited include opening a work item, submitting a work item, suspending a process instance, and so on. \n   ..."},"321":{y:0,u:"../client-users-guide/filtering-audit-even.htm",l:-1,t:"Filtering Audit Events",i:0.00256913148310814,a:" You can specify filter criteria to display the audit events you are interested in. \n    You must be logged in as a user that has privileges with the correct system actions assigned to them. \n\t  From \n\t\t\t Audit, select the required event category. \n\t\t   The filter criteria you can select depends on ..."},"322":{y:0,u:"../client-users-guide/case-manager.htm",l:-1,t:"Case Manager",i:0.00138871124335837,a:" You can use Case Manager to manage and manipulate your case data. Case data is business data that is centrally managed by \n\t TIBCO BPM Enterprise and can therefore be accessed and updated by multiple \n\t TIBCO BPM Enterprise process applications. \n    Business data is structured data that contains ..."},"323":{y:0,u:"../client-users-guide/accessing-case-manag.htm",l:-1,t:"Accessing Case Manager",i:0.00256913148310814,a:"Access the Case Manager as follows:  Enter the following URL in your browser: protocol://host:port/apps/login where: protocol is the communications protocol being used, either http or https. This was specified at installation. host is the DNS name or IP address of the server hosting the TIBCO BPM ..."},"324":{y:0,u:"../client-users-guide/performing-case-acti.htm",l:-1,t:"Performing Case Actions",i:0.00138871124335837,a:" You can select a case in Case Manager and perform any case action that has been defined for that case. \n   A case action is an action that can be performed on a case when it is in a particular state. Case actions are designed within the context of the business process itself. For example, a claim ..."},"325":{y:0,u:"../client-users-guide/using-search.htm",l:-1,t:"Using Search",i:0.00532344537585759,a:" You can perform a search, based on the attributes that have been specified as searchable for a case type in \n\t TIBCO Business Studio - BPM Edition. \n   You can only select one case type for each search. \n\t\t  To perform a search and to view the case, you must have the \n\t\tRead Case Data system ..."},"326":{y:0,u:"../client-users-guide/managing-work-lists-.htm",l:-1,t:"Managing Work Lists Associated With Cases",i:0.00138871124335837,a:" You can select a case in the Case Manager and view the work items that are using that case data. You can view information about the work item such as its name, description, ID, priority, and so on. You can also perform some actions on the work item. For example, you can open the work item and ..."},"327":{y:0,u:"../client-users-guide/managing-linked-case.htm",l:-1,t:"Managing Linked Cases",i:0.00138871124335837,a:" You can view the cases of case types that are linked. For example, for a customer, you can view all orders for that customer. Cases are linked at design-time in \n\t TIBCO Business Studio - BPM Edition. \n   You must be logged in as a user that has the \n\t\t  readCases system action assigned to view the ..."},"328":{y:0,u:"../client-users-guide/managing-case-docume.htm",l:-1,t:"Managing Case Documents",i:0.00138871124335837,a:" Documents that are relevant to a case can be uploaded and attached to a case for future reference. The documents are stored in an internal content repository. \n    When a case object is created in \n\t\t  TIBCO BPM Enterprise, a \n\t\t  case folder is automatically created for the case, to which case ..."},"329":{y:0,u:"../client-users-guide/auditing-case-data.htm",l:-1,t:"Auditing Case Data",i:0.00138871124335837,a:"You can view an audit trail of your case data. \n   Select a case type to view a list of cases of that type. \n\t\t   Select the case whose data you want to audit. \n\t\t   If required, use \n\t\t\t Search to find your case. See \n\t\t\t  Using Search . \n\t\t   From the right-hand pane, select the down arrow next to ..."},"330":{y:0,u:"../calendars/calendars.htm",l:-1,t:"Calendars",i:0.00138871124335837,a:"Calendar A calendar is used to hold information about work times, which can then be used in scheduling work and calculating deadlines. With the Calendar functionality, you can create multiple calendars for use with TIBCO BPM Enterprise. This allows you to handle work times and deadlines for ..."},});